<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;


class JoomschoolControllerMessage extends JControllerForm
{

    public function save($key = null, $urlVar = null)
    {
        $this->input->post->set('jform', $_POST);


        return parent::save($key, $urlVar); // TODO: Change the autogenerated stub
    }


    public function applyMessagereply()
    {

        $message_id = JFactory::getApplication()->input->get('message_id', 0, 'int');

        $result = $this->saveReply();

        $link = JFactory::getApplication()->redirect(JRoute::_('index.php?option=com_joomschool&view=message&layout=details&id=' . $message_id, false));
        $this->setRedirect($link, $result[1]);

    }

    public function saveMessagereply()
    {
        $result = $this->saveReply();
        // redirect user
        $link = JRoute::_('index.php?option=com_joomschool&view=messages');
        $this->setRedirect($link, JText::_($result[1]));

    }


    public function saveReply()
    {

        $message = [
            "message" => $this->input->getString("message"),
            "message_id" => $this->input->getInt("message_id"),
            "sender_id" => $this->input->getInt("sender_id"),
            "recever_id" => $this->input->getInt("recever_id")
        ];

        $model = $this->getModel('message');
        $id = $model->messagereply($message);


        $msg = $id ? 'COM_JOOMSCHOOL_MESSAGE_SENT' : 'COM_JOOMSCHOOL_MESSAGE_NOT_SENT';

        // upload attachment if message successfully sent and save
        if ($id) {
            JoomschoolHelperAttachment::save($id, 'mreply');
        }

        return [$id, $msg];

    }


    public function newMessage()
    {

        $link = JFactory::getApplication()->redirect(JRoute::_('index.php?option=com_joomschool&view=message&layout=edit&id=0', false));
        $this->setRedirect($link);

    }

}
