<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

use Dompdf\Dompdf;

class JoomschoolHelperDownload
{

    public static function getPDF($layoutName,$item,$filenameAttrs)
    {

        // check if pdf mode
        if(!JFactory::getApplication()->input->get('pdf', 0, 'int')) return;

        // get item content from layout
        $path = JFactory::getApplication()->isClient('site') ? JPATH_ADMINISTRATOR.'/components/com_joomschool/layouts/' : '';
        $html = JLayoutHelper::render($layoutName, ['item' => $item],$path);

        // generate filename
        $filename = self::cleanFilename(implode('_',$filenameAttrs));

        // get global params of component
        $params = JComponentHelper::getParams('com_joomschool');

        // load dompdf libary
        require_once JPATH_ADMINISTRATOR . '/components/com_joomschool/libraries/pdf/dompdf/autoload.inc.php';

        // set options
        $options = new \Dompdf\Options();
        $options->setIsHtml5ParserEnabled(true);
        $options->setDpi(150);
        $options->setIsRemoteEnabled(true);
        // instantiate and use the dompdf class
        $dompdf = new \Dompdf\Dompdf($options);

        // load html content
        $dompdf->loadHtml($html);
        $dompdf->setBasePath(JUri::root().'media/com_joomschool/bootstrap/css/');
        // set pdf settings
        $pdf_orientation = $params->get('pdf_orientation','portrait');
        $pdf_paper_size = $params->get('pdf_paper_size','A4');
        $dompdf->setPaper($pdf_paper_size, $pdf_orientation);


        // Render the HTML as PDF
        $dompdf->render();

        // Output the generated PDF to Browser
        $dompdf->stream($filename);

        // stop propagation
        die;

    }

    public static function cleanFilename($filename){
        $filename= str_replace(" ", "_", $filename);
        return  strtolower($filename);
    }


}