<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

use PhpOffice\PhpSpreadsheet\IOFactory;
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Style\Alignment;
use PhpOffice\PhpSpreadsheet\Style\Fill;

defined('_JEXEC') or die;

// todo: use this class for generating excel file instead of generating inside every view. this class not yet completed

class JoomschoolHelperExcel
{

    public static function getFile($model,$items)
    {

      
        $exam_id = JRequest::getVar('exam');
        $class_id = JRequest::getVar('class');
        $section_id = JRequest::getVar('section');
        $subject_id = JRequest::getVar('subjects');

        $exam_name = $model->getExamname($exam_id);
        $subject_name = $model->getSubjectname($subject_id);
    
        $app = JFactory::getApplication();
        $params = JComponentHelper::getParams('com_joomschool');
        $schools_name = $params->get('schools_name', 'Schools/Collage Name');

        $objPHPExcel = new Spreadsheet();

// Set document properties
        $objPHPExcel->getProperties()->setCreator($schools_name)
            ->setLastModifiedBy($schools_name)
            ->setTitle("Office 2007 XLSX " . JText::_('' . $exam_name . '-' . $subject_name . '') . " ")
            ->setSubject("Office 2007 XLSX " . JText::_('' . $exam_name . '-' . $subject_name . '') . "")
            ->setDescription("Exam mark List for Office 2007 XLSX, generated using PHP classes.")
            ->setKeywords("office 2007 openxml php")
            ->setCategory('' . $exam_name . '-' . $subject_name . '');

// Add some data
        $objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A1', JText::_('LABEL_MARK_ROLL'))
            ->setCellValue('B1', JText::_('LABEL_MARK_MARK'))
            ->setCellValue('C1', JText::_('LABEL_MARK_COMMENT'));

        if (!empty($items)) :

            $total_row = count($items) + 2;
            foreach ($items as $i => $row) :
                $i++;
                $cn = $i + 1;

                $roll = $row->roll;
                $marks = $model->getInMark('marks', $exam_id, $class_id, $subject_id, $row->id);
                $comment = $model->getInMark('comment', $exam_id, $class_id, $subject_id, $row->id);


                $objPHPExcel->setActiveSheetIndex(0)->setCellValue('A' . $cn . '', $roll);
                $objPHPExcel->setActiveSheetIndex(0)->setCellValue('B' . $cn . '', $marks);
                $objPHPExcel->setActiveSheetIndex(0)->setCellValue('C' . $cn . '', $comment);


                $objPHPExcel->getActiveSheet()->getStyle('A' . $cn . '')->getAlignment()->setHorizontal(Alignment::HORIZONTAL_CENTER);
                //$objPHPExcel->getActiveSheet()->getStyle('C'.$cn.'')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
                //$objPHPExcel->getActiveSheet()->getStyle('C'.$total_row.'')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
            endforeach;

        endif;


        $objPHPExcel->getActiveSheet()
            ->getStyle('A1:C1')
            ->getFill()
            ->setFillType(Fill::FILL_SOLID)
            ->getStartColor()
            ->setARGB('FFCCCCCC');
        $objPHPExcel->getActiveSheet()->getStyle('A1:D1')->getAlignment()->setHorizontal(Alignment::HORIZONTAL_CENTER);
        $objPHPExcel->getDefaultStyle()->getAlignment()->setHorizontal(Alignment::HORIZONTAL_CENTER);

        $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(10.30);
        $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(30.30);
        $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(60.30);
//$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(30.30);
//$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(30.30);

// Rename worksheet
        $objPHPExcel->getActiveSheet()->setTitle('' . $exam_name . '-' . $subject_name . '');


// Set active sheet index to the first sheet, so Excel opens this as the first sheet
        $objPHPExcel->setActiveSheetIndex(0);


// Redirect output to a client’s web browser (Excel2007)
        header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        header('Content-Disposition: attachment;filename="' . $exam_name . '_' . $subject_name . '.xlsx"');


        header('Cache-Control: max-age=0');
// If you're serving to IE 9, then the following may be needed
        header('Cache-Control: max-age=1');


// If you're serving to IE over SSL, then the following may be needed
        header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
        header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT'); // always modified
        header('Cache-Control: cache, must-revalidate'); // HTTP/1.1
        header('Pragma: public'); // HTTP/1.0

        try {

            $objWriter = IOFactory::createWriter($objPHPExcel, 'Xlsx');


        } catch (\PhpOffice\PhpSpreadsheet\Writer\Exception $exception) {
            echo $exception->getMessage();
            die;

        }

        $objWriter->save('php://output');

        die;

    }



}