<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
use Dompdf\Dompdf;
class JoomschoolHelper
{
    /**
     * @var    JObject  A cache for the available actions.
     * @since  1.6
     */
    protected static $actions;

    public static function addBadges($stats)
    {

        foreach ($stats as &$stat) {
            if ($stat == 0)
                $stat = "<span class='badge'>$stat</span>";
            else
                $stat = "<span class='badge badge-success'>$stat</span>";
        }

        return $stats;

    }
    /**
     * Configure the Linkbar.
     *
     * @param string $vName The name of the active view.
     *
     * @return  void
     *
     * @since   1.6
     */
    public static function addSubmenu($vName)
    {

        Jhtml::_('jquery.framework');
        JHtml::_('stylesheet', 'com_joomschool/fontawesome/all.css', false, true);
        JHtml::_('script', 'com_joomschool/menuBuilder.js', array('version' => 'auto', 'relative' => true));
        JHtml::_('stylesheet', 'com_joomschool/menuBuilder.css', false, true);


        jimport('joomla.application.component.model');
        JModelLegacy::addIncludePath(JPATH_SITE . '/administrator/components/com_joomschool/models');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-tachometer-alt isParent"></i> ' . JText::_('COM_JOOMSCHOOL_SUBMENU_DASHBOARD'),
            'index.php?option=com_joomschool&view=dashboard',
            $vName == 'dashboard'
        );

        JHtmlSidebar::addEntry(
            '<i class="fas fa-home isParent"></i> ' . JText::_('MENU_ACADEMIC'),
            'index.php?option=com_joomschool&view=academic',
            $vName == 'academic'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-tags isChild"></i> ' . JText::_('MENU_ACADEMIC_YEAR'),
            'index.php?option=com_joomschool&view=manageacademicyears',
            $vName == 'manageacademicyears'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-paragraph isChild"></i> ' . JText::_('MENU_SUBJECTS'),
            'index.php?option=com_joomschool&view=subjects',
            $vName == 'subjects'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-paragraph isChild"></i> ' . JText::_('MENU_SECTIONS'),
            'index.php?option=com_joomschool&view=sections',
            $vName == 'sections'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-th isChild"></i> ' . JText::_('MENU_DIVISION'),
            'index.php?option=com_joomschool&view=divisions',
            $vName == 'divisions'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-sitemap isChild"></i> ' . JText::_('MENU_CLASS'),
            'index.php?option=com_joomschool&view=classes',
            $vName == 'classes'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-tags isChild"></i> ' . JText::_('MENU_PROMOTION'),
            'index.php?option=com_joomschool&view=promotion',
            $vName == 'promotion'
        );


        $students_model = JModelLegacy::getInstance('students', 'JoomschoolModel');
        $total_new = $students_model->totalNewstudent();
        if (!empty($total_new)) {
            $newstudent_message = ' <span class="red-notification">' . $total_new . ' New</span>';
        } else {
            $newstudent_message = "";
        }

        JHtmlSidebar::addEntry(
            '<i class="fas fa-user-graduate isParent"></i> ' . JText::_('MENU_STUDENTS'),
            'index.php?option=com_joomschool&view=students',
            $vName == 'students'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-user-graduate isChild"></i> ' . JText::_('COM_JOOMSCHOOL_MANAGE_STUDENTS').$newstudent_message,
            'index.php?option=com_joomschool&view=students',
            $vName == 'students'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-user-graduate isChild"></i> ' . JText::_('MENU_MANAGE_ATTENDANCE'),
            'index.php?option=com_joomschool&view=attendances',
            $vName == 'attendances'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-user-graduate isChild"></i> ' . JText::_('MENU_EXAMS'),
            'index.php?option=com_joomschool&view=exams',
            $vName == 'exams'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-star isChild"></i> ' . JText::_('MENU_MANAGE_MARKS'),
            'index.php?option=com_joomschool&view=marks',
            $vName == 'marks'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-star isChild"></i> ' . JText::_('COM_JOOMSCHOOL_GRADE_LIST'),
            'index.php?option=com_joomschool&view=grades',
            $vName == 'grades'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-star isChild"></i> ' . JText::_('BTN_GRADE_CATEGORY'),
            'index.php?option=com_joomschool&view=gradecategories',
            $vName == 'gradecategories'
        );


        /*JHtmlSidebar::addEntry(
			'<span class="fas fa-group"></span> '.JText::_('Promotion'.$newstudent_message),
			'index.php?option=com_joomschool&view=promotion',
			$vName == 'promotion'
		);
		*/
        JHtmlSidebar::addEntry(
            '<i class="fas fa-user-tie isParent "></i> ' . JText::_('MENU_TEACHERS'),
            'index.php?option=com_joomschool&view=teachers',
            $vName == 'teachers'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-bullhorn isParent "></i> ' . JText::_('COM_JOOMSCHOOL_ANNOUNCEMENTS'),
            'index.php?option=com_joomschool&view=announcements',
            $vName == 'announcements'
        );

        JHtmlSidebar::addEntry(
            '<i class="fas fa-user isParent"></i> ' . JText::_('MENU_PARENTS'),
            'index.php?option=com_joomschool&view=parents',
            $vName == 'parents'
        );




        $payemnt_model = JModelLegacy::getInstance('payments', 'JoomschoolModel');
        $total_pending = $payemnt_model->totalPending();
        if (!empty($total_pending)) {
            $pending_message = ' <span class="red-notification">' . $total_pending . ' Pending</span>';
        } else {
            $pending_message = "";
        }

        JHtmlSidebar::addEntry(
            '<i class="fas fa-credit-card isParent"></i> ' . JText::_('MENU_PAYMENTS') . $pending_message,
            'index.php?option=com_joomschool&view=payments',
            $vName == 'payments'
        );


        JHtmlSidebar::addEntry(
            '<i class="fas fa-envelope isParent"></i> ' . JText::_('MENU_MESSAGES'),
            'index.php?option=com_joomschool&view=messages',
            $vName == 'messages'
        );

        JHtmlSidebar::addEntry(
            '<i class="fas fa-calculator isParent"></i> ' . JText::_('MENU_ACCOUNTING'),
            'index.php?option=com_joomschool&view=accounting',
            $vName == 'accounting'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-calculator isChild"></i> ' . JText::_('MENU_ACCOUNTING'),
            'index.php?option=com_joomschool&view=accounting',
            $vName == 'accounting'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-calculator isChild"></i> ' . JText::_('BTN_INCOME'),
            'index.php?option=com_joomschool&view=income',
            $vName == 'income'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-calculator isChild"></i> ' . JText::_('BTN_EXPENSE'),
            'index.php?option=com_joomschool&view=expenses',
            $vName == 'expenses'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-calculator isChild"></i> ' . JText::_('BTN_EXPENSE_CATEGORY'),
            'index.php?option=com_joomschool&view=expensecategories',
            $vName == 'expensecategories'
        );

        JHtmlSidebar::addEntry(
            '<i class="fas fa-bus isParent"></i> ' . JText::_('MENU_TRANSPORT'),
            'index.php?option=com_joomschool&view=transports',
            $vName == 'transports'
        );

        JHtmlSidebar::addEntry(
            '<i class="fas fa-book isParent"></i> ' . JText::_('MENU_LIBRARY'),
            'index.php?option=com_joomschool&view=libraries',
            $vName == 'libraries'
        );

        JHtmlSidebar::addEntry(
            '<i class="fas fa-book isChild"></i> ' . JText::_('COM_JOOMSCHOOL_MANAGE_LIBRARY'),
            'index.php?option=com_joomschool&view=libraries',
            $vName == 'libraries'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-book isChild"></i> ' . JText::_('BTN_BOOK_LIST'),
            'index.php?option=com_joomschool&view=books',
            $vName == 'books'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-book isChild"></i> ' . JText::_('BTN_MEMBER_LIST'),
            'index.php?option=com_joomschool&view=bmembers',
            $vName == 'bmembers'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-book isChild"></i> ' . JText::_('BTN_BOOK_CATEGORY'),
            'index.php?option=com_joomschool&view=bcategories',
            $vName == 'bcategories'
        );
        JHtmlSidebar::addEntry(
            '<i class="fas fa-book isChild"></i> ' . JText::_('BTN_MANAGE_RACK'),
            'index.php?option=com_joomschool&view=bracks',
            $vName == 'bracks'
        );


        JHtmlSidebar::addEntry(
            '<i class="fas fa-flag isParent"></i>' . JText::_('MENU_LANGUAGES'),
            'index.php?option=com_joomschool&view=language',
            $vName == 'language'
        );

        JHtmlSidebar::addEntry(
            '<i class="fas fa-building isParent"></i>' . JText::_('MENU_FIELD_BUILDER'),
            'index.php?option=com_joomschool&view=fields',
            $vName == 'fields'
        );


        JHtmlSidebar::addEntry(
            '<i class="fas fa-cog isParent"></i>' . JText::_('MENU_CONFIGURATION'),
            'index.php?option=com_config&view=component&component=com_joomschool',
            $vName == 'configuration'
        );


    }

    public static function selectSingleData($select_field, $table, $where_field, $where_value)
    {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select($select_field);
        $query->from($db->quoteName('#__' . $table));
        $query->where($db->quoteName($where_field) . " = " . $db->quote($where_value));

        $db->setQuery($query);
        $result = $db->loadResult();
        return $result;
    }

    /**
     ** Get Student Data
     **/
    public static function getStudentData($field, $class_id, $roll)
    {
        $db = JFactory::getDBO();
        $query = "SELECT " . $field . " FROM `#__joomschool_students` WHERE class_id = '" . $class_id . "' AND roll='" . $roll . "'";
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }


    /***
     ***  Schools Note Pad Designs
     ***/
    public static function padHeader($pad_title, $class = '', $print = '')
    {
        //GET SCHOOLS DATA
        $app = JFactory::getApplication();
        $params = JComponentHelper::getParams('com_joomschool');
        $schools_logo = $params->get('joomschool_logo');
        $logo_position = $params->get('logo_position', 'left');
        $schools_name = $params->get('schools_name', 'Schools/Collage Name');
        $schools_address = $params->get('schools_address', 'Brindabon South Para Bogra - 5800, Bangladesh');
        $schools_phone = $params->get('schools_phone', '999-99-99-99');
        $schools_fax = $params->get('schools_fax', '999-99-99-99');
        $schools_email = $params->get('schools_email', 'support@joomboost.com');
        $schools_website = $params->get('schools_web', 'www.joomboost.com');

        $show_school_name = $params->get('show_school_name', 1);
        $show_school_address = $params->get('show_school_address', 0);
        $show_school_email = $params->get('show_school_email', 0);
        $show_school_phone = $params->get('show_school_phone', 0);
        $show_school_fax = $params->get('show_school_fax', 0);
        $show_school_website = $params->get('show_school_website', 0);
        $show_custom_header_text = $params->get('show_custom_header_text');
        $header_bg_color = $params->get('header_bg_color', '#3ab9ac');
        $header_text_color = $params->get('header_text_color', '#ffffff');
        $show_bg_image = $params->get('show_bg_image');
        $header_bg_image = $params->get('header_bg_image');

        if (!empty($show_bg_image)):
            $header_bg = "background:" . $header_bg_color . ";";
        else:
            $header_bg = 'background:' . $header_bg_color . ';';
        endif;


        if ($logo_position == 'left'):
            $logo_div_class = 'span3 ';
            $info_div_class = 'span9  ';
            $style = 'text-align: left;';
            $style_logo = 'text-align: center;';
        elseif ($logo_position == 'right'):
            $logo_div_class = 'span3 ';
            $info_div_class = 'span9 ';
            $style = 'text-align: right;';
            $style_logo = 'text-align: center;';
        else:
            $logo_div_class = 'span12  ';
            $info_div_class = 'span12 ';
            $style = 'text-align: center;';
            $style_logo = 'text-align: center;';
        endif;

        $onclick_link = "'printableArea'";
        $header_con = '<p><input type="button" id="print" onclick="printDiv(' . $onclick_link . ')" class="btn btn-small btn-sm btn-primary"  style="border: none;margin-left: 10px;" value="Print" /> </p>';

        $header = '';
        $header .= '<div class="pdf-header" style="' . $header_bg . ' color:' . $header_text_color . ';margin-bottom: 0px;padding: 0;">';
        if (!empty($header_bg_image)):
            $header .= '<img alt="" src="../' . $header_bg_image . '" class="overlay-img" />';
        endif;
        $header .= '<div class="row-fluid " style="padding: 20px 0;">';

        // SMS LOGO
        $joomschool_logo = '<div class="' . $logo_div_class . '" style="' . $style_logo . '" > <img alt="" src="../' . $schools_logo . '" /></div>';

        // SMS INFO
        $joomschool_info = '<div class="' . $info_div_class . '" style="' . $style . '" >';
        if (!empty($show_school_name)) {
            $joomschool_info .= '<h3> ' . $schools_name . '</h3>';
        }
        if (!empty($show_school_address)) {
            $joomschool_info .= '<p> ' . $schools_address . '</p>';
        }
        if (!empty($show_school_email)) {
            $joomschool_info .= '<p> <b>' . JText::_('COM_JOOMSCHOOL_EMAIL') . ':</b> ' . $schools_email . '</p>';
        }
        if (!empty($show_school_phone)) {
            $joomschool_info .= '<p> <b>' . JText::_('COM_JOOMSCHOOL_PHONE') . ':</b> ' . $schools_phone . '</p>';
        }
        if (!empty($show_school_fax)) {
            $joomschool_info .= '<p> <b>' . JText::_('COM_JOOMSCHOOL_FAX') . ':</b>  ' . $schools_fax . '</p>';
        }
        if (!empty($show_school_website)) {
            $joomschool_info .= '<p> <b>' . JText::_('COM_JOOMSCHOOL_WEBSITE') . ':</b>  ' . $schools_website . '</p>';
        }
        if (!empty($show_custom_header_text)) {
            $joomschool_info .= '<p> ' . $show_custom_header_text . '</p>';
        }
        $joomschool_info .= '</div>';

        if ($logo_position == 'left'):
            $header .= $joomschool_logo;
            $header .= $joomschool_info;
        elseif ($logo_position == 'right'):
            $header .= $joomschool_info;
            $header .= $joomschool_logo;
        else:
            $header .= $joomschool_logo;
            $header .= $joomschool_info;
        endif;


        $header .= '</div>';
        $header .= '</div>';

        $header .= '<div class="row-fluid caption-area">';
        $header .= '<div class="span12 text-center">';
        $header .= '<p> <b>' . $pad_title . '</b></p>';
        if (!empty($class)) {
            $header .= '<p> ' . JText::_('LABEL_STUDENT_CLASS') . ' - <b>' . self::getClassname($class) . '</b> </p>';
        }
        if (empty($print)) {
            $header .= $header_con;
        }
        $header .= '</div>';
        $header .= '</div>';


        return $header;
    }


    public static function padFooter()
    {
        //GET SCHOOLS DATA
        $app = JFactory::getApplication();
        $params = JComponentHelper::getParams('com_joomschool');
        $show_logo_in_footer = $params->get('show_logo_in_footer', 0);
        $joomschool_footer_logo = $params->get('joomschool_footer_logo', 0);
        $footer_logo_position = $params->get('footer_logo_position', 'left');
        $schools_name = $params->get('schools_name', 'Schools/Collage Name');
        $schools_address = $params->get('schools_address', '12345 Vincent Place');
        $schools_phone = $params->get('schools_phone', 123456789);
        $schools_fax = $params->get('schools_fax', 123456789);
        $schools_email = $params->get('schools_email', 'support@joomboost.com');
        $schools_website = $params->get('schools_web', 'www.joomboost.com');

        $show_school_name_in_footer = $params->get('show_school_name_in_footer', 1);
        $show_school_address_in_footer = $params->get('show_school_address_in_footer', 0);
        $show_school_email_in_footer = $params->get('show_school_email_in_footer', 0);
        $show_school_phone_in_footer = $params->get('show_school_phone_in_footer', 0);
        $show_school_fax_in_footer = $params->get('show_school_fax_in_footer', 0);
        $show_school_website_in_footer = $params->get('show_school_website_in_footer', 0);
        $show_custom_header_text_in_footer = $params->get('show_custom_header_text_in_footer', 0);
        $bg_color_in_footer = $params->get('bg_color_in_footer', '#3ab9ac');
        $text_color_in_footer = $params->get('text_color_in_footer', '#ffffff');
        $show_bg_image_in_footer = $params->get('show_bg_image_in_footer', 0);
        $bg_image_in_footer = $params->get('bg_image_in_footer', '');

        if (!empty($show_bg_image_in_footer)):
            $footer_bg = "background:" . $bg_color_in_footer . ";";
        else:
            $footer_bg = 'background:' . $bg_color_in_footer . ';';
        endif;


        if ($footer_logo_position == 'left' && !empty($show_logo_in_footer)):
            $logo_div_class = 'span3 ';
            $info_div_class = 'span9 ';
            $style = 'text-align: left;';
            $style_logo = 'text-align: center;';

        elseif ($footer_logo_position == 'right' && !empty($show_logo_in_footer)):
            $logo_div_class = 'span3 ';
            $info_div_class = 'span9 ';
            $style = 'text-align: right;';
            $style_logo = 'text-align: center;';

        else:
            $logo_div_class = 'span12 ';
            $info_div_class = 'span12 ';
            $style = 'text-align: center;';
            $style_logo = 'text-align: center;';
        endif;

        $onclick_link = "'printableArea'";
        $header_con = '<p><input type="button" id="print" onclick="printDiv(' . $onclick_link . ')" class="btn btn-small btn-sm btn-primary"  style="border: none;margin-left: 10px;" value="Print" /> </p>';

        $footer = '';
        $footer .= '<div class="pdf-footer" style="' . $footer_bg . ' color:' . $text_color_in_footer . ';padding: 0px 0;margin-top: 0px;">';
        if (!empty($show_bg_image_in_footer)):
            $footer .= '<img alt="" src="../' . $bg_image_in_footer . '" class="overlay-img" />';
        endif;
        $footer .= '<div class="row-fluid" style="padding: 20px 0;">';
        if (!empty($show_logo_in_footer)):
            // SMS LOGO
            $joomschool_logo = '<div class="' . $logo_div_class . '" style="' . $style_logo . '"> <img alt="" src="../' . $joomschool_footer_logo . '" /></div>';
        else:
            $joomschool_logo = '';
        endif;

        // SMS INFO
        $joomschool_info = '<div class="' . $info_div_class . '" style="' . $style . '" >';
        if (!empty($show_school_name_in_footer)) {
            $joomschool_info .= '<h3> ' . $schools_name . '</h3>';
        }
        if (!empty($show_school_address_in_footer)) {
            $joomschool_info .= '<p> ' . $schools_address . '</p>';
        }
        if (!empty($show_school_email_in_footer)) {
            $joomschool_info .= '<p> <b>' . JText::_('COM_JOOMSCHOOL_EMAIL') . ':</b> ' . $schools_email . '</p>';
        }
        if (!empty($show_school_phone_in_footer)) {
            $joomschool_info .= '<p> <b>' . JText::_('COM_JOOMSCHOOL_PHONE') . ':</b> ' . $schools_phone . '</p>';
        }
        if (!empty($show_school_fax_in_footer)) {
            $joomschool_info .= '<p> <b>' . JText::_('COM_JOOMSCHOOL_FAX') . ':</b>  ' . $schools_fax . '</p>';
        }
        if (!empty($show_school_website_in_footer)) {
            $joomschool_info .= '<p> <b>' . JText::_('COM_JOOMSCHOOL_WEBSITE') . ':</b>  ' . $schools_website . '</p>';
        }
        if (!empty($show_custom_header_text_in_footer)) {
            $joomschool_info .= '<p> ' . $show_custom_header_text_in_footer . '</p>';
        }
        $joomschool_info .= '</div>';


        if ($footer_logo_position == 'left' && !empty($show_logo_in_footer)):
            $footer .= $joomschool_logo;
            $footer .= $joomschool_info;
        elseif ($footer_logo_position == 'right' && !empty($show_logo_in_footer)):
            $footer .= $joomschool_info;
            $footer .= $joomschool_logo;
        else:
            $footer .= $joomschool_logo;
            $footer .= $joomschool_info;
        endif;

        $footer .= '</div>';
        $footer .= '</div>';

        return $footer;
    }


    public static function buildPDFHTML($html)
    {

        $app = JFactory::getApplication();
        $params = JComponentHelper::getParams('com_joomschool');
        $pdf_orientation = $params->get('pdf_orientation', 'portrait');
        $pdf_paper_size = $params->get('pdf_paper_size');
        $pdf_font = $params->get('pdf_font', 'Courier');
        $pdf_custom_font = $params->get('custom_font');
        $pdf_custom_font_name = $params->get('custom_font_name');
        $pdf_custom_font_link = $params->get('custom_font_link');

        $pdf_font_family = $pdf_font;


        $chtml = '<html ><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>';
        $chtml .= '<style type="text/css">html { margin: 25% 0px 10% 0px; padding: .0in;} body {  padding: .0in;margin: 0in;} @font-face { font-family: "' . $pdf_font_family . '"; font-style: normal; font-weight: normal; ';

        $chtml .= " src: url(" . JURI::root() . "administrator/components/com_joomschool/libraries/pdf/dompdf/lib/fonts/" . $pdf_font . ".ttf) format('truetype'); }</style>";

        $chtml .= '<style type="text/css">body{font-family: ' . $pdf_font_family . ', DejaVu Sans;} .information-div h3, .information-div p {text-align: center;}</style>';
        $chtml .= '<link href="' . JURI::root() . 'administrator/components/com_joomschool/css/joomschool.css" rel="stylesheet">';
        //$chtml .='<link href="'.JURI::root().'administrator/templates/isis/css/template.css" rel="stylesheet">';

        $chtml .= '</head><body id="pdf-body" >' . $html . '</body>';
        $chtml .= '</html>';

        return $chtml;
    }

    public static function buildField($label, $type, $name, $value, $note, $placeholder = "", $optinal = "", $enable = "")
    {
        if ($optinal == "required") {
            $optinal_s = "required";
            $star = '<span class="star"> *</span>';
            $r = 'required="required"';
        } else {
            $optinal_s = "";
            $star = '';
            $r = '';
        }

        $input = '<div class="control-group">';
        if ($type == "input") {
            $input .= '<div class="control-label"><label id="jform_' . $name . '-lbl" class=" ' . $optinal_s . '"  for="jform_' . $name . '">' . JText::_($label) . ': ' . $star . '</label></div>';
            $input .= '<div class="controls"><input type="text" name="' . $name . '" ' . $enable . ' value="' . $value . '" id="jform_' . $name . '" class="' . $optinal_s . ' " ' . $r . ' /></div>';
        }
        if ($type == "password") {
            $input .= '<div class="control-label"><label id="jform_' . $name . '-lbl" class=" ' . $optinal_s . '"  for="jform_' . $name . '">' . JText::_($label) . ': ' . $star . '</label></div>';
            $input .= '<div class="controls"><input type="password" name="' . $name . '" ' . $enable . ' value="' . $value . '" id="jform_' . $name . '" class="' . $optinal_s . ' " ' . $r . ' /></div>';
        }
        if ($type == "select") {
            $input .= '<div class="control-label"><label id="' . $name . '-lbl" class=" ' . $optinal_s . '"  for="' . $name . '">' . JText::_($label) . ': ' . $star . '</label></div>';
            $input .= '<div class="controls">' . $value . '</div>';
        }

        $input .= '</div>';

        return $input;
    }


    /**
     ** Field builder fieldshow
     **/
    public static function fieldBiodata($fid, $sid, $panel_id, $label, $type, $biodata)
    {
        $db = JFactory::getDBO();
        //value manage
        if (!empty($panel_id)) {
            $query_value = "SELECT data FROM `#__joomschool_fields_data` WHERE fid = '" . $fid . "' AND sid = '" . $sid . "' AND panel_id = '" . $panel_id . "'";
            $db->setQuery($query_value);
            $value = $db->loadResult();

        } else {
            $value = '';
        }

        if (!empty($biodata)) {
            $result = '<tr><td> ' . $label . ':</td> <td> ' . $value . '</td></tr>';
        } else {
            $result = '';
        }
        return $result;
    }


    /**
     ** Field builder fieldshow
     **/
    public static function fieldshow($fid, $sid, $panel_id, $label, $type, $required)
    {
        $db = JFactory::getDBO();

        //value manage
        if (!empty($panel_id)) {
            $query_value = "SELECT data FROM `#__joomschool_fields_data` WHERE fid = '" . $fid . "' AND sid = '" . $sid . "' AND panel_id = '" . $panel_id . "'";
            $db->setQuery($query_value);
            $value = $db->loadResult();

        } else {
            $value = '';
        }

            $input = '<div class="control-group">';

        // Field Name make
        $field_input_name = 'field_' . $fid;

        // Required manage
        if ($required == 1) {
            $required_class = "required";
            $star = '<span class="star"> *</span>';
            $required_code = 'required="required"';
        } else {
            $required_class = "";
            $star = '';
            $required_code = '';
        }


        //Input Box
        if ($type == 1) {

            $input .= '<div class="control-label"><label id="jform_' . $fid . '-lbl" class=" ' . $required_class . '"  for="jform_' . $fid . '">' . JText::_($label) . ': ' . $star . '</label></div>';
            $input .= '<div class="controls"><input type="text" name="' . $field_input_name . '"  value="' . $value . '" id="jform_' . $fid . '" class="' . $required_class . ' " ' . $required_code . ' /></div>';
        }

        //TextArea Box
        if ($type == 2) {
            $input .= '<div class="control-label"><label id="jform_' . $fid . '-lbl" class=" ' . $required_class . '"  for="jform_' . $fid . '">' . JText::_($label) . ': ' . $star . '</label></div>';
            $input .= '<div class="controls"><textarea cols="" rows="" name="' . $field_input_name . '"  id="jform_' . $fid . '" class="form-control ' . $required_class . ' " ' . $required_code . ' style="min-height: 40px;">' . $value . '</textarea></div>';

        }

        //Check Box
        if ($type == 3) {
            //get option value
            $check_box_option = self::getFieldOption($fid, $sid, $type);
            $check_box_option_values = explode(",", $check_box_option);
            $input .= '<div class="control-label"><label id="jform_' . $fid . '-lbl" class=" ' . $required_class . '"  for="jform_' . $fid . '">' . JText::_($label) . ': ' . $star . '</label></div>';
            $input .= '<div class="controls"><span class="radio-box gender"  >';

            if ($required == 1) {
                $input .= '<input type="hidden" name="' . $field_input_name . '_check"  value="' . $value . '" id="jform_' . $fid . '" class="' . $required_class . ' " ' . $required_code . ' />';
            }

            $key = 0;
            foreach ($check_box_option_values as $option) {
                $key++;
                $options = explode("=", $option);
                $option_value = $options[0];
                $option_name = $options[1];
                if (in_array($option_value, explode(",", $value))) {
                    $checked_code = 'checked="checked"';
                } else {
                    $checked_code = '';
                }

                if ($required == 1) {

                    $onclick_checkbox = ' onclick="changeCheckbox(this.value,\'jform_' . $fid . '\',this.name)"';
                } else {
                    $onclick_checkbox = '';
                }

                $input .= '<label><input type="checkbox" ' . $onclick_checkbox . '  class=" "  ' . $checked_code . ' name="' . $field_input_name . '[]" id="' . $fid . '_' . $key . '"  value="' . $option_value . '"> ' . $option_name . ' </label>';
            }
            $input .= '</span></div>';
        }


        //Radio Box
        if ($type == 4) {
            //get option value
            $radio_box_option = self::getFieldOption($fid, $sid, $type);
            $radio_option_values = explode(",", $radio_box_option);
            $input .= '<div class="control-label"><label id="jform_' . $fid . '-lbl" class=" ' . $required_class . '"  for="jform_' . $fid . '" >' . JText::_($label) . ': ' . $star . '</label></div>';
            $input .= '<div class="controls"><span class="radio-box gender"  >';

            if ($required == 1) {
                $input .= '<input type="hidden" name="' . $field_input_name . '_check"  value="' . $value . '" id="jform_' . $fid . '" class="' . $required_class . ' " ' . $required_code . ' />';
                $onclick_radio = ' onclick="changeRadio(this.value,\'jform_' . $fid . '\')"';
            } else {
                $onclick_radio = '';
            }

            foreach ($radio_option_values as $radio_option) {
                $radio_options = explode("=", $radio_option);
                $roption_value = $radio_options[0];
                $roption_name = $radio_options[1];
                if (in_array($roption_value, explode(",", $value))) {
                    $checked_code = 'checked="checked"';
                } else {
                    $checked_code = '';
                }

                $input .= '<label  > <input type="radio" ' . $onclick_radio . '   class=" "  ' . $checked_code . ' name="' . $field_input_name . '"  value="' . $roption_value . '">   ' . $roption_name . ' </label>';
            }
            $input .= '</span></div>';
        }


        //Select Box
        if ($type == 5) {
            //get option value
            $select_box_option = self::getFieldOption($fid, $sid, $type);
            $select_option_values = explode(",", $select_box_option);
            $input .= '<div class="control-label"><label id="field_' . $fid . '-lbl" class=" ' . $required_class . '"  for="field_' . $fid . '">' . JText::_($label) . ': ' . $star . '</label></div>';
            $input .= '<div class="controls">';


            $select_box_array = array();

            $select_box_array[] = array('value' => '', 'text' => JText::_(' -- Select ' . $label . ' -- '));
            foreach ($select_option_values as $row) {
                $select_options = explode("=", $row);
                $soption_value = $select_options[0];
                $soption_name = $select_options[1];
                $select_box_array[] = array('value' => $soption_value, 'text' => JText::_($soption_name));
            }
            $input .= JHTML::_('select.genericList', $select_box_array, $field_input_name, ' class="' . $required_class . '  inputbox chzn-done " ' . $required_code . '  ', 'value', 'text', $value);


            $input .= '</div>';
        }


        //Datepicker Box
        if ($type == 6) {
            if ($required == 1) {
                $datereq = "required";
                $valid_class = "validate[\'required\']";
            } else {
                $datereq = '';
                $valid_class = '';
            }

            $datefield = JHTML::calendar($value, $field_input_name, 'jform_' . $fid, '%Y-%m-%d', array('size' => '8', 'maxlength' => '10', $datereq => $datereq, 'class' => ' date-formp ' . $valid_class . ' ',));

            $input .= '<div class="control-label"><label id="jform_' . $fid . '-lbl" class=" ' . $required_class . '"  for="jform_' . $fid . '">' . JText::_($label) . ': ' . $star . '</label></div>';
            $input .= '<div class="controls">' . $datefield . '</div>';
        }


        $input .= '</div>';
        $input .= '<script type="text/javascript">function changeRadio(value,id) { document.getElementById(id).value = value;    } function changeCheckbox(value,id,sid) { var le = document.querySelectorAll(\'input[name="\'+sid+\'"]:checked\').length;  if(le!=0){document.getElementById(id).value = le;}else{document.getElementById(id).value = null;}   }</script>';

        return $input;
    }


    public static function getFieldOption($fid, $sid, $type)
    {
        $db = JFactory::getDBO();
        $query_option_value = "SELECT option_param FROM `#__joomschool_fields` WHERE type = '" . $type . "' AND section = '" . $sid . "' AND id = '" . $fid . "'";
        $db->setQuery($query_option_value);
        $value = $db->loadResult();
        return $value;
    }

    public static function saveFields($fid, $type, $sid, $field_data, $student_id, $old_id)
    {
        $db = JFactory::getDBO();
        if (is_array($field_data)) {
            $field_data = implode(",", $field_data);
        }
        if (empty($old_id)) {
            //insert code
            $query_field = $db->getQuery(true);
            $columns = array('fid', 'sid', 'data', 'panel_id');
            $values = array($db->quote($fid), $db->quote($sid), $db->quote($field_data), $db->quote($student_id));

            $query_field
                ->insert($db->quoteName('#__joomschool_fields_data'))
                ->columns($db->quoteName($columns))
                ->values(implode(',', $values));
            $db->setQuery($query_field);
            $result = $db->execute();
        } else {
            //update code
            $query_field = $db->getQuery(true);
            $fields = array($db->quoteName('data') . ' = ' . $db->quote($field_data));
            $conditions = array($db->quoteName('fid') . ' = ' . $db->quote($fid), $db->quoteName('sid') . ' = ' . $db->quote($sid), $db->quoteName('panel_id') . ' = ' . $db->quote($student_id));

            $query_field->update($db->quoteName('#__joomschool_fields_data'))->set($fields)->where($conditions);
            $db->setQuery($query_field);
            $result = $db->execute();
        }
    }

    /**
     ** Field builder section id
     **/
    public static function getFieldSectionID($name)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('id')))
            ->from($db->quoteName('#__joomschool_fields_section'))
            ->where($db->quoteName('name') . ' = ' . $db->quote($name));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** Get Type name
     **/
    public static function getTypeName($id)
    {
        $db = JFactory::getDBO();
        $query_result = $db->getQuery(true);
        $query_result
            ->select($db->quoteName(array('type')))
            ->from($db->quoteName('#__joomschool_fields_type'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($id));
        $db->setQuery($query_result);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** Field builder field list
     **/
    public static function getFieldList($sid)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('id', 'field_name', 'type', 'required', 'option_param', 'profile', 'list', 'biodata')))
            ->from($db->quoteName('#__joomschool_fields'))
            ->where($db->quoteName('section') . ' = ' . $db->quote($sid))
            ->where($db->quoteName('published') . ' = ' . $db->quote('1'))
            ->order('field_order ASC');
        $db->setQuery($query);
        $rows = $db->loadObjectList();
        return $rows;
    }


    /**
     ** Parent Modal function
     **/
    public static function getModalparent($field_id, $name, $student_id, $label)
    {
        if (!empty($student_id)) {
            $student_name = self::getStudentname($student_id);
        } else {
            $student_name = '';
        }

        $modal_link = 'index.php?option=com_joomschool&view=students&task=modal&field=' . $field_id . '&tmpl=component';
        $modal_field = '<div class="input-append">';
        $modal_field .= '<input id="' . $field_id . '" class="field-user-input-name" value="' . $student_name . '" placeholder="' . JText::_($label) . '" readonly="" type="text" aria-invalid="false">';
        $modal_field .= '<input id="' . $field_id . '_id" type="hidden" name="' . $name . '" data-onchange="" value="' . $student_id . '" />';
        $modal_field .= "<a class=\"btn btn-primary modal\" href=\"" . $modal_link . "\"  title=\"" . JText::_($label) . "\" rel=\"{size: {x: 600, y: 400}, handler:'iframe'}\">";
        $modal_field .= '<span class="fas fa-user"></span>';
        $modal_field .= '</a>';
        $modal_field .= '</div>';
        return $modal_field;
    }


    /**
     ** Class List
     **/
    public static function getclassList($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('id', 'class_name')))
            ->from($db->quoteName('#__joomschool_class'))
            ->where($db->quoteName('published') . ' = ' . $db->quote('1'))
            ->order('id ASC');
        $db->setQuery($query);
        $rows = $db->loadObjectList();
        if ($db->getErrorNum()) {
            echo $db->stderr();
            return false;
        }
        $class_array = array();

        $class_array[] = array('value' => '', 'text' => JText::_(' -- Select Class -- '));
        foreach ($rows as $row) {
            $class_array[] = array('value' => $row->id, 'text' => JText::_(' ' . $row->class_name));
        }
        $class = JHTML::_('select.genericList', $class_array, 'class', ' class="required  inputbox chzn-done " required="required"  ', 'value', 'text', $id);
        return $class;
    }

    /**
     ** Section List
     **/
    public static function getsectionList($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('id', 'section_name')))
            ->from($db->quoteName('#__joomschool_sections'))
            ->where($db->quoteName('published') . ' = ' . $db->quote('1'))
            ->order('id ASC');
        $db->setQuery($query);
        $rows = $db->loadObjectList();
        if ($db->getErrorNum()) {
            echo $db->stderr();
            return false;
        }
        $sections = array();


        $sections[] = array('value' => '', 'text' => JText::_(' -- Select Section -- '));
        foreach ($rows as $row) {
            $sections[] = array('value' => $row->id, 'text' => JText::_(' ' . $row->section_name));
        }
        $section = JHTML::_('select.genericList', $sections, 'section', 'class=" required inputbox  chzn-done" required="required" ', 'value', 'text', $id);
        return $section;
    }


    /**
     ** Year Value
     **/
    public static function getYear($select_field, $where_field, $where_value)
    {
        $db = JFactory::getDBO();
        $query = "SELECT " . $select_field . " FROM `#__joomschool_academic_year` WHERE " . $where_field . " = '" . $where_value . "' ";
        $db->setQuery($query);
        $rows = $db->loadResult();
        return $rows;

    }


    /**
     ** Year List
     **/
    public static function getyearList($id, $optional = '')
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('id', 'year')))
            ->from($db->quoteName('#__joomschool_academic_year'))
            ->where($db->quoteName('published') . ' = ' . $db->quote('1'))
            ->order('id ASC');
        $db->setQuery($query);
        $rows = $db->loadObjectList();
        if ($db->getErrorNum()) {
            echo $db->stderr();
            return false;
        }
        $years = array();


        $years[] = array('value' => '', 'text' => JText::_(' -- Select Year -- '));
        foreach ($rows as $row) {
            $years[] = array('value' => $row->id, 'text' => JText::_(' ' . $row->year));
        }
        $year = JHTML::_('select.genericList', $years, 'year' . $optional, 'class=" required inputbox chzn-done " required="required" ', 'value', 'text', $id);
        return $year;
    }

    /**
     ** Division List
     **/
    public static function getdivisionList($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('id', 'division_name')))
            ->from($db->quoteName('#__joomschool_division'))
            ->where($db->quoteName('published') . ' = ' . $db->quote('1'))
            ->order('id ASC');

        $db->setQuery($query);
        $rows = $db->loadObjectList();
        if ($db->getErrorNum()) {
            echo $db->stderr();
            return false;
        }
        $divisions = array();

        $divisions[] = array('value' => '', 'text' => JText::_(' -- Select Division -- '));
        foreach ($rows as $row) {
            $divisions[] = array('value' => $row->id, 'text' => JText::_(' ' . $row->division_name));
        }
        $division = JHTML::_('select.genericList', $divisions, 'division', 'class="required  inputbox chzn-done " required="required" ', 'value', 'text', $id);
        return $division;
    }

    /**
     ** Subject List
     **/
    public static function getsubjectList($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('id', 'subject_name')))
            ->from($db->quoteName('#__joomschool_subjects'))
            ->where($db->quoteName('published') . ' = ' . $db->quote('1'))
            ->order('id ASC');

        $db->setQuery($query);
        $rows = $db->loadObjectList();
        if ($db->getErrorNum()) {
            echo $db->stderr();
            return false;
        }
        $subjects = array();

        $subjects[] = array('value' => '', 'text' => JText::_(' -- Select Subject -- '));
        foreach ($rows as $row) {
            $subjects[] = array('value' => $row->id, 'text' => JText::_(' ' . $row->subject_name));
        }
        $subject_list = JHTML::_('select.genericList', $subjects, 'subject', 'class="required  inputbox chzn-done " required="required" ', 'value', 'text', $id);
        return $subject_list;
    }

    /**
     ** Student Name
     **/
    public static function getStudentname($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('user_id')))
            ->from($db->quoteName('#__joomschool_students'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }


    /**
     ** Teacher Name
     **/
    public static function getTeachername($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('user_id')))
            ->from($db->quoteName('#__joomschool_teachers'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** Teacher ID
     **/
    public static function getTeacherIDbyUserid($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('id')))
            ->from($db->quoteName('#__joomschool_teachers'))
            ->where($db->quoteName('user_id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** Teacher ID
     **/
    public static function getParentIDbyUserid($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('id')))
            ->from($db->quoteName('#__joomschool_parents'))
            ->where($db->quoteName('user_id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** Parent Child
     **/
    public static function getParentChild($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('student_id')))
            ->from($db->quoteName('#__joomschool_parents'))
            ->where($db->quoteName('user_id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** Class Name
     **/
    public static function getClassname($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('class_name')))
            ->from($db->quoteName('#__joomschool_class'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    public static function getTeacherClasses($id = null){
        
        // inits
        $id = is_null($id) ? JFactory::getUser()->id : $id;
        $classes = [];

        // get teacher info
        $teacher = JoomschoolHelper::getTeacherInfoUserID($id);
        
        // transform classes to array
        $teacherClasses = explode(',',$teacher->class);
        
        foreach ($teacherClasses as $class){
            
            // get class name 
            $className = self::getClassNameByID($class);
            
            $classObject = new stdClass();
            $classObject->id = $class;
            $classObject->class_name = $className->class_name;

            $classes[] = $classObject;
            
            
        }

        return $classes;


    }


    public static function getTeacherSections($id = null){

        // inits
        $id = is_null($id) ? JFactory::getUser()->id : $id;
        $sections = [];

        // get teacher info
        $teacher = JoomschoolHelper::getTeacherInfoUserID($id);

        // transform classes to array
        $teacherSections= explode(',',$teacher->section);

        foreach ($teacherSections as $section){

            // get class name
            $sectionName = self::getSectionsNameByID($section);

            $sectionObject = new stdClass();
            $sectionObject->id = $section;
            $sectionObject->section_name = $sectionName->section_name;

            $sections[] = $sectionObject;

        }

        return $sections;

    }

    /**
     ** Student Year
     **/
    public static function getAcademicYear($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('year')))
            ->from($db->quoteName('#__joomschool_academic_year'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** Division Name
     **/
    public static function getDivisionname($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('division_name')))
            ->from($db->quoteName('#__joomschool_division'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** Section Name
     **/
    public static function getSectionname($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('section_name')))
            ->from($db->quoteName('#__joomschool_sections'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }


    /**
     ** Subject Name
     **/
    public static function getSubjectname($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('subject_name')))
            ->from($db->quoteName('#__joomschool_subjects'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** Attendance display
     **/

    public static function DisplayAttendance($month_title, $year, $month, $student_id, $class, $section, $monthend)
    {
        $monthstart = 1;


        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select('*')
            ->from($db->quoteName('#__joomschool_attendance'))
            ->where('YEAR(attendance_date) = ' . $db->quote($year))
            ->where('MONTH(attendance_date) = ' . $db->quote($month))
            ->where($db->quoteName('class') . ' = ' . $db->quote($class))
            ->where($db->quoteName('section') . ' = ' . $db->quote($section))
            ->order('id ASC');

        $db->setQuery($query);
        $attendance_row = $db->loadObjectList();

        $total_class = count($attendance_row);

        $startdate = $year . '-' . $month . '-' . $monthstart;
        $enddate = $year . '-' . $month . '-' . $monthend;

        // Get Present Query
        $query_present = $db->getQuery(true);
        $query_present
            ->select('*')
            ->from($db->quoteName('#__joomschool_attendance_info'))
            ->where("create_date BETWEEN '" . $startdate . " 00:00:01' AND '" . $enddate . " 23:59:59'")
            ->where($db->quoteName('student_id') . ' = ' . $db->quote($student_id))
            ->where($db->quoteName('attend') . ' = ' . $db->quote('1'))
            ->order('id ASC');
        $db->setQuery($query_present);
        $present_row = $db->loadObjectList();
     
        $total_present = count($present_row);


        // Get Absent Query
        $query_absent = $db->getQuery(true);
        $query_absent
            ->select('*')
            ->from($db->quoteName('#__joomschool_attendance_info'))
            ->where("create_date BETWEEN '" . $startdate . " 00:00:01' AND '" . $enddate . " 23:59:59'")
            ->where($db->quoteName('student_id') . ' = ' . $db->quote($student_id))
            ->where($db->quoteName('attend') . ' = ' . $db->quote('0'))
            ->order('id ASC');
        $db->setQuery($query_absent);
        $absent_row = $db->loadObjectList();
        $total_absent = count($absent_row);

        //$total_absent = ($total_class - $total_present);

        $show = '<table cellpadding="0" cellspacing="0" class="table admin-table" id="admin-table" style="width: 100%;border: 1px solid #eee;background: #f5f5f5;" align="center" >';
        $show .= '<tr>';
        $show .= '<td style="text-align: left;border: none;"><b>' . $month_title . '</b></td>';
        $show .= '<td style="border: none;"><i>' . JText::_('LABEL_STUDENT_ATTENDANCE_TOTAL_CLASS') . ': ' . $total_class . ' ' . JText::_('DEFAULT_DAYS') . '</i></td>';
        $show .= '<td style="border: none;"><i>' . JText::_('LABEL_STUDENT_ATTENDANCE_ATTENT') . ': ' . $total_present . ' ' . JText::_('DEFAULT_DAYS') . '</i></td>';
        $show .= '<td style="border: none;"><i>' . JText::_('LABEL_STUDENT_ATTENDANCE_ABSENT') . ': ' . $total_absent . ' ' . JText::_('DEFAULT_DAYS') . '</i></td>';
        $show .= '</tr>';
        $show .= '</table>';
        $show .= '<table cellpadding="0" cellspacing="0" class="admin-table" id="admin-table" style="width: 100%;margin-top: 0px;margin-bottom: 20px;" align="center" >';
        $show .= '<tr>';
        for ($h = $monthstart; $h <= $monthend; $h++) {

            $getattendanceD = self::getAttendanceDay('DAY(attendance_date)', $year, $month, $h, $class, $section);
            if ($getattendanceD == $h) {
                $show .= '<th style="background: #ffff99;" >' . $h . '</th>';
            } else {
                $show .= '<th >' . $h . '</th>';
            }
        }
        $show .= '</tr>';

        $show .= '<tr>';
        for ($x = $monthstart; $x <= $monthend; $x++) {
            $getattendanceDd = self::getAttendanceDay('DAY(attendance_date)', $year, $month, $x, $class, $section);
            $attendane_id = self::getAttendanceDay('id', $year, $month, $x, $class, $section);
            $student_attent = self::getStudentAttent($student_id, $attendane_id);
            //if($student_attent==1){$att ='<span style="color: green;font-weight: Bold;">P</span>';}else{$att ='';}
            //$show .= '<td>'.$att.'</td>';

            if ($getattendanceDd == $x) {
                if ($student_attent == 1) {
                    $show .= '<td style="background: #ccffcc ;" ><span style="color: green;font-weight: Bold;">P</span></td>';
                } else {
                    $show .= '<td style="background: #ffcccc ;" ><span style="color: red;font-weight: Bold;">A</span></td>';
                }

            } else {
                $show .= '<td ></td>';
            }


        }

        $show .= '</tr>';
        $show .= '</table>';
        return $show;
    }

    static function getAttendanceDay($select, $year, $month, $day, $class, $section)
    {
        $db = JFactory::getDBO();
        $query_add_day = $db->getQuery(true);
        $query_add_day
            ->select($select)
            ->from($db->quoteName('#__joomschool_attendance'))
            ->where('YEAR(attendance_date) = ' . $db->quote($year))
            ->where('MONTH(attendance_date) = ' . $db->quote($month))
            ->where('DAY(attendance_date) = ' . $db->quote($day))
            ->where($db->quoteName('class') . ' = ' . $db->quote($class))
            ->where($db->quoteName('section') . ' = ' . $db->quote($section));
        $db->setQuery($query_add_day);
        $data = $db->loadResult();
        return $data;
    }

    static function getStudentAttent($student_id, $attendane_id)
    {
        $db = JFactory::getDBO();
        $query_add_day = $db->getQuery(true);
        $query_add_day
            ->select('attend')
            ->from($db->quoteName('#__joomschool_attendance_info'))
            ->where($db->quoteName('student_id') . ' = ' . $db->quote($student_id))
            ->where($db->quoteName('attendance_id') . ' = ' . $db->quote($attendane_id));
        $db->setQuery($query_add_day);
        $data = $db->loadResult();
        return $data;
    }



    /**
     * Gets a list of the actions that can be performed.
     *
     * @return  JObject
     *
     * @since   1.6
     * @todo    Refactor to work with notes
     */
    public static function getActions()
    {
        if (empty(self::$actions)) {
            $user = JFactory::getUser();
            self::$actions = new JObject;

            $actions = JAccess::getActions('com_users');

            foreach ($actions as $action) {
                self::$actions->set($action->name, $user->authorise($action->name, 'com_users'));
            }
        }

        return self::$actions;
    }

    /**
     * Get a list of filter options for the blocked state of a user.
     *
     * @return  array  An array of JHtmlOption elements.
     *
     * @since   1.6
     */
    public static function getStateOptions()
    {
        // Build the filter options.
        $options = array();
        $options[] = JHtml::_('select.option', '0', JText::_('JENABLED'));
        $options[] = JHtml::_('select.option', '1', JText::_('JDISABLED'));

        return $options;
    }

    /**
     * Get a list of filter options for the activated state of a user.
     *
     * @return  array  An array of JHtmlOption elements.
     *
     * @since   1.6
     */
    public static function getActiveOptions()
    {
        // Build the filter options.
        $options = array();
        $options[] = JHtml::_('select.option', '0', JText::_('COM_USERS_ACTIVATED'));
        $options[] = JHtml::_('select.option', '1', JText::_('COM_USERS_UNACTIVATED'));

        return $options;
    }


    /**
     * Creates a list of range options used in filter select list
     * used in com_users on users view
     *
     * @return  array
     *
     * @since   2.5
     */
    public static function getRangeOptions()
    {
        $options = array(
            JHtml::_('select.option', 'today', JText::_('COM_USERS_OPTION_RANGE_TODAY')),
            JHtml::_('select.option', 'past_week', JText::_('COM_USERS_OPTION_RANGE_PAST_WEEK')),
            JHtml::_('select.option', 'past_1month', JText::_('COM_USERS_OPTION_RANGE_PAST_1MONTH')),
            JHtml::_('select.option', 'past_3month', JText::_('COM_USERS_OPTION_RANGE_PAST_3MONTH')),
            JHtml::_('select.option', 'past_6month', JText::_('COM_USERS_OPTION_RANGE_PAST_6MONTH')),
            JHtml::_('select.option', 'past_year', JText::_('COM_USERS_OPTION_RANGE_PAST_YEAR')),
            JHtml::_('select.option', 'post_year', JText::_('COM_USERS_OPTION_RANGE_POST_YEAR')),
        );
        return $options;
    }

    /**
     ** Get currency format
     **/
    public static function getCurrency($value)
    {
        $params = JComponentHelper::getParams('com_joomschool');
        $currency = $params->get('currency_sign');
        $currency_decimal = $params->get('currency_decimal');
        $currency_position = $params->get('currency_position');
        if ($currency_position == 'after') {
            $currency_value = number_format($value, $currency_decimal) . ' ' . $currency;
        } else {
            $currency_value = $currency . ' ' . number_format($value, $currency_decimal);
        }
        return $currency_value;
    }



    public static function getClassNameByID($id)
    {

        $id = (int) $id;

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*')
            ->from('#__joomschool_class')
            ->where("id = $id");
        $db->setQuery($query);


        return $db->loadObject();
    }

    public static function getStudentNameByID($id)
    {

        $id = (int) $id;

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('user_id')
            ->from($db->quoteName('#__joomschool_students'))
            ->where("id = $id");
        $db->setQuery($query);

        return $db->loadObject();
    }

    public static function getStudentIDByUserID($user_id)
    {

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('id')
            ->from($db->quoteName('#__joomschool_students'))
            ->where("user_id = $user_id");
        $db->setQuery($query);

        return $db->loadResult();
    }

    public static function getStudentInfoUserID($user_id)
    {

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*')
            ->from($db->quoteName('#__joomschool_students'))
            ->where("user_id = $user_id");
        $db->setQuery($query);

        return $db->loadObject();
    }

    public static function getTeacherInfoUserID($user_id)
    {

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*')
            ->from($db->quoteName('#__joomschool_teachers'))
            ->where("user_id = $user_id");
        $db->setQuery($query);

        return $db->loadObject();
    }

    public static function getStudentInfoByKey($key,$value)
    {

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*')
            ->from($db->quoteName('#__joomschool_students'))
            ->where("$key = $value");
        $db->setQuery($query);

        return $db->loadObject();
    }
    public static function getSubjectNameByID($id)
    {

        $id = (int) $id;

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('subject_name')
            ->from($db->quoteName('#__joomschool_subjects'))
            ->where("id = $id");
        $db->setQuery($query);

        return $db->loadObject();
    }

    public static function getSectionsNameByID($id)
    {

        $id = (int) $id;

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('section_name')
            ->from($db->quoteName('#__joomschool_sections'))
            ->where("id = $id");

        $db->setQuery($query);
        return $db->loadObject();
    }

    public static function getDivisionNameByID($id)
    {

        $id = (int) $id;

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('division_name')
            ->from($db->quoteName('#__joomschool_division'))
            ->where("id = $id");

        $db->setQuery($query);
        return $db->loadObject();
    }

    public static function getTransportNameByID($id)
    {

        $id = (int) $id;

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('number_of_vehicle')
            ->from($db->quoteName('#__joomschool_transport'))
            ->where("id = $id");
        $db->setQuery($query);
        return $db->loadObject();
    }

    public static function getPayMethodNameByID($id)
    {

        $id = (int) $id;

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('name')
            ->from($db->quoteName('#__joomschool_pay_method'))
            ->where("id = $id");
        $db->setQuery($query);
        return $db->loadResult();
    }

    public static function getExamNameByID($id)
    {
        $id = (int) $id;

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('name')
            ->from($db->quoteName('#__joomschool_exams'))
            ->where("id = $id");

        $db->setQuery($query);

        return $db->loadResult();
    }

    public static function getTeacher($class_id)
    {

        $id = (int) $class_id;

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('user_id')
            ->from($db->quoteName('#__joomschool_teachers'))
            ->where("class = $class_id");
        $db->setQuery($query);
        return $db->loadObject();
    }

    /**
     ** Student Roll
     **/
    public static function getStudentRoll($id)
    {
        $id = (int) $id;

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('roll')))
            ->from($db->quoteName('#__joomschool_students'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** Student Year
     **/
    public static function getYearId($year)
    {

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('id')))
            ->from($db->quoteName('#__joomschool_academic_year'))
            ->where($db->quoteName('year') . ' = ' . $db->quote($year));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    public static function getStudentYear($studentId)
    {

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('ay.id,ay.year');
        $query->from('#__joomschool_students as st');
        $query->join('LEFT','#__joomschool_academic_year as ay on ay.id = st.year');
        $query->where("st.id = $studentId");
        $db->setQuery($query);
        $data = $db->loadObject();
        return $data;
    }

    public static function getYearById($id)
    {

        $id = (int) $id;

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('year')))
            ->from($db->quoteName('#__joomschool_academic_year'))
            ->where($db->quoteName('id') . ' = ' . $id);
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** exams
     **/
    public static function getExams()
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('id,name');
        $query->from('#__joomschool_exams AS e');
        $db->setQuery($query);
        $data = $db->loadObjectList();

        return $data;
    }
    /**
     ** Pay Ammount
     **/
    public function getPayammount($id,$field){
        $db = JFactory::getDBO();
        $query_result = $db->getQuery(true);
        $query_result
            ->select($db->quoteName(array($field)))
            ->from($db->quoteName('#__joomschool_pay_type'))
            ->where($db->quoteName('id') . ' = '. $db->quote($id));

        $db->setQuery($query_result);
        $data = $db->loadResult();
        return $data;
    }


    // TODO: use id in filenames, and remove automatically existing image file
    public static function uploadFile($file, $type = "students")
    {
       
        $app = JFactory::getApplication();
    // Import filesystem libraries. Perhaps not necessary, but does not hurt.
        jimport('joomla.filesystem.file');
    // First verify that the file has the right extension.
        $validFileExts = ['jpeg', 'jpg', 'png', 'gif','webp','avif','gif'];
    // Clean up filename to get rid of strange characters like spaces etc.

        $extension	= JFile::getExt($file['name']);

        if (!in_array($extension, $validFileExts)) {
            // TODO: Add security checks.

            return ['success' => false, 'message' => JText::_('COM_JOOMSCHOOL_UPLOAD_ERROR_IMAGE_EXTENSIONS')];

        }

        // Clean up filename to get rid of strange characters like spaces etc.
        $filename = JFile::makeSafe(JFile::stripExt($file['name']) . '_' . time() . '_' . rand(1, 1000) . '.' . $extension);
        $dest = JPATH_ROOT."/administrator/components/com_joomschool/photo/$type/$filename";
        // Set up the source and destination of the file
        $src = $file["tmp_name"];


        if (!JFile::upload($src, $dest)) {

            return ['success' => false, 'message' => JText::_('COM_JOOMSCHOOL_IMAGE_NOT_UPLOADED')];

        }


        return $filename;
    }

    /**
     * Returns a valid section for articles. If it is not valid then null
     * is returned.
     *
     * @param   string  $section  The section to get the mapping for
     *
     * @return  string|null  The new section
     *
     * @since   3.7.0
     */
    public static function validateSection($section)
    {
        
        if (JFactory::getApplication()->isClient('site'))
        {


            // On the front end we need to map some sections
            switch ($section)
            {
                // Editing an article
                case 'studentedit':
                    $section = 'student';
                    break;
                case 'attendanceform':
                    $section = 'attendance';
                    break;
            }
        }
        $sections = ['student','attendance'];
        if (!in_array($section,$sections))
        {
            // We don't know other sections
            return null;
        }

        return $section;


    }

    public static function getProfileInfoByID($id,$table){

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*')
            ->from($db->quoteName("#__joomschool_$table"))
            ->where("id = $id");
        $db->setQuery($query);

        return $db->loadObject();
    }

    public static function getProfileInfoByUserID(){

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $user = JFactory::getUser();
        $group = strtolower(JoomschoolHelperFrontend::checkGroup($user->id));
        $query->select('*')
            ->from($db->quoteName("#__joomschool_$group"))
            ->where("user_id = $user->id");
        $db->setQuery($query);

        return $db->loadObject();
    }
    public static function getAcademicIdByYear($year){
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('id')))
            ->from($db->quoteName('#__joomschool_academic_year'))
            ->where($db->quoteName('year') . ' = ' . $db->quote($year));
        $db->setQuery($query);
        $data = $db->loadResult();
        return is_null($data) ? 0 : $data;
    }
    public static function checkGroup($id){
        $db =JFactory::getDBO();
        $check_group = $db->getQuery(true);
        $check_group
            ->select($db->quoteName(array('group_id')))
            ->from($db->quoteName('#__user_usergroup_map'))
            ->where($db->quoteName('user_id') . ' = '. $db->quote($id));
        $db->setQuery( $check_group);
        $user_group_id= $db->loadResult();

        $check_group_title = $db->getQuery(true);
        $check_group_title
            ->select($db->quoteName(array('title')))
            ->from($db->quoteName('#__usergroups'))
            ->where($db->quoteName('id') . ' = '. $db->quote($user_group_id));
        $db->setQuery( $check_group_title);
        $title= $db->loadResult();
        return  $title;
    }

    public static function storeConfig($config) {

        $config = $config->toString();

        $db = JFactory::getDBO();
        $db->setQuery('UPDATE `#__extensions` SET `params` = '.$db->Quote($config).' WHERE `element` = "com_joomtestimonials" AND `type` = "component"');
        $db->query();
    }


    public static function  getClassesByTeacherID($teacher_id){
        // Get a db connection.
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
            ->select("t.class")
            ->from($db->quoteName('#__joomschool_teachers', 't'))
            ->where($db->quoteName('t.id') . ' = ' . $teacher_id);
        $db->setQuery($query);

        $result = $db->loadResult();

        if(is_null($result) || empty($db->loadResult()))
            $result = [];
        else
            $result =  explode(",",$db->loadResult());

        $classes = [];

        foreach ($result as $class){
            $classes[$class] = JoomschoolHelper::getClassname($class);
        }


        return $classes;


       // return 	JHtml::_('select.genericlist',$classes, 'jform[class_id][]', array('multiple' => true), 'value', 'text','', '', false);


    }

}