<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

abstract class JoomschoolHelperNotification
{

    // send notification for private message

    public static function newPrivateMessage($data)
    {

        // inits
        $app = JFactory::getApplication();
        $recipient = JFactory::getUser($data['recever_id'])->email;
        $email_from = $app->get('mailfrom');
        $email_fromname = $app->get('fromname');
        $sender_role = strtoupper(JoomschoolHelperUser::checkGroup($data['sender_id']));
        $sender_name = JFactory::getUser($data['sender_id'])->name;
        $message_link = JUri::root().'index.php?option=com_joomschool&view=message&task=messagedetails&mid='.$data['id'];
        //$message_link = JUri::root().'index.php?option=com_users&view=login&return='.base64_encode($message_link);

        // message subject
        $email_subject = self::replacePlaceHolders(
            [
                'role' => strtolower(JText::_('COM_JOOMSCHOOL_YOUR_' . $sender_role)),
                'sender' => $sender_name
            ],
            JText::_('COM_JOOMSCHOOL_NOTIFICATION_NEW_PRIVATE_MESSAGE_SUBJECT')
        );

        // message body
        $email_body = self::replacePlaceHolders(
            [
                'role' => JText::_('COM_JOOMSCHOOL_YOUR_' . $sender_role),
                'sender' => $sender_name,
                'link' => $message_link
            ],
            JText::_('COM_JOOMSCHOOL_NOTIFICATION_NEW_PRIVATE_MESSAGE_BODY')
        );

        JFactory::getMailer()->sendMail($email_from, $email_fromname, $recipient, $email_subject, $email_body, 1);


    }

    //todo
    public static function newPrivateReply($data){

    }

    public static function newAnnouncement($data){

        // inits
        $app = JFactory::getApplication();
        $recipient = JFactory::getUser($data['toUser'])->email;
        $email_from = $app->get('mailfrom');
        $email_fromname = $app->get('fromname');
        $sender_name = JFactory::getUser($data['fromUser'])->name;


        // message subject
        $email_subject = self::replacePlaceHolders(
            [
                'role' => strtolower(JText::_('COM_JOOMSCHOOL_YOUR_TEACHERS')),
                'sender' => $sender_name,
                'title' => $data['announceTitle']
            ],
            JText::_('COM_JOOMSCHOOL_NOTIFICATION_ANNOUNCEMENT_MESSAGE_SUBJECT')
        );

        // message body
        $email_body = self::replacePlaceHolders(
            [
                'role' => JText::_('COM_JOOMSCHOOL_YOUR_TEACHERS'),
                'sender' => $sender_name,
                'link' => $data['announceLink']
            ],
            JText::_('COM_JOOMSCHOOL_NOTIFICATION_ANNOUNCEMENT_MESSAGE_BODY')
        );

        JFactory::getMailer()->sendMail($email_from, $email_fromname, $recipient, $email_subject, $email_body, 1);

    }


    public static function replacePlaceHolders($placeHolders, $text)
    {

        foreach ($placeHolders as $placeholderName => $placeHolderValue) {
            $text = str_replace('{' . $placeholderName . '}', $placeHolderValue,$text);

        }

        return $text;
    }


}