<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JoomschoolHelperToolbar extends \Joomla\CMS\Toolbar\ToolbarHelper
{

    public static function AddLink($url = '', $icon = '', $iconOver = '', $alt = '', $name = 'link', $listSelect = true)
    {
        $bar = JToolBar::getInstance('toolbar');

        // Strip extension.
        $icon = preg_replace('#\.[^.]*$#', '', $icon);

        // Add a standard button.
        $bar->appendButton('Link', $icon, $alt, $url, $name, $listSelect);
    }

    public static function printInfo($icon, $alt)
    {
        $title = JText::_($alt);
        $dhtml = '<button onclick="window.print();" class="btn btn-small">
			<span class="' . $icon . '" title="' . $title . '"></span> ' . $title . '</button>';

        $bar = JToolbar::getInstance('toolbar');
        $bar->appendButton('Custom', $dhtml, $alt);
    }

    public static function downloadPDF($icon, $alt)
    {
        $input = JFactory::getApplication()->input;
        $view = $input->get('view','','word');
        $layout = $input->get('layout','','word');
        $id = $input->get('id',0,'int');

        $link = "index.php?option=com_joomschool&view=$view&layout=$layout&id=$id&pdf=1";

        $title = JText::_($alt);
        $dhtml = '<a href="'.$link.'" class="btn btn-small">
			<span class="' . $icon . '" title="' . $title . '"></span> ' . $title . '</a>';

        $bar = JToolbar::getInstance('toolbar');
        $bar->appendButton('Custom', $dhtml, $alt);
    }

    public static function selectExam( $alt,$selected,$id,$year)
    {
        $input = JFactory::getApplication()->input;
        $exam =  new \stdClass;
        $exam->id = '';
        $exam->name =  JText::_('COM_JOOMSCHOOL_SELECT_EXAM');
        $exams[] = $exam;
        $exams = array_merge($exams,JoomschoolHelper::getExams());

        $dhtml = '<form style="margin:0" method="POST" action="'.JRoute::_('index.php?option=com_joomschool&view=student&layout=result&year=' . (int)$year.'&id=' . (int)$id).'">';
        array('value' => '', 'text' => JText::_('COM_JOOMSCHOOL_SELECT_EXAM'));
        $dhtml .='<div class="js-stools clearfix">';
        $dhtml .='<div class="clearfix">';
        $dhtml .='<div class="js-stools-container-bar span12">';
        $dhtml .='<div class="filter-selects pull-right">';

        $dhtml .= JHtml::_("select.genericlist",
            $exams, "jform[exam]", ['onchange'=>"this.form.submit()"], "id", "name",$selected);

        $dhtml .=  '</div>';
        $dhtml .=  '</div>';
        $dhtml .=  '</div>';
        $dhtml .=  '</div>';

        $dhtml .='<input type="hidden" name="option" value="com_joomschool" />';
        $dhtml .='<input type="hidden" name="view" value="student" />';
        $dhtml .='<input type="hidden" name="layout" value="result" />';
       $dhtml .=' <input type="hidden" name="year" value="'.$input->get('year', null, 'INT').'" />';
        $dhtml .='<input type="hidden" name="id" value="'.$input->get('id', null, 'INT').'" />';
        $dhtml .='<input type="hidden" name="exam" value="'.$selected.'" />';

        $dhtml .=JHtml::_('form.token');
        $dhtml .='</form>';

        $bar = JToolbar::getInstance('toolbar');
        $bar->appendButton('Custom', $dhtml, $alt);
    }

    public static function selectSchool(){

    }



}