<?php 
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;


// Access check: is this user allowed to access the backend of this component?
if (!JFactory::getUser()->authorise('core.manage', 'com_joomschool'))
{
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

// load library
require_once JPATH_ADMINISTRATOR.'/components/com_joomschool/libraries/vendor/autoload.php';

// load helpers
JLoader::register('JoomschoolHelper', __DIR__ . '/helpers/joomschool.php');
JLoader::register('JoomschoolHelperVersion', __DIR__ . '/helpers/version.php');
JLoader::register('JoomschoolHelperToolbar', __DIR__ . '/helpers/toolbar.php');
JLoader::register('JoomschoolHelperDownload', __DIR__ . '/helpers/download.php');
JLoader::register('JoomschoolHelperPayment',__DIR__ . '/helpers/payment.php');
JLoader::register('JoomschoolHelperNotification',__DIR__ . '/helpers/notification.php');
JLoader::register('JoomschoolHelperAttachment',__DIR__ . '/helpers/attachment.php');
JLoader::register('JoomschoolHelperExcel',__DIR__ . '/helpers/excel.php');


// Get the current language code.
$lang = JFactory::getLanguage();
$code = $lang->getTag();
$lang->load('com_joomschool', JPATH_COMPONENT_ADMINISTRATOR, $code, true);
$lang->load('com_installer', dirname(JPATH_ADMINISTRATOR.'/language'), $code, true);
	
$app = JFactory::getApplication();
$input = $app->input;

/*
$activation = JoomschoolHelper::getActivation();
$activation_count = count($activation);
$website = $_SERVER['HTTP_HOST'];
*/
$view = $input->getWord('view');

$document = JFactory::getDocument();

JHtml::_('stylesheet', 'com_joomschool/joomschool.css', false, true);
JHtml::_('stylesheet', 'com_joomschool/fontawesome/all.css', false, true);
JHtml::_('stylesheet', 'com_joomschool/bootstrap/bootstrap.css', false, true);
JHtml::_('stylesheet', 'com_joomschool/bootstrap/bootstrapfix.css', false, true);

$lang = JFactory::getLanguage();
$dir = $lang->get('rtl');
if($dir != 0) {
    JHtml::_('stylesheet', 'com_joomschool/joomschool-rtl.css', false, true);
		
}



$controller = JControllerLegacy::getInstance('Joomschool');
$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();


