<?php
/**
 * @package        JoomRecipe
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

$versionInfo = JoomschoolHelperVersion::getVersionInfo();

$updateLink = 'index.php?option=com_installer&view=update&filter[search]=Joomschool&' . JSession::getFormToken() . '=1';
$actionLink = 'index.php?option=com_joomschool&view=dashboard&task=dashboard.updateDownloadId';


?>

<?php if ($versionInfo->comparedVersion): // display warning message of new version available ?>
    <p class="alert alert-danger">
        <span class="d-block"><i
                    class="fas fa-warning"></i><?php echo JText::sprintf('COM_JOOMSCHOOL_NEW_VERSION_AVAILABLE', $versionInfo->newVersion) ?></span>
        <a
                href="<?php echo JRoute::_($updateLink); ?>"
                class="mt-2 btn btn-sm btn-danger"><span class="fas fa-refresh"></span>
			<?php echo JText::_('COM_JOOMSCHOOL_UPDATE_NOW') ?></a>
    </p>
<?php endif; ?>

<?php if (empty($versionInfo->downloadId)): // display info of how to get download id from JoomBoost website ?>
    <p class="alert alert-info"><?php echo JText::_('COM_JOOMSCHOOL_DB_UPDATES_INFO') ?></p>
<?php endif; ?>

<form
        id="updateDownloadID"
        method="post"
        action="<?php echo $actionLink ?>"
>

    <div class="input-group mb-3">
        <input name="did"
               value="<?php echo $versionInfo->downloadId; ?>"
               type="password"
               id="did"
               placeholder="<?php echo JText::_('COM_JOOMSCHOOL_YOUR_DOWNLOADID') ?>"
               required
               clas="form-control">
        <div class="input-group-append">
            <button class="btn btn-outline-secondary" type="submit"
                    title="<?php echo JText::_('COM_JOOMSCHOOL_SAVE_DOWNLOADID') ?>">
                <i class="fas fa-save"></i>
            </button>
        </div>
		<?php echo JHtml::_('form.token'); ?>
    </div>

    <div class="LoadingBox mb-2" style="display: none">
        <p class="alert alert-success">
            <span class="fas fa-sync-alt"></span> <?php echo JText::_('COM_JOOMSCHOOL_UPDATING_DOWNLOADID') ?>
        </p>
    </div>

    <div class="messagesBox" class="mb-2"></div>
</form>
<script>
    jQuery(document).ready(function ($) {

        var frm = $('#updateDownloadID');
        frm.submit(function (ev) {

            $('.messagesBox p').remove();
            $('.LoadingBox').show();
            $.ajax({
                type: frm.attr('method'),
                url: frm.attr('action'),
                data: frm.serialize(),
                success: function (data) {
                    $('.LoadingBox').hide();
                    var data = $.parseJSON(data);
                    if (!data.success) {
                        $('<p class="alert alert-danger"><span class="fas fa-exclamation-triangle"></span> ' + data.message + '</p>').appendTo('.messagesBox');
                    } else
                        $('<p class="alert alert-success"><span class="fas fa-check"></span> ' + data.message + '</p>').appendTo('.messagesBox');

                }
            });

            ev.preventDefault();
        });

    });
</script>