<?php
/**
 * @package        JoomSchool
 * @copyright      2013-2020 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file

defined('_JEXEC') or die('Restricted access');

extract($displayData);

JHtml::_('stylesheet', 'com_joomschool/Chart.min.css', false, true);
JHtml::_('script', 'com_joomschool/moment.min.js', array('version' => 'auto', 'relative' => true));
JHtml::_('script', 'com_joomschool/Chart.min.js', array('version' => 'auto', 'relative' => true));
JHtml::_('script', 'com_joomschool/Chart.utils.js',array('version' => 'auto', 'relative' => true));
JHtml::_('script', 'com_joomschool/Chart.bundle.min.js',array('version' => 'auto', 'relative' => true));


?>
<canvas id="chart_recent_items"></canvas>
<script>
    var daysRange = numberRange(-29, 1);
    var timeFormat = 'MM/DD';
    var color = Chart.helpers.color;
    var config = {
        type: 'line',
        data: {
            labels: daysRange,
            datasets: [ {
                label: '<?php echo JText::_('MENU_ATTENDANCE') ?>',
                backgroundColor: color(window.chartColors.green).alpha(0.5).rgbString(),
                borderColor: window.chartColors.green,
                fill: false,
                data: [
					<?php echo implode(',', $recent['attendances']) ?>
                ]
            },
                {
                    label: '<?php echo JText::_('MENU_MESSAGES') ?>',
                    backgroundColor: color(window.chartColors.blue).alpha(0.5).rgbString(),
                    borderColor: window.chartColors.blue,
                    fill: false,
                    data: [
						<?php echo implode(',', $recent['messages']) ?>
                    ]
                },
                {
                    label: '<?php echo JText::_('MENU_EXAMS') ?>',
                    backgroundColor: color(window.chartColors.red).alpha(0.5).rgbString(),
                    borderColor: window.chartColors.red,
                    fill: false,
                    data: [
			            <?php echo implode(',', $recent['exams']) ?>
                    ]
                }
            ]
        },
        options: {
            scales: {
                xAxes: [{
                    type: 'time',
                    time: {
                        parser: timeFormat,
                        // round: 'day'
                        tooltipFormat: 'll'
                    },
                    scaleLabel: {
                        display: true,
                        labelString: '<?php echo JText::_('COM_JOOMSCHOOL_GRAPH_DATE'); ?>'
                    }
                }],
                yAxes: [{
                    scaleLabel: {
                        display: true,
                        labelString: '<?php echo JText::_('COM_JOOMSCHOOL_GRAPH_SUBMISSION'); ?>'
                    }
                }]
            },
        }
    };

    window.onload = function () {
        var ctx = document.getElementById('chart_recent_items').getContext('2d');
        window.myLine = new Chart(ctx, config);

    };

</script>



