<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;


class JoomschoolModelBooks extends JModelList
{

    public function __construct($config = array())
    {
        if (empty($config['filter_fields'])) {
            $config['filter_fields'] = array(
                'id', 'a.id',
                'book_name', 'a.book_name'




            );
        }

        parent::__construct($config);
    }



    protected function populateState($ordering = 'b.book_name', $direction = 'asc')
    {
        $app = JFactory::getApplication('administrator');

        // Adjust the context to support modal layouts.
        if ($layout = $app->input->get('layout', 'default', 'cmd')) {
            $this->context .= '.' . $layout;
        }

        // Load the filter state.
        $this->setState('filter.search', $this->getUserStateFromRequest($this->context . '.filter.search', 'filter_search', '', 'string'));
        $this->setState('filter.active', $this->getUserStateFromRequest($this->context . '.filter.active', 'filter_active', '', 'cmd'));
        $this->setState('filter.published', $this->getUserStateFromRequest($this->context . '.filter.published', 'filter_published', '', 'cmd'));

        $this->setState('filter.range', $this->getUserStateFromRequest($this->context . '.filter.range', 'filter_range', '', 'cmd'));


        $groups = json_decode(base64_decode($app->input->get('groups', '', 'BASE64')));

        if (isset($groups)) {
            $groups = ArrayHelper::toInteger($groups);
        }

        $this->setState('filter.groups', $groups);

        $excluded = json_decode(base64_decode($app->input->get('excluded', '', 'BASE64')));

        if (isset($excluded)) {
            $excluded = ArrayHelper::toInteger($excluded);
        }

        $this->setState('filter.excluded', $excluded);

        // Load the parameters.
        $params = JComponentHelper::getParams('com_joomschool');
        $this->setState('params', $params);

        // List state information.
        parent::populateState($ordering, $direction);
    }





    protected function getListQuery()
    {
        // Create a new query object.
        $db = $this->getDbo();
        $query = $db->getQuery(true);
        $input = JFactory::getApplication()->input;

        // Select the required fields from the table.
        $query->select(
            $this->getState(
                'list.select',
                'DISTINCT b.id, b.isbn, b.book_category, b.book_name, b.writer_name, b.rack_number, b.price, b.quantity, b.description, b.book_add_date, b.photo,bc.catname,br.rackname,br.racknumber'
            )
        );
        $query->from('#__joomschool_book AS b');
        $query->join('LEFT', '#__joomschool_book_category AS bc ON bc.id = b.book_category');
        $query->join('LEFT', '#__joomschool_book_rack AS br ON br.racknumber = b.rack_number');



        // Add the list ordering clause.
        $query->order($db->qn($db->escape($this->getState('list.ordering', 'b.book_name'))) . ' ' . $db->escape($this->getState('list.direction', 'ASC')));

        return $query;

    }


	


	
}
