<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
// No direct access.
defined('_JEXEC') or die();
 
JFormHelper::loadFieldClass('list');
 
class JFormFieldBooks extends JFormFieldList
{
   
    protected $type = 'books';
    protected $loadExternally = 0;
    protected function getOptions()
    {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select('c.id, c.	book_name');
        $query->from('`#__joomschool_book` AS c');
        $query->order($db->escape('c.id ASC'));
        $db->setQuery($query);
        // Get all countries.
        $books = $db->loadObjectList();
        $options = array();
        foreach ($books as $c)
        {
         $options[] = JHtml::_('select.option', $c->id, $c->book_name);
        }
        if (!$this->loadExternally)
        {
            // Merge any additional options in the XML definition.
            $options = array_merge(parent::getOptions(), $options);
        }
 
        return $options;
    }
 
   
    public function getOptionsExternally()
    {
        $this->loadExternally = 1;
 
        return $this->getOptions();
    }
}
