<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
 
// No direct access.
defined('_JEXEC') or die();
 
JFormHelper::loadFieldClass('list');
 
/**
 * Supports an HTML select list of categories
 */
class JFormFieldClassteacher extends JFormFieldList
{
    /**
     * The form field type.
     *
     * @var     string
     * @since   1.6
     */
    protected $type = 'classteacher';
 
    /**
     * Fiedd to decide if options are being loaded externally and from xml
     *
     * @var     integer
     * @since   2.2
     */
    protected $loadExternally = 0;
 
    /**
     * Method to get a list of options for a list input.
     *
     * @return  array       An array of JHtml options.
     *
     * @since   11.4
     */
    protected function getOptions()
    {

        $user = JFactory::getUser();
        $classes = $this->getTeacherClass();


        $options = array();



        foreach ($classes as $key => $value)
        {
            $options[] = JHtml::_('select.option', $key, $value);
        }

        if (!$this->loadExternally)
        {
            // Merge any additional options in the XML definition.
            $options = array_merge(parent::getOptions(), $options);
        }
 
        return $options;
    }

    public function getTeacherClass(){
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
       $app = JFactory::getApplication();
        $id = $app->input->getInt('id',0);
        // Select the required fields from the table.
        $query->select('t.class');
        if(JFactory::getApplication()->isClient('administrator')){

            $query->from('#__joomschool_announcements AS a');
            $query->join('INNER', $db->quoteName('#__joomschool_teachers', 't') . ' ON ' . $db->quoteName('a.teacher_id') . ' = ' . $db->quoteName('t.id'));
            $query->where('a.id = '.$id);
        }else{
            $teacher_id = JoomschoolHelper::getTeacherIDbyUserid(JFactory::getUser()->id);
            $query->from('#__joomschool_teachers AS t');
            $query->where('t.id = '.$teacher_id);
        }


        $db->setQuery($query);

        $result =  explode(",",$db->loadResult());


        $classes = [];
        foreach ($result as $class){
            $classes[$class] = JoomschoolHelper::getClassname($class);
        }

        return $classes;
    }
 
    /**
     * Method to get a list of options for a list input externally and not from xml.
     *
     * @return  array       An array of JHtml options.
     *
     * @since   2.2
     */
    public function getOptionsExternally()
    {
        $this->loadExternally = 1;
 
        return $this->getOptions();
    }
}
