<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
 
// No direct access.
defined('_JEXEC') or die();
 
JFormHelper::loadFieldClass('list');
 
/**
 * Supports an HTML select list of categories
 */
class JFormFieldTransport extends JFormFieldList
{
    /**
     * The form field type.
     *
     * @var     string
     * @since   1.6
     */
    protected $type = 'Transport';

 
    /**
     * Method to get a list of options for a list input.
     *
     * @return  array       An array of JHtml options.
     *
     * @since   11.4
     */
    protected function getOptions()
    {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
       
        // Select the required fields from the table.
        $query->select('t.id, t.number_of_vehicle');
        $query->from('`#__joomschool_transport` AS t');
 
        
        $query->order($db->escape('t.id ASC'));
 
        $db->setQuery($query);
 
        // Get all countries.
        $transports = $db->loadObjectList();
 
        $options = array();
 
        // Load lang file for countries
        //$lang = JFactory::getLanguage();
     //   $lang->load('tjgeo.countries', JPATH_SITE, null, false, true);
 
        foreach ($transports as $transport)
        {
            $options[] = JHtml::_('select.option', $transport->id, $transport->number_of_vehicle);
        }

 
        if (!$this->loadExternally)
        {
            // Merge any additional options in the XML definition.
            $options = array_merge(parent::getOptions(), $options);
        }
 
        return $options;
    }
 
    /**
     * Method to get a list of options for a list input externally and not from xml.
     *
     * @return  array       An array of JHtml options.
     *
     * @since   2.2
     */
    public function getOptionsExternally()
    {
        $this->loadExternally = 1;
 
        return $this->getOptions();
    }
}
