<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
// No direct access.
defined('_JEXEC') or die();
 
JFormHelper::loadFieldClass('list');
 
/**
 * Supports an HTML select list of categories
 */
class JFormFieldYear extends JFormFieldList
{
    /**
     * The form field type.
     *
     * @var     string
     * @since   1.6
     */
    protected $type = 'year';
 
    /**
     * Fiedd to decide if options are being loaded externally and from xml
     *
     * @var     integer
     * @since   2.2
     */
    protected $loadExternally = 0;
 
    /**
     * Method to get a list of options for a list input.
     *
     * @return  array       An array of JHtml options.
     *
     * @since   11.4
     */
    protected function getOptions()
    {
        $app = JFactory::getApplication();
        $params = JComponentHelper::getParams('com_joomschool');
  
        $year_range_start = $params->get('year_range_start');
        $year_range_end = $params->get('year_range_end');
				$options = array();
 
        $year=0;
         for($i = $year_range_start; $i <= $year_range_end; $i++) {
             if(!empty($year)){
                 $isCurrentY="false";
             }else{
                 $isCurrentY = ($i == intVal(date("Y"))) ? 'true': 'false';
												 }
												 
            $options[] = JHtml::_('select.option', $i, $i);
        }
        if(empty($this->value )){
            $this->value = JoomschoolHelper::getAcademicIdByYear(intVal(date("Y")));
        }
        if (!$this->loadExternally)
        {
            // Merge any additional options in the XML definition.
            $options = array_merge(parent::getOptions(), $options);
        }
 
        return $options;
    }
 
    /**
     * Method to get a list of options for a list input externally and not from xml.
     *
     * @return  array       An array of JHtml options.
     *
     * @since   2.2
     */
    public function getOptionsExternally()
    {
        $this->loadExternally = 1;
 
        return $this->getOptions();
    }
}
