<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;


class JoomschoolModelGrades extends JModelList
{

    public function __construct($config = array())
    {
        if (empty($config['filter_fields'])) {
            $config['filter_fields'] = array(
                'id', 'a.id',
                'name', 'a.name',
                'category', 'a.category',
                'grade_point', 'a.grade_point',
                'mark_from','a.mark_from',
                'mark_upto','a.mark_upto'




            );
        }

        parent::__construct($config);
    }



    protected function populateState($ordering = 'a.name', $direction = 'asc')
    {
        $app = JFactory::getApplication('administrator');

        // Adjust the context to support modal layouts.
        if ($layout = $app->input->get('layout', 'default', 'cmd')) {
            $this->context .= '.' . $layout;
        }

        // Load the filter state.
        $this->setState('filter.search', $this->getUserStateFromRequest($this->context . '.filter.search', 'filter_search', '', 'string'));
        $this->setState('filter.active', $this->getUserStateFromRequest($this->context . '.filter.active', 'filter_active', '', 'cmd'));
        $this->setState('filter.published', $this->getUserStateFromRequest($this->context . '.filter.published', 'filter_published', '', 'cmd'));

        $this->setState('filter.range', $this->getUserStateFromRequest($this->context . '.filter.range', 'filter_range', '', 'cmd'));


        $groups = json_decode(base64_decode($app->input->get('groups', '', 'BASE64')));

        if (isset($groups)) {
            $groups = ArrayHelper::toInteger($groups);
        }

        $this->setState('filter.groups', $groups);

        $excluded = json_decode(base64_decode($app->input->get('excluded', '', 'BASE64')));

        if (isset($excluded)) {
            $excluded = ArrayHelper::toInteger($excluded);
        }

        $this->setState('filter.excluded', $excluded);

        // Load the parameters.
        $params = JComponentHelper::getParams('com_joomschool');
        $this->setState('params', $params);

        // List state information.
        parent::populateState($ordering, $direction);
    }






    protected function getListQuery()
    {
        // Create a new query object.
        $db = $this->getDbo();
        $query = $db->getQuery(true);
        $user = JFactory::getUser();
        $input = JFactory::getApplication()->input;

        // Select the required fields from the table.
        $query->select(
            $this->getState(
                'list.select',
                'a.id,a.name,a.category,a.grade_point,a.mark_from,a.mark_upto,a.comment,ga.name as category_grade_name'
            )
        );
        $query->from('#__joomschool_exams_grade AS a');
        $query->join('LEFT','#__joomschool_grade_category AS ga ON ga.id = a.category');

// Filter by Category.
        $status = $this->getState('list.status');
        if (is_numeric($status))
        {
            $query->where('category = ' . $db->quote($status));
        }

        // Filter by search in title.
        $search = $this->getState('filter.search');

        if (!empty($search))
        {
            if (is_numeric($search))
            {
                $query->where('id = ' . (int) $search);
            }
            else
            {
                $search = $db->quote('%' . str_replace(' ', '%', $db->escape(trim($search), true) . '%'));
                $query->where('(name LIKE ' . $search . ')');
            }
        }


        // Add the list ordering clause.
        $query->order($db->qn($db->escape($this->getState('list.ordering', 'a.name'))) . ' ' . $db->escape($this->getState('list.direction', 'ASC')));


        return $query;

    }



	/**
	** Grade Category List
	**/
	function getGcategoryList($id){
	     $db = JFactory::getDBO();
        $query = "SELECT id,name FROM `#__joomschool_grade_category`";
        $query.=" ORDER BY id asc ";
        $db->setQuery($query);
        $rows = $db->loadObjectList();
        if ($db->getErrorNum()) {
            echo $db->stderr();
            return false;
        }
        $divisions = array();

        foreach ($rows as $row) {
            $divisions[] = array('value' => $row->id, 'text' => JText::_(' '.$row->name));
        }
			 $division =  JHTML::_('select.genericList', $divisions, 'category', ' class=" divisionBox inputbox  " ', 'value', 'text',$id);
       return $division;
	}


	function getGcategoryName($id){
	      $db = JFactory::getDBO();
			  $query_result = "SELECT name FROM `#__joomschool_grade_category` WHERE id = '".$id."'";
				$db->setQuery($query_result);
				$data = $db->loadResult();
				return $data;
	}

	/**------------------------------------------------------------------------------------------------------------------
	 ** ------------------------------- SUBJECT DATA --------------------------------------------------------------------
	 **-----------------------------------------------------------------------------------------------------------------*/
	function getGrade($id)
	{
	 if ($id) {
			$this->_id = $id;
		}
		if (empty($this->_data)) {
		$this->_data = $this->getTable ('grade');
		$this->_data->load ($this->_id);
		}
		return $this->_data;
	}


}
