<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;


class JoomschoolModelMessages extends JModelList
{


    function __construct()
    {
        parent::__construct();

        $mainframe = JFactory::getApplication();

        // Get pagination request variables
        $limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
        $limitstart = JRequest::getVar('limitstart', 0, '', 'int');

        // In case limit has been changed, adjust it
        $limitstart = ($limit != 0 ? (floor($limitstart / $limit) * $limit) : 0);

        $this->setState('limit', $limit);
        $this->setState('limitstart', $limitstart);
    }

    function getTeacherID($value)
    {
        $db = JFactory::getDBO();
        $query = "SELECT * FROM #__joomschool_teachers AS T ";
        $query .= "WHERE T.name LIKE '%" . $value . "%' ";
        $query .= " ORDER BY id asc ";
        $db->setQuery($query);
        $rows = $db->loadObjectList();
        return $rows;
    }

    function getStudentID($value)
    {
        $db = JFactory::getDBO();
        $query = "SELECT * FROM #__joomschool_students";
        $query .= "WHERE name LIKE '%" . $value . "%' ";
        $query .= " ORDER BY id asc ";

        $db->setQuery($query);
        return $db->loadObjectList();

    }


    function avator($id)
    {
        $db = JFactory::getDBO();
        //Get group id
        $query_group = $db->getQuery(true);
        $query_group
            ->select(array('group_id'))
            ->from($db->quoteName('#__user_usergroup_map'))
            ->where($db->quoteName('user_id') . ' = ' . $db->quote($id));

        $db->setQuery($query_group);
        $group = $db->loadResult();

        //Get group name
        $query_group_name = $db->getQuery(true);
        $query_group_name
            ->select(array('title'))
            ->from($db->quoteName('#__usergroups'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($group));

        $db->setQuery($query_group_name);
        $group_name = $db->loadResult();

        if ($group_name == 'Students') {
            $query_student = $db->getQuery(true);
            $query_student
                ->select(array('photo'))
                ->from($db->quoteName('#__joomschool_students'))
                ->where($db->quoteName('user_id') . ' = ' . $db->quote($id));
            $db->setQuery($query_student);
            $student_photo = $db->loadResult();
            $path = "../components/com_joomschool/photo/students/" . $student_photo . "";
        } else if ($group_name == 'Teachers') {
            $query_teacher = $db->getQuery(true);
            $query_teacher
                ->select(array('photo'))
                ->from($db->quoteName('#__joomschool_teachers'))
                ->where($db->quoteName('user_id') . ' = ' . $db->quote($id));
            $db->setQuery($query_teacher);
            $teacher_photo = $db->loadResult();
            $path = "../components/com_joomschool/photo/teachers/" . $teacher_photo . "";
        } else if ($group_name == 'Parents') {
            $query_parent = $db->getQuery(true);
            $query_parent
                ->select(array('photo'))
                ->from($db->quoteName('#__joomschool_parents'))
                ->where($db->quoteName('user_id') . ' = ' . $db->quote($id));
            $db->setQuery($query_parent);
            $parent_photo = $db->loadResult();
            $path = "../components/com_joomschool/photo/parents/" . $parent_photo . "";
        } else {
            $path = "../components/com_joomschool/photo/photo.png";
        }

        return $path;
    }

    function getTeachername($id)
    {
        $db = JFactory::getDBO();
        $query_result = "SELECT name FROM `#__users` WHERE id = '" . $id . "'";
        $db->setQuery($query_result);
        $data = $db->loadResult();
        return $data;
    }


    /**------------------------------------------------------------------------------------------------------------------
     ** ------------------------------- SUBJECT DATA --------------------------------------------------------------------
     **-----------------------------------------------------------------------------------------------------------------*/
    function getMessage($id)
    {
        if ($id) {
            $this->_id = $id;
        }
        if (empty($this->_data)) {
            $this->_data = $this->getTable('message');
            $this->_data->load($this->_id);
        }
        return $this->_data;
    }

    /**------------------------------------------------------------------------------------------------------------------
     ** ------------------------------- Message List --------------------------------------------------------------------
     **-----------------------------------------------------------------------------------------------------------------*/
    protected function getListQuery()
    {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select('*')->from($db->quoteName('#__joomschool_message'));
        $orderCol = $this->state->get('list.ordering', 'id');
        $orderDirn = $this->state->get('list.direction', 'desc');


        // Filter by search in title.
        $search = $this->getState('filter.search');

        if (!empty($search)) {
            if (is_numeric($search)) {
                $query->where('id = ' . (int)$search);
            } else {
                $search = $db->quote('%' . str_replace(' ', '%', $db->escape(trim($search), true) . '%'));
                $query->where('(subject LIKE ' . $search . ' OR recever_name LIKE ' . $search . ')');
            }
        }


        $query->order($db->escape($orderCol) . ' ' . $db->escape($orderDirn));
        return $query;
    }

    protected function populateState($ordering = null, $direction = null)
    {
        // Initialise variables.
        $app = JFactory::getApplication('administrator');

        $search = $this->getUserStateFromRequest($this->context . '.filter.search', 'filter_search');
        $this->setState('filter.search', $search);

        //Takes care of states: list. limit / start / ordering / direction
        parent::populateState('id', 'desc');
    }


    public function delete()
    {
        $cids = JRequest::getVar('cid', array(0), 'post', 'array');
        $table = $this->getTable('message');
        $table_reply = $this->getTable('messagereply');
        if (count($cids)) {
            foreach ($cids as $cid) {
                //Reply delete
                if ($cid) {
                    $db = JFactory::getDBO();
                    $db->setQuery("DELETE FROM #__joomschool_message_reply  WHERE message_id='" . $cid . "' ");
                    $db->query();
                }

                //Message delete
                if (!$table->delete($cid)) {
                    $this->setError($this->_db->getErrorMsg());
                    return false;
                }
            }
        }
        return true;
    }

}
