/*--- UPDATE ASSETS RULES ---*/
UPDATE `#__assets`
SET `rules`='{"core.login.site":{"6":1,"2":1,"140001":1,"140002":1,"140003":1},"core.login.admin":{"6":1},"core.login.offline":{"6":1},"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'
WHERE `id`=1; 

/*--- CREATE USER GROUP ---*/

/*-- DELETE GROUP --*/
DELETE FROM `#__usergroups` WHERE id = 140001;
DELETE FROM `#__usergroups` WHERE id = 140002;
DELETE FROM `#__usergroups` WHERE id = 140003;

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(140001, 2, 22, 23, 'Students'),
(140002, 2, 26, 27, 'Teachers'),
(140003, 2, 8, 9, 'Parents');

/*--- CREATE USER VIEW LABEL ---*/

/*-- DELETE VIEW LABEL --*/
DELETE FROM `#__viewlevels` WHERE id = 140004;
DELETE FROM `#__viewlevels` WHERE id = 140005;
DELETE FROM `#__viewlevels` WHERE id = 140006;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(140004, 'Students', 0, '[140001]'),
(140005, 'Teachers', 0, '[140002]'),
(140006, 'Parents', 0, '[140003]');



CREATE TABLE IF NOT EXISTS `#__joomschool_academic_year` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `year` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `published` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_attendance` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `attendance_date` text COLLATE utf8_general_ci NOT NULL,
  `class` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `class_subjects` VARCHAR(255) NOT NULL,
  `section` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `total_student` int(11) NOT NULL,
  `teacher` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `create_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `update_date` varchar(255) COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_attendance_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entry_by` int(11) NOT NULL,
  `student_id` int(11) NOT NULL,
  `attend` int(11) NOT NULL,
  `attendance_id` int(11) NOT NULL,
  `create_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `update_date` varchar(255) COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;



CREATE TABLE IF NOT EXISTS `#__joomschool_book` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `isbn` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `book_category` int(11) NOT NULL,
  `book_name` text COLLATE utf8_general_ci NOT NULL,
  `writer_name` text COLLATE utf8_general_ci NOT NULL,
  `rack_number` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `price` int(11) NOT NULL,
  `quantity` int(11) NOT NULL,
  `description` text COLLATE utf8_general_ci NOT NULL,
  `book_add_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `photo` text COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;


CREATE TABLE IF NOT EXISTS `#__joomschool_book_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catname` varchar(255) COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;



CREATE TABLE IF NOT EXISTS `#__joomschool_book_issue` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) NOT NULL,
  `roll` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `issue_date` text COLLATE utf8_general_ci NOT NULL,
  `priod` text COLLATE utf8_general_ci NOT NULL,
  `return_date` text COLLATE utf8_general_ci NOT NULL,
  `book_category` int(11) NOT NULL,
  `book_id` int(11) NOT NULL,
  `class` int(11) NOT NULL,
  `add_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `accept` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;



CREATE TABLE IF NOT EXISTS `#__joomschool_book_member` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `section` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `division` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `year` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `roll` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `student_id` int(11) NOT NULL,
  `createdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_book_rack` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rackname` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `racknumber` varchar(255) COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;


CREATE TABLE IF NOT EXISTS `#__joomschool_class` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class_name` text COLLATE utf8_general_ci NOT NULL,
  `section_id` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `division_id` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `subject_id` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `grade_system` int(11) NOT NULL,
  `published` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;



CREATE TABLE IF NOT EXISTS `#__joomschool_division` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `division_name` text COLLATE utf8_general_ci NOT NULL,
  `published` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;


CREATE TABLE IF NOT EXISTS `#__joomschool_exams` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `examdate` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `comment` text COLLATE utf8_general_ci NOT NULL,
  `published` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;



CREATE TABLE IF NOT EXISTS `#__joomschool_exams_grade` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category` int(11) NOT NULL,
  `name` longtext COLLATE utf8_general_ci NOT NULL,
  `grade_point` text COLLATE utf8_general_ci NOT NULL,
  `mark_from` int(11) NOT NULL,
  `mark_upto` int(11) NOT NULL,
  `comment` longtext COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

INSERT INTO `#__joomschool_exams_grade` (`id`, `category`, `name`, `grade_point`, `mark_from`, `mark_upto`, `comment`) VALUES
(1, 1, 'A+', '5', 80, 100, 'Excellent'),
(2, 1, 'A', '4', 70, 79, 'Very Good'),
(3, 1, 'A-', '3.5', 60, 69, 'Good'),
(4, 1, 'B', '3', 50, 59, 'Okay'),
(5, 1, 'C', '2', 40, 49, 'Not good'),
(6, 1, 'D', '1', 33, 39, 'Pass'),
(7, 1, 'F', '0', 0, 32, 'Fail');



CREATE TABLE IF NOT EXISTS `#__joomschool_exams_mark` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) NOT NULL,
  `subject_id` int(11) NOT NULL,
  `class_id` int(11) NOT NULL,
  `exam_id` int(11) NOT NULL,
  `marks` int(11) NOT NULL,
  `mark_total` int(11) NOT NULL DEFAULT '100',
  `comment` longtext COLLATE utf8_general_ci NOT NULL,
  `roll` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `year` varchar(255) COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;


CREATE TABLE IF NOT EXISTS `#__joomschool_examtearm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tearm` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `published` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;


CREATE TABLE IF NOT EXISTS `#__joomschool_expense_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



CREATE TABLE IF NOT EXISTS `#__joomschool_expenses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `cat` int(11) NOT NULL,
  `description` text COLLATE utf8_general_ci NOT NULL,
  `ammount` int(11) NOT NULL,
  `method` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `expense_date` text COLLATE utf8_general_ci NOT NULL,
  `uid` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_grade_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `mark` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;


INSERT INTO `#__joomschool_grade_category` (`id`, `name`, `mark`) VALUES
(1, 'System A (According 100 Mark)', 100);

CREATE TABLE IF NOT EXISTS `#__joomschool_message` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sender_id` int(11) NOT NULL,
  `recever_name` text COLLATE utf8_general_ci NOT NULL,
  `recever_id` int(11) NOT NULL,
  `subject` text COLLATE utf8_general_ci NOT NULL,
  `message` longtext COLLATE utf8_general_ci NOT NULL,
  `class_subjects` VARCHAR(255) NOT NULL,
  `assigned_status` TINYINT(3) NOT NULL,
  `status` int(11) NOT NULL,
  `date_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `reply` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_message_reply` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `message_id` int(11) NOT NULL,
  `sender_id` int(11) NOT NULL,
  `recever_id` int(11) NOT NULL,
  `message` longtext COLLATE utf8_general_ci NOT NULL,
  `status` int(11) NOT NULL,
  `date_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;


CREATE TABLE IF NOT EXISTS `#__joomschool_parents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mobile_no` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `state` int(11) NOT NULL,
  `photo` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `user_id` int(11) NOT NULL,
  `student_id` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `roll` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `created` DATETIME NOT NULL ,
  `created_by` INT(10) NOT NULL,
  `created_by_alias` VARCHAR(255) NOT NULL,
  `modified` DATETIME NOT NULL,
  `modified_by` INT(10) NOT NULL,
  `publish_up` DATETIME NOT NULL ,
  `publish_down` DATETIME NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;


CREATE TABLE IF NOT EXISTS `#__joomschool_pay_method` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `published` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

INSERT INTO `#__joomschool_pay_method` (`id`, `name`, `published`) VALUES
(1, 'Check', 1),
(2, 'Cash', 1),
(3, 'Card', 1);

CREATE TABLE IF NOT EXISTS `#__joomschool_pay_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `fee` int(11) NOT NULL,
  `comment` text COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;




CREATE TABLE IF NOT EXISTS `#__joomschool_payments` (
   `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) NOT NULL,
  `student_class` int(11) NOT NULL,
  `student_section` int(11) NOT NULL,
  `student_roll` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `payment_method` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `month` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `year` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `pay_for_id` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `total_bill` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `paid_ammount` int(11) NOT NULL,
  `due_ammount` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `status` int(11) NOT NULL,
  `create_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `comment` text COLLATE utf8_general_ci NOT NULL,
  `uid` int(11) NOT NULL,
  `txn_id` text COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;



CREATE TABLE IF NOT EXISTS `#__joomschool_sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `section_name` text COLLATE utf8_general_ci NOT NULL,
  `published` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_student_year` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sid` int(11) NOT NULL,
  `class` int(11) NOT NULL,
  `roll` int(11) NOT NULL,
  `section` int(11) NOT NULL,
  `division` int(11) NOT NULL,
  `year` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_students` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `state` int(11) NOT NULL,
  `photo` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `user_id` int(11) NOT NULL,
  `class_id` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `roll` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `division_id` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `section_id` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `year` int(11) NOT NULL,
  `transport_id` int(11) NOT NULL,
  `created` DATETIME NOT NULL ,
  `created_by` INT(10) NOT NULL,
  `created_by_alias` VARCHAR(255) NOT NULL,
  `modified` DATETIME NOT NULL,
  `modified_by` INT(10) NOT NULL,
  `publish_up` DATETIME NOT NULL ,
  `publish_down` DATETIME NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_subjects` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subject_name` text COLLATE utf8_general_ci NOT NULL,
  `subject_shot_name` text COLLATE utf8_general_ci NOT NULL,
  `subject_code` text COLLATE utf8_general_ci NOT NULL,
  `published` int(11) NOT NULL,
  `order_number` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_teachers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photo` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `state` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `designation` text COLLATE utf8_general_ci NOT NULL,
  `class` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `section` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `subject` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `created` DATETIME NOT NULL ,
  `created_by` INT(10) NOT NULL,
  `created_by_alias` VARCHAR(255) NOT NULL,
  `modified` DATETIME NOT NULL,
  `modified_by` INT(10) NOT NULL,
  `publish_up` DATETIME NOT NULL ,
  `publish_down` DATETIME NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_transport` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `route_name` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `number_of_vehicle` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `vehicle_registration_no` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `driver_name` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `driver_contact_no` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `photo` text COLLATE utf8_general_ci NOT NULL,
  `route_fare` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `published` INT(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_name` varchar(255) NOT NULL,
  `published` int(11) NOT NULL DEFAULT '1',
  `type` int(11) NOT NULL,
  `required` int(11) NOT NULL,
  `section` int(11) NOT NULL,
  `option_param` varchar(1800) NOT NULL,
  `field_order` int(11) NOT NULL,
  `profile` int(11) NOT NULL,
  `list` int(11) NOT NULL,
  `biodata` int(11) NOT NULL,
  PRIMARY KEY (`id`)
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

/*--- 30 FIELDS INSERT  ---*/
INSERT INTO `#__joomschool_fields` (`id`, `field_name`, `published`, `type`, `required`, `section`, `option_param`, `field_order`, `profile`, `list`, `biodata`) VALUES
(1, 'Father''s Name', 1, 1, 1, 1, '', 1, 1, 0, 1),
(5, 'Address', 1, 2, 1, 1, '', 7, 1, 0, 1),
(7, 'Gender', 1, 4, 1, 1, 'male=Male,\r\nfemale=Female', 6, 0, 0, 0),
(9, 'Father''s Name', 1, 1, 1, 2, '', 1, 1, 0, 1),
(12, 'Father''s Name', 1, 1, 1, 3, '', 1, 1, 0, 1),
(13, 'Gender', 1, 4, 1, 3, 'male=Male,\r\nfemale=Female', 5, 1, 0, 1),
(14, 'Birthday', 1, 6, 1, 3, '', 6, 1, 0, 1),
(15, 'Mother''s Name', 1, 1, 1, 1, '', 2, 1, 0, 1),
(16, 'Religion', 1, 1, 1, 1, '', 3, 1, 0, 1),
(17, 'Blood Group', 1, 1, 0, 1, '', 4, 1, 0, 1),
(18, 'Birthday', 1, 6, 1, 1, '', 5, 1, 0, 1),
(19, 'Mother''s Name', 1, 1, 1, 2, '', 2, 1, 0, 1),
(20, 'Religion', 1, 1, 0, 2, '', 3, 1, 0, 1),
(21, 'Blood Group', 1, 1, 0, 2, '', 4, 1, 0, 1),
(22, 'Birthday', 1, 6, 1, 2, '', 5, 1, 0, 1),
(23, 'Address', 1, 2, 1, 2, '', 7, 1, 0, 1),
(24, 'Mother''s Name', 1, 1, 1, 3, '', 2, 1, 0, 1),
(25, 'Religion', 1, 1, 0, 3, '', 3, 1, 0, 1),
(26, 'Blood Group', 1, 1, 0, 3, '', 4, 1, 0, 1),
(27, 'Address', 1, 2, 1, 3, '', 7, 1, 0, 1),
(28, 'Gender', 1, 4, 1, 2, 'male=Male,\r\nfemale=Female', 6, 1, 0, 1);



CREATE TABLE IF NOT EXISTS `#__joomschool_fields_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fid` int(11) NOT NULL,
  `sid` int(11) NOT NULL,
  `data` varchar(1800) NOT NULL,
  `panel_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;


CREATE TABLE IF NOT EXISTS `#__joomschool_fields_section` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

/*--- 32 FIELDS SECTION INSERT ---*/
INSERT INTO `#__joomschool_fields_section` (`id`, `name`) VALUES
(1, 'student'),
(2, 'teacher'),
(3, 'parent');


CREATE TABLE IF NOT EXISTS `#__joomschool_fields_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

/*--- 33 FIELDS INSERT ---*/
INSERT INTO `#__joomschool_fields_type` (`id`, `type`) VALUES
(1, 'Input Box'),
(2, 'Text Area'),
(3, 'Check Box'),
(4, 'Radio Box'),
(5, 'Select Box'),
(6, 'datepicker');

CREATE TABLE IF NOT EXISTS `#__joomschool_result_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `roll` varchar(255) COLLATE utf8_general_ci NOT NULL,
  `class` int(11) NOT NULL,
  `eid` int(11) NOT NULL,
  `comments` text COLLATE utf8_general_ci NOT NULL,
  `tid` int(11) NOT NULL,
  `create_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_attachments` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `type` varchar(10) NOT NULL,
    `filename` varchar(200) NOT NULL,
    `created` DATETIME NOT NULL,
    `type_id` int(11) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_general_ci;

CREATE TABLE IF NOT EXISTS `#__joomschool_announcements`
(
    `id`               int(10) PRIMARY KEY AUTO_INCREMENT,
    `title`            varchar(255) COLLATE utf8mb4_unicode_ci                NOT NULL DEFAULT '',
    `alias`            varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
    `introtext`         mediumtext COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
    `fulltext`          mediumtext COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
    `image`            text COLLATE utf8mb4_unicode_ci                        NOT NULL DEFAULT '',
    `teacher_id`       int(10) UNSIGNED NOT NULL DEFAULT 0,
    `class_id`         varchar(255) NOT NULL DEFAULT '',
    `state`            tinyint(3) NOT NULL DEFAULT 0,
    `created`          datetime                                                        DEFAULT NULL,
    `created_by`       int(10) UNSIGNED NOT NULL DEFAULT 0,
    `created_by_alias` varchar(255) COLLATE utf8mb4_unicode_ci                NOT NULL DEFAULT '',
    `modified`         datetime                                                        DEFAULT NULL,
    `modified_by`      int(10) UNSIGNED NOT NULL DEFAULT 0,
    `checked_out`      int(10) UNSIGNED NOT NULL DEFAULT 0,
    `checked_out_time` datetime                                                        DEFAULT NULL,
    `ordering`         int(11) NOT NULL DEFAULT 0,
    `metakey`          text COLLATE utf8mb4_unicode_ci                        NOT NULL DEFAULT '',
    `metadesc`         text COLLATE utf8mb4_unicode_ci                        NOT NULL DEFAULT '',
    `access`           int(10) UNSIGNED NOT NULL DEFAULT 0,
    `metadata`         text COLLATE utf8mb4_unicode_ci                        NOT NULL DEFAULT '',
    `xreference`       varchar(50) COLLATE utf8mb4_unicode_ci                 NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
