<?php

/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
class JoomschoolViewAnnouncements extends JViewLegacy
{
    protected $state;

    protected $users;

    protected $pagination;

    public function display($tpl = null)
    {

        $this->items         = $this->get('Items');
        $this->pagination    = $this->get('Pagination');
        $this->state         = $this->get('State');
        $this->filterForm    = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');

        $this->canDo         = JHelperContent::getActions('com_joomschool');

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            throw new Exception(implode("\n", $errors), 500);
        }

        JoomschoolHelper::addSubmenu('announcements');
        $this->addToolbar();
        $this->sidebar = JHtmlSidebar::render();
        return parent::display($tpl);
    }

    protected function addToolbar()
    {
        $canDo = $this->canDo;
        $user  = Factory::getApplication()->getIdentity();

        // Get the toolbar object instance
        $bar = Toolbar::getInstance('toolbar');
        ToolbarHelper::title(JText::_('COM_JOOMSCHOOL_ANNOUNCEMENTS_TITLE'), 'stack announcement');

        if ($canDo->get('core.create'))
        {
            ToolbarHelper::addNew('announcement.add');
        }

        if ($canDo->get('core.edit') || $canDo->get('core.edit.own'))
        {
            ToolbarHelper::editList('announcement.edit');
        }

        if ($canDo->get('core.edit.state'))
        {
            ToolbarHelper::publish('announcements.publish', 'JTOOLBAR_PUBLISH', true);
            ToolbarHelper::unpublish('announcements.unpublish', 'JTOOLBAR_UNPUBLISH', true);
            ToolbarHelper::archiveList('announcements.archive');
            ToolbarHelper::checkin('announcements.checkin');
        }



        if ($this->state->get('filter.published') == -2 && $canDo->get('core.delete'))
        {
            ToolbarHelper::deleteList('JGLOBAL_CONFIRM_DELETE', 'announcements.delete', 'JTOOLBAR_EMPTY_TRASH');
        }
        elseif ($canDo->get('core.edit.state'))
        {
            ToolbarHelper::trash('announcements.trash');
        }

        if ($user->authorise('core.admin', 'com_joomschool') || $user->authorise('core.options', 'com_content'))
        {
            ToolbarHelper::preferences('com_joomschool');
        }




    }
	
	
}
