<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');
$app = JFactory::getApplication();
$input = $app->input;

$this->configFieldsets = array('editorConfig');
$this->hiddenFieldsets = array('basic-limited');

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "attendance.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
		
			Joomla.submitform(task, document.getElementById("item-form"));

			// @deprecated 4.0  The following js is not needed since 3.7.0.
			if (task !== "attendance.apply")
			{
				window.parent.jQuery("#attendanceEdit' . (int)$this->item->id . 'Modal").modal("hide");
			}
		}
	};
');
// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout = $isModal ? 'modal' : 'edit';
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';
$model = $this->getModel();
?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int)$this->item->id); ?>"
      method="post" name="adminForm" id="item-form" class="form-horizontal form-validate" enctype="multipart/form-data">
    <fieldset>
        <?php echo $this->form->renderFieldset('attendance'); ?>
    </fieldset>

    <input type="hidden" name="return" value="<?php echo $input->get('return', null, 'BASE64'); ?>"/>
    <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>"/>
    <input type="hidden" name="task" value=""/>
    <?php echo JHtml::_('form.token'); ?>
</form>


<?php if (count($this->item->students)) {

    // Script for save mark
    $attentdance_display = '<script type="text/javascript">';
    $attentdance_display .= 'jQuery(document).ready(function () {';

    //function make
    $attentdance_display .= 'function attentSaving(aid,sid,status,order){';
    $url = JUri::base()."index.php?option=com_joomschool&task=attendance.savestatus";
    $attentdance_display .= 'jQuery("#saving_"+ order).html("'.JText::_('COM_JOOMSCHOOL_SAVING').'");';
    $attentdance_display .= '
        jQuery.post( 
            "' . $url . '",
            {aid:aid,sid:sid,status:status},
             function(data){
               jQuery("#saving_"+ order).html(data);
             }
        );
    }';

    //function call
    $s = 0;
    foreach ($this->item->students as $row_s) {
        $s++;
        $attentdance_display .= 'jQuery( "#button_' . $s . '" ).change(function() {';
        $attentdance_display .= 'attentSaving(jQuery("#aid_' . $s . '").val(),jQuery("#sid_' . $s . '").val(),jQuery("#button_' . $s . ' option:selected").val(),' . $s . ')';
        $attentdance_display .= '});';
    }

    $attentdance_display .= '});';
    $attentdance_display .= '</script>';

    $attentdance_display .= '<table class="admin-table" id="admin-table" style="width: 100%;margin-top: 10px;" align="center">';
    $attentdance_display .= '<tr>';
    $attentdance_display .= '<th>' . JText::_('LABEL_ATTENDANCE_ROLL') . '</th>';
    $attentdance_display .= '<th>' . JText::_('LABEL_ATTENDANCE_STUDENT_NAME') . '</th>';
    $attentdance_display .= '<th class="left">' . JText::_('LABEL_ATTENDANCE_PRESENT_STATUS') . '</th>';
    $attentdance_display .= '<th>' . JText::_('LABEL_ATTENDANCE_ENTRY_BY') . '</th>';
    $attentdance_display .= '<th>' . JText::_('LABEL_ATTENDANCE_CRATE') . '</th>';
    $attentdance_display .= '<th>' . JText::_('LABEL_ATTENDANCE_LAST_UPDATE') . '</th>';
    $attentdance_display .= '</tr>';

    $i = 0;
    foreach ($this->item->students as $row) {
        $i++;


        $entry_by_uid = $model->getOldatt($this->item->id, $row->id, 'entry_by');
        $entry_by = $model->getTeachername($entry_by_uid);

        $entry_date = $model->getOldatt($this->item->id, $row->id, 'create_date');
        $create_date = date('Y-m-d g:i A', strtotime($entry_date));

        $entry_update_date = $model->getOldatt($this->item->id, $row->id, 'update_date');
        if (!empty($entry_update_date)) {
            $update_date = date('Y-m-d g:i A', strtotime($entry_update_date));
        } else {
            $update_date = '';
        }

        //Check old data
        $check_value = $model->getOldatt($this->item->id, $row->id, 'attend');

        $attentdance_display .= '<tr>';
        $attentdance_display .= '<td>' . $row->roll . '</td>';
        $attentdance_display .= '<td style="text-align: left;" >' . JFactory::getUser($row->user_id)->name . '</td>';
        $attentdance_display .= '<td class="text-center">';

        $attentdance_display .= '<div id="saving_' . $i . '"></div>';
        $attentdance_display .= '
            <select name="status" style="max-width: 150px" id="button_' . $i . '">
                <option value="2" '.($check_value == 2 || is_null($check_value) ? 'selected="selected"' : '').'>'.JText::_('COM_JOOMSCHOOL_SELECT_STATUS').'</option>
                <option value="1" '.($check_value == 1 ? 'selected="selected"' : '').'>'.JText::_('COM_JOOMSCHOOL_LABEL_ATTENDANCE').'</option>
                <option value="0" '.($check_value == 0 ? 'selected="selected"' : '').'>'.JText::_('COM_JOOMSCHOOL_LABEL_ABSENT').'</option>
            </select>
             
            ';
        $attentdance_display .= '<input id="aid_' . $i . '" type="hidden" name="aid"  value="' . $this->item->id . '" />';
        $attentdance_display .= '<input id="sid_' . $i . '" type="hidden" name="sid" value="' . $row->id . '" /></td>';

        $attentdance_display .= '<td style="text-align: center;" >' . $entry_by . '</td>';
        $attentdance_display .= '<td style="text-align: center;" >' . $create_date . '</td>';
        $attentdance_display .= '<td style="text-align: center;" >' . $update_date . '</td>';
        $attentdance_display .= '</tr>';
    }
    $attentdance_display .= '</table>';

    echo $attentdance_display;
} ?>







