<?php

/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

defined('_JEXEC') or die;

$model = $this->getModel();

$user		= JFactory::getUser();
$loggeduser = JFactory::getUser();
?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=attendances');?>" method="post" name="adminForm" id="adminForm">
	<?php if (!empty( $this->sidebar)) : ?>
		<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
		</div>
		<div id="j-main-container" class="span10">
	<?php else : ?>
		<div id="j-main-container">
	<?php endif; ?>
	
	<?php	echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));	?>

	<?php if (empty($this->items)) : ?>
		<div class="alert alert-no-items">
			<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
		</div>
		<?php else : ?>
	<table class="table table-striped">
		<thead>
			<tr>
				<th width="1%" class="nowrap left"><?php echo JHtml::_('grid.checkall'); ?></th>
				<th  class=" left"><?php echo JText::_('LABEL_ATTENDANCE_DATE'); ?></th>
				<th  class=" center"><?php echo JText::_('DEFAULT_CLASS'); ?></th>
				<th  class=" center"><?php echo JText::_('DEFAULT_SECTION'); ?></th>
				<th  class=" center"><?php echo JText::_('LABEL_ATTENDANCE_TEACHER'); ?></th>
				<th  class=" center"><?php echo JText::_('LABEL_ATTENDANCE_TOTAL_STUDENTS'); ?></th>
				<th  class=" center"><?php echo JText::_('LABEL_ATTENDANCE_TOTAL_PRESENT'); ?></th>
				<th  class=" center"><?php echo JText::_('LABEL_ATTENDANCE_TOTAL_ABSENT'); ?></th>
				<th  class=" center"><?php echo JText::_('LABEL_ATTENDANCE_DATE_TIME'); ?></th>
				<th  class=" center"><?php echo JText::_('LABEL_ATTENDANCE_UPDATE'); ?></th>
			</tr>
		</thead>
		<tbody>
		  <?php foreach ($this->items as $i => $item) :
			$checked 	= JHTML::_('grid.id',   $i, $item->id );
			//$canChange	= $user->authorise('core.edit.state', 'com_joomschool.students.'.$item->id);
		    //$published = JHtml::_('jgrid.published', $item->published, $i, '', $canChange, 'cb', '', '');
		    $link = JRoute::_( 'index.php?option=com_joomschool&view=attendance&layout=edit&id='. $item->id );
			$teacher_id = JoomschoolHelper::getTeacherIDbyUserid($item->teacher);
		  ?>
			<tr class="row<?php echo $i % 2; ?>">
				<td class="left"><?php echo $checked; ?></td>
				<td class="left"><a href="<?php echo $link; ?>"><?php echo $item->attendance_date;?></a></td>
				<td class="center"><?php echo JoomschoolHelper::getClassname($item->class);?></td>
				<td class="center"><?php echo JoomschoolHelper::getSectionname($item->section);?></td>
				<td class="center"><span class="label label-inverse"><?php if(!empty($teacher_id)){ echo JFactory::getUser((int) $item->teacher)->name; }else{echo'Admin';}?></span></td>
				<td class="center"><?php echo $item->total_student;?></td>
				<td class="center"><?php echo count($model->totalPresent($item->id));?></td>
				<td class="center"><?php echo count($model->totalAbsent($item->id));?></td>
				<td class="center"><?php echo HTMLHelper::date($item->create_date, Text::_('DATE_FORMAT_FILTER_DATETIME')); ?></td>
				<td class="center"><?php echo HTMLHelper::date($item->update_date, Text::_('DATE_FORMAT_FILTER_DATETIME')); ?></td>
			</tr>
			<?php endforeach;  ?>
		</tbody>
		
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
	</table>
	
	<?php endif; ?>
	</div>
	</div>
	
	
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHtml::_('form.token'); ?>
</form>
