<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');
$app = JFactory::getApplication();
$input = $app->input;

$this->configFieldsets = array('editorConfig');
$this->hiddenFieldsets = array('basic-limited');

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "bmember.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
		
			Joomla.submitform(task, document.getElementById("item-form"));

			// @deprecated 4.0  The following js is not needed since 3.7.0.
			if (task !== "bmember.apply")
			{
				window.parent.jQuery("#bmemberEdit' . (int)$this->item->id . 'Modal").modal("hide");
			}
		}
	};
');
// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout = $isModal ? 'modal' : 'edit';
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';
?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int)$this->item->id); ?>"
      method="post" name="adminForm" id="item-form" class="form-horizontal form-validate" >
    <fieldset>
        <?php echo $this->form->renderFieldset('bmember'); ?>
        <div class="control-group">
            <div class="controls">
                <div id="roll_checking" style="margin-top: 10px;">
                    <input type="hidden" id="student_id" name="student_id" class="invalid" value=""/>
                </div>
            </div>
        </div>

    </fieldset>

    <input type="hidden" name="return" value="<?php echo $input->get('return', null, 'BASE64'); ?>"/>
    <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>"/>
    <input type="hidden" name="task" value=""/>
    <?php echo JHtml::_('form.token'); ?>
</form>


<script type="text/javascript">
    jQuery(document).ready(function ($) {
        //###################################### ROLL CHECKING
        jQuery("#jform_roll").keyup(function () {

            var roll = jQuery("#jform_roll").val();
            var classd = jQuery("#jform_class").val();
            var section = jQuery("#jform_section").val();
            var division = jQuery("#jform_division").val();
            var year = jQuery("#jform_year").val();

            jQuery("#roll_checking").html("Loading ...");
            jQuery.post('index.php?option=com_joomschool&task=bmember.checkroll', {
                val: roll,
                classd: classd,
                section: section,
                division: division,
                year: year
            }, function (data) {
                if (data) {
                    jQuery("#roll_checking").html(data);

                }
            });


        });


    });//End doc
    </script>