<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

$model = $this->getModel();

$user		= JFactory::getUser();
$loggeduser = JFactory::getUser();
$sections= [];
$subjects= [];
$divisions= [];

?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=classes');?>" method="post" name="adminForm" id="adminForm">

		<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
		</div>
		<div id="j-main-container" class="span10">

	
	<?php if (empty($this->items)) : ?>
		<div class="alert alert-no-items">
			<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
		</div>
	<?php else : ?>

	<table class="table table-striped">
		<thead>
			<tr>
				<th width="1%" class=" left"><?php echo JHtml::_('grid.checkall'); ?></th>
				<th  class=" left"><?php echo JText::_('LABEL_CLASS_NAME'); ?></th>
				<th  class=" left"><?php echo JText::_('DEFAULT_DIVISION'); ?></th>
				<th  class=" left"><?php echo JText::_('DEFAULT_SECTION'); ?></th>
				<th  class=" left"><?php echo JText::_('DEFAULT_SUBJECT'); ?></th>
				<th  class=" left"><?php echo JText::_('DEFAULT_GRADE_SYSTEM'); ?></th>
				<th width="5%" class=" left"><?php echo JText::_('DEFAULT_PUBLISHED'); ?></th>
				<th width="5%" class=" left">ID</th>
			</tr>
		</thead>
		<tbody>
		  <?php foreach ($this->items as $i => $item) :
			$checked 	= JHTML::_('grid.id',   $i, $item->id );
			$canChange	= $user->authorise('core.edit.state', 'com_joomschool.subjects.'.$item->id);
              $published = JHtml::_('jgrid.published', $item->published, $i, 'classes.', $canChange, 'cb');
		  $link 		= JRoute::_( 'index.php?option=com_joomschool&view=class&layout=edit&id='. $item->id );
		  ?>
			<tr class="row<?php echo $i % 2; ?>">
				<td class="left"><?php echo $checked; ?></td>
				<td class="left"><a href="<?php echo $link; ?>"><?php echo $item->class_name;?></a></td>
                <td class="left">
                    <?php if(!empty($item->division_id)): ?>
                        <?php foreach (explode(',',$item->division_id) as  $division_id) :
                            echo  isset($division_id) ? '<span class="label label-inverse">'.JoomschoolHelper::getDivisionNameByID($division_id)->division_name.'</span> '  : '';
                        endforeach; ?>
                    <?php endif; ?>
               </td>
                <td class="left">
                    <?php if(!empty($item->section_id)): ?>
                        <?php foreach (explode(',',$item->section_id) as  $section_id) :
                            echo  (isset($section_id) ) ? '<span class="label label-success">'.JoomschoolHelper::getSectionsNameByID($section_id)->section_name.'</span> '  : '';
                        endforeach; ?>
                    <?php endif; ?>
       </td>
				<td class="left">
                    <?php if($item->subject_id): ?>
                    <?php foreach (explode(',',$item->subject_id) as  $subject_id) :
                        echo  (isset($subject_id) ) ? '<span class="label label-warning">'.JoomschoolHelper::getSubjectNameByID($subject_id)->subject_name.'</span> '  : '';
                    endforeach; ?>
                    <?php endif; ?>
          </td>
				<td class="left"><?php echo  $item->name; ?></td>
				<td class="left"><?php echo $published;?></td>
				<td class="left"><?php echo $item->id;?></td>
			</tr>
			<?php endforeach; ?>
		</tbody>

	</table>


        <?php echo $this->pagination->getListFooter(); ?>
	
	<?php endif; ?>

	</div>



    <input type="hidden" name="task" value="" />
    <input type="hidden" name="boxchecked" value="0" />
    <?php echo JHtml::_('form.token'); ?>
</form>
