<?php
/**
 * @package        JoomSchool
 * @copyright    Copyright (c) 2013-2018 JoomBoost (https://www.joomboost.com). All rights reserved.
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die;
JHtml::_('behavior.tooltip');

$uri = (string)JUri::getInstance();
$return = urlencode(base64_encode($uri));

$user = JFactory::getUser();

// Count Cards
$countCards = [
    [
        'link' => 'index.php?option=com_joomschool&view=students',
        'icon' => 'user-graduate',
        'count' => $this->stats['students'],
        'iconClass' => 'bg-dark text-white',
        'countClass' => 'text-dark',
        'title' => 'MENU_STUDENTS',
    ],
    [
        'link' => 'index.php?option=com_joomschool&view=teachers',
        'icon' => 'user-tie',
        'count' => $this->stats['teachers'],
        'iconClass' => 'bg-danger text-white',
        'countClass' => 'text-danger',
        'title' => 'MENU_TEACHERS',
    ],
    [
        'link' => 'index.php?option=com_joomschool&view=parents',
        'icon' => 'user',
        'count' => $this->stats['parents'],
        'iconClass' => 'bg-warning text-white',
        'countClass' => 'text-warning',
        'title' => 'MENU_PARENTS',
    ],
    [
        'link' => 'index.php?option=com_joomschool&view=attendance',
        'icon' => 'calendar-check',
        'count' => $this->stats['attendances'],
        'iconClass' => 'bg-primary text-white',
        'countClass' => 'text-primary',
        'title' => 'MENU_ATTENDANCE',
    ],
    [
        'link' => 'index.php?option=com_joomschool&view=messages',
        'icon' => 'envelope',
        'count' => $this->stats['messages'],
        'iconClass' => 'bg-info text-white',
        'countClass' => 'text-info',
        'title' => 'MENU_MESSAGES',
    ],
    [
        'link' => 'index.php?option=com_joomschool&view=exams',
        'icon' => 'pencil-ruler',
        'count' => $this->stats['exams'],
        'iconClass' => 'bg-light text-dark',
        'countClass' => 'text-dark',
        'title' => 'MENU_EXAMS',
    ],

    [
        'link' => 'index.php?option=com_joomschool&view=classes',
        'icon' => 'sitemap',
        'count' => $this->stats['classes'],
        'iconClass' => 'bg-light text-dark',
        'countClass' => 'text-dark',
        'title' => 'MENU_CLASS',
    ]
];


// left widgets
$leftWidgets = [
    [
        'title' => 'COM_JOOMSCHOOL_ACTIVITIES',
        'icon' => 'chart-line',
        'bodyContent' => JLayoutHelper::render('dashboard.recently', [
            'recent' => $this->recent

        ])
    ],
    [
        'title' => 'COM_JOOMSCHOOL_QUICKNAV',
        'icon' => 'list',
        'bodyContent' => JLayoutHelper::render('dashboard.tools'),
    ],
    [
        'title' => 'COM_JOOMSCHOOL_CONFIG',
        'icon' => 'list',
        'bodyContent' => JLayoutHelper::render('dashboard.config'),
    ],
    [
        'title' => 'COM_JOOMSCHOOL_PRODUCT_INFO',
        'icon' => 'info',
        'bodyContent' => JLayoutHelper::render('dashboard.productInfo'),
    ],
    [
        'title' => 'COM_JOOMSCHOOL_FOLLOWUS',
        'icon' => 'share',
        'bodyContent' => JLayoutHelper::render('dashboard.socialLinks'),
    ],
    [
        'bodyContent' => JLayoutHelper::render('dashboard.copyright'),
    ]

];

// right widgets
$rightWidgets = [
    [
        'title' => 'COM_JOOMSCHOOL_UPDATE',
        'icon' => 'sync',
        'bodyContent' => JLayoutHelper::render('dashboard.downloadId'),
        'footerContent' => JLayoutHelper::render('dashboard.downloadIdFooter')
    ],
    [
        'title' => 'COM_JOOMSCHOOL_STATS',
        'icon' => 'chart-bar',
        'bodyContent' => JLayoutHelper::render('dashboard.stats', ['rstats' => $this->rstats])

    ],
    [
        'bodyContent' => JLayoutHelper::render('dashboard.facebookPage')
    ],
    [
        'bodyContent' => JLayoutHelper::render('dashboard.twitterFollow')
    ]
];


?>


<?php if (!empty($this->sidebar)) : ?>
<div id="j-sidebar-container" class="span2">
    <?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
    <?php else : ?>
    <div id="j-main-container">
        <?php endif; ?>

        <div class="row-fluid">

            <div id="jb-template">
                <?php echo JLayoutHelper::render(
                    'dashboard.skeleton.container',
                    [
                        'counts' => $countCards,
                        'left' => $leftWidgets,
                        'right' => $rightWidgets
                    ]
                ) ?>
            </div>

        </div>

        <?php ///echo JoomschoolHelper::getFooter(); ?>
    </div>
    <form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=dashboard'); ?>" method="post"
          name="adminForm" id="adminForm">
        <input type="hidden" name="task" value=""/>
    </form>
    <div class="clearfix"></div>



