<?php
/**
 * @package		JoomSchool
 * @copyright	Copyright (c) 2013-2018 JoomBoost (https://www.joomboost.com). All rights reserved.
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die;

/**
 * View class of dashboard.
 *
 * @package		Joomla.Administrator
 * @subpakage	JoomBoost.Joomtestimonials
 */
class JoomschoolViewDashboard extends JViewLegacy {
	protected $stats;
	protected $downloadid;

	/**
	 * Display the view.
	 */
	public function display($tpl = null) {

        $this->downloadid	= JComponentHelper::getParams('com_joomschool')->get('downloadid','');
        $this->stats		= $this->get('Stats');
        $this->nstats       =  $this->stats;

        $this->stats 		= $this->get('stats');
        $this->rstats 		= $this->get('rstats');
        $this->rstats 		= JoomschoolHelper::addBadges($this->rstats);

        $model              = $this->getModel();
        $this->recent['attendances'] = $this->adaptToLineChart($model->getRecent('attendance','create_date'));
        $this->recent['exams'] = $this->adaptToLineChart($model->getRecent('exams','examdate'));

        $this->recent['messages'] = $this->adaptToLineChart($model->getRecent('message','date_time'));

        JoomschoolHelper::addSubmenu('dashboard');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		
		$this->addToolbar();
		$this->sidebar = JHtmlSidebar::render();
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 */
	protected function addToolbar() {
		require_once JPATH_COMPONENT . '/helpers/joomschool.php';
		$canDo	= JoomschoolHelper::getActions();
		$user	= JFactory::getUser();
		$bar	= JToolBar::getInstance('toolbar');

		JToolBarHelper::title('<i class="fas fa-tachometer-alt"></i>  '.JText::_('COM_JOOMSCHOOL_DASHBOARD'));;

        JToolbarHelper::addNew('student.add', JText::_('BTN_STUDENT_NEW'));
        JToolbarHelper::addNew('parent.add', JText::_('BTN_PARENT_NEW'), false);
        JToolbarHelper::addNew('teacher.add', JText::_('BTN_TEACHER_NEW'), false);
        JToolbarHelper::addNew('exam.add', JText::_('BTN_EXAM_NEW'), false);
        JToolbarHelper::addNew('field.add', JText::_('BTN_FIELDS_NEW'), false);

		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_joomschool');
		}
		
		JToolbarHelper::help(null, null, 'https://www.joomboost.com/support/documentation/104-joomschool.html?tmpl=component');
	}
	
	protected function compareVersion($newv,$oldv){
		if (version_compare($oldv, $newv, '<')) {
			return true;
		}
		
		return false;
	}

    protected function adaptToLineChart($data)
    {
        $newData = $return = [];

        // transform array
        if(is_array($data)){
            foreach ($data as $item){
                if(isset($item['date']) && isset($item['total']))
                    $newData[$item['date']] = $item['total'];
            }
        }


        for ($i = 1; $i <= 30; $i++)
        {
            $date = JFactory::getDate('tomorrow')->sub(new DateInterval("P{$i}D"))->format('Y-m-d');
            $return[$date] = array_key_exists($date,$newData) ? (int) $newData[$date] : 0;

        }

        return array_reverse($return);

    }
}