<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JoomschoolViewExams extends JViewLegacy
{

    protected $state;

    protected $users;

    protected $pagination;

    public function display($tpl = null)
    {

        $this->items         = $this->get('Items');
        $this->pagination    = $this->get('Pagination');
        $this->state         = $this->get('State');
        $this->filterForm    = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');

        $this->canDo         = JHelperContent::getActions('com_joomschool');
        $this->db            = JFactory::getDbo();
        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            throw new Exception(implode("\n", $errors), 500);
        }

        JoomschoolHelper::addSubmenu('exams');
        $this->addToolbar();
        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
    }

    protected function addToolbar()
    {
        $canDo = $this->canDo;
        $user  = JFactory::getUser();

        // Get the toolbar object instance
        $bar = JToolbar::getInstance('toolbar');

        JToolbarHelper::title(JText::_('LABEL_EXAM_LIST'), 'users user');
        JToolbarHelper::addNew('exam.add');
        if ($canDo->get('core.edit') || $canDo->get('core.edit.own'))
        {
            JToolbarHelper::editList('exam.edit');
        }
        if ($canDo->get('core.edit.state'))
        {
            JToolbarHelper::publish('exams.publish', 'JTOOLBAR_PUBLISH', true);
            JToolbarHelper::unpublish('exams.unpublish', 'JTOOLBAR_UNPUBLISH', true);

        }
        if ( $canDo->get('core.delete'))
        {
            JToolbarHelper::deleteList('JGLOBAL_CONFIRM_DELETE', 'exams.delete', 'JTOOLBAR_DELETE');
        }

        if ($canDo->get('core.admin') || $canDo->get('core.options'))
        {
            JToolbarHelper::divider();
        }

        JToolbarHelper::link('index.php?option=com_joomschool&view=grades',  JText::_('BTN_EXAM_GRADE'),'grid');
    }




}
