<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JoomschoolViewExpenses extends JViewLegacy
{
    protected $state;

    protected $users;

    protected $pagination;

    public function display($tpl = null)
    {
        $this->items = $this->get('Items');
        $this->state = $this->get('State');
        $this->pagination = $this->get('Pagination');
        $this->filterForm = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');

        $this->canDo = JHelperContent::getActions('com_joomschool');
        $this->db = JFactory::getDbo();
        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors), 500);
        }

        JoomschoolHelper::addSubmenu('expenses');
        $this->addToolbar();
        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
    }

    protected function addToolbar()
    {
        $canDo = $this->canDo;
        $user = JFactory::getUser();

        // Get the toolbar object instance
        $bar = JToolbar::getInstance('toolbar');


        JToolbarHelper::addNew('expense.add');
        if ($canDo->get('core.edit') || $canDo->get('core.edit.own')) {
            JToolbarHelper::editList('expense.edit');
        }

        if ($canDo->get('core.delete')) {
            JToolbarHelper::deleteList('JGLOBAL_CONFIRM_DELETE', 'expenses.delete', 'JTOOLBAR_DELETE');
        }

        if ($canDo->get('core.admin') || $canDo->get('core.options')) {
            JToolbarHelper::divider();
        }


        switch ($this->getLayout()) {

            case'default':
                JToolbarHelper::title(JText::_('LABEL_EXPENSE_LIST'), 'pie');
                JToolbarHelper::link('index.php?option=com_joomschool&view=expenses&layout=yearly', JText::_('BTN_EXPENSE_YEAR'), 'new');
                JToolbarHelper::link('index.php?option=com_joomschool&view=expensesmonth', JText::_('BTN_EXPENSE_MONTH'), 'new');
                JToolbarHelper::link('index.php?option=com_joomschool&view=expenses&layout=default_xls', JText::_('DEFAULT_EXPORT'), 'list');

                break;

            case'yearly':
                JToolbarHelper::title(JText::_('LABEL_EXPENSE_YEAR_LIST'), 'pie');
                JToolbarHelper::link('index.php?option=com_joomschool&view=expenses&layout=yearly_xls', JText::_('DEFAULT_EXPORT'), 'list');
                $model = $this->getModel();
                $yearly = $model->yearlyList();
                $this->items =  $yearly;
                $this->year = $yearly;

                break;

            case'yearly_xls':

                $model = $this->getModel();
                $monthly = $model->yearlyList();
                $this->items = $monthly;
                $this->setLayout('yearly_xsl');


                break;

            case'default_xls':

                $this->setLayout('default_xsl');
                break;

        }


        JToolbarHelper::link('index.php?option=com_joomschool&view=accounting', JText::_('BTN_BACK_ACCOUNT'), 'undo');
    }


    /**
     * Display the view
     */
    /*
    public function display($tpl = null)
    {

        $task = JRequest::getWord('task');
        switch ($task) {

            case'back':
                $app = JFactory::getApplication();
                $link = 'index.php?option=com_joomschool&view=accounting';
                $app->redirect($link, '');

                break;

            case'backmonthly':
                $app = JFactory::getApplication();
                $link = 'index.php?option=com_joomschool&view=income&task=monthly';
                $app->redirect($link, '');

                break;

            case'expensemonth':
                $app = JFactory::getApplication();
                $link = 'index.php?option=com_joomschool&view=expensesmonth';
                $app->redirect($link, '');

                break;

            case'expense':
                $app = JFactory::getApplication();
                $link = 'index.php?option=com_joomschool&view=expenses';
                $app->redirect($link, '');

                break;


            case'yearly':
                $model = $this->getModel();
                $monthly = $model->yearlyList();
                $this->assignRef('items', $monthly);
                $this->assignRef('year', $year);

                JoomschoolHelper::addSubmenu('accounting');
                JToolbarHelper::title(JText::_('LABEL_EXPENSE_YEAR_LIST'), 'pie');
                JToolbarHelper::custom('expense', 'new.png', 'new.png', JText::_('BTN_EXPENSE_LIST'), false);
                JToolbarHelper::custom('expensemonth', 'new.png', 'new.png', JText::_('BTN_EXPENSE_MONTH'), false);
                JToolbarHelper::custom('yearly', 'new.png', 'new.png', JText::_('BTN_EXPENSE_YEAR'), false);
                JToolbarHelper::custom('back', 'list.png', 'new.png', JText::_('BTN_BACK_ACCOUNT'), false);
                JToolbarHelper::custom('exportyear', 'list.png', 'new.png', JText::_('DEFAULT_EXPORT'), false);
                $this->setLayout('yearly');
                break;

            case'monthly':
                $model = $this->getModel();
                JoomschoolHelper::addSubmenu('accounting');
                JToolbarHelper::title(JText::_('COM_JOOMSCHOOL_LABEL_EXPENSE_MONTH_LIST'), 'pie');
                JToolbarHelper::cancel('cancel');
                $this->setLayout('monthly_year_select');
                break;

            case'newexpenses':
            case'editexpenses':
                $model = $this->getModel();
                JRequest::setVar('hidemainmenu', 1);
                $array = JRequest::getVar('cid', 0, '', 'array');
                $id = (int)$array[0];
                if (!empty($id)) {
                    $expense_cat = $model->getExpenseCat($id);
                    $this->assignRef('expense_cat', $expense_cat);
                    $title = "EDIT";
                } else {
                    $title = "NEW";
                }

                JToolbarHelper::title(JText::_('LABEL_EXPENSE_' . $title . ''), 'pie');

                JToolbarHelper::apply('apply');
                JToolbarHelper::save('save');
                JToolbarHelper::cancel('cancel');
                $this->setLayout('form');
                break;


            case'exportexpense':
                $model = $this->getModel();
                $this->items = $this->get('Items');
                $this->setLayout('default_xsl');
                break;

            case'exportyear':
                $model = $this->getModel();
                $monthly = $model->yearlyList();
                $this->items = $monthly;
                $this->setLayout('yearly_xsl');
                break;

            default:

                $model = $this->getModel();
                $this->items = $this->get('Items');
                $this->pagination = $this->get('Pagination');
                $this->filterForm = $this->get('FilterForm');
                $this->activeFilters = $this->get('ActiveFilters');

                JoomschoolHelper::addSubmenu('accounting');
                JToolbarHelper::title(JText::_('LABEL_EXPENSE_LIST'), 'pie');
                JToolbarHelper::custom('newexpenses', 'new.png', 'new.png', JText::_('BTN_EXPENSE_NEW'), false);
                JToolbarHelper::editList('editexpenses');
                JToolbarHelper::deleteList('delete');
                JToolbarHelper::custom('expensemonth', 'new.png', 'new.png', JText::_('BTN_EXPENSE_MONTH'), false);
                JToolbarHelper::custom('yearly', 'new.png', 'new.png', JText::_('BTN_EXPENSE_YEAR'), false);
                JToolbarHelper::custom('back', 'list.png', 'new.png', JText::_('BTN_BACK_ACCOUNT'), false);
                JToolbarHelper::custom('exportexpense', 'list.png', 'list.png', JText::_('DEFAULT_EXPORT'), false);
                $this->setLayout('default');
                break;

        }

        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
    }
*/

}
