<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JoomschoolViewGradecategories extends JViewLegacy
{
    protected $state;

    protected $users;

    protected $pagination;

    public function display($tpl = null)
    {
        $this->items = $this->get('Items');
        $this->state = $this->get('State');
        $this->pagination = $this->get('Pagination');


        $this->canDo = JHelperContent::getActions('com_joomschool');
        $this->db = JFactory::getDbo();
        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors), 500);
        }

        JoomschoolHelper::addSubmenu('gradecategories');
        $this->addToolbar();
        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
    }

    protected function addToolbar()
    {
        $canDo = $this->canDo;
        $user = JFactory::getUser();

        // Get the toolbar object instance
        $bar = JToolbar::getInstance('toolbar');
        JToolbarHelper::title(JText::_('LABEL_EXAM_GRADE_CATEGORY_LIST'), 'bookmark');
        JToolbarHelper::addNew('gradecategory.add');
        if ($canDo->get('core.edit') || $canDo->get('core.edit.own')) {
            JToolbarHelper::editList('gradecategory.edit');
        }
        if ($canDo->get('core.edit.state')) {
            JToolbarHelper::publish('gradecategories.publish', 'JTOOLBAR_PUBLISH', true);
            JToolbarHelper::unpublish('gradecategories.unpublish', 'JTOOLBAR_UNPUBLISH', true);

        }
        if ($canDo->get('core.delete')) {
            JToolbarHelper::deleteList('JGLOBAL_CONFIRM_DELETE', 'gradecategories.delete', 'JTOOLBAR_DELETE');
        }

        if ($canDo->get('core.admin') || $canDo->get('core.options')) {
            JToolbarHelper::divider();
        }

        JToolbarHelper::link('index.php?option=com_joomschool&view=grades',  JText::_('BTN_BACK_GRADE'),'undo');
    }



}
