<?php
/**
 * @package		JoomSchool
 * @copyright	2009-2016 Joomboost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
require_once JPATH_ADMINISTRATOR . '/components/com_joomschool/helpers/language.php';


class JoomschoolViewLanguage extends JViewLegacy {

    protected $items;
    protected $pagination;
    protected $state;
    protected $lists;
    protected $trans;
    protected $option;
    protected $flag;
    protected $original;
    protected $extension_name;
    protected $lang_original;

    function display($tpl = null) {


        if(isset($_REQUEST['lang'])){
            $original_lang = $_REQUEST['lang'];
        } else {
            $original_lang = 'en-GB';
        }

        $this->original = $original_lang;

        if(isset($_REQUEST['extension_name'])){
            $file_name = $_REQUEST['extension_name'];
        } else {
            $file_name = 'com_joomschool';
        }
        $this->extension_name = $file_name;

        $this->option = JRequest::getVar('option');

        /* Get language original*/
        $lang_original = JoomschoolViewLanguage::translation_list($this->option, 'trans', 'en-GB', $file_name);

        $trans = JoomschoolViewLanguage::translation_list($this->option, 'trans', $original_lang, $file_name);

        $lists = JoomschoolViewLanguage::translation_list($this->option, 'lists', $original_lang, $file_name);

        $this->lang_original = $lang_original;
        $this->trans = $trans;
        $this->lists = $lists;

        $this->lists['extensions'] = $this->getExtensions();

    	if (JFactory::getApplication()->isClient('administrator')) {
    		$this->addToolbar();
    		JoomschoolHelper::addSubmenu('language');
    		$this->sidebar = JHtmlSidebar::render();
    	}

        parent::display($tpl);
    }

    function addToolBar() {

    	$user = JFactory::getUser();

    	if ($user->authorise('core.admin', 'com_joomschool'))
    	{
    		JToolbarHelper::preferences('com_joomschool');
    		JToolbarHelper::custom('language.translationSave', 'save.png', 'save_f2.png', 'Translation save', FALSE);
    	}

    	JToolBarHelper::title('<i class="fas fa-language"></i>  '.JText::_('COM_JOOMSCHOOL').':  '.JText::_('COM_JOOMSCHOOL_LANGUAGE_MANAGEMENT'));

    }

    protected function translation_list($option, $select, $original_lang, $file_name) {

        global $mainframe;
        $db = JFactory::getDBO();
        $mainframe = JFactory::getApplication();

        jimport('joomla.filesystem.file');

        $lang = JRequest::getVar('lang', '');
        if (!$lang)
            $lang = 'en-GB';
        $lists['lang'] = $lang;
        $site = JRequest::getVar('site', 0);

        $path = JPATH_ROOT . '/' . 'administrator' . '/' . 'language';


        $languages = JoomschoolLanguageHelper::getLanguages($path);
        $options = array();
//        $options[] = JHTML::_('select.option', '', JText::_('Select Language'));
        foreach ($languages as $language) {
            if($language != 'overrides'){
                $options[] = JHTML::_('select.option', $language, $language);
            }
        }
        $lists['langs'] = JHTML::_('select.genericlist', $options, 'lang', ' class="input-medium"  onchange="this.form.submit();" ', 'value', 'text', $lang);

        $options = array();
        $options[] = JHTML::_('select.option', 1, JText::_('COM_JOOMSCHOOL_LANGUAGE_BACKEND'));
        $lists['site'] = JHTML::_('select.genericlist', $options, 'site', ' class="input-medium"  onchange="this.form.submit();" ', 'value', 'text', $site);
        $item = $file_name;

        $lists['item'] = $item;
        // Check language file
        $check_path = $path . '/' . $original_lang . '/' . $original_lang . '.' . $item . '.ini';

        if (JFile::exists($check_path)) {
            $this->flag = true;
        } else {
            $this->flag = FALSE;
        }

        switch ($select) {
            case 'trans':
            $trans = JoomschoolLanguageHelper::getTrans($lang, $item, $path, $original_lang);
            return $trans;

            case 'lists': return $lists;
        }
    }

    function getExtensions(){

        $data = $this->get('Extensions');

        $options = array();
        if(isset($_REQUEST['extension_name']) && $_REQUEST['extension_name']){
            $options[] = JHTML::_('select.option', '', $_REQUEST['extension_name']);
        }

        foreach ($data as $value) {
        	if(isset($_REQUEST['extension_name']) && $_REQUEST['extension_name'] == $value){
        		continue;
        	}else{
        		$options[] = JHTML::_('select.option', $data, $value);
        	}

        }
        return JHTML::_('select.genericlist', $options,' " class="inputbox" name="extension_name" onchange="this.form.submit(); ', 'value', 'text');
    }

}