<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JoomschoolViewLibraries extends JViewLegacy
{


    protected $state;

    protected $users;

    protected $pagination;

    public function display($tpl = null)
    {

        $this->items         = $this->get('Items');
      ;
        $this->state         = $this->get('State');
        $this->filterForm    = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');
        $this->pagination    = $this->get('Pagination');



        $this->canDo         = JHelperContent::getActions('com_joomschool');
        $this->db            = JFactory::getDbo();
        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            throw new Exception(implode("\n", $errors), 500);
        }

        JoomschoolHelper::addSubmenu('libraries');
        $this->addToolbar();
        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
    }

    protected function addToolbar()
    {
        $canDo = $this->canDo;
        $user  = JFactory::getUser();

        // Get the toolbar object instance
        $bar = JToolbar::getInstance('toolbar');

        JToolbarHelper::title(JText::_('LABEL_LIBRARY_TITLE'), 'paragraph-center');
        JToolbarHelper::addNew('library.add',JText::_('BTN_BOOK_ISSUE'));


        if ($canDo->get('core.edit') || $canDo->get('core.edit.own'))
        {
            JToolbarHelper::editList('library.edit');
        }

        if ( $canDo->get('core.delete'))
        {
            JToolbarHelper::deleteList('JGLOBAL_CONFIRM_DELETE', 'libraries.delete', 'JTOOLBAR_DELETE');
        }

        if ($canDo->get('core.admin') || $canDo->get('core.options'))
        {
            JToolbarHelper::divider();
        }
        JToolbarHelper::link('index.php?option=com_joomschool&view=books',  JText::_('BTN_BOOK_LIST'),'grid');
        JToolbarHelper::link('index.php?option=com_joomschool&view=bmembers',  JText::_('BTN_MEMBER_LIST'),'grid');
        JToolbarHelper::link('index.php?option=com_joomschool&view=bcategories',  JText::_('BTN_BOOK_CATEGORY'),'grid');
        JToolbarHelper::link('index.php?option=com_joomschool&view=bracks',  JText::_('BTN_MANAGE_RACK'),'grid');


    }


}
