<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');
$app = JFactory::getApplication();
$input = $app->input;

$this->configFieldsets = array('editorConfig');
$this->hiddenFieldsets = array('basic-limited');

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "library.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
		
			Joomla.submitform(task, document.getElementById("item-form"));

			// @deprecated 4.0  The following js is not needed since 3.7.0.
			if (task !== "library.apply")
			{
				window.parent.jQuery("#libraryEdit' . (int)$this->item->id . 'Modal").modal("hide");
			}
		}
	};
');
// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout = $isModal ? 'modal' : 'edit';
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';
?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int)$this->item->id); ?>"
      method="post" name="adminForm" id="item-form" class="form-horizontal form-validate" enctype="multipart/form-data">
    <fieldset>
        <?php echo $this->form->renderField('id'); ?>
        <?php if(!JFactory::getApplication()->input->getInt('id', 0)) : ?>
        <?php echo $this->form->renderField('class'); ?>
        <?php echo $this->form->renderField('roll'); ?>
        <div class="control-group">
            <div class="controls">
                <div id="roll_checking" style="margin-top: 10px;">
                    <input type="hidden" id="student_id" name="student_id" class="invalid" value=""/>
                </div>
            </div>
        </div>
        <?php echo $this->form->renderField('issue_date'); ?>
        <?php endif;?>
        <?php echo $this->form->renderField('priod'); ?>
        <?php echo $this->form->renderField('return_date'); ?>
        <?php if(!JFactory::getApplication()->input->getInt('id', 0)) : ?>
        <?php echo $this->form->renderField('book_category'); ?>
        <?php echo $this->form->renderField('book_id'); ?>
        <?php endif;?>
        <?php if(JFactory::getApplication()->input->getInt('id', 0)) : ?>
        <?php echo $this->form->renderField('accept'); ?>
        <?php endif;?>
        <?php echo $this->form->renderField('student_id'); ?>
    </fieldset>

    <input type="hidden" name="return" value="<?php echo $input->get('return', null, 'BASE64'); ?>"/>
    <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>"/>
    <input type="hidden" name="task" value=""/>
    <?php echo JHtml::_('form.token'); ?>
</form>


<script type="text/javascript">
    jQuery(document).ready(function () {
        <?php
        if(JFactory::getApplication()->input->getInt('id', 0)) : ?>
        jQuery("#jform_class,#jform_roll,#jform_issue_date,#jform_book_category,#jform_book_id").attr('disabled', true);


        jQuery("#jform_class,#jform_roll,#jform_issue_date,#jform_book_category,#jform_book_id").trigger("liszt:updated");
        jQuery("#jform_class,#jform_roll,#jform_issue_date,#jform_book_category,#jform_book_id").trigger("chosen:updated");
        <?php endif;?>


        jQuery("#jform_book_category").change(function () {
            var val = jQuery("#jform_book_category").val();
            jQuery("#jform_book_id").html("Loading ...");
            jQuery.post('index.php?option=com_joomschool&task=library.getbooks', {val: val}, function (data) {
                if (data) {
                    jQuery("#jform_book_id").html(data);
                    jQuery("#jform_book_id").trigger("liszt:updated");
                    jQuery("#jform_book_id").trigger("chosen:updated");
                }
            });
        });

        //###################################### ROLL CHECKING
        jQuery("#jform_roll").keyup(function () {

            var roll = jQuery("#jform_roll").val();
            var classd = jQuery("#jform_class").val();

                console.log(classd);
            jQuery("#roll_checking").html("Loading ...");
            jQuery.post('index.php?option=com_joomschool&task=library.checkroll', {
                val: roll,
                classd: classd
            }, function (data) {
                if (data) {
                    jQuery("#roll_checking").html(data);

                }
            });


        });


    });//End doc
</script>
