<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JoomschoolViewManageacademicyear extends JViewLegacy
{

    /*
* The JForm object
*
* @var  JForm
	 */
    protected $form;

    /**
     * The active item
     *
     * @var  object
     */
    protected $item;

    /**
     * The model state
     *
     * @var  object
     */
    protected $state;

    /**
     * The actions the user is authorised to perform
     *
     * @var  JObject
     */
    protected $canDo;

    /**
     * Execute and display a template script.
     *
     * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
     *
     * @return  mixed  A string if successful, otherwise an Error object.
     *
     * @since   1.6
     */
    public function display($tpl = null)
    {

        $this->form  = $this->get('Form');

        $this->item  = $this->get('Item');

        $this->state = $this->get('State');
        $this->canDo = JHelperContent::getActions('com_joomschool', 'manageacademicyear', $this->item->id);



        $this->addToolbar();

        return parent::display($tpl);

    }
    protected function addToolbar()
    {
        JFactory::getApplication()->input->set('hidemainmenu', true);
        $user       = JFactory::getUser();
        $userId     = $user->id;
        $isNew      = ($this->item->id == 0);

        // Built the actions for new and existing records.
        $canDo = $this->canDo;

        JToolbarHelper::title(
            JText::_('COM_JOOMSCHOOL_PAGE_VIEW_MANAGEACADEMICYEAR_' . ($isNew ? 'ADD_ACADEMICYEAR' : 'EDIT_ACADEMICYEAR')),
            'pencil-2 A-add'
        );


        // Can't save the record if it's checked out and editable


        if ($canDo->get('core.create')){
            JToolbarHelper::apply('manageacademicyear.apply');
            JToolbarHelper::save('manageacademicyear.save');
        }

        JToolbarHelper::cancel('manageacademicyear.cancel', 'JTOOLBAR_CLOSE');

        JToolbarHelper::divider();
        JToolbarHelper::help('JHELP_CONTENT_STUDENT_MANAGER_EDIT');
    }
		


	
	
}
