<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

$field_exam = JoomschoolHelper::buildField(JText::_('LABEL_MARK_SELECT_EXAM'), 'select', 'exam', $this->exam, '', '', 'required');

$class_select = JoomschoolHelper::getclassList('');
$field_class = JoomschoolHelper::buildField(JText::_('LABEL_MARK_SELECT_CLASS'), 'select', 'class', $class_select, '', '', 'required');

$section_select = JoomschoolHelper::getsectionList('');
$field_section = JoomschoolHelper::buildField(JText::_('LABEL_MARK_SELECT_SECTION'), 'select', 'section', $section_select, '', '', 'required');
?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=marks'); ?>" method="post" name="adminForm"
      class="form-horizontal" id="adminForm">
    <?php if (!empty($this->sidebar)) : ?>
    <div id="j-sidebar-container" class="span2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="span10">
        <?php else : ?>
        <div id="j-main-container">
            <?php endif; ?>

            <?php echo $field_exam; ?>
            <?php echo $field_class; ?>
            <?php echo $field_section; ?>

            <div class="control-group">
                <div class="control-label">
                    <label id="class-lbl" class="required" for="class">
                        <?php echo JText::_('LABEL_MARK_SELECT_SUBJECT'); ?><span class="star"> *</span>
                    </label>
                </div>
                <div class="controls">
                    <div id="subject_list">
                        <select name="subject" id="subjects">
                            <option value=""><?php echo JText::_('COM_JOOMSCHOOL_SELECT_SUBJECT'); ?></option>
                        </select>
                    </div>
                </div>
            </div>

            <div id="status_save" style="text-align: center;position: fixed;width: 100%;top: 41px;z-index: 2147483647;">
            </div>

            <div class="row-fluid">
                <div class="span12">
                    <div class="" id="student_list"></div>
                </div>
            </div>

        </div>
    </div>

    <input type="hidden" name="task" value=""/>
    <?php echo JHtml::_('form.token'); ?>
</form>

<script type="text/javascript">

    // get subject list
    jQuery("#class").change(function () {
        var class_id = jQuery("#class").val();
        jQuery("#subject_list").html("Loading ...");
        jQuery.post('index.php?option=com_joomschool&task=marks.getsubjectlist', {class_id: class_id}, function (data) {
            if (data) {
                jQuery("#subject_list").html(data);
            }
        });
    });

    function desplyStudentList() {
        var class_id = jQuery("#class").val();
        var section = jQuery("#section").val();
        var exam = jQuery("#exam").val();
        var subject = jQuery("#subjects").val();
        jQuery("#student_list").html("Loading ...");
        jQuery.post('index.php?option=com_joomschool&task=marks.getMarkList', {
            class_id: class_id,
            section: section,
            exam: exam,
            subject: subject
        }, function (data) {
            if (data) {
                jQuery("#student_list").html(data);
            }
        });
    }


    jQuery("#exam").change(function () {
        desplyStudentList();
    });
    jQuery("#class").change(function () {
        desplyStudentList();
    });
    jQuery("#section").change(function () {
        desplyStudentList();
    });


</script>
	
	
