<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');


$model = $this->getModel();
$user = JFactory::getUser();

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');

JHtml::_('formbehavior.chosen', 'select#jform_student_name,select#jform_teacher_name', null, array('disable_search_threshold' => 1));
JHtml::_('formbehavior.chosen', 'select');
$this->configFieldsets = array('editorConfig');
$this->hiddenFieldsets = array('basic-limited');
$this->ignore_fieldsets = array('jmetadata', 'item_associations');

// Create shortcut to parameters.
$params = clone $this->state->get('params');
//$params->merge(new Registry($this->item->attribs));

$app = JFactory::getApplication();
$input = $app->input;

$assoc = JLanguageAssociations::isEnabled();

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "message.cancel"  || task == "message.newMessage" ||document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
		
			Joomla.submitform(task, document.getElementById("item-form"));

		
		}
	};
');

// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout = $isModal ? 'modal' : 'edit';
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';

//Message list

?>

<style type="text/css">


    .message_head {
        background: #f5f5f5;
        padding: 10px;
        display: inline-block;
        width: 96%;
        margin: 8px 0;
    }

    .message_head p {
    }

    .message {
        padding: 20px 10px;
    }

    .info-bar {
        display: inline-block;
        width: 100%;
        font-size: 12px;
        color: #666;
    }

    .avator, .message-body {
        display: inline-block;
    }

    .avator {
        width: 10%;
    }

    .sender .avator, .commone-avator {
        float: left;
    }

    .sender .info {
        float: left;
    }

    .sender .date-time {
        float: right;
    }

    .recever .avator {
        float: right;
        text-align: right;
    }

    .recever .info {
        float: right;
    }

    .recever .date-time {
        float: left;
    }

    .message-body {
        width: 88%;
        background: #fff;
        padding: 1%;
    }
</style>

<form
        enctype="multipart/form-data"
        action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int)$this->item->id); ?>"
        method="post"
        name="adminForm"
        id="item-form"
        class="form-validate jb-template"
>
    <?php if (!empty($this->sidebar)) : ?>
    <div id="j-sidebar-container" class="span2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="span10">
        <?php else : ?>
        <div id="j-main-container">
            <?php endif; ?>
            <p class=""><b><?php echo JText::_('LABEL_MESSAGE_SUBJECT'); ?>: <?php echo $this->item->subject; ?></b></p>
            <div class="message_head">
                <p class=""><b><?php echo JFactory::getUser($this->item->sender_id)->name; ?></b> to
                    <i><?php echo JFactory::getUser($this->item->recever_id)->name ?></i> <b
                            style="float: right;font-style: italic;font-weight: normal;"><?php echo date('d-M-Y g:i A', strtotime($this->item->date_time)); ?></b>
                </p>
                <div class="avator commone-avator"><img src="<?php echo $this->item->avator_message; ?>" alt=""
                                                        style="width: 50px;height: 50px;"/></div>
                <div class="message-body">
                    <span><?php echo $this->item->message; ?></span>
                </div>
                 <div id="jb-template">
                     <?php echo JoomschoolHelperAttachment::getItemAttachment('m',$this->item->id) ?>
                 </div>
            </div>


            <?php
            $count = count($this->item->responses);
            if (!empty($count)) {
                foreach ($this->item->responses as $message) {
                    $reply_id = $message->id;
                    $reply_sender_id = $message->sender_id;
                    $reply_recever_id = $message->recever_id;
                    $reply_message = $message->message;
                    $reply_date_time = $message->date_time;

                    $avator = $model->avator($reply_sender_id);

                    if ($this->item->sender_id == $reply_sender_id) {
                        $add_class = 'sender';
                    } else {
                        $add_class = 'recever';
                    }


                    echo '<div class="message_head ' . $add_class . '">';
                    echo '<div class="info-bar"> <span class="info"><b>' . JFactory::getUser($reply_sender_id)->name
                        . '</b> to <i>' . JFactory::getUser($reply_recever_id)->name . '</i> </span> <b class="date-time" style="font-style: italic;font-weight: normal;">' . date('d-M-Y g:i A', strtotime($reply_date_time)) . '</b></div>';
                    echo '<div class="avator "><img src="' . $avator . '" alt="" style="width: 50px;height: 50px;" /></div>';
                    echo '<div class="message-body"><span>' . $reply_message . '</span></div>';
                        echo '<div id="jb-template">';
                            echo JoomschoolHelperAttachment::getItemAttachment('mreply',$message->id);
                        echo '</div>';
                    echo '</div>';



                }

            }
            ?>

            <div id="jb-template">
                <div class="form-group mt-3">
                    <?php echo $this->replyform->getInput('message') ?>
                </div>

                <div class="form-group">
                    <?php echo $this->replyform->getLabel('attachment') ?>
                    <?php echo $this->replyform->getInput('attachment') ?>
                </div>
            </div>



            <input type="hidden" name="message_id" value="<?php echo $this->item->id; ?>"/>
            <input type="hidden" name="sender_id" value="<?php echo $user->id; ?>"/>
            <input type="hidden" name="recever_id" value="<?php echo $this->item->sender_id; ?>" id="recever_id"/>


        </div>
    </div>

    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="return" value="<?php echo $input->get('return', null, 'BASE64'); ?>"/>
    <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>"/>
    <?php echo JHtml::_('form.token'); ?>
</form>
	
	



