<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */


defined('_JEXEC') or die;

use Joomla\Registry\Registry;

// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');

JHtml::_('formbehavior.chosen', 'select#jform_student_name,select#jform_teacher_name', null, array('disable_search_threshold' => 1));
JHtml::_('formbehavior.chosen', 'select');
$this->configFieldsets = array('editorConfig');
$this->hiddenFieldsets = array('basic-limited');
$this->ignore_fieldsets = array('jmetadata', 'item_associations');

// Create shortcut to parameters.
$params = clone $this->state->get('params');
//$params->merge(new Registry($this->item->attribs));

$app = JFactory::getApplication();
$input = $app->input;

$assoc = JLanguageAssociations::isEnabled();

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "message.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
		
			Joomla.submitform(task, document.getElementById("item-form"));

		
		}
	};
');

// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout = $isModal ? 'modal' : 'edit';
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';
?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int)$this->item->id); ?>"
      method="post" name="adminForm" id="item-form" class="form-validate jb-template" enctype="multipart/form-data">
    <?php echo $this->form->renderFieldset('message'); ?>

    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="return" value="<?php echo $input->get('return', null, 'BASE64'); ?>"/>
    <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>"/>
    <?php echo JHtml::_('form.token'); ?>

</form>

<script>
    jQuery(document).ready(function ($) {
        $("#jform_teacher_name,#jform_teacher_name").attr('required', 'required').attr('aria-required', 'true').attr('aria-invalid', 'true').addClass('required');
        $("#jform_to_selector").change(function () {
            if ($(this).val() == "student") {
                $("#jform_teacher_name").removeAttr('required aria-required aria-invalid').removeClass('required');
                $("#jform_student_name").attr('required', 'required').attr('aria-required', 'true').attr('aria-invalid', 'true').addClass('required');
            } else if($(this).val() == "teacher") {
                $("#jform_student_name").removeAttr('required aria-required aria-invalid').removeClass('required');
                $("#jform_teacher_name").attr('required', 'required').attr('aria-required', 'true').attr('aria-invalid', 'true').addClass('required');
            }else{
                $("#jform_teacher_name,#jform_teacher_name").attr('required', 'required').attr('aria-required', 'true').attr('aria-invalid', 'true').addClass('required');
            }
        });
    });
</script>