<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

use Joomla\CMS\Form\Form;
use Joomla\CMS\Factory;

class JoomschoolViewParent extends JViewLegacy
{
    /*
* The JForm object
*
* @var  JForm
	 */
    protected $form;

    /**
     * The active item
     *
     * @var  object
     */
    protected $item;

    /**
     * The model state
     *
     * @var  object
     */
    protected $state;

    /**
     * The actions the user is authorised to perform
     *
     * @var  JObject
     */
    protected $canDo;

    /**
     * Execute and display a template script.
     *
     * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
     *
     * @return  mixed  A string if successful, otherwise an Error object.
     *
     * @since   1.6
     */
    public function display($tpl = null)
    {

        $this->form  = $this->get('Form');
        $model = $this->getModel();
        $this->item  = $this->get('Item');

        $this->state = $this->get('State');
        $this->canDo = JHelperContent::getActions('com_joomschool', 'parent', $this->item->id);

        $this->addToolbar();

        return parent::display($tpl);

    }
    protected function addToolbar()
    {
        JFactory::getApplication()->input->set('hidemainmenu', true);
        $user       = JFactory::getUser();
        $userId     = $user->id;
        $isNew      = ($this->item->id == 0);

        // Built the actions for new and existing records.
        $canDo = $this->canDo;

        if($this->getLayout() == 'edit'){
            JToolbarHelper::title(JText::_('LABEL_PARENT_'.($isNew ? 'NEW' : 'EDIT').''),'pencil-2 parent-add');


            // Can't save the record if it's checked out and editable

            if ($canDo->get('core.create')){
                JToolbarHelper::apply('parent.apply');
                JToolbarHelper::save('parent.save');
            }
        }
        JToolbarHelper::cancel('parent.cancel', 'JTOOLBAR_CLOSE');
        JToolbarHelper::divider();
    }

}
