<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

$app = JFactory::getApplication();
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=parents'); ?>" method="post" name="adminForm"
      id="adminForm" class="jb-template-font">
    <?php if (!empty($this->sidebar)) : ?>
    <div id="j-sidebar-container" class="span2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="span10">
        <?php else : ?>
        <div id="j-main-container">
            <?php endif; ?>

            <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>

            <?php if (empty($this->items)) : ?>
                <div class="alert alert-no-items">
                    <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
                </div>
            <?php else : ?>
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th width="1%" class="nowrap left"><?php echo JHtml::_('grid.checkall'); ?></th>
                        <th class=" left"><?php echo JHtml::_('searchtools.sort', 'LABEL_PARENT_NAME', 'name', $listDirn, $listOrder); ?></th>
                        <th class=" left"><?php echo JText::_('LABEL_PARENT_STUDENT_NAME'); ?></th>
                        <th class=" left"><?php echo JText::_('LABEL_PARENT_STUDENT_ROLL'); ?></th>

                        <th class=" left"><?php echo JText::_('LABEL_PARENT_EMAIL'); ?></th>
                        <th class=" left"><?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php foreach ($this->items as $i => $item) :
                        $checked = JHTML::_('grid.id', $i, $item->id);

                        //cover image
                        $item->photo =  !empty($item->photo) ?  JUri::root(false).'administrator/components/com_joomschool/photo/parents/'.$item->photo : JUri::root(false).'administrator/components/com_joomschool/photo/photo.png';

                        //$published = JHtml::_('jgrid.published', $item->published, $i, '', $canChange, 'cb', '', '');
                        $link = JRoute::_('index.php?option=com_joomschool&view=parent&layout=edit&id=' . $item->id);

                        ?>
                        <tr class="row<?php echo $i % 2; ?>">
                            <td class="left"><?php echo $checked; ?></td>
                            <td class="left"><a href="<?php echo $link; ?>"><img src="<?php echo $item->photo; ?>"
                                                                                 class="avator-admin" alt=""
                                                                                 width="50px"/> <?php echo $item->name; ?>
                                </a></td>
                            <td class="left">
                                <?php foreach (explode(',', $item->student_id) as $id) :
                                    $student_link = JRoute::_('index.php?option=com_joomschool&view=student&layout=edit&id=' . $id);
                                    ?>

                                    <a href="<?php echo $student_link; ?>">
 <?php echo JFactory::getUser(JoomschoolHelper::getStudentNameByID($id)->user_id)->name;
                                    ?>
                                    </a> -
                                <?php endforeach; ?>
                            </td>
                            <td class="left">
                                <?php foreach (explode(',', $item->student_id) as $id) : ?>
                                    <span>
                              <?php echo JoomschoolHelper::getStudentRoll($id); ?>
                        </span> -
                                <?php endforeach; ?>
                            </td>

                            <td class="left"><?php echo $item->email; ?></td>
                            <td class="left"><?php echo $item->id; ?></td>
                        </tr>
                    <?php endforeach; ?>
                    </tbody>

                    <tfoot>
                    <tr>
                        <td colspan="10">
                            <?php echo $this->pagination->getListFooter(); ?>
                        </td>
                    </tr>
                    </tfoot>
                </table>

            <?php endif; ?>
        </div>
    </div>


    <input type="hidden" name="task" value="" />
    <input type="hidden" name="boxchecked" value="0" />
    <?php echo JHtml::_('form.token'); ?>
</form>
