<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JoomschoolViewParents extends JViewLegacy
{

    protected $state;

    protected $users;

    protected $pagination;

    public function display($tpl = null)
    {

        $this->items = $this->get('Items');

        $this->pagination = $this->get('Pagination');
        $this->state = $this->get('State');
        $this->filterForm = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');
        $this->canDo = JHelperContent::getActions('com_joomschool');
        $this->db = JFactory::getDbo();
        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors), 500);
        }

        JoomschoolHelper::addSubmenu('parents');
        $this->addToolbar();
        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
    }

    protected function addToolbar()
    {
        $canDo = $this->canDo;
        $user = JFactory::getUser();

        // Get the toolbar object instance
        $bar = JToolbar::getInstance('toolbar');

        JToolbarHelper::title(JText::_('LABEL_PARENT_LIST'), 'user');
        JToolbarHelper::addNew('parent.add');
        if ($canDo->get('core.edit') || $canDo->get('core.edit.own')) {
            JToolbarHelper::editList('parent.edit');
        }
        if ($canDo->get('core.edit.state')) {
            JToolbarHelper::publish('parents.publish', 'JTOOLBAR_PUBLISH', true);
            JToolbarHelper::unpublish('parents.unpublish', 'JTOOLBAR_UNPUBLISH', true);

        }
        if ($canDo->get('core.delete')) {
            JToolbarHelper::deleteList('JGLOBAL_CONFIRM_DELETE', 'parents.delete', 'JTOOLBAR_DELETE');
        }

        if ($canDo->get('core.admin') || $canDo->get('core.options')) {

            JToolbarHelper::preferences('com_joomschool');
            JToolbarHelper::divider();
        }

    }


}
