<?php
/**
 * @package    JoomSchool
 * @author    joomboost.com
 * @copyright    (C) 2016-2020 JoomBoost. All rights reserved.
 */

defined('_JEXEC') or die;
JHtml::_('formbehavior.chosen', 'select');

$model = $this->getModel();
$app = JFactory::getApplication();
$params = JComponentHelper::getParams('com_joomschool');
$schools_name = $params->get('schools_name');
$schools_currency = $params->get('currency_sign');
$user = JFactory::getUser();
?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=payments'); ?>" method="post" name="adminForm"
      id="adminForm" class="jb-template-font">
    <?php if (!empty($this->sidebar)) : ?>
    <div id="j-sidebar-container" class="span2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="span10">
        <?php else : ?>
        <div id="j-main-container">
            <?php endif; ?>

            <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>

            <?php if (empty($this->items)) : ?>
                <div class="alert alert-no-items">
                    <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
                </div>
            <?php else : ?>

                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th width="1%" class="nowrap left"><?php echo JHtml::_('grid.checkall'); ?></th>
                        <th class=" left"><?php echo JText::_('LABEL_STUDENT_NAME'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_STUDENT_ROLL'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_STUDENT_CLASS'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_STUDENT_SECTION'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_TOTAL_BILL'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_PAID_AMMOUNT'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_DUE_AMMOUNT'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_PAY_BY'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_PAY_MONTH_YEAR'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_STATUS'); ?></th>
                        <th class=" left"></th>
                        <th class=" center"><?php echo JText::_('JGRID_HEADING_ID'); ?></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php foreach ($this->items as $i => $item) :
                        $checked = JHTML::_('grid.id', $i, $item->id);
                        $link_invoice = JRoute::_('index.php?option=com_joomschool&view=payment&layout=invoice&id=' . $item->id);
                        $link_new = JRoute::_('index.php?option=com_joomschool&view=payment&layout=edit&id=' . $item->id);

                        $monthName = date("F", mktime(null, null, null, $item->month));
                        $year = $item->year;
                        $status = $item->status;
                        $student_id = $item->student_id;
                        $student_name = $item->name;

                        $ammount = JoomschoolHelper::getCurrency($item->total_bill);

                        if ($item->payment_method == 'offline') {
                            $link_edit = JRoute::_('index.php?option=com_joomschool&view=payment&layout=edit&id=' . $item->id);
                            $edit_button = '<a href="' . $link_edit . '" title="Review" class="btn" ><i class="fas fa-pencil"></i></a>';
                        } else {
                            $edit_button = '';
                        }

                        $st = JoomschoolHelperPayment::getStatusText($status);

                        ?>
                        <tr class="row<?php echo $i % 2; ?>">
                            <td class="left"><?php echo $checked; ?></td>
                            <td class="left">
                                <?php if ($user->authorise('core.admin', 'com_joomschool')) : ?>
                                <a href="<?php echo $link_new; ?>">
                                    <?php endif; ?>
                                    <?php echo $student_name; ?>
                                    <?php if ($user->authorise('core.admin', 'com_joomschool')) : ?>
                                </a>
                            <?php endif; ?>
                            </td>

                            <td class="center"><?php echo $item->student_roll; ?></td>
                            <td class="center"><?php echo $item->class_name ?></td>
                            <td class="center"><?php echo $item->section_name; ?></td>

                            <td class="center"><?php echo $ammount; ?></td>
                            <td class="center"><?php echo JoomschoolHelper::getCurrency($item->paid_ammount) ?></td>
                            <td class="center"><?php echo JoomschoolHelper::getCurrency($item->due_ammount) ?></td>
                            <td class="center"><?php echo $item->payment_method; ?></td>
                            <td class="center"><?php echo $monthName . ' - ' . $year; ?></td>
                            <td class="center"><?php echo $st; ?></td>
                            <td class="left">
                                <?php echo $edit_button; ?>
                                <a href="<?php echo $link_invoice; ?>" class="btn" title="Invoice">
                                    <i class="fas fa-file-alt"></i> <span>Invoice</span>
                                </a>
                            </td>


                            <td class="center"><?php echo $item->id; ?></td>

                        </tr>
                    <?php endforeach; ?>
                    </tbody>

                    <tfoot>
                    <tr>
                        <td colspan="10">
                            <?php echo $this->pagination->getListFooter(); ?>
                        </td>
                    </tr>
                    </tfoot>
                </table>

            <?php endif; ?>
        </div>
    </div>

    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <?php echo JHtml::_('form.token'); ?>
</form>
