<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

use Joomla\CMS\Language\Text;

defined('_JEXEC') or die;


class JoomschoolViewPayments extends JViewLegacy
{
    protected $state;

    protected $users;

    protected $pagination;

    public function display($tpl = null)
    {

        $this->items         = $this->get('Items');
        $this->pagination    = $this->get('Pagination');
        $this->state         = $this->get('State');
        $this->filterForm    = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');
        $this->canDo         = JHelperContent::getActions('com_joomschool');
        $this->db            = JFactory::getDbo();
        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            throw new Exception(implode("\n", $errors), 500);
        }

        JoomschoolHelper::addSubmenu('payments');
        $this->addToolbar();
        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
    }

    protected function addToolbar()
    {
        $canDo = $this->canDo;
        $user  = JFactory::getUser();

        // Get the toolbar object instance
        $bar = JToolbar::getInstance('toolbar');

        JToolbarHelper::title(JText::_('LABEL_PAYMENT_LIST'), 'credit');
        if ($canDo->get('core.create'))
        {
            JToolbarHelper::addNew('payment.add');
        }

        if ($canDo->get('core.edit') || $canDo->get('core.edit.own'))
        {
            JToolbarHelper::editList('payment.edit');
        }

        if ( $canDo->get('core.delete'))
        {
            JToolbarHelper::deleteList('JGLOBAL_CONFIRM_DELETE', 'payments.delete', Text::_('JTOOLBAR_DELETE'));
        }

        if ($canDo->get('core.admin') || $canDo->get('core.options'))
        {

            JToolbarHelper::custom('payments.history','calendar','',JText::_('BTN_PAYMENT_HISTORY'),true);

            JToolbarHelper::divider();
        }


        JToolbarHelper::link('index.php?option=com_joomschool&view=paymethods',  JText::_('BTN_PAYMENT_PAY_METHOD'),'grid');
        JToolbarHelper::link('index.php?option=com_joomschool&view=paytypes',  JText::_('BTN_PAYMENT_PAY_TYPE'),'grid');



    }


}
