<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');


// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');

$this->configFieldsets = array('editorConfig');
$this->hiddenFieldsets = array('basic-limited');
$this->ignore_fieldsets = array('jmetadata', 'item_associations');

// Create shortcut to parameters.
$params = clone $this->state->get('params');
//$params->merge(new Registry($this->item->attribs));

$app = JFactory::getApplication();
$input = $app->input;

$assoc = JLanguageAssociations::isEnabled();

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "student.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
		
			Joomla.submitform(task, document.getElementById("item-form"));

			// @deprecated 4.0  The following js is not needed since 3.7.0.
			if (task !== "student.apply")
			{
				window.parent.jQuery("#studentEdit' . (int)$this->item->id . 'Modal").modal("hide");
			}
		}
	};
');
// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout = $isModal ? 'modal' : 'edit';
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';


$student_name = JFactory::getUser($this->item->user_id)->name;
$loggeduser = JFactory::getUser();


?>
<style>
    /* override styles when printing */
    @media print {

        #isisJsData,nav,#system-debug,header,#status {
            display: none;
        }
    }
</style>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int)$this->item->id); ?>"
      method="post" name="adminForm" id="item-form" class="form-validate jb-template">

    <?php echo JLayoutHelper::render('info.header',['item' => $this->item]) ?>


    <h2 class="mb-4 text-center"><?php echo JText::_('LABEL_STUDENT_ATTENDANCE_REPORT') . ' - ' . $this->item->year ?></h2>
    <ul class="list-group m-0 mb-4">
        <li class="list-group-item border-0">
            <span class="font-weight-bold"><?php echo JText::_('LABEL_STUDENT_NAME') ?> : </span><span
                    class=""><?php echo $this->item->student_name ?></span>
        </li>
        <li class="list-group-item border-0">
            <span class="font-weight-bold"><?php echo JText::_('LABEL_STUDENT_ROLL') ?> : </span><span
                    class=""><?php echo $this->item->roll ?></span>
        </li>
        <li class="list-group-item border-0">
            <span class="font-weight-bold"><?php echo JText::_('LABEL_STUDENT_CLASS') ?> : </span><span
                    class=""><?php echo $this->item->class_name ?></span>
        </li>
    </ul>


    <?php


    // Get Header
    $attent_html = '';

    // Get Body Content
    $attent_html .= '<div class="row-fluid">';
    $attent_html .= '<div class="span12">';

    $months = array(JText::_('COM_JOOMSCHOOL_MONTH_JANUARY'), JText::_('COM_JOOMSCHOOL_MONTH_FEBRUARY'), JText::_('COM_JOOMSCHOOL_MONTH_MARCH'), JText::_('COM_JOOMSCHOOL_MONTH_APRIL'), JText::_('COM_JOOMSCHOOL_MONTH_MAY'), JText::_('COM_JOOMSCHOOL_MONTH_JUNE'), JText::_('COM_JOOMSCHOOL_MONTH_JULY'), JText::_('COM_JOOMSCHOOL_MONTH_AUGUST'), JText::_('COM_JOOMSCHOOL_MONTH_SEPTEMBER'), JText::_('COM_JOOMSCHOOL_MONTH_OCTOBER'), JText::_('COM_JOOMSCHOOL_MONTH_NOVEMBER'), JText::_('COM_JOOMSCHOOL_MONTH_DECEMBER'),);

    foreach ($months as $i => $month) {
        $i++;
        $d = cal_days_in_month(CAL_GREGORIAN, $i,JoomschoolHelper::getYearById($this->item->year));

        $attent_html .= JoomschoolHelper::DisplayAttendance($month, JoomschoolHelper::getYearById($this->item->year), $i, $this->item->id, $this->item->class_id, $this->item->section_id, $d) . '</br>';
    }

    $attent_html .= '</div>';
    $attent_html .= '</div>';

    // Get footer


    echo $attent_html;
    echo JLayoutHelper::render('info.footer', ['item' => $this->item])
    ?>


    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="return" value="<?php echo $input->get('return', null, 'BASE64'); ?>"/>
    <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>"/>
    <?php echo JHtml::_('form.token'); ?>
</form>
