<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');

$this->configFieldsets = array('editorConfig');
$this->hiddenFieldsets = array('basic-limited');
$this->ignore_fieldsets = array('jmetadata', 'item_associations');

// Create shortcut to parameters.
$params = clone $this->state->get('params');
//$params->merge(new Registry($this->item->attribs));

$app = JFactory::getApplication();
$input = $app->input;

$assoc = JLanguageAssociations::isEnabled();

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "student.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
		
			Joomla.submitform(task, document.getElementById("item-form"));

			// @deprecated 4.0  The following js is not needed since 3.7.0.
			if (task !== "student.apply")
			{
				window.parent.jQuery("#studentEdit' . (int)$this->item->id . 'Modal").modal("hide");
			}
		}
	};
');
// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout = $isModal ? 'modal' : 'edit';
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';


$user = JFactory::getUser();
$uid = $user->get('id');
$this->form = JForm::getInstance('student','student');

?>
<style>
    #toolbar-selectexam {
        float: right;
    }

    /* override styles when printing */
    @media print {

        #isisJsData, nav, #system-debug, header {
            display: none;
        }


    }
</style>
<div id="jb-template">
    <div class="text-center mb-4 ">
        <h1><?php echo $params->get('schools_name', 'Schools/Collage Name'); ?></h1>
    </div>
</div>


<form action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int)$this->item->id); ?>"
      method="post" name="adminForm" id="item-form" class="form-validate jb-template">
    <?php if($this->item->exam_id): ?>
    <div class="w-75 m-auto ">
        <div class="text-center mb-4">
            <h2 class="mb-3"> <?php echo JText::_('LABEL_STUDENT_RESULT_CAPTION'); ?> </h2>

            <h3 class="mb-3"> <?php echo JText::_('DEFAULT_EXAM') ?> : <span
                        class="text-muted"> <?php echo $this->item->exam_name ?></span></h3>
            <span class="font-weight-bold"><?php echo JText::_('LABEL_STUDENT_CLASS') ?> : </span><span
                    class=""><?php echo $this->item->class_name ?></span>
        </div>


        <div class="d-flex justify-content-between mb-3">
            <div class="student-name">
                <span class="font-weight-bold"><?php echo JText::_('LABEL_STUDENT_NAME') ?> : </span><span
                        class=""><?php echo $this->item->student_name ?></span>
            </div>
            <div class="student-roll">
                <span class="font-weight-bold"><?php echo JText::_('LABEL_STUDENT_ROLL') ?> : </span><span
                        class=""><?php echo $this->item->roll ?></span>
            </div>
        </div>


        <table width="100%" class="mark-table table table-striped" id="admin-table">
            <thead>
            <tr>

                <th><?php echo JText::_('LABEL_STUDENT_RESULT_SUBJECT') ?></th>
                <th> <?php echo JText::_('LABEL_STUDENT_RESULT_OBTAIN_MARK') ?></th>
                <th> <?php echo JText::_('LABEL_STUDENT_RESULT_GRADE') ?></th>
                <th><?php echo JText::_('LABEL_STUDENT_RESULT_GRADE_COMMENT') ?></th>
            </tr>
            </thead>

            <tbody>
            <?php foreach ($this->item->studentExams as $exam) : ?>
                <tr>
                    <td class="text-left"><?php echo $exam->subject_name ?></td>
                    <td class="text-center"><?php echo $exam->marks ?></td>
                    <td class="text-center"><?php echo $exam->exams_grade ?></td>
                    <td class="text-center"><?php echo $exam->exam_marks_comment ?></td>
                </tr>
            <?php endforeach; ?>
            </tbody>
        </table>

        <div class="d-flex justify-content-between">
            <span>
                <b> <?php echo JText::_('LABEL_STUDENT_RESULT_TOTAL_MARK') . ': ' . $this->item->student_total_marks ?></b></span>

            <span>
                <b><?php echo JText::_('LABEL_STUDENT_RESULT_GPA') . ': ' . $this->item->student_gpa ?></b></span>
        </div>

        <?php else : ?>
            <div class="alert alert-warning">
                <?php echo JText::_('COM_JOOMSCHOOL_NO_EXAM') ?>
            </div>
        <?php endif; ?>
        <input type="hidden" name="task" value=""/>
        <input type="hidden" name="return" value="<?php echo $input->get('return', null, 'BASE64'); ?>"/>
        <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>"/>
        <?php echo JHtml::_('form.token'); ?>
    </div>
</form>
<?php if($this->item->exam_id): ?>
<div style="padding: 10px;margin-bottom: 20px;">
    <!-- Comment Post Form -->
    <div id="comment_result" class="jb-template">

        <?php echo $this->form->renderField('comment'); ?>
    </div>

    <button class="btn btn-primary"
            onclick="savecomment(<?php echo $this->item->class_id; ?>,<?php echo $this->item->roll; ?>,<?php echo $this->state->get('filter.exam') ? $this->state->get('filter.exam') : $this->item->exam_id; ?>,<?php echo $this->item->teacher_id; ?>)">
        Save
    </button>
</div>


<script type="text/javascript">

    function savecomment(class_id, roll, exam_id, teacher_id) {

        var comment = jQuery("#jform_comment").val();
        jQuery("#comment_result").html("Loading ...");
        jQuery.post('index.php?option=com_joomschool&task=student.savecomment', {
            cid: class_id,
            roll: roll,
            eid: exam_id,
            tid: teacher_id,
            comment: comment
        }, function (data) {
            if (data) {
                jQuery("#comment_result").html(data);
            }
        });
    }


</script>

<?php endif; ?>
