<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

use Joomla\CMS\Form\Form;
use Joomla\CMS\Factory;

class JoomschoolViewStudent extends JViewLegacy
{
    /*
* The JForm object
*
* @var  JForm
	 */
    protected $form;

    /**
     * The active item
     *
     * @var  object
     */
    protected $item;

    /**
     * The model state
     *
     * @var  object
     */
    protected $state;

    /**
     * The actions the user is authorised to perform
     *
     * @var  JObject
     */
    protected $canDo;

    /**
     * Execute and display a template script.
     *
     * @param string $tpl The name of the template file to parse; automatically searches through the template paths.
     *
     * @return  mixed  A string if successful, otherwise an Error object.
     *
     * @since   1.6
     */
    public function display($tpl = null)
    {

        $app = JFactory::getApplication();
        $input = $app->input;

        $this->form = $this->get('Form');
        $this->item = $this->get('Item');
        $this->state = $this->get('State');
        $model = $this->getModel();

        if ($this->getLayout() == 'result') {

            $this->item->exam_id = $model->getExamId($this->item->id);


            if ($app->input->get('jform', '', 'array')) {
                $this->item->exam_id = $app->input->get('jform', '', 'array')['exam'];
                $this->state->set('filter.exam', $this->item->exam_id);
            }

           if($this->item->exam_id){
            $this->item->exam_name = JoomschoolHelper::getExamNameByID($this->item->exam_id);
            $this->item->student_total_marks = $model->getTotalMarksGpa($this->item->id)->student_total_marks;
            $this->item->student_gpa = $model->getGradeName((int)$model->getTotalMarksGpa($this->item->id)->gpa)['grade_point'];
            $this->item->studentExams = $model->getResultStudentExams($this->item->id);
            foreach ($this->item->studentExams as $i => $studentExams) {
                $this->item->studentExams[$i]->exams_grade = $model->getGradeName($studentExams->marks)['name'];
            }
           }
        }
        $this->item->student_name = JFactory::getUser($this->item->user_id)->name;

        if ($this->item->id > 0 && $this->getLayout() != "edit") {
            $this->item->teacher_id = isset($model->getTeacher($this->item->class_id)->user_id) ? $model->getTeacher($this->item->class_id)->user_id : '';

            $this->item->section_name = JoomschoolHelper::getSectionsNameByID($this->item->section_id)->section_name;
            $this->item->division_name = JoomschoolHelper::getDivisionNameByID($this->item->division_id)->division_name;
            $this->item->class_name = JoomschoolHelper::getClassNameByID($this->item->class_id)->class_name;

        }
        // for pdf mode
        JoomschoolHelperDownload::getPDF('info.container',$this->item,[
            'type' => 'student',
            'id' => $this->item->id,
            'name' => $this->item->student_name
        ]);

        $this->canDo = JHelperContent::getActions('com_joomschool', 'student', $this->item->id);

        $this->addToolbar();

        return parent::display($tpl);

    }

    protected function addToolbar()
    {
        JFactory::getApplication()->input->set('hidemainmenu', true);
        $user = JFactory::getUser();
        $userId = $user->id;
        $isNew = ($this->item->id == 0);
        //$checkedOut = !($this->item->checked_out == 0 || $this->item->checked_out == $userId);

        // Built the actions for new and existing records.
        $canDo = $this->canDo;

        if ($this->getLayout() == 'result') {
            JoomschoolHelperToolbar::selectExam('selectexam', $this->state->get('filter.exam'), $this->item->id, $this->item->year);
            JToolbarHelper::title(
                JText::_('LABEL_STUDENT_RESULT_CAPTION'),
                'user'
            );
        }
        if ($this->getLayout() == 'details') {
            JToolbarHelper::title(
                JText::_('LABEL_STUDENT_DETAILS'),
                'user'
            );

            JoomschoolHelperToolbar::downloadPDF('icon-attachment', 'COM_JOOMSCHOOL_PDF');

        }
        if ($this->getLayout() == 'edit') {
            JToolbarHelper::title(
                JText::_('LABEL_STUDENT_' . ($isNew ? 'NEW' : 'EDIT')),
                'user'
            );


            // Can't save the record if it's checked out and editable


            if ($canDo->get('core.create')) {
                JToolbarHelper::apply('student.apply');
                JToolbarHelper::save('student.save');

            }

        }



        if ($this->getLayout() != 'edit') {
            JoomschoolHelperToolbar::printInfo('icon-print', 'COM_JOOMSCHOOL_PRINT');
        }

        JToolbarHelper::cancel('student.cancel', 'JTOOLBAR_CLOSE');
        if($this->item->id  && $this->getLayout() == 'edit' ){
            JToolbarHelper::link('index.php?option=com_joomschool&view=student&layout=details&id='.$this->item->id, JText::_('BTN_STUDENT_BIODATA'));
        }
    }

}
