<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$loggeduser = JFactory::getUser();
//$debugUsers = $this->state->get('params')->get('debugUsers', 1);

$user		= JFactory::getUser();
$app       = JFactory::getApplication();


?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=students');?>" method="post" name="adminForm" id="adminForm">
	<?php if (!empty( $this->sidebar)) : ?>
		<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
		</div>
		<div id="j-main-container" class="span10">
	<?php else : ?>
		<div id="j-main-container">
	<?php endif; ?>
	
	<?php	echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));	?>
	
	<?php if (empty($this->items)) : ?>
		<div class="alert alert-no-items">
			<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
		</div>
		<?php else : ?>

	<table class="table table-striped jb-template-font">
		<thead>
			<tr>
				<th width="1%" class="nowrap left"><?php echo JHtml::_('grid.checkall'); ?></th>
				<th  class=" left"><?php echo JHtml::_('searchtools.sort', 'LABEL_STUDENT_NAME', 'name', $listDirn, $listOrder); ?></th>
				<th  class=" left"><?php echo JHtml::_('searchtools.sort', 'LABEL_STUDENT_ROLL', 'roll', $listDirn, $listOrder); ?></th>
                <th  class=" left"></th>
                <th  class=" left"></th>
				<th  class=" left"></th>
				<th  class=" left"></th>
                <th  class=" left"></th>
				<th  class=" left"><?php echo JHtml::_('searchtools.sort', 'LABEL_STUDENT_CLASS', 'class', $listDirn, $listOrder); ?></th>
				<th  class=" left"><?php echo JHtml::_('searchtools.sort', 'LABEL_STUDENT_SECTION', 'section', $listDirn, $listOrder); ?></th>
				<th  class=" left"><?php echo JHtml::_('searchtools.sort', 'LABEL_STUDENT_DIVISION', 'division', $listDirn, $listOrder); ?></th>
				<th  class=" left"><?php echo JHtml::_('searchtools.sort', 'LABEL_STUDENT_YEAR', 'year', $listDirn, $listOrder); ?></th>
				<th  class=" center"><?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?></th>
			</tr>
		</thead>
		
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		
		<tbody>
		  <?php foreach ($this->items as $i => $item) :
			$checked 	= JHTML::_('grid.id',   $i, $item->id );
			$canChange	= $user->authorise('core.edit.state', 'com_joomschool.students.'.$item->id);
		    $published = JHtml::_('jgrid.published', $item->state, $i, '', $canChange, 'cb', '', '');
			$link_details 		= JRoute::_( 'index.php?option=com_joomschool&view=student&layout=details&id='. $item->id );
			$pdf_link_details 		= JRoute::_( 'index.php?option=com_joomschool&view=student&layout=details&pdf=1&id='.$item->id.'' );
		    $link 		= JRoute::_( 'index.php?option=com_joomschool&view=student&layout=edit&id='. $item->id );
			$link_result 		= JRoute::_( 'index.php?option=com_joomschool&view=student&layout=result&year='.$item->year.'&id='. $item->id );
			$link_attendance 		= JRoute::_( 'index.php?option=com_joomschool&view=student&layout=attendance&id='. $item->id );
            $link_idcard 		= JRoute::_( 'index.php?option=com_joomschool&view=student&layout=idcard&id='. $item->id );
              $item->photo =  !empty($item->photo) ?  JUri::root(true).'/administrator/components/com_joomschool/photo/students/'.$item->photo : JUri::root(true).'/administrator/components/com_joomschool/photo/photo.png';


		  ?>
			<tr class="row<?php echo $i % 2; ?>">
				<td class="left"><?php echo $checked; ?></td>
				<td class="left"><a href="<?php echo $link; ?>"><img src="<?php echo $item->photo ?>" class="avator-admin" alt="" width="50px" /> <?php echo $item->name;?></a></td>
				
                <td class="left"><?php echo $item->roll;?></td>
                <td class="left"><a href="<?php echo $link_details; ?>" class="btn btn-default btn-block"><i class="fas fa-eye"></i> <?php echo JText::_('DEFAULT_VIEW'); ?></a></td>
                <td class="left"><a href="<?php echo $pdf_link_details; ?>" class="btn btn-danger btn-block"><i class="fas fa-file-pdf"></i> <?php echo JText::_('DEFAULT_PDF'); ?></a></td>

				<td class="left"><a href="<?php echo $link_result; ?>" class="btn btn-success btn-block"><i class="fas fa-poll-h"></i> <?php echo JText::_('BTN_STUDENT_RESULT'); ?></a></td>
				<td class="left"><a href="<?php echo $link_attendance; ?>" class="btn btn-warning btn-block"><i class="fas fa-calendar-check"></i> <?php echo JText::_('BTN_STUDENT_ATTENDANCE'); ?></a></td>
				<td class="left"><?php if(!empty($parent_id)){echo '<a href="'.$link_parent.'" class="btn btn-default"><i class="fas fa-poll-h"></i>  '.JText::_('BTN_STUDENT_PARENT').'</a>';} ?></td>
				<td class="left"><?php echo $item->class_name ?></td>
				<td class="left"><?php echo $item->section_name ;?></td>
				<td class="left"><?php echo $item->division_name ;?></td>
				<td class="left"><?php echo $item->year;?></td>
				<td class="left"><?php echo $item->id;?></td>
			</tr>
			<?php endforeach;  ?>
		</tbody>
		
		
	</table>
	
	<?php endif;?>
	</div>
	</div>


    <input type="hidden" name="task" value="" />
    <input type="hidden" name="boxchecked" value="0" />
    <?php echo JHtml::_('form.token'); ?>

</form>
