<?php
/**
 * @Copyright Copyright (C) 2019 JoomBoost.com. All rights reserved.
 * @website https://www.joomboost.com
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

// No direct access
defined('_JEXEC') or die('Restricted access');

// Load tooltip behavior
JHtml::_('behavior.tooltip');
JHtml::_('bootstrap.tooltip', '.hasTooltip', array('placement' => 'bottom'));
JHtml::_('bootstrap.popover', '.hasPopover', array('placement' => 'bottom'));
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.multiselect');

// Special case for the search field tooltip.
$searchFilterDesc = $this->filterForm->getFieldAttribute('search', 'description', null, 'filter');
JHtml::_('bootstrap.tooltip', '#filter_search', array('title' => JText::_($searchFilterDesc), 'placement' => 'bottom'));


$app = JFactory::getApplication();
$input = $app->input;
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));

$function  = $app->input->getCmd('function', 'jSelectStudent');
$onclick   = $this->escape($function);


$userRequired    = (int) $input->get('required', 0, 'int');

/**
 * Mootools compatibility
 *
 * There is an extra option passed in the URL for the iframe &ismoo=0 for the bootstraped field.
 * By default the value will be 1 or defaults to mootools behaviour using function jSelectUser()
 *
 * This should be removed when mootools won't be shipped by Joomla.
 */
JFactory::getDocument()->addScriptDeclaration('

	document.addEventListener(\'DOMContentLoaded\', function(){
		
		var elements = document.querySelectorAll(\'.select-link\');

		for(var i = 0, l = elements.length; l>i; i++) {
			
			elements[i].addEventListener(\'click\', function (event) {
				event.preventDefault();
				var functionName = event.target.getAttribute(\'data-function\');
				window.parent[functionName](event.target.getAttribute(\'data-id\'), event.target.getAttribute(\'data-title\'), null, null, event.target.getAttribute(\'data-uri\'), event.target.getAttribute(\'data-language\'), null);
			})
		}
	});
')

?>
<div class="container-popup">

    <form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=students&layout=modal&tmpl=component&function=' . $function . '&' . JSession::getFormToken() . '=1'); ?>" method="post" name="adminForm" id="adminForm" class="form-inline">

        <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
        <?php if (empty($this->items)) : ?>
            <div class="alert alert-no-items">
                <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
            </div>
        <?php else : ?>
            <table class="table table-striped table-condensed">
                <thead>
                <tr>
                    <th class="nowrap">
                        <?php echo JHtml::_('searchtools.sort', 'COM_JOOMSCHOOL_STUDENT_HEADING_NAME', 'a.name', $listDirn, $listOrder); ?>
                    </th>
                    <th width="25%" class="nowrap">
                        <?php echo JHtml::_('searchtools.sort', 'JGLOBAL_USERNAME', 'a.username', $listDirn, $listOrder); ?>
                    </th>
                    <th width="25%" class="nowrap">
                        <?php echo JText::_('COM_JOOMSCHOOL_STUDENT_HEADING_GROUPS'); ?>
                    </th>
                    <th width="1%" class="nowrap">
                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
                </thead>
                <tfoot>
                <tr>
                    <td colspan="6">
                        <?php echo $this->pagination->getListFooter(); ?>
                    </td>
                </tr>
                </tfoot>
                <tbody>
                <?php $i = 0; ?>
                <?php foreach ($this->items as $item) :

                    $link = 'index.php?option=com_joomschool&view=students&id=' . $item->id;
                    $attribs = 'data-function="' . $this->escape($onclick) . '"'
                        . ' data-id="' . $item->id . '"'
                        . ' data-title="' . $this->escape(addslashes($item->name)) . '"'
                        . ' data-uri="' . $link . '"';
                    ?>
                    <tr class="row<?php echo $i % 2; ?>">
                        <td>
                            <a class="select-link" href="javascript:void(0)" <?php echo $attribs; ?>>
                                <?php echo $this->escape($item->name); ?>
                            </a>

                        </td>
                        <td>
                            <?php echo $this->escape($item->username); ?>
                        </td>
                        <td>
                            <?php echo nl2br($item->group_names); ?>
                        </td>
                        <td>
                            <?php echo (int) $item->id; ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            </table>
        <?php endif; ?>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="required" value="<?php echo $userRequired; ?>" />
        <?php echo JHtml::_('form.token'); ?>
    </form>
