<?php
/**
 * @package	JoomSchool
 * @author	joomboost.com
 * @copyright	(C) 2016-2020 JoomBoost. All rights reserved.
 */

defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');

$app = JFactory::getApplication();
$input = $app->input;

$assoc = JLanguageAssociations::isEnabled();

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "subject.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
		
			Joomla.submitform(task, document.getElementById("item-form"));

			// @deprecated 4.0  The following js is not needed since 3.7.0.
			if (task !== "student.apply")
			{
				window.parent.jQuery("#subjectEdit' . (int) $this->item->id . 'Modal").modal("hide");
			}
		}
	};
');
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout  = $isModal ? 'modal' : 'edit';
$tmpl    = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';
?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-horizontal form-validate" >

    <div class="row-fluid">
        <div class="span9">
            <fieldset class="adminform">
                <?php  echo  $this->form->renderFieldset('subject') ?>
            </fieldset>
        </div>
        <div class="span3">
            <?php echo JLayoutHelper::render('joomla.edit.global', $this); ?>
        </div>
    </div>
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="return" value="<?php echo $input->get('return', null, 'BASE64'); ?>" />
    <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>" />
    <?php echo JHtml::_('form.token'); ?>
</form>

