<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');
$app       = JFactory::getApplication();
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn  = $this->escape($this->state->get('list.direction'));


?>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=teachers');?>" method="post" name="adminForm" id="adminForm">
	<?php if (!empty( $this->sidebar)) : ?>
		<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
		</div>
		<div id="j-main-container" class="span10">
	<?php else : ?>
		<div id="j-main-container">
	<?php endif; ?>
	
	<?php	echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));	?>

	<?php if (empty($this->items)) : ?>
		<div class="alert alert-no-items">
			<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
		</div>
	<?php else : ?>
	<table class="table table-striped">
		<thead>
			<tr>
				<th width="1%" class="nowrap left"><?php echo JHtml::_('grid.checkall'); ?></th>
				<th  class=" left"><?php echo JHtml::_('searchtools.sort', 'LABEL_TEACHER_NAME', 'name', $listDirn, $listOrder); ?></th>
				<th  class="left"></th>
				<th  class="left"></th>
				<th  class="left"><?php echo JHtml::_('searchtools.sort', 'LABEL_TEACHER_CLASS', 'class', $listDirn, $listOrder); ?></th>
				<th  class=" left"><?php echo JHtml::_('searchtools.sort', 'LABEL_TEACHER_SECTION', 'section', $listDirn, $listOrder); ?></th>
				<th  class=" left"><?php echo JHtml::_('searchtools.sort', 'LABEL_TEACHER_SUBJECT', 'subject', $listDirn, $listOrder); ?></th>
				<th  class=" left"><?php echo JText::_('LABEL_TEACHER_EMAIL'); ?></th>
				<th  class=" left"><?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?></th>
			</tr>
		</thead>
		<tbody class="jb-template-font">
		  <?php foreach ($this->items as $i => $item) :
			$checked 	= JHTML::_('grid.id',   $i, $item->id );
			
			//cover image
              $item->photo =  !empty($item->photo) ?  JUri::root(true).'/administrator/components/com_joomschool/photo/teachers/'.$item->photo : JUri::root(true).'/administrator/components/com_joomschool/photo/photo.png';
			
		    $link 		        = JRoute::_( 'index.php?option=com_joomschool&view=teacher&layout=edit&id='. $item->id );
			$link_details 		= JRoute::_( 'index.php?option=com_joomschool&view=teacher&layout=details&id='. $item->id );
              $link_pdf 		= JRoute::_( 'index.php?option=com_joomschool&view=teacher&layout=details&pdf=1&id='. $item->id );

		  ?>
			<tr class="row<?php echo $i % 2; ?>">
				<td class="left"><?php echo $checked; ?></td>
				<td class="left"><a href="<?php echo $link; ?>"><img src="<?php echo $item->photo ; ?>" class="avator-admin" alt="" width="50px" /> <?php echo $item->name;?></a></td>
				<td class="left"><a href="<?php echo $link_details; ?>" class="btn btn-default btn-block"><span class="fas fa-eye"></span> <?php echo JText::_('DEFAULT_VIEW'); ?></a></td>
				<td class="left"><a href="<?php echo $link_pdf; ?>" class="btn btn-danger btn-block"><span class="fas fa-file-pdf"></span> <?php echo JText::_('DEFAULT_PDF'); ?></a></td>
				<td class="left">

                    <?php
                    $classes = explode(',', $item->class);

                    if(count($classes) > 0){

                        foreach ($classes as $class) {

                            if(empty($class)) continue;

                            echo  '<span class="badge badge-inverse">'.JoomschoolHelper::getClassNameByID($class)->class_name.'</span> ';
                        }
                    }

                    ?>
                </td>
				<td class="left">
                    <?php

                    $sections = explode(',', $item->section);

                    if(count($sections) > 0){

                        foreach ($sections as $section) {

                            if(empty($section)) continue;

                            echo  '<span class="badge badge-success">'.JoomschoolHelper::getSectionsNameByID($section)->section_name.'</span> ';
                        }
                    }

                    ?>
                </td>
				<td class="left">
                    <?php

                    $subjects = explode(',', $item->subject);

                    if(count($subjects) > 0){

                        foreach ($subjects as $subject) {

                            if(empty($subject)) continue;

                            echo  '<span class="badge badge-warning">'.JoomschoolHelper::getSubjectNameByID($subject)->subject_name.'</span> ';
                        }
                    }

                    ?>
                </td>
				<td class="left"><?php echo $item->email;?></td>
				<td class="left"><?php echo $item->id;?></td>
			</tr>
			<?php endforeach;  ?>
		</tbody>
		
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
	</table>
	<?php endif;?>
	
	</div>
	</div>


    <input type="hidden" name="task" value="" />
    <input type="hidden" name="boxchecked" value="0" />
    <?php echo JHtml::_('form.token'); ?>
</form>
