<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

use Joomla\CMS\Form\Form;
use Joomla\CMS\Factory;

class JoomschoolViewTeachers extends JViewLegacy
{
    protected $state;

    protected $users;

    protected $pagination;

    public function display($tpl = null)
    {

        $this->items = $this->get('Items');

        
        $this->pagination = $this->get('Pagination');
        $this->state = $this->get('State');
        $this->filterForm = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');
        $this->canDo = JHelperContent::getActions('com_joomschool');
        $this->db = JFactory::getDbo();


        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors), 500);
        }

        JoomschoolHelper::addSubmenu('teachers');
        $this->addToolbar();
        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
    }

    protected function addToolbar()
    {
        $canDo = $this->canDo;
        $user = JFactory::getUser();

        // Get the toolbar object instance
        $bar = JToolbar::getInstance('toolbar');

        JToolbarHelper::title(JText::_('LABEL_TEACHER_LIST'), 'users user');
        JToolbarHelper::addNew('teacher.add');
        if ($canDo->get('core.edit') || $canDo->get('core.edit.own')) {
            JToolbarHelper::editList('teacher.edit');
        }

        if ($canDo->get('core.delete')) {
            JToolbarHelper::deleteList('JGLOBAL_CONFIRM_DELETE', 'teachers.delete', 'JTOOLBAR_DELETE');
        }

        if ($canDo->get('core.admin') || $canDo->get('core.options')) {

            JToolbarHelper::preferences('com_joomschool');
            JToolbarHelper::divider();
        }
        JToolbarHelper::custom('teachers.sendEmailLink', 'envelope', '', 'BTN_TEACHER_SEND_EMAIL', true);


    }
}
