<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
class JoomschoolController extends JControllerLegacy
{



    /**
     * Method to display a view.
     *
     * @param   boolean  $cachable   If true, the view output will be cached.
     * @param   boolean  $urlparams  An array of safe URL parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
     *
     * @return  JController  This object to support chaining.
     *
     * @since   1.5
     */
    public function display($cachable = false, $urlparams = false)
    {
        $cachable = true;

        /**
         * Set the default view name and format from the Request.
         * Note we are using a_id to avoid collisions with the router and the return page.
         * Frontend is a bit messier than the backend.
         */
        $id    = $this->input->getInt('id');
        $vName = $this->input->getCmd('view', 'dashboard');
        $views = ['teachers','parents','students'];
        if(in_array($vName,$views)){
            $this->setRedirect(JRoute::_(JoomSchoolHelperRoute::getDashboardRoute()));
        }


        $user = JFactory::getUser();

        // Check for edit form.
        if ($vName === 'studentedit' && !$this->checkEditId('com_joomschool.edit.student', $id))
        {
            // Somehow the person just went to the form - we don't allow that.
            return JError::raiseError(403, JText::sprintf('JLIB_APPLICATION_ERROR_UNHELD_ID', $id));
        }

        parent::display($cachable, '');

        return $this;
    }

}

