<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
JLoader::register('JoomschoolControllerAttendance', JPATH_ADMINISTRATOR . '/components/com_joomschool/controllers/attendance.php');

class JoomschoolControllerAttendanceform extends JoomschoolControllerAttendance
{

    /**
     * Gets the URL arguments to append to an item redirect.
     *
     * @param   integer  $recordId  The primary key id for the item.
     * @param   string   $urlVar    The name of the URL variable for the id.
     *
     * @return  string	The arguments to append to the redirect URL.
     *
     * @since   1.6
     */

    /**
     * The URL view item variable.
     *
     * @var    string
     * @since  1.6
     */
    protected $view_item = 'attendanceform';

    /**
     * The URL view list variable.
     *
     * @var    string
     * @since  1.6
     */
    protected $view_list = 'attendances';



    public function getRedirectToItemAppend($recordId = null, $urlVar = 'id')
    {
        // Need to override the parent method completely.
        $tmpl   = $this->input->get('tmpl');

        $append = '';

        // Setup redirect info.
        if ($tmpl)
        {
            $append .= '&tmpl=' . $tmpl;
        }

        // TODO This is a bandaid, not a long term solution.
        /**
         * if ($layout)
         * {
         *	$append .= '&layout=' . $layout;
         * }
         */

        $append .= '&layout=edit';

        if ($recordId)
        {
            $append .= '&' . $urlVar . '=' . $recordId;
        }

        $itemId = $this->input->getInt('Itemid');
        $return = $this->getReturnPage();


        if ($itemId)
        {
            $append .= '&Itemid=' . $itemId;
        }


        if ($return)
        {
            $append .= '&return=' . base64_encode($return);
        }
       
        return $append;
    }


    /**
     * Get the return URL.
     *
     * If a "return" variable has been passed in the request
     *
     * @return  string	The return URL.
     *
     * @since   1.6
     */
    protected function getReturnPage()
    {
        $return = $this->input->get('return', null, 'base64');
        

        if (empty($return) || !JUri::isInternal(base64_decode($return)))
        {
            return JUri::base();
        }
        else
        {
            return base64_decode($return);
        }
    }

    public function allowSave($data, $key = 'id')
    {
        // cuz is teacher always allowed to edit his own attendance
        return true;
    }

    public function save($key = null, $urlVar = null)
    {

        $this->context = 'attendanceform';


        return parent::save($key, $urlVar); // TODO: Change the autogenerated stub
    }

    public function savestatus()
    {

        $this->context = 'attendanceform';

        parent::savestatus(); // TODO: Change the autogenerated stub
    }

    public function saveattend()
    {


        $this->context = 'attendanceform';
        parent::saveattend(); // TODO: Change the autogenerated stub
    }

}
