<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

JModelLegacy::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_joomschool/models', 'JoomschoolModel');

class JoomschoolControllerMessage extends JControllerForm
{

    public $data;

    public function __construct($config = array())
    {
        parent::__construct($config);
    }

    function findteacher()
    {
        $value = JRequest::getVar('val');
        $model = $this->getModel('message');
        $teachers = $model->getTeacherID($value);


        if (empty($teachers)) {
            echo '<div class="mb-2 text-danger">' . JText::_('COM_JOOMSCHOOL_NOT_FOUND') . '</div>';
        } else {
            echo '<small class="d-block mb-2 text-muted">' . JText::_('COM_JOOMSCHOOL_SELECT_FROM_LIST') . '</small>';
            echo '<div class="border rounded border-bottom-0">';
            foreach ($teachers as $teacher) {
                if (!empty($teacher->photo)) {
                    $path = "administrator/components/com_joomschool/photo/teachers/";
                    $photo = $teacher->photo;
                    $img_src = $path . $photo;
                } else {
                    $path = "administrator/components/com_joomschool/photo/";
                    $photo = "photo.png";
                    $img_src = $path . $photo;
                }
                $degignation = $teacher->designation;
                $onclick = "onclick=\"lookteacher('" . JFactory::getUser($teacher->user_id)->name . "','" . $teacher->user_id . "');\"";
                echo '<div class="border-bottom p-3 searchresult_ajax d-flex" ' . $onclick . ' style="cursor: pointer;">';
                echo '<div class="mr-3">
                            <img src="' . JURI::root() . $img_src . '" alt="" width="30px" height="30px" class="rounded-circle" />
                     </div>';
                echo '<div>' . JFactory::getUser($teacher->user_id)->name . '</div>';
                echo '</div>';
            }//end foreach
            echo '</div>';
        }


        JFactory::getApplication()->close();

    }

    function findstudent()
    {
        $value = JRequest::getVar('val');

        $model = $this->getModel('message');

        $students = $model->getStudentID($value);


        if (empty($students)) {
            echo '<div class="mb-2 text-danger">' . JText::_('COM_JOOMSCHOOL_NOT_FOUND') . '</div>';
        } else {
            echo '<small class="d-block mb-2 text-muted">' . JText::_('COM_JOOMSCHOOL_SELECT_FROM_LIST') . '</small>';
            echo '<div class="border rounded border-bottom-0">';
            foreach ($students as $student) {

                if (!empty($student->photo)) {
                    $path = "administrator/components/com_joomschool/photo/students/";
                    $photo = $student->photo;
                    $img_src = $path . $photo;
                } else {
                    $path = "administrator/components/com_joomschool/photo/";
                    $photo = "photo.png";
                    $img_src = $path . $photo;
                }

                $onclick = "onclick=\"lookstudent('" . $student->name . "','" . $student->user_id . "');\"";
                echo '<div class="border-bottom p-3 searchresult_ajax d-flex" ' . $onclick . ' style="margin: 5px 0;cursor: pointer;">';
                echo '<div class="mr-3"><img src="' . JURI::root() . $img_src . '" alt="" width="30px" height="30px" class="rounded-circle" /></div>';
                echo '<div >' . $student->name . '</div>';
                echo '</div>';
            }//end foreach

            echo '</div>';

        }
        JFactory::getApplication()->close();
    }

    /**
     ** Find Parent
     **/
    function findparent()
    {
        $value = JRequest::getVar('val');
        $model = $this->getModel('message');
        $parents = $model->getParentID($value);

        if (empty($parents)) {
            echo '<div class="mb-2 text-danger">' . JText::_('COM_JOOMSCHOOL_NOT_FOUND') . '</div>';
        } else {
            echo '<small class="d-block mb-2 text-muted">' . JText::_('COM_JOOMSCHOOL_SELECT_FROM_LIST') . '</small>';
            echo '<div class="border rounded border-bottom-0">';
            foreach ($parents as $parent) {
                if (!empty($parent->photo)) {
                    $path = "administrator/components/com_joomschool/photo/parents/";
                    $photo = $parent->photo;
                    $img_src = $path . $photo;
                } else {
                    $path = "administrator/components/com_joomschool/photo/";
                    $photo = "photo.png";
                    $img_src = $path . $photo;
                }

                $onclick = "onclick=\"lookparent('" . $parent->name . "','" . $parent->user_id . "');\"";
                echo '<div class="border-bottom p-3 searchresult_ajax d-flex" ' . $onclick . ' style="margin: 5px 0;cursor: pointer;">';
                echo '<div class="mr-3"><img src="' . JURI::root() . $img_src . '" alt="" width="30px" height="30px;" class="rounded-circle" /></div>';
                echo '<div>' . $parent->name . '</div>';
                echo '</div>';
            }//end foreach
            echo '</div>';

        }
        JFactory::getApplication()->close();
    }

    function parentbox(){
        echo '<div class="form-group">';
        echo '<input type="text" id="parent" class="form-control rrequired" onkeyup="findparent()"   name="recever_name"  placeholder="'.JText::_('COM_JOOMSCHOOL_TYPE_PARENT_NAME').'" required="required" />';
        echo '</div>';
        JFactory::getApplication()->close();
    }


    function teacherbox()
    {
        echo '<input type="text" id="teacher" class="form-control required" onkeyup="findteacher()"  name="recever_name" placeholder="'.JText::_('COM_JOOMSCHOOL_TYPE_TEACHER_NAME').'" required="required" />';
        JFactory::getApplication()->close();
    }

    function studentbox()
    {
        echo '<input type="text" id="student" class="form-control required" onkeyup="findstudent()"   name="recever_name" placeholder="'.JText::_('COM_JOOMSCHOOL_TYPE_STUDENT_OR_ROLL').'" required="required" />';
        JFactory::getApplication()->close();
    }

    public function updateMessageStatus(){

        // check token first for security
        $this->checkToken();

        $input = JFactory::getApplication()->input;

        // get new assigned message status
        $assignedStatus = $input->get('assigned_status',0,'int');
        $messageId = $input->get('message_id',0,'int');

        if($messageId == 0){
            $this->data['message'] = 'Invalid message';
            $this->data['error'] = 'true';
            $this->ajax();
        }


        $newStatus = new stdClass();
        $newStatus->id = $messageId;
        $newStatus->assigned_status = $assignedStatus;

        $save = JFactory::getDbo()->updateObject('#__joomschool_message',$newStatus,'id');

        $this->data['message'] = $save ? 'Status updated' : 'Error';
        $this->data['error'] = $save ? false : true;

        $this->ajax();

    }






    public function getStudentClassSubjects(){

        $output = "";

        $studentJoomlaUserId = JFactory::getApplication()->input->get('studentId',0,'int');
        $showClassName = JFactory::getApplication()->input->get('showClassName',1,'int');

        // no need to continue if no id for student provided
        if($studentJoomlaUserId == 0){
            echo $output;
            JFactory::getApplication()->close();
        }

        $studentId = JoomschoolHelper::getStudentIDByUserID($studentJoomlaUserId);

        if(is_null($studentId)){
            echo $output;
            JFactory::getApplication()->close();
        }

        // get student class and subjects
        $model = JModelLegacy::getInstance('Student', 'JoomschoolModel', array('ignore_request' => true));

        // get student item
        $student = $model->getItem($studentId);


        if(count($student->subjects) == 0 ){
            echo $output;
            JFactory::getApplication()->close();
        }

        // class input
        if($showClassName)
        $output .= "<div class='form-group'><div class='bg-light border p-2 rounded'><strong>".JText::_('COM_JOOMSCHOOL_CLASS_NAME').":</strong> $student->class_name</div></div>";

        // subjects select
        $output .= "<div class='form-group'><select name='class_subjects[]' multiple  data-placeholder='".JText::_('COM_JOOMSCHOOL_SELECT_CLASS_SUBJECTS')."' required='required'>";
        foreach ($student->subjects as $subject){
            $output.= "<option value='$subject->id'>$subject->subject_name ($subject->subject_code)</option>";
        }
        $output .= "</select></div>";

        echo $output;

        JFactory::getApplication()->close();

    }

    /**---------------------------------------------------------------------------------------------------------------------
     *********************************************** MESSAGE SAVE ***************************************************
     **----------------------------------------------------------------------------------------------------------------------*/
    function message_save()
    {

        // Save  Category info
        $model = $this->getModel('message');
        $id = $model->savemessage();


        $msg = $id ? 'COM_JOOMSCHOOL_MESSAGE_SENT' : 'COM_JOOMSCHOOL_MESSAGE_NOT_SENT';
        $link = $id ? 'index.php?option=com_joomschool&view=message' : 'index.php?option=com_joomschool&view=message&layout=form';

        // upload attachment if message successfully sent and save


        if($id){
            JoomschoolHelperAttachment::save($id,'m'); // 'm' means message , 'mreply' means message reply
        }

        // redirect user
        $this->setRedirect(JRoute::_($link), JText::_($msg));

    }

    function message_reply()
    {
        $model = $this->getModel('message');
        $message_id = JFactory::getApplication()->input->get('message_id',0,'int');

        // send and save message
        $id = $model->messagereply();


        $msg = $id ? 'COM_JOOMSCHOOL_MESSAGE_SENT' : 'COM_JOOMSCHOOL_MESSAGE_NOT_SENT';

        // upload attachment if message successfully sent and save
        if($id){
            JoomschoolHelperAttachment::save($id,'mreply');
        }

        // redirect user
        $link = JRoute::_('index.php?option=com_joomschool&view=message&task=messagedetails&mid=' . $message_id . '');
        $this->setRedirect($link, JText::_($msg));
    }


    function delete()
    {
        $model = $this->getModel('message');
        if (!$model->delete()) {
            $msg = JText::_('Error: Message Could not be Deleted');
        } else {
            $msg = JText::_('Message Deleted');
        }
        $link = JRoute::_('index.php?option=com_joomschool&view=message');
        $this->setRedirect($link, $msg);
    }

    public function ajax(){

        header('Content-Type: application/json; charset=utf-8');

        echo json_encode($this->data);

        die();

    }


    public function checkToken($method = 'post', $redirect = true)
    {

        $token = parent::checkToken('get', false);

        // check token first
        if(!$token){
            $this->data['message'] = 'invalid token';
            $this->data['error'] = 'true';

            $this->ajax();
        }


        return true;



    }


}
