<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JoomschoolControllerResult extends JControllerForm
{

    public function __construct()
    {
        parent::__construct();

    }

    /**
     ** Get Result
     **/
    public function getresult()
    {
        $input = \Joomla\CMS\Factory::getApplication()->input;

        $group_title = $input->get('group_title', '', 'string');
        $class_id = $input->get('classid', 0, 'int');
        $roll = $input->get('roll', '', 'string');
        $student_id = $input->get('student_id', 0, 'int');
        $exam = $input->get('exam', 0, 'int');
        $model = $this->getModel('result');

        // exam not selected
        if (!$exam) {
            echo '<div class="alert alert-warning">' . JText::_('JGLOBAL_NO_MATCHING_RESULTS') . ', Please select exam !</div>';
            die;
        }

        // if roll is empty try to use student id

        // get results
        $return_value = $model->Result($exam, $class_id, $roll,$student_id);

        // result found
        if($return_value){
            echo $return_value;
            die;
        }

        // if result return 0
        if(!$return_value){
            echo '<div class="alert alert-warning">' . JText::_('JGLOBAL_NO_MATCHING_RESULTS') . '</div>';
            die;
        }

        if ($group_title == 'Parents' && empty($roll)) {

            echo '<div class="alert alert-warning">' . JText::_('JGLOBAL_NO_MATCHING_RESULTS') . ', Please select student !</div>';
            die;

        }

        if ($group_title == 'Teachers') {

            if (!$class_id) {

                echo '<div class="alert alert-warning">' . JText::_('JGLOBAL_NO_MATCHING_RESULTS') . ', Please select class !</div>';
                die;

            } elseif (empty($roll)) {

                echo '<div class="alert alert-warning">' . JText::_('JGLOBAL_NO_MATCHING_RESULTS') . ', Please enter roll !</div>';
                die;
            } else {

                echo '<div class="alert alert-warning">' . JText::_('JGLOBAL_NO_MATCHING_RESULTS') . '';
                die;
            }

        }


        echo '<div class="alert alert-warning">' . JText::_('JGLOBAL_NO_MATCHING_RESULTS') . ', Please select exam !</div>';
        die;

    }

        /**
         ** Save Comment
         **/
    public  function savecomment()
        {
            $cid = JRequest::getVar('cid');
            $roll = JRequest::getVar('roll');
            $eid = JRequest::getVar('eid');
            $tid = JRequest::getVar('tid');
            $comment = JRequest::getVar('comment');

            $model = $this->getModel('result');
            $id = $model->savecomment($cid, $roll, $eid, $tid, $comment);

            if (!empty($id)) {
                $comment = JoomschoolHelper::selectSingleData('comments', 'joomschool_result_comments', 'id', $id);
                echo '<textarea cols="" rows="" class="form-control" id="comment" >' . $comment . '</textarea>';
            } else {
                echo '<p style="text-align: center;"><span id="meg" style=" background: red;color: #fff;padding: 3px 33px;">Error</span></p>';
            }

            JFactory::getApplication()->close();
        }


    }
