<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

use Joomla\CMS\Access\Access;

defined('_JEXEC') or die;

class JoomschoolHelperMenu
{
// Get Teacher Menu

    public static function getMenu($id)
    {
        
        $group = JoomschoolHelperFrontend::checkGroup($id);

        // Get Student Menu
        $menu = [];
      
        switch ($group) {
            case 'Students':
               
               $menu = [
                    [
                        'view' => 'dashboard',
                        'layout' => '',
                        'icon' => 'fas fa-tachometer-alt',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getDashboardRoute()),
                        'text' => JText::_('MENU_DASHBOARD'),
                    ],
                    [
                        'view' => 'studentedit',
                        'layout' => 'details',
                        'icon' => 'fas fa-user',
                        'link' => JRoute::_('index.php?option=com_joomschool&view=studentedit&layout=details'),
                        'text' => JText::_('MENU_MY_PROFILE'),
                    ],
                    [
                        'view' => 'message',
                        'layout' => '',
                        'icon' => 'fas fa-envelope-open',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getMessageRoute()),
                        'text' => JText::_('MENU_MESSAGE'),
                    ],
                    [
                        'view' => 'attendancereport',
                        'layout' => '',
                        'icon' => 'fas fa-check-square',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getAttendanceReportRoute()),
                        'text' => JText::_('MENU_ATTENDANCE_REPORT'),
                    ],
                   [
                       'view' => 'announcements',
                       'layout' => '',
                       'icon' => 'fas fa-bullhorn',
                       'link' => JRoute::_(JoomSchoolHelperRoute::getAnnouncementsRoute()),
                       'text' => JText::_('COM_JOOMSCHOOL_ANNOUNCEMENTS'),
                   ],
                   [
                       'view' => 'result',
                       'layout' => '',
                       'icon' => 'fas fa-poll-h',
                       'link' => JRoute::_(JoomSchoolHelperRoute::getResultRoute()),
                       'text' => JText::_('MENU_RESULTS'),
                   ],

                    [
                        'view' => 'payments',
                        'layout' => '',
                        'icon' => 'fab fa-paypal',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getPaymentsRoute()),
                        'text' => JText::_('MENU_PAYMENTS'),
                    ],
                    [
                        'view' => 'studentedit',
                        'layout' => 'edit',
                        'icon' => 'fas fa-edit',
                        'link' => JRoute::_('index.php?option=com_joomschool&view=studentedit&layout=edit'),
                        'text' => JText::_('MENU_PROFILE_SETTING'),
                    ],

                ];
                break;
            case 'Teachers':

                  $menu = [
                    [
                        'view' => 'dashboard',
                        'layout' => '',
                        'icon' => 'fas fa-tachometer-alt',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getDashboardRoute()),
                        'text' => JText::_('MENU_DASHBOARD'),
                    ],
                    [
                        'view' => 'teacheredit',
                        'layout' => 'details',
                        'icon' => 'fas fa-user',
                        'link' => JRoute::_('index.php?option=com_joomschool&view=teacheredit&layout=details'),
                        'text' => JText::_('MENU_MY_PROFILE'),
                    ],
                    [
                        'view' => 'message',
                        'layout' => '',
                        'icon' => 'fas fa-envelope-open',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getMessageRoute()),
                        'text' => JText::_('MENU_MESSAGE'),
                    ],
                    [
                        'view' => 'attendances',
                        'layout' => '',
                        'icon' => 'fas fa-check-square',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getAttendancesRoute()),
                        'text' => JText::_('MENU_ATTENDANCE'),
                    ],
                      [
                          'view' => 'announcements',
                          'layout' => '',
                          'icon' => 'fas fa-bullhorn',
                          'link' => JRoute::_(JoomSchoolHelperRoute::getAnnouncementsRoute()),
                          'text' => JText::_('COM_JOOMSCHOOL_ANNOUNCEMENTS'),
                      ],
                    [

                        'view' => 'marks',
                        'layout' => '',
                        'icon' => 'fas fa-star',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getMarksRoute()),
                        'text' => JText::_('MENU_MARKSHEET'),
                    ],
                    [
                        'view' => 'result',
                        'layout' => '',
                        'icon' => 'fas fa-poll-h',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getResultRoute()),
                        'text' => JText::_('MENU_RESULTS'),
                    ],
                   /* [
                        'view' => 'payments',
                        'layout' => '',
                        'icon' => 'fab fa-paypal',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getPaymentsRoute()),
                        'text' => JText::_('MENU_PAYMENTS'),
                    ],*/
                    [

                        'view' => 'teacheredit',
                        'layout' => 'edit',
                        'icon' => 'fas fa-edit',
                        'link' => JRoute::_('index.php?option=com_joomschool&view=teacheredit&layout=edit'),
                        'text' => JText::_('MENU_PROFILE_SETTING'),
                    ],

                ];
                break;
            case 'Parents':

                   $menu = [
                    [
                        'view' => 'dashboard',
                        'layout' => '',
                        'icon' => 'fas fa-tachometer-alt',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getDashboardRoute()),
                        'text' => JText::_('MENU_DASHBOARD'),
                    ],
                    [
                        'view' => 'parentedit',
                        'layout' => 'details',
                        'icon' => 'fas fa-user',
                        'link' => JRoute::_('index.php?option=com_joomschool&view=parentedit&&layout=details'),
                        'text' => JText::_('MENU_MY_PROFILE'),
                    ],
                    [
                        'view' => 'message',
                        'layout' => '',
                        'icon' => 'fas fa-envelope-open',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getMessageRoute()),
                        'text' => JText::_('MENU_MESSAGE'),
                    ],
                    [
                        'view' => 'attendancereport',
                        'layout' => '',
                        'icon' => 'fas fa-check-square',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getAttendanceReportRoute()),
                        'text' => JText::_('MENU_ATTENDANCE_REPORT'),
                    ],
                    [
                        'view' => 'result',
                        'layout' => '',
                        'icon' => 'fas fa-poll-h',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getResultRoute()),
                        'text' => JText::_('MENU_RESULTS'),
                    ],
                    [
                        'view' => 'payments',
                        'layout' => '',
                        'icon' => 'fab fa-paypal',
                        'link' => JRoute::_(JoomSchoolHelperRoute::getPaymentsRoute()),
                        'text' => JText::_('MENU_PAYMENTS'),
                    ],
                    [
                        'view' => 'parentedit',
                        'layout' => 'edit',
                        'icon' => 'fas fa-edit',
                        'link' => JRoute::_('index.php?option=com_joomschool&view=parentedit&layout=edit'),
                        'text' => JText::_('MENU_PROFILE_SETTING'),
                    ],

                ];
                break;

        }


      return $menu;
    }


}