<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/**
 * Content Component Route Helper.
 *
 * @since  1.3
 */
abstract class JoomSchoolHelperRoute
{

    public static function getPaymentEditRoute($item){

        $rules = [];
        $rules[] = ['view' => 'paymentedit','layout'=> 'edit','id'=> $item->id];
        $rules[] = ['view' => 'payments'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=paymentedit&layout=edit&id=' . $item->id.$itemId;


    }

    public static function getAttendanceFormRoute(){

        $rules = [];
        $rules[] = ['view' => 'attendanceform','layout'=> 'edit'];
        $rules[] = ['view' => 'attendances'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=attendanceform&layout=edit&'.$itemId;


    }
    public static function getParentEditRoute(){

        $rules = [];
        $rules[] = ['view' => 'parentedit','layout'=> 'edit'];
        $rules[] = ['view' => 'parentedit','layout'=> 'details'];
        $rules[] = ['view' => 'dashboard'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=parentedit&layout=edit&'.$itemId;


    }
    public static function getStudentEditRoute(){

        $rules = [];
        $rules[] = ['view' => 'studentedit','layout'=> 'edit'];
        $rules[] = ['view' => 'studentedit','layout'=> 'details'];
        $rules[] = ['view' => 'dashboard'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=studentedit&layout=edit&'  .$itemId;


    }

    public static function getTeacherEditRoute(){


        $rules = [];
        $rules[] = ['view' => 'teacheredit','layout'=> 'edit'];
        $rules[] = ['view' => 'teacheredit','layout'=> 'details'];
        $rules[] = ['view' => 'dashboard'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=teacheredit&layout=edit'.$itemId;


    }


    public static function getParentDetailsRoute(){

        $rules = [];
        $rules[] = ['view' => 'parentedit','layout'=> 'details'];
        $rules[] = ['view' => 'dashboard'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=parentedit&layout=details&'.$itemId;


    }
    public static function getStudentDetailsRoute(){

        $rules = [];
        $rules[] = ['view' => 'studentedit','layout'=> 'details'];
        $rules[] = ['view' => 'dashboard'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=studentedit&layout=details&'  .$itemId;


    }

    public static function getTeacherDetailsRoute(){


        $rules = [];
        $rules[] = ['view' => 'teacheredit','layout'=> 'details'];
        $rules[] = ['view' => 'dashboard'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=teacheredit&layout=details'.$itemId;


    }

    public static function getResultRoute(){

        $rules = [];
        $rules[] = ['view' => 'result'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=result&' .$itemId;


    }
    public static function getAttendancesRoute(){

        $rules = [];
        $rules[] = ['view' => 'attendances'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=attendances&' .$itemId;


    }
    public static function getAnnouncementsRoute(){

        $rules = [];
        $rules[] = ['view' => 'announcements'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=announcements&' .$itemId;


    }
    public static function getMessageRoute(){

        $rules = [];
        $rules[] = ['view' => 'message'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=message&' .$itemId;


    }
    public static function getMarksRoute(){

        $rules = [];
        $rules[] = ['view' => 'marks'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=marks&' .$itemId;


    }
    public static function getPaymentsRoute(){

        $rules = [];
        $rules[] = ['view' => 'payments'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=payments&' .$itemId;


    }
    /*
     * This method return dashboard full url or item id
     * type = 1 -> item id only
     * type = 0 -> return full url
     */
    public static function getDashboardRoute(){

        $rules = [];
        $rules[] = ['view' => 'dashboard'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=dashboard&'.$itemId;

    }

    /**
     * Get the video route.
     */
    public static function getAttendanceReportRoute()
    {

        $rules = [];

        $rules[] = ['view' => 'attendancereport'];
        $rules[] = ['view' => 'attendances'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_joomschool&view=attendancereport'.$itemId;


    }

    public static function getLoginRoute(){

        $rules = [];

        $rules[] = ['view' => 'login'];

        $itemId = self::lookupViews($rules);

        return 'index.php?option=com_users&view=login'.$itemId;


    }


    public static function hasMenuItemID(){

        $rules[] = ['view' => JFactory::getApplication()->input->get('view','','word')];

        $itemId = self::lookupViews($rules,true);

        return empty($itemId) ? false : true;

    }


    private static function lookupViews($rules,$onlyId = false){

        foreach($rules as $data){
            // get item id of playlists
            $itemid = self::getMenuItemid($data);
            if ($itemid > 0) {
                return $onlyId ? $itemid : "&Itemid=" . $itemid;
            }
        }

        return '';
    }


    private static function getMenuItemid($data)
    {

        $menus = JApplicationCms::getInstance('site')->getMenu()->getMenu();
        $hasId = isset($data['id']) ? true : false;

        foreach ($menus as $menu) {

            // check if menu item is a component
            if ($menu->component != 'com_joomschool') {
                continue;
            }

            // check if menu item has view query
            if(!isset($menu->query['view'])){
                continue;
            }

            // has view and id
            if ($hasId && isset($menu->query[$data['view']]) && $menu->query['view'] == $data['view'] &&
                $menu->query[$data['view']] == $data['id']
            ) {

                return (int)$menu->id;
            }
            // has view only
            if ($menu->query['view'] == $data['view'] && !$hasId) {
                return (int)$menu->id;
            }

        }

        return 0;

    }

}
