<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access
defined('_JEXEC') or die;

JHtml::_('jquery.framework');
$document = JFactory::getDocument();


// load backend language, cuz we use only one language file
$lang = JFactory::getLanguage();
$lang->load('com_joomschool', JPATH_ADMINISTRATOR, $lang->getTag(), true,true);

// load helpers
JLoader::register('JoomschoolHelperFrontend', __DIR__ . '/helpers/joomschool.php');
JLoader::register('JoomSchoolHelperRoute', __DIR__ . '/helpers/route.php');
JLoader::register('JoomschoolHelper', JPATH_ROOT . '/administrator/components/com_joomschool/helpers/joomschool.php');
JLoader::register('JoomschoolHelperVersion', JPATH_ROOT . '/administrator/components/com_joomschool/helpers/version.php');
JLoader::register('JoomschoolHelperToolbar', JPATH_ROOT . '/administrator/components/com_joomschool/helpers/toolbar.php');
JLoader::register('JoomschoolHelperDownload', JPATH_ROOT . '/administrator/components/com_joomschool/helpers/download.php');
JLoader::register('JoomschoolHelperMenu', JPATH_ROOT . '/components/com_joomschool/helpers/menu.php');
JLoader::register('JoomschoolHelperPayment',JPATH_ADMINISTRATOR.'/components/com_joomschool/helpers/payment.php');
JLoader::register('JoomschoolHelperUser',JPATH_ADMINISTRATOR.'/components/com_joomschool/helpers/user.php');
JLoader::register('JoomschoolHelperNotification',JPATH_ADMINISTRATOR.'/components/com_joomschool/helpers/notification.php');
JLoader::register('JoomschoolHelperAttachment',JPATH_ADMINISTRATOR.'/components/com_joomschool/helpers/attachment.php');

// load assets
JHtml::_('stylesheet', 'com_joomschool/fontawesome/all.css', false, true);
JHtml::_('stylesheet', 'com_joomschool/bootstrap/bootstrap.css', false, true);
JHtml::_('stylesheet', 'com_joomschool/bootstrap/bootstrapfix.css', false, true);
JHtml::_('script', 'com_joomschool/bootstrap/popper.min.js', array('version' => 'auto', 'relative' => true));
JHtml::_('script', 'com_joomschool/bootstrap/bootstrap.js', array('version' => 'auto', 'relative' => true));
//JHtml::_('script', 'com_joomschool/bootstrap/bootstrapfix.js', array('version' => 'auto', 'relative' => true));
JHtml::_('script', 'com_joomschool/bootstrap/site.js', array('version' => 'auto', 'relative' => true));


JFactory::getDocument()->addStyleDeclaration('
 #jb-template label.btn.btn-outline-success.btn-success {
    color: #fff !important;
    }
#jb-template .chzn-container.chzn-container-single {
    width :100% !important;
    display:block !important;
    }
   #jb-template .btn-primary{
    color: #fff !important;
   }
    #jb-template a.btn-primary, .jb-template a.btn-primary {
    background-color: #007bff !important;
    border-color: #007bff !important;
}
 ');

$task = JFactory::getApplication()->input->get('task');
$taks = ['newmessage','delete_message'];
$view =  JFactory::getApplication()->input->getWord('view','');
$layout =  JFactory::getApplication()->input->getWord('layout','');
$tmpl =  JFactory::getApplication()->input->getWord('component','');

$views = ['message'];

if( in_array($task ,$taks)  || in_array($view ,$views)) {
    require_once(JPATH_COMPONENT . '/controller.php');
    $task = JRequest:: getCmd('task');
    $c = '';
    if (strstr($task, '.')) {
        $array = explode('.', $task);
        $c = $array[0];
        $task = $array[1];
    } else {
        $c = JRequest:: getCmd('controller', 'dashboard');
        $task = JRequest:: getCmd('task', 'display');
    }

    if ($c != '') {
        $path = JPATH_COMPONENT . '/controllers/' . $c . '.php';
        jimport('joomla.filesystem.file');
        if (JFile:: exists($path)) {
            require_once($path);
        } else {
            JError:: raiseError('500', JText:: _('Unknown controller: <br>' . $c . ':' . $path));
        }
    }
    $controllername = 'JoomschoolController' . $c;
    $controller = new $controllername();
    $controller->execute($task);
    $controller->redirect();

}else{

    $controller = JControllerLegacy::getInstance('Joomschool');
    $controller->execute(JFactory::getApplication()->input->get('task'));
    $controller->redirect();
}



?>
		
		
		