<?php
/**
 * @package    JoomSchool
 * @author    joomboost.com
 * @copyright    (C) 2016-2019 JoomBoost. All rights reserved.
 */

defined('_JEXEC') or die;

extract($displayData);

$title = JText::_($title);

// active menu
$activeMenu = JFactory::getApplication()->getMenu()->getActive();


$hasItemId = JoomSchoolHelperRoute::hasMenuItemID();


// dynamic title based on menu item id
if($hasItemId && $params->get('show_page_heading')){

    $title = isset($activeMenu->title) ? $activeMenu->title : $title;

    $title = $params->get('page_heading') ? $params->get('page_heading') : $title;

}elseif($hasItemId && !$params->get('show_page_heading')){
    $title = '';
}

?>

<?php if(!empty($title)): ?>
    <div class="page-header border-bottom mb-4">
        <?php if(!empty($rightLayout)): ?>
                <?php echo JLayoutHelper::render($rightLayout) ?>
        <?php endif;  ?>
        <h1 class="mb-0">
            <?php echo $title ?>
            <?php if(isset($titleAppend)): ?>
                <small class="text-muted"><?php echo $titleAppend  ?></small>
            <?php endif; ?>
        </h1>
    </div>
<?php else: ?>
    <?php if(!empty($rightLayout)): ?>
        <?php echo JLayoutHelper::render($rightLayout) ?>
    <?php endif;  ?>
<?php endif; ?>
