<?php

/**
 * @package        JoomSchool
 * @copyright      2013-2020 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');



// check first if menu is disabled
if(!JFactory::getApplication()->input->get('menunav',1,'int'))
    return;

$user = JFactory::getUser();
JModelLegacy::addIncludePath(JPATH_SITE . '/components/com_joomschool/models', 'JoomSchoolModel');
$model = JModelLegacy::getInstance(JoomschoolHelperFrontend::checkGroup($user->id), 'JoomschoolModel', array('ignore_request' => true));
$messages = $model->getLatestMessage($user->id);

$menu = JoomschoolHelperMenu::getMenu($user->id);

$globalParams = JComponentHelper::getParams('com_joomschool');
$input = JFactory::getApplication()->input;
$view = $input->getWord('view', '');
$layout = $input->getWord('layout', '');
$photo = JoomschoolHelper::getProfileInfoByUserID()->photo;
$group = JoomschoolHelperFrontend::checkGroup($user->id);
$photo = !empty($photo) ? JUri::root(false) . 'administrator/components/com_joomschool/photo/' . strtolower($group) . '/' . $photo : JUri::root(false) . 'administrator/components/com_joomschool/photo/photo.png';

$common_model = JModelLegacy::getInstance('common', 'JoomschoolModel');

//GET TOTAL MESSAGE
$message_id = $common_model->unreadMessage($user->id);
$unreadMessage = !empty($common_model->unreadMessage($user->id)) ? $common_model->unreadMessage($user->id) : 0;
$group = strtolower(substr($group, 0, -1));

$viewType = "{$group}edit";
switch ($group) {
    case 'student':
        $editLink = JoomSchoolHelperRoute::getStudentEditRoute();
        $detailsLink = JoomSchoolHelperRoute::getStudentDetailsRoute();
        break;
    case 'teacher':
        $editLink = JoomSchoolHelperRoute::getTeacherEditRoute();
        $detailsLink = JoomSchoolHelperRoute::getTeacherDetailsRoute();
        break;
    case "parent":
        $editLink = JoomSchoolHelperRoute::getParentEditRoute();
        $detailsLink = JoomSchoolHelperRoute::getParentDetailsRoute();
        break;
}
$link = '';
?>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-4 rounded">

    <button class="navbar-toggler order-0" type="button" data-toggle="collapse" data-target="#navbarColor01"
            aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <a class="navbar-brand  order-1"
       href="#"><?php echo $globalParams->get('schools_name', 'Schools/Collage Name') ?></a>

    <div class="collapse navbar-collapse order-3  order-lg-2" id="navbarColor01">
        <ul class="navbar-nav mr-auto">
            <?php foreach ($menu as $link) :
                if ($link['view'] == "message" || $link['view'] == $viewType) continue;
                ?>
                <li class="nav-item ">
                    <a class="nav-link <?php echo ($view == $link['view'] && $layout == $link['layout']) ? 'active' : ''; ?>"
                       href="<?php echo $link['link'] ?>">
                        <span class="<?php echo $link['icon'] ?>"></span> <?php echo $link['text'] ?>

                    </a>
                </li>
            <?php endforeach; ?>
        </ul>

    </div>

    <div class="d-flex justify-content-between align-items-center order-2 order-lg-3">
        <a class="nav-link" href="<?php echo JRoute::_('index.php?option=com_joomschool&view=message') ?>">
                  <span class="position-relative">
                <i class="fas fa-envelope fa-2x text-white"></i>
                <small class="badge badge-pill badge-success  position-absolute"
                       style="left:18px"><?php echo $unreadMessage ?></small>
            </span>
        </a>
        <div class="nav-item d-inline">
            <div class="dropdown show">
                <a class="p-0 nav-link dropdown-toggle text-white d-flex justify-content-between align-items-center"
                   data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                    <img class="rounded-circle shadow" style="width: 30px; height: 30px;" src="<?php echo $photo; ?>"
                         alt=""></a>
                <div class="dropdown-menu dropdown-menu-right">
                    <a class="dropdown-item" href="<?php echo JRoute::_($detailsLink) ?>"><i
                                class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i><?php echo JText::_('COM_JOOMSCHOOL_VIEW_PROFILE') ?>
                    </a>
                    <a class="dropdown-item" href="<?php echo JRoute::_($editLink) ?>"> <i
                                class="fas fa-user-edit fa-sm fa-fw mr-2 text-gray-400"></i><?php echo JText::_('COM_JOOMSCHOOL_EDIT_PROFILE') ?>
                    </a>
                    <div class="dropdown-divider"></div>

                    <a class="dropdown-item"
                       href="<?php echo JRoute::_("index.php?option=com_users&view=login&task=user.logout&" . JSession::getFormToken() . '=1&return=' . base64_encode(JoomSchoolHelperRoute::getLoginRoute())) ?> "><i
                                class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i><?php echo JText::_('COM_JOOMSCHOOL_LOGOUT') ?>
                    </a>
                </div>
            </div>
        </div>


    </div>

</nav>
<script>
    // fix dropdown compatibility issues
    jQuery('.dropdown-toggle').dropdown();
</script>
<style>
    /* fix dropdown compatiblity issues */
    .dropdown.open > .dropdown-menu{
        display: block !important;
    }

</style>
