<?php
/**
 * @package		JoomRecipe
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

extract($displayData);

$group = JoomschoolHelperFrontend::checkGroup(JFactory::getUser()->id);

$model = JModelLegacy::getInstance(JoomschoolHelperFrontend::checkGroup(JFactory::getUser()->id), 'JoomschoolModel', array('ignore_request' => true));


$group = strtolower(substr($group, 0, -1));

$viewType = "{$group}edit";
switch ($group) {
    case 'student':
        $editLink = JoomSchoolHelperRoute::getStudentEditRoute();
        $detailsLink = JoomSchoolHelperRoute::getStudentDetailsRoute();
        $academicinfo = JLayoutHelper::render('student.academictable');
        break;
    case 'teacher':
        $editLink = JoomSchoolHelperRoute::getTeacherEditRoute();
        $detailsLink = JoomSchoolHelperRoute::getTeacherDetailsRoute();
        $academicinfo = JLayoutHelper::render('teacher.academictable');

        break;
    case "parent":
        $editLink = JoomSchoolHelperRoute::getParentEditRoute();
        $detailsLink = JoomSchoolHelperRoute::getParentDetailsRoute();
        break;
}

?>

<div class="card shadow-sm">
    <div class="card-header m-0 p-0 d-flex align-content-center align-items-center bg-light">
        <div class="border-right p-3">
            <i class="fas fa-address-card fa-2x text-muted"></i>
        </div>
        <div class="w-100 d-flex justify-content-between  align-content-center align-items-center">
            <h4 class="m-0 p-3">
                <?php echo JText::_('COM_JOOMSCHOOL_ACADEMIC_INFO'); ?>
            </h4>
            <div class="p-3">
                <a href="<?php echo JRoute::_($detailsLink) ?>" class=" btn btn-light border btn-sm">
                    <i class="fas fa-eye"></i> <?php echo JText::_('COM_JOOMSCHOOL_PROFILE') ?>
                </a>
            </div>
        </div>

    </div>

    <div class="card-body p-0">
        <?php echo isset($academicinfo) ? $academicinfo : '' ?>
    </div>
</div>
