<?php
/**
 * @package		JoomRecipe
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

extract($displayData);

$user = JFactory::getUser();
$user_id = $user->id;
$model = JModelLegacy::getInstance(JoomschoolHelperFrontend::checkGroup($user->id), 'JoomschoolModel', array('ignore_request' => true));

$announcementsModel = JModelLegacy::getInstance('announcements', 'JoomschoolModel', array('ignore_request' => true));


$info = JoomschoolHelper::getStudentInfoUserID(JFactory::getUser()->id);
$announcementsModel->setState('filter.class',$info->class_id);
$announcementsModel->setState('filter.published', 1);
$announcementsModel->setState('list.limit', 5);
$items = $announcementsModel->getItems();

?>

<div class="card shadow-sm">

    <div class="card-header m-0 p-0 d-flex align-content-center align-items-center bg-light">
        <div class="border-right p-3">
            <i class="fas fa-bullhorn fa-2x text-muted"></i>
        </div>
        <div class="w-100 d-flex justify-content-between  align-content-center align-items-center">
            <h4 class="m-0 p-3">
                <?php echo JText::_('COM_JOOMSCHOOL_LATEST_ANNOUNCE'); ?>
            </h4>
            <div class="p-3">
                <a href="<?php echo JRoute::_('index.php?option=com_joomschool&view=announcements') ?>" class=" btn btn-light border btn-sm">
                    <i class="fas fa-list"></i> <?php echo JText::_('COM_JOOMSCHOOL_ALL') ?>
                </a>
            </div>
        </div>

    </div>

    <div class="card-body m-0 p-0">
        <?php
        if (count($items)) :?>
            <table class="table table-condensed  table-hover m-0" id="announcementList">
                <thead>
                <tr>


                    <th style="min-width:100px" class="nowrap">
                        <?php echo JText::_('JGLOBAL_TITLE'); ?>
                    </th>
                    <th style="min-width:100px" class="nowrap">
                        <?php echo JText::_('COM_JOOMSCHOOL_CLASS_NAME'); ?>

                    </th>

                    <th width="10%" class="nowrap hidden-phone">
                        <?php echo JText::_('JAUTHOR'); ?>
                    </th>

                    <th width="10%" class="nowrap hidden-phone">
                        <?php echo JText::_('COM_JOOMSCHOOL_HEADING_DATE_CREATED'); ?>
                    </th>

                </tr>
                </thead>

                <tbody>
                <?php foreach ($items as $i => $item) :?>
                    <tr class="row<?php echo $i % 2; ?>" >


                        <td class="has-context">
                            <div class="float-left break-word">

                                    <a class="hasTooltip" href="<?php echo JRoute::_('index.php?option=com_joomschool&view=announce&id=' . $item->id); ?>" title="<?php echo JText::_('JACTION_EDIT'); ?>">
                                        <?php echo $current->escape($item->title); ?>
                                    </a>
                            </div>
                        </td>
                        <td class="small">
                            <?php
                            $classes = explode(',',$item->class_id);
                            foreach ($classes as $class){
                                echo '<span class="badge badge-success" style="margin-right: 5px;">'.JoomschoolHelper::getClassname($class).'</span>';
                            }

                            ?>
                        </td>

                        <td class="small hidden-phone">
                            <?php echo $current->escape($item->author_name); ?>
                        </td>

                        <td class="nowrap small hidden-phone">
                            <?php
                            echo $item->created > 0 ? JHtml::_('date', $item->created, JText::_('DATE_FORMAT_LC4')) : '-';
                            ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            </table>
        <?php else : ?>
            <div class="alert alert-warning border-0 rounded-0 m-0">
                <?php echo JText::_('COM_JOOMSCHOOL_NO_ANNONCE'); ?>
            </div>
        <?php endif;  ?>
    </div>

</div>