<?php
/**
 * @package		JoomRecipe
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

extract($displayData);

$user = JFactory::getUser();
$user_id = $user->id;
$model = JModelLegacy::getInstance(JoomschoolHelperFrontend::checkGroup($user->id), 'JoomschoolModel', array('ignore_request' => true));

$messageModel = JModelLegacy::getInstance('message', 'JoomschoolModel', array('ignore_request' => true));

?>

<div class="card shadow-sm">

    <div class="card-header m-0 p-0 d-flex align-content-center align-items-center bg-light">
        <div class="border-right p-3">
            <i class="fas fa-envelope fa-2x text-muted"></i>
        </div>
        <div class="w-100 d-flex justify-content-between  align-content-center align-items-center">
            <h4 class="m-0 p-3">
                <?php echo JText::_('DEFAULT_LATEST_MESSAGES'); ?>
            </h4>
            <div class="p-3">
                <a href="<?php echo JRoute::_('index.php?option=com_joomschool&view=message') ?>" class=" btn btn-light border btn-sm">
                    <i class="fas fa-list"></i> <?php echo JText::_('COM_JOOMSCHOOL_ALL') ?>
                </a>
            </div>
        </div>

    </div>

    <div class="card-body m-0 p-0">
        <?php
        if ($current->message) :?>
            <table class="table m-0 table-hover table-condensed">
                <thead>
                    <tr>
                        <th></th>
                        <th><?php echo JText::_('COM_JOOMSCHOOL_MESSAGE_LABEL') ?></th>
                        <th><?php echo JText::_('JDATE') ?></th>
                    </tr>
                </thead>
                <tbody>
                <?php
                foreach ($current->message as $i => $item) :
                    $link = JRoute::_('index.php?option=com_joomschool&view=message&task=messagedetails&mid=' . $item->id);

                    // get unread replies
                    $repliesCount = $messageModel->unreadReplies($item->id);
                    $messageUnread = $messageModel->unreadMessage($item->id);
                    $unread = '';

                    if($messageUnread){
                        $unread = '<small class="badge badge-danger"><i class="fas fa-exclamation-triangle"></i> '.JText::_('COM_JOOMSCHOOL_UNREAD_MESSAGE').'</small>';
                    }

                    if($repliesCount > 0){

                        $unread = '<span class="badge badge-danger"><i class="fas fa-exclamation-triangle"></i> '.$repliesCount.' '.JText::_('COM_JOOMSCHOOL_UNREAD_'.($repliesCount == 1 ? 'REPLY' : 'REPLIES')).'</span>';
                    }

                    if ($item->recever_id == $user_id) {
                        $from_name = '<b>' . JText::_('DEFAULT_FORM') . ':</b><br> ' . $model->senderName($item->sender_id);
                    } else {
                        $from_name = '<b>' . JText::_('DEFAULT_TO') . ':</b><br>' . $model->senderName($item->recever_id);
                    }
                    ?>
                    <tr class="row<?php echo $i % 2; ?>">
                        <td><?php echo $from_name; ?></td>
                        <td><a href="<?php echo $link; ?>"><b><?php echo $item->subject; ?></b><br>
                                <?php echo substr($item->message, 0, 20); ?>...</a>
                            <br><?php echo $unread; ?>
                        </td>
                        <td>
                            <?php echo date('g:i A',strtotime($item->date_time)) ?><br>
                            <small><?php echo date('Y-m-d ', strtotime($item->date_time)); ?></small>
                        </td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            </table>
        <?php else : ?>
            <div class="alert alert-warning border-0 rounded-0 m-0">
                <?php echo JText::_('COM_JOOMSCHOOL_NO_MESSAGE'); ?>
            </div>
        <?php endif;  ?>
        <?php if(JoomschoolHelperFrontend::checkGroup($user->id) == 'Parents') :
            echo $model->todaytAttendance();
        endif; ?>
    </div>

</div>