<?php
/**
 * @package     Joomla.Site
 * @subpackage  Layout
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\Registry\Registry;

$data = $displayData;


// Receive overridable options
$data['options'] = !empty($data['options']) ? $data['options'] : array();

if (is_array($data['options'])) {
    $data['options'] = new Registry($data['options']);
}

// Options
$filterButton = $data['options']->get('filterButton', true);
$searchButton = $data['options']->get('searchButton', true);


$filters = $data['view']->filterForm->getGroup('filter');
JFactory::getDocument()->addStyleDeclaration('
#jb_template .btn-primary, .jb-template .btn-primary {
    color: #fff !important;
}
 .js-stools .chzn-container{
        width: 100% !important;
}
#jb_template ul.chzn-choices {
margin-bottom:0px;
    display: flex;
    align-items:center;
}
')
?>


<div class="row mr-md-0">
    <?php if (!empty($filters['filter_search'])) : ?>
        <?php if ($searchButton) : ?>

                <label for="filter_search" class="element-invisible d-none">
                    <?php if (isset($filters['filter_search']->label)) : ?>
                        <?php echo JText::_($filters['filter_search']->label); ?>
                    <?php else : ?>
                        <?php echo JText::_('JSEARCH_FILTER'); ?>
                    <?php endif; ?>
                </label>

            <div class="col-6">
                <div class="input-group">
                    <?php echo $filters['filter_search']->input; ?>
                    <?php if ($filters['filter_search']->description) : ?>
                        <?php JHtml::_('bootstrap.tooltip', '#filter_search', array('title' => JText::_($filters['filter_search']->description))); ?>
                    <?php endif; ?>
                    <div class="btn-wrapper input-group-append">
                        <button type="submit" class="btn btn-primary btn-sm hasTooltip"
                                title="<?php echo JHtml::_('tooltipText', 'JSEARCH_FILTER_SUBMIT'); ?>"
                                aria-label="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>">
                            <span class="fas fa-search" aria-hidden="true"></span>
                        </button>
                    </div>
                </div>
            </div>
            <?php if ($filterButton) : ?>
            <div class="col-6">
                <div class="btn-wrapper d-none d-sm-inline-block ">
                    <button type="button" class="btn btn-outline-primary hasTooltip js-stools-btn-filter"
                            title="<?php echo JHtml::_('tooltipText', 'JSEARCH_TOOLS_DESC'); ?>">
                        <?php echo JText::_('JSEARCH_TOOLS'); ?> <span class="fas fa-arrow-down"></span>
                    </button>
                </div>
            <?php endif; ?>
            <div class="btn-wrapper ">
                <button type="button" class="btn btn-outline-danger js-stools-btn-clear"
                        title="<?php echo JHtml::_('tooltipText', 'JSEARCH_FILTER_CLEAR'); ?>">
                    <i class="fas fa-times"></i>
                    <span class="d-md-inline-block d-none">
                        <?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>
                    </span>

                </button>
            </div>
            </div>
        <?php endif; ?>
    <?php endif; ?>
</div>