<?php
/**
 * @package        JoomSchool
 * @copyright      2013-2020 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');


$app = JFactory::getApplication();
$params = JComponentHelper::getParams('com_joomschool');

?>

<div class="card">
    <div class="card-header d-flex align-items-center">
        <?php if ($params->get('show_logo_in_footer', 0)) : ?>
        <div class="mr-3">
            <img style="width: 50px" alt="" class="rounded-circle"
                 src="<?php echo JUri::root() . $params->get('joomschool_footer_logo', 'administrator/components/com_joomschool/photo/logo.png'); ?>"/>
        </div>
        <?php endif; ?>
        <?php if ($params->get('show_school_name', 1)) : ?>
            <div>
                <h3 class="m-0">
                    <?php echo $params->get('schools_name', 'Schools/Collage Name'); ?>
                </h3>
            </div>
        <?php endif; ?>

    </div>
    <div class="card-body p-0">
        <table class="table m-0">
            <?php if ($params->get('show_school_address_in_footer', 0)) : ?>
            <tr>
                <td>
                    <?php echo JText::_('COM_JOOMSCHOOL_ADDRESS') ?>:
                </td>
                <td>
                    <?php echo $params->get('schools_address', 'Brindabon South Para Bogra - 5800, Bangladesh'); ?>
                </td>
            </tr>
            <?php endif; ?>
            <?php if ($params->get('show_school_email_in_footer', 0)) : ?>
                <tr>
                    <td>
                        <?php echo JText::_('COM_JOOMSCHOOL_EMAIL') ?>:
                    </td>
                    <td>
                        <?php echo $params->get('schools_email', 'myschool@test.com'); ?>
                    </td>
                </tr>
            <?php endif; ?>
            <?php if ($params->get('show_school_phone_in_footer', 0)) : ?>
                <tr>
                    <td>
                        <?php echo JText::_('COM_JOOMSCHOOL_PHONE') ?>:
                    </td>
                    <td>
                        <?php echo $params->get('schools_phone', '999-99-99-99'); ?>
                    </td>
                </tr>
            <?php endif; ?>
            <?php if ($params->get('show_school_fax_in_footer', 0)) : ?>
                <tr>
                    <td>
                        <?php echo JText::_('COM_JOOMSCHOOL_FAX') ?>:
                    </td>
                    <td>
                        <?php echo $params->get('schools_fax', '999-99-99-99'); ?>
                    </td>
                </tr>
            <?php endif; ?>
            <?php if ($params->get('show_school_website_in_footer', 0)) : ?>
                <tr>
                    <td>
                        <?php echo JText::_('COM_JOOMSCHOOL_WEBSITE') ?>:
                    </td>
                    <td>
                        <?php echo $params->get('schools_web', 'www.myschool.com'); ?>
                    </td>
                </tr>
            <?php endif; ?>
            <?php if (!empty($params->get('show_custom_header_text_in_footer', ''))) : ?>
                <tr>
                    <td>
                        <?php echo JText::_('COM_JOOMSCHOOL_MORE_INFO') ?>:
                    </td>
                    <td>
                        <?php echo $params->get('show_custom_header_text_in_footer', ''); ?>
                    </td>
                </tr>
            <?php endif; ?>
        </table>
    </div>
</div>





