<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
extract($displayData);
$user      = JFactory::getUser();
$userId    = $user->get('id');
$info = JoomschoolHelper::getStudentInfoUserID($user->id)

?>


<?php if (empty($current->items)) : ?>
    <div class="alert alert-warning">
        <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
    </div>
<?php else : ?>
    <?php foreach ($current->items as $i => $item) :
        $image = empty($item->image) ? 'media/com_joomschool/images/default_announcement.jpg' : 'media/com_joomschool/attachments/pannounce/'.$item->image
        ?>
        <div class="card mb-4">
            <div class="card-body form-row">
                <div class="col-xl-2 col-lg-2 col-md-4 col-sm-4 col-12 mb-3 mb-md-0">
                    <img src="<?php echo JUri::root().$image ?>">
                </div>
                <div class="col-xl-10 col-lg-10 col-md-8 col-sm-8 col-12">
                    <h5 class="card-title">
                        <a class="hasTooltip" href="<?php echo JRoute::_('index.php?option=com_joomschool&view=announce&id=' . $item->id); ?>" >
                            <?php echo $item->title; ?>
                        </a>
                    </h5>

                    <?php echo JHtml::_('content.prepare', $item->introtext); ?>
                    <?php // Optional link to let them register to see the whole article. ?>
                    <?php if ( $item->fulltext != null) : ?>
                        <?php
                        $menu = JFactory::getApplication()->getMenu(); ?>
                        <?php $active = $menu->getActive(); ?>
                        <?php $itemId = $active->id; ?>
                        <?php $link = new JUri(JRoute::_('index.php?option=com_joomschool&view=announce&id='.$item->id, false)); ?>
                        <?php echo JLayoutHelper::render('common.readmore', array('item' => $item,'link' => $link)); ?>
                    <?php endif; ?>


                </div>
            </div>
            <div class="card-footer text-muted">
                <ul class="list-inline mx-0 my-0">
                    <li class="list-inline-item">
                        <small><i class="fas fa-chalkboard-teacher
"></i> <?php echo JoomschoolHelper::getClassname($info->class_id); ?>
                        </small>
                    </li>
                    <li class="list-inline-item">
                        <small><i class="far fa-user"></i> <?php echo $item->author_name; ?>
                        </small>
                    </li>

                    <li class="list-inline-item float-right">
                        <small><i class="far fa-calendar"></i> <?php echo  JHtml::_('date', $item->created, JText::_('DATE_FORMAT_LC4')); ?>
                        </small>
                    </li>
                </ul>
            </div>
        </div>
    <?php endforeach; ?>
    <?php echo JLayoutHelper::render(
        'common.pagination',
        ['current' => $current],
        '',
        ['client' => 'site']
    );
    ?>
<?php
endif;
?>



