<?php
/**
 * @package		JoomRecipe
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

$item = JoomschoolHelper::getTeacherInfoUserID(JFactory::getUser()->id);

$classes = [];
$sections = [];
$subjects = [];

$item->class = explode(',', $item->class);
$item->section = explode(',', $item->section);
$item->subject = explode(',', $item->subject);

foreach ($item->class as $j => $class) {
    $classes[$class] = JoomschoolHelper::getClassNameByID($class)->class_name;
    $item->class = $classes;
}
foreach ($item->section as $j => $section) {
    $sections[$section] = JoomschoolHelper::getSectionsNameByID($section)->section_name;
    $item->section = $sections;
}
foreach ($item->subject as $j => $subject) {
    $subjects[$subject] = JoomschoolHelper::getSubjectNameByID($subject)->subject_name;
    $item->subject = $subjects;
}

?>

<table  class="table m-0">
    <tr>
        <td><?php echo JText::_('COM_JOOMSCHOOL_TEACHER_CLASS') ?>:</td>
        <td>

            <?php foreach ($item->class as $class): ?>

                <span class="badge badge-dark"><?php echo $class ?></span>

            <?php endforeach; ?>

        </td>
    </tr>
    <tr>
        <td><?php echo JText::_('COM_JOOMSCHOOL_TEACHER_SECTION') ?>:</td>
        <td>
            <?php foreach ($item->section as $section): ?>

                <span class="badge badge-dark"><?php echo $section ?></span>

            <?php endforeach; ?>
        </td>
    </tr>

    <tr>
        <td><?php echo JText::_('COM_JOOMSCHOOL_TEACHER_SUBJECT') ?>:</td>
        <td>
            <?php foreach ($item->subject as $subject): ?>

                <span class="badge badge-dark"><?php echo $subject ?></span>

            <?php endforeach; ?>
        </td>
    </tr>

</table>
