<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
JLoader::register('JHtmlActionsDropdownFront', JPATH_SITE . '/components/com_joomschool/helpers/html/actionsdropdownfront.php');
JLoader::register('JHtmlJGrid', JPATH_SITE . '/components/com_joomschool/helpers/html/jgrid.php');
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

extract($displayData);

// inits
$user = JFactory::getUser();
$userId = $user->get('id');
$app = JFactory::getApplication();

$listOrder = $this->escape($current->state->get('list.ordering'));
$listDirn = $this->escape($current->state->get('list.direction'));


if (strpos($listOrder, 'modified') !== false) {
    $orderingColumn = 'modified';
} else {
    $orderingColumn = 'created';
}

$itemId = $app->input->get('Itemid', 0, 'int');

?>
<div class="bg-light rounded p-3 mb-4 shadow-sm border" id="jv-toolbar">
    <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $current)); ?>
</div>


<div class="card shadow-sm">

    <div class="px-3 card-header d-flex justify-content-between" role="group"
         id="jv-toolbar">
        <div>
            <?php echo JHtml::_('grid.checkall'); ?>
            <span class="ml-3"><?php echo JText::_('COM_JOOMSCHOOL_CHECK_ALL') ?></span>
        </div>
        <div>
            <button type="button" onclick="Joomla.submitbutton('announcementform.add')"
                    class="btn btn-sm btn-outline-primary button-new">
                <span class="fas fa-plus"></span> <span
                        class="d-none d-md-inline-block"><?php echo JText::_('COM_JOOMSCHOOL_NEW'); ?></span>
            </button>

            <button onclick="if(document.adminForm.boxchecked.value == 0) { alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST')); } else { Joomla.submitbutton('announcementform.edit'); }"
                    class="btn btn-sm btn-outline-warning button-edit">
                <span class="fas fa-edit" aria-hidden="true"></span>
                <?php echo JText::_('COM_JOOMSCHOOL_EDIT'); ?>
            </button>

            <button onclick="if (document.adminForm.boxchecked.value == 0) { alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST')); } else { Joomla.submitbutton('announcements.publish'); }"
                    class="btn btn-sm btn-outline-success button-publish">
                <span class="fas fa-check"></span>
                <span class="d-none d-md-inline-block"><?php echo JText::_('COM_JOOMSCHOOL_PUBLISH'); ?></span>
            </button>

            <button onclick="if (document.adminForm.boxchecked.value == 0) { alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST')); } else { Joomla.submitbutton('announcements.unpublish'); }"
                    class="btn btn-sm btn-outline-danger button-unpublish">
                <span class="fas fa-times"></span> <span
                        class="d-none d-md-inline-block"><?php echo JText::_('COM_JOOMSCHOOL_UNPUBLISH'); ?></span>
            </button>

            <?php if ($user->authorise('core.delete', "com_joomschool")) : ?>
                <button onclick="if (document.adminForm.boxchecked.value == 0) { alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST')); } else { Joomla.submitbutton('announcements.archive'); }"
                        class="btn btn-sm btn-outline-info button-archive">
                    <span class="fas fa-archive"></span> <span
                            class="d-none d-md-inline-block"><?php echo JText::_('COM_JOOMSCHOOL_ARCHIVE'); ?></span>
                </button>
            <?php endif; ?>

            <?php
            if ($current->state->get('filter.published') == -2) :?>
                <button onclick="if (document.adminForm.boxchecked.value == 0) { alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST')); } else { if (confirm(Joomla.JText._('COM_JOOMSCHOOL_CONFIRM_DELETE'))) { Joomla.submitbutton('core.delete'); } }"
                        class="btn btn-sm btn-outline-danger">
                    <span class="fas fa-times" aria-hidden="true"></span>
                    <?php echo JText::_('COM_JOOMSCHOOL_EMPTY_TRASH'); ?>
                </button>
            <?php else: ?>
                <button onclick="if (document.adminForm.boxchecked.value == 0) { alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST')); } else { Joomla.submitbutton('announcements.trash'); }"
                        class="btn btn-sm btn-outline-danger button-trash">
                    <span class="fas fa-trash"></span> <span
                            class="d-none d-md-inline-block"><?php echo JText::_('COM_JOOMSCHOOL_TRASH'); ?></span>
                </button>
            <?php endif; ?>
        </div>
    </div>

    <div class="card-body p-0">
        <?php if (empty($current->items)) : ?>
            <div class="alert alert-warning m-3">
                <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
            </div>
        <?php else : ?>
            <table class="table m-0 p-0" id="announcementList">
                <thead>
                <tr>

                    <th width="1%" class="center">

                    </th>
                    <th width="1%" class="nowrap center">

                        <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'a.state', $listDirn, $listOrder); ?>

                    </th>
                    <th style="min-width:100px" class="nowrap">

                        <?php echo JHtml::_('searchtools.sort', 'JGLOBAL_TITLE', 'a.title', $listDirn, $listOrder); ?>

                    </th>
                    <th style="min-width:100px" class="nowrap">
                        <?php echo JText::_('COM_JOOMSCHOOL_CLASS_NAME'); ?>
                    </th>

                    <th width="10%" class="nowrap d-none d-md-table-cell">

                        <?php echo JHtml::_('searchtools.sort', 'COM_JOOMSCHOOL_HEADING_DATE_' . strtoupper($orderingColumn), 'a.' . $orderingColumn, $listDirn, $listOrder); ?>

                    </th>

                    <th></th>

                    <th width="1%" class="nowrap d-none d-md-table-cell">

                        <?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>


                    </th>
                </tr>
                </thead>
                <tbody>
                <?php foreach ($current->items as $i => $item) :

                    $canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0;


                    ?>
                    <tr class="row<?php echo $i % 2; ?>">
                        <td class="center">
                            <?php echo JHtml::_('grid.id', $i, $item->id); ?>
                        </td>
                        <td class="center">
                            <div class="btn-group d-flex">
                                <?php echo JHtml::_('jgrid.published', $item->state, $i, 'announcements.', true, 'cb'); ?>

                            </div>
                        </td>
                        <td class="has-context">
                            <div class="float-left break-word">
                                <?php if ($item->checked_out) : ?>
                                    <?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'announcements.', $canCheckin); ?>
                                <?php endif; ?>

                                <a class="hasTooltip"
                                   href="<?php echo JRoute::_('index.php?option=com_joomschool&view=announcementform&layout=edit&id=' . $item->id); ?>"
                                   title="<?php echo JText::_('JACTION_EDIT'); ?>">
                                    <?php echo $current->escape($item->title); ?>
                                </a>


                            </div>
                        </td>
                        <td class="small">
                            <?php
                            $classes = explode(',', $item->class_id);
                            foreach ($classes as $class) {
                                echo '<span class="badge badge-success mr-1" ">' . JoomschoolHelper::getClassname($class) . '</span>';
                            }

                            ?>
                        </td>

                        <td class="nowrap small d-none d-md-table-cell">
                            <?php
                            $date = $item->{$orderingColumn};
                            echo JHtml::_('date', $date, JText::_('DATE_FORMAT_LC4'));
                            ?>
                        </td>
                        <td>
                            <a
                                    title="<?php echo JText::_('COM_JOOMSCHOOL_PREVIEW') ?>"
                                    class="btn btn-light btn-sm border"
                                    target="popup"
                                    href=""
                                    onclick="window.open('<?php echo JRoute::_('index.php?option=com_joomschool&tmpl=component&view=announce&menunav=0&id=' . $item->id) ?>','popup','width=600,height=600'); return false;"
                            >
                                <span class="fas fa-eye"></span>
                            </a>
                            <?php if ($item->state == 1): ?>
                                <a
                                        class="btn btn-light btn-sm border"
                                        href="<?php echo JUri::root() . 'index.php?option=com_joomschool&view=announce&task=announce.sendNotification&' . JSession::getFormToken() . '=1&id=' . $item->id . '&Itemid=' . $itemId ?>"
                                        title="<?php echo JText::_('COM_JOOMSCHOOL_SENDMAIL') ?>"
                                >
                                    <i class="fas fa-envelope"></i>
                                </a>
                            <?php endif; ?>
                        </td>
                        <td class="d-none d-md-table-cell">
                            <?php echo (int)$item->id; ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            </table>
        <?php endif; ?>
    </div>

    <div class="card-footer bg-light">
        <?php echo JLayoutHelper::render(
            'common.pagination',
            ['current' => $current],
            '',
            ['client' => 'site']
        );
        ?>
    </div>
</div>

