<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
JLoader::register('JoomschoolModelAttendance', JPATH_ADMINISTRATOR . '/components/com_joomschool/models/attendance.php');

class JoomschoolModelAttendanceform extends JoomschoolModelAttendance
{
    /**
     * Get the return URL.
     *
     * @return  string	The return URL.
     *
     * @since   1.6
     */
    public function getReturnPage()
    {
        return base64_encode($this->getState('return_page'));
    }

    protected function populateState()
    {
        $app = JFactory::getApplication();

        // Load state from the request.
        $pk = $app->input->getInt('a_id');
        $this->setState('attendance.id', $pk);

        $return = $app->input->get('return', null, 'base64');
        $this->setState('return_page', base64_decode($return));

        // Load the parameters.
        $params = $app->getParams();
        $this->setState('params', $params);

        $this->setState('layout', $app->input->getString('layout'));
    }

    public function getItem($pk = null)
    {
        $pk = $pk ? $pk : JFactory::getApplication()->input->getInt('id',0);
        return parent::getItem($pk); // TODO: Change the autogenerated stub
    }

    /**
     * Method to save the form data.
     *
     * @param array $data The form data.
     *
     * @return  boolean  True on success.
     *
     * @since   1.6
     */
    public function save($data)
    {

        // if attendance date or class or section changed means a new attendance
        if($data['id'] > 0){

            $existingItem = $this->getItem($data['id']);

            if(
                $existingItem->class != $data['class'] ||
                $existingItem->attendance_date != $data['attendance_date'] ||
                $existingItem->section != $data['section']
            ){
                $data['id'] = 0; // set as a new attendance
            }

        }

        if(isset($data['class_subjects']) && count($data['class_subjects']) > 0){
            $data['class_subjects'] = implode(',',$data['class_subjects']);
        }

        $isNew = $data['id'] > 0 ? false : true;

        $result = $this->saveattend($data['id'],JFactory::getUser()->id,$data['attendance_date'],$data['class'],$data['section'],$data['class_subjects']);

        if ($result > 0)
        {
            $this->setState($this->getName() . '.id', $result);
        }

        $this->setState($this->getName() . '.new', $isNew);

        if($result > 0)
            return true;
        else
            return false;

    }

}
