<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

// import the Joomla modellist library
jimport('joomla.application.component.modellist');

class JoomschoolModelMessage extends JModelList
{

     public function __construct($config = array())
    {
        if (empty($config['filter_fields'])) {
            $config['filter_fields'] = array(
                'id','m.id',
                'sender_id','m.sender_id',
                'recever_id','m.recever_id',
                'subject','m.subject',
                'message','m.message',
                'class_subjects','m.class_subjects',
                'assigned_status','m.assigned_status',
                'status','m.status',
            );
        }

        parent::__construct($config);
    }

    /**
     * Method to auto-populate the model state.
     *
     * Note. Calling getState in this method will result in recursion.
     *
     * @param string $ordering An optional ordering field.
     * @param string $direction An optional direction (asc|desc).
     *
     * @return  void
     *
     * @since   1.6
     */
    protected function populateState($ordering = 'm.id', $direction = 'desc')
    {
        $app = JFactory::getApplication();


        $search = $this->getUserStateFromRequest($this->context . '.filter.search', 'filter_search','');
        $this->setState('filter.search', $search);

        $class = $this->getUserStateFromRequest($this->context . '.filter.class_id', 'filter_class_id',0,'int');
        $this->setState('filter.class_id', $class);

        /*
        $class_subjects = $this->getUserStateFromRequest($this->context . '.filter.class_subjects', 'filter_class_subjects', '');
        $this->setState('filter.class_subjects', $class_subjects);

        */

        $assignedstatus = $this->getUserStateFromRequest($this->context . '.filter.assigned_status', 'filter_assigned_status',0,'int');

        $this->setState('filter.assigned_status', $assignedstatus);




        /*
        $formSubmited = $app->input->post->get('form_submited');


         $access = $this->getUserStateFromRequest($this->context . '.filter.access', 'filter_access');
         $authorId = $this->getUserStateFromRequest($this->context . '.filter.author_id', 'filter_author_id');


        if ($formSubmited) {
            $access = $app->input->post->get('access');
            $this->setState('filter.access', $access);

            $authorId = $app->input->post->get('author_id');
            $this->setState('filter.author_id', $authorId);


        }*/




        // List state information.
        parent::populateState($ordering, $direction);



    }

    protected function getStoreId($id = '')
    {

        // Compile the store id.
        $id .= ':' . $this->getState('filter.assigned_status');

        return parent::getStoreId($id);
    }


    /**
     ** Get Teacher ID
     **/
    function getTeacherID($value)
    {
        // Get a db connection.
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
            ->select("t.*,u.name")
            ->from("#__joomschool_teachers AS t")
            ->join('INNER', "#__users AS u ON t.user_id = u.id")
            ->where($db->quoteName('u.name') . ' LIKE ' . $db->quote('%' . $value . '%'))
            ->where($db->quoteName('t.user_id') . ' != ' . $db->quote(JFactory::getUser()->id)); // don't get current user

// Reset the query using our newly populated query object.
        $db->setQuery($query);

        $rows = $db->loadObjectList();

        return $rows;
    }

    /**
     ** Get Student ID
     **/
    function getStudentID($value)
    {
        // Get a db connection.
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query
            ->select("s.*,u.name")
            ->from("#__joomschool_students AS s")
            ->join('INNER', "#__users AS u ON s.user_id = u.id")
            ->where($db->quoteName('u.name') . ' LIKE ' . $db->quote('%' . $value . '%'))
            ->where($db->quoteName('s.user_id') . ' != ' . $db->quote(JFactory::getUser()->id)); // don't get current user

// Reset the query using our newly populated query object.
        $db->setQuery($query);

        $rows = $db->loadObjectList();

        return $rows;


    }

    /**
     ** Get Message
     **/
    function getMessage($id)
    {
        if ($id) {
            $this->_id = $id;
        }
        if (empty($this->_data)) {
            $this->_data = $this->getTable('message');
            $this->_data->load($this->_id);
        }



        if(!empty($this->_data->class_subjects)){
            $this->_data->class_subjects = explode(',',$this->_data->class_subjects);
            foreach ($this->_data->class_subjects as &$subject){

                $subject = JoomschoolHelper::getSubjectNameByID($subject)->subject_name;

            }
        }




        return $this->_data;
    }

    /**
     ** Get Parent ID
     **/
    function getParentID($value)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select('*')
            ->from($db->quoteName('#__joomschool_parents'))
            ->order('id ASC');
        $search = $db->quote('%' . str_replace(' ', '%', $db->escape(trim($value), true) . '%'));
        $query->where('(name LIKE ' . $search . ')')
            ->where($db->quoteName('user_id') . ' != ' . $db->quote(JFactory::getUser()->id)); // don't get current user
        $db->setQuery($query);
        $rows = $db->loadObjectList();
        return $rows;
    }


    /**
     ** UPDATE STATUS
     **/
    function updateStatus($mid)
    {

        $user_id = JFactory::getUser()->id;


        $db = JFactory::getDBO();
        $db->setQuery("UPDATE  #__joomschool_message " .
            " SET status=1  " .
            " WHERE id=" . (int)$mid .
            " AND recever_id=" . (int)$user_id
        );
        $db->query();


        $db->setQuery("UPDATE  #__joomschool_message_reply " .
            " SET status=1  " .
            " WHERE message_id=" . (int)$mid .
            " AND recever_id=" . (int)$user_id
        );
        $db->query();
    }

    /**
     ** Unread Message
     **/
    function unreadMessageByid($id)
    {

        $userWhere = 'recever_id=' . JFactory::getUser()->id;

        $db = JFactory::getDBO();
        $query_m = "SELECT * FROM #__joomschool_message m WHERE  m.$userWhere and m.status=0  and m.id='" . $id . "' ";
        $db->setQuery($query_m);
        $rows_m = $db->loadObjectList();
        $total_m = count($rows_m);

        $query_r = "SELECT * FROM #__joomschool_message_reply r WHERE  r.$userWhere and  r.status=0  and r.message_id='" . $id . "' ";
        $db->setQuery($query_r);
        $rows_r = $db->loadObjectList();
        $total_r = count($rows_r);

        $total = round($total_m + $total_r);


        return $total;

    }

    function unreadMessage($id)
    {
        $db = JFactory::getDBO();

        $userWhere = 'and recever_id=' . JFactory::getUser()->id;

        $query_r = "SELECT status FROM #__joomschool_message WHERE status=0 $userWhere and id=" . $id . "";

        $db->setQuery($query_r);

        $status = $db->loadResult();


        // $status equal to 0 this means not yet read
        return $status || is_null($status) ? false : true;

    }

    function unreadReplies($id)
    {
        $db = JFactory::getDBO();

        $userWhere = 'and recever_id=' . JFactory::getUser()->id;

        $query_r = "SELECT COUNT(*) FROM #__joomschool_message_reply WHERE status=0 $userWhere and message_id='" . $id . "' ";

        $db->setQuery($query_r);

        return (int)$db->loadResult();
    }


    /**
     ** Sender Name
     **/
    function senderName($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('name')))
            ->from($db->quoteName('#__users'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }

    /**
     ** Avator function
     **/
    function avator($id)
    {

        // inits
        $db = JFactory::getDBO();
        $defaultImage = JUri::root(false) . 'administrator/components/com_joomschool/photo/photo.png';

        // get user role
        $role = strtolower(JoomschoolHelperUser::checkGroup($id)); // will output students or parents, or teacher

        if (!$role)
            return $defaultImage;

        // get picture link from db
        $query = $db->getQuery(true);
        $query
            ->select(array('photo'))
            ->from($db->quoteName('#__joomschool_' . $role))
            ->where($db->quoteName('user_id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $photo = $db->loadResult();

        if (is_null($photo) || empty($photo))
            return $defaultImage;


        return JUri::root(false) . 'administrator/components/com_joomschool/photo/' . $role . '/' . $photo;

    }

    /**
     ** Teacher Name
     **/
    function getTeachername($id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('name')))
            ->from($db->quoteName('#__users'))
            ->where($db->quoteName('id') . ' = ' . $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }


    /**
     ** Reply Message List
     **/
    function getMessageList($message_id)
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select('*')
            ->from($db->quoteName('#__joomschool_message_reply'))
            ->where($db->quoteName('message_id') . ' = ' . $db->quote($message_id))
            ->order('id ASC');
        $db->setQuery($query);
        $rows = $db->loadObjectList();
        return $rows;
    }


    public function getItems()
    {
        $items = parent::getItems(); // TODO: Change the autogenerated stub

        if($items && count($items) > 0){
            foreach ($items as $item) {

                if(empty($item->class_subjects))
                    continue;

                $item->class_subjects = explode(',',$item->class_subjects);

                if(count($item->class_subjects) == 0)
                    continue;

                foreach ($item->class_subjects as &$subject){

                    $subject = JoomschoolHelper::getSubjectNameByID($subject)->subject_name;

                }

            }
        }


        return $items;
    }


    /**
     ** Message List Query
     **/
    protected function getListQuery()
    {
        $user = JFactory::getUser();
        $user_id = (int) $user->id;

        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        // Select the required fields from the table.
        $query->select(
            $this->getState(
                'list.select',
                "m.id,m.subject,m.recever_id,m.message,m.sender_id,m.class_subjects,m.assigned_status,m.status,m.date_time")
        );
        $query->from('#__joomschool_message AS m');
        $query->where('(m.recever_id = ' . $db->quote($user_id) . ' OR m.sender_id = ' . $db->quote($user_id).')');
        $query->leftJoin("#__joomschool_students s on s.user_id = (CASE WHEN m.sender_id = $user_id THEN m.recever_id WHEN m.recever_id = $user_id THEN m.sender_id END )");
        $query->leftJoin("#__joomschool_teachers AS t on t.user_id = (CASE WHEN m.sender_id = $user_id THEN m.recever_id WHEN m.recever_id = $user_id THEN m.sender_id END )");


        // Filter by assigned status
        $assigned_status = (int) $this->getState('filter.assigned_status',0);
        if($assigned_status > 0 && $assigned_status < 5){
            $query->where('m.assigned_status = ' . $assigned_status);
        }


        // Filter by class id
        $classId = (int) $this->getState('filter.class_id',0);

        if (is_numeric($classId) && $classId > 0) {
            $query->where("(FIND_IN_SET('$classId', s.class_id) OR FIND_IN_SET('$classId', t.class))");
        }

        // filter by subject
        $subjectId = (int) $this->getState('filter.class_subjects',0);
        if (is_numeric($subjectId) && $subjectId > 0) {
            $query->where("FIND_IN_SET('$subjectId', m.class_subjects)");
        }

        // Filter by search in subject and message.
        $search = $this->getState('filter.search');
        if (!empty($search)) {
            $search = $db->quote('%' . str_replace(' ', '%', $db->escape(trim($search), true) . '%'));
            $query->where('(m.subject LIKE ' . $search . ' OR m.message LIKE ' . $search .')');
        }



        $orderCol = $this->state->get('list.ordering', 'id');
        $orderDirn = $this->state->get('list.direction', 'desc');
        $query->order($db->escape($orderCol) . ' ' . $db->escape($orderDirn));

        $query->group('m.id');



        return $query;
    }

    /**
     ** Message Save
     **/
    function savemessage()
    {
        $table = $this->getTable('message');
        $data = JRequest::get('post');

        $data['status'] = 0;

        $data['assigned_status'] = 1;

        if (isset($data['class_subjects']) && count($data['class_subjects']) > 0) {
            $data['class_subjects'] = implode(',', $data['class_subjects']);
        }

        // Bind the data.
        if (!$table->bind($data)) {
            $this->setError($table->getError());
            return false;
        }
        // Store the data.
        if (isset($data['id']) && $data['id']) {
            $table->id = $data['id'];
        }
        if ($data['message']) {
            $table->message = nl2br($data['message']);
        }

        if (!$table->store()) {
            $this->setError($table->getError());
            return false;
        }

        $data['id'] = $table->id;

        // send email notification
        JoomschoolHelperNotification::newPrivateMessage($data);

        $id = $table->id;
        return $id;

    }

    public function getReplyForm()
    {

        $form = \Joomla\CMS\Form\Form::getInstance("messagereply", __DIR__ . "/forms/messagereply.xml");


        $form->setFieldAttribute("attachment", "multiple", true);

        return $form;

    }

    public function getForm()
    {

        $form = \Joomla\CMS\Form\Form::getInstance("message", __DIR__ . "/forms/message.xml");

        $form->setFieldAttribute("attachment", "multiple", true);

        return $form;

    }

    /**
     ** Reply Message Save
     **/
    function messagereply()
    {
        $table = $this->getTable('messagereply');
        $data = JRequest::get('post');

        $data['status'] = 0;

        // Bind the data.
        if (!$table->bind($data)) {
            $this->setError($table->getError());
            return false;
        }
        // Store the data.
        if ($data['id']) {
            $table->id = $data['id'];
        }

        if ($data['message']) {
            $table->message = nl2br($data['message']);
        }

        if (!$table->store()) {
            $this->setError($table->getError());
            return false;
        }
        $id = $table->id;
        $mid = $data['message_id'];
        return $id;
    }

    /**
     ** Message Delete
     **/
    public function delete()
    {
        $cids = JRequest::getVar('cid', array(0), 'post', 'array');
        $table = $this->getTable('message');
        $table_reply = $this->getTable('messagereply');
        if (count($cids)) {
            foreach ($cids as $cid) {
                //Reply delete
                if ($cid) {
                    $db = JFactory::getDBO();
                    $db->setQuery("DELETE FROM #__joomschool_message_reply  WHERE message_id='" . $cid . "' ");
                    $db->query();
                }

                //Message delete
                if (!$table->delete($cid)) {
                    $this->setError($this->_db->getErrorMsg());
                    return false;
                }
            }
        }
        return true;
    }


}
