<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

// import the Joomla modellist library
jimport('joomla.application.component.modellist');
use Joomla\Registry\Registry;
use Joomla\Utilities\ArrayHelper;

// Base this model on the backend version.
JLoader::register('JoomschoolModelStudent', JPATH_ADMINISTRATOR . '/components/com_joomschool/models/student.php');
class JoomschoolModelStudentedit extends JoomschoolModelStudent
{
    /**
     * Model typeAlias string. Used for version history.
     *
     * @var        string
     */
    public $typeAlias = 'com_joomschool.studentedit';

    /**
     * Method to auto-populate the model state.
     *
     * Note. Calling getState in this method will result in recursion.
     *
     * @return  void
     *
     * @since   1.6
     */
    public function populateState()
    {
        $app = JFactory::getApplication();
        parent::populateState(); // TODO: Change the autogenerated stub
        // Load state from the request.
        $this->setState('student.id', JoomschoolHelper::getStudentIDByUserID(JFactory::getUser()->id));


        $return = $app->input->get('return', null, 'base64');
        $this->setState('return_page', base64_decode($return));

        // Load the parameters.
        $params = $app->getParams();
        $this->setState('params', $params);

        $this->setState('layout', $app->input->getString('layout'));
    }

    public function getItem($pk = null)
    {


       $pk = $pk ? $pk : JoomschoolHelper::getStudentIDByUserID(JFactory::getUser()->id);

        return parent::getItem($pk); // TODO: Change the autogenerated stub
    }

    /**
     * Get the return URL.
     *
     * @return  string	The return URL.
     *
     * @since   1.6
     */
    public function getReturnPage()
    {
        return base64_encode($this->getState('return_page'));
    }

    public function save($data)
    {

        JLoader::register('JoomschoolHelperUser', JPATH_COMPONENT_ADMINISTRATOR . '/helpers/user.php');

        // update some data
        $post = JFactory::getApplication()->input->getArray();
        $data['name'] = $post['name'];
        $data['email'] = JFactory::getUser()->email;
        $data['username'] = JFactory::getUser()->email;
        $data['user_id'] = JFactory::getUser()->id;
        unset($post['jform']);

        if (!empty($data['created'])) {
            $data['modified'] = JFactory::getDate()->toSql();
            $data['modified_by'] = JFactory::getUser()->id;
        }

        // update user data, and register/update him in joomla users table
        if(!$this->updateWithJoomlaUsers($data))
            return false;

        // upload photo and add filename to data
        if(!$this->uploadPhoto($data))
            return false;

        // continue saving student data ...
        if ($this->parentSave($data)) {

            $this->saveStudentHistory($data);
            $this->saveCustomField($post);

            return true;
        }

        return false;
    }


}
