<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

// import the Joomla modellist library
jimport('joomla.application.component.modellist');

class JoomschoolModelStudents extends JModelList
{
   private $_id ;
	
function __construct()
  {
        parent::__construct();
 
        $mainframe = JFactory::getApplication();
 
        // Get pagination request variables
        $limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
        $limitstart = JRequest::getVar('limitstart', 0, '', 'int');
 
        // In case limit has been changed, adjust it
        $limitstart = ($limit != 0 ? (floor($limitstart / $limit) * $limit) : 0);
 
        $this->setState('limit', $limit);
        $this->setState('limitstart', $limitstart);
  }
	
	
	function getClassname($id){
	      $db = JFactory::getDBO();
			  $query_result = "SELECT class_name FROM `#__joomschool_class` WHERE id = '".$id."'";
				$db->setQuery($query_result);
				$data = $db->loadResult();
				return $data;
	}
	
	function getDivisionname($id){
	      $db = JFactory::getDBO();
			  $query_result = "SELECT division_name FROM `#__joomschool_division` WHERE id = '".$id."'";
				$db->setQuery($query_result);
				$data = $db->loadResult();
				return $data;
	}
	
	function getSectionname($id){
	      $db = JFactory::getDBO();
			  $query_result = "SELECT section_name FROM `#__joomschool_sections` WHERE id = '".$id."'";
				$db->setQuery($query_result);
				$data = $db->loadResult();
				return $data;
	}


    function unreadMessageByid($id){

        $db = JFactory::getDBO();

        // Get total message
        $query_m = $db->getQuery(true);
        $query_m
            ->select('*')
            ->from($db->quoteName('#__joomschool_message'))
            ->where($db->quoteName('status') . ' = '. $db->quote('0'))
            ->where($db->quoteName('id') . ' = '. $db->quote($id));
        $db->setQuery($query_m);
        $rows_m = $db->loadObjectList();
        $total_m = count($rows_m);

        // Get Reply total
        $query_r = $db->getQuery(true);
        $query_r
            ->select('*')
            ->from($db->quoteName('#__joomschool_message_reply'))
            ->where($db->quoteName('status') . ' = '. $db->quote('0'))
            ->where($db->quoteName('message_id') . ' = '. $db->quote($id));
        $db->setQuery($query_r);
        $rows_r = $db->loadObjectList();
        $total_r = count($rows_r);

        // Get Total
        $total = round($total_m + $total_r);
        return $total;
    }

    function senderName($id){
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query
            ->select($db->quoteName(array('name')))
            ->from($db->quoteName('#__users'))
            ->where($db->quoteName('id') . ' = '. $db->quote($id));
        $db->setQuery($query);
        $data = $db->loadResult();
        return $data;
    }
	
	function getLatestMessage($sid)
	{
	      $db = JFactory::getDBO();
        $query = "SELECT * FROM `#__joomschool_message` WHERE recever_id = '".$sid."' OR sender_id = '".$sid."'";
        $query.=" ORDER BY id desc LIMIT 0 ,5 ";
        $db->setQuery($query);
        $rows = $db->loadObjectList();
				return  $rows;
	}
	
	function checkGroup($id){
	                                $db =JFactory::getDBO();
																	$check_group= "SELECT group_id FROM #__user_usergroup_map WHERE user_id= '$id' ";
                                  $db->setQuery( $check_group);
	                                $user_group_id= $db->loadResult(); 
																	
																	$check_group_title= "SELECT title FROM #__usergroups WHERE id= '$user_group_id' ";
                                  $db->setQuery( $check_group_title);
	                                $title= $db->loadResult(); 
																	return  $title;
	}
	
	function getStudentID($id){
	      $db = JFactory::getDBO();
			  $query_result = "SELECT id FROM `#__joomschool_students` WHERE user_id = '".$id."'";
				$db->setQuery($query_result);
				$data = $db->loadResult();
				return $data;
	}
	
	function getStudent($id)
	{

	 if (isset($id)) {
			 $this->_id = $id;
     }
	 
		if (empty($this->_data)) {
     
		$this->_data = $this->getTable ('students');
		
		$this->_data->load($this->_id);

		}
		return $this->_data;

	}
	
	
	function buildField($label, $type, $name, $value, $note,  $placeholder ="", $optinal ="", $enable =""){
	                         
													 if($optinal ==""){
													    $optinal_s ="required"; 
															$star = '<span class="star"> *</span>'; 
															$r = 'required="required"';
															}else{
															$optinal_s ="";
															$star = '';
															$r = '';
													 }
													 
                          
													 $input = '<p>';
                           
													 if($type=="input"){
													 $input .= '<label id="jform_'.$name.'-lbl" class="labelp '.$optinal_s.'"  for="jform_'.$name.'">'. JText::_($label).': '.$star .'</label>';
					                 $input .= '<input type="text" name="'.$name.'" value="'.$value.'" id="jform_'.$name.'" class="'.$optinal_s.' cinp" '.$r.' />';
                           }
													 if($type=="select"){
													  $input .= '<label id="'.$name.'-lbl" class="labelp '.$optinal_s.'"  for="'.$name.'">'. JText::_($label).': '.$star .'</label>';
					                  $input .= $value;
                           }
													 
													 $input .= '</p>';
													
													 return $input;
 }
 
 /**
	** Division List
	**/
	function getdivisionList($id){
	     $db = JFactory::getDBO();
        $query = "SELECT id,division_name FROM `#__joomschool_division` WHERE published = 1";
        $query.=" ORDER BY id asc ";
        $db->setQuery($query);
        $rows = $db->loadObjectList();
        if ($db->getErrorNum()) {
            echo $db->stderr();
            return false;
        }
        $divisions = array();
        
				
				
				$divisions[] = array('value' => '', 'text' => JText::_(' -- Select Division -- '));
        foreach ($rows as $row) {
            $divisions[] = array('value' => $row->id, 'text' => JText::_(' '.$row->division_name));
        }
			 $division =  JHTML::_('select.genericList', $divisions, 'division', 'class="required  inputbox  "  ', 'value', 'text',$id);
       return $division;
	}
	
	/**
	** Class List
	**/
	function getclassList($id){
	      $db = JFactory::getDBO();
        $query = "SELECT id,class_name FROM `#__joomschool_class` WHERE published = 1";
        $query.=" ORDER BY id asc ";
        $db->setQuery($query);
        $rows = $db->loadObjectList();
        if ($db->getErrorNum()) {
            echo $db->stderr();
            return false;
        }
        $class_array = array();
        
				$class_array[] = array('value' => '', 'text' => JText::_(' -- Select Class -- '));
        foreach ($rows as $row) {
            $class_array[] = array('value' => $row->id, 'text' => JText::_(' '.$row->class_name));
        }
			 $class =  JHTML::_('select.genericList', $class_array, 'class', ' class="required  inputbox  "    ', 'value', 'text', $id);
       return $class;
	}
	
	/**
	** Section List
	**/
	function getsectionList($id){
	     $db = JFactory::getDBO();
        $query = "SELECT id,section_name FROM `#__joomschool_sections` WHERE published = 1";
        $query.=" ORDER BY id asc ";
        $db->setQuery($query);
        $rows = $db->loadObjectList();
        if ($db->getErrorNum()) {
            echo $db->stderr();
            return false;
        }
        $sections = array();
        
				
				$sections[] = array('value' => '', 'text' => JText::_(' -- Select Section -- '));
        foreach ($rows as $row) {
            $sections[] = array('value' => $row->id, 'text' => JText::_(' '.$row->section_name));
        }
			 $section =  JHTML::_('select.genericList', $sections, 'section', 'class=" required inputbox  "    ', 'value', 'text', $id);
       return $section;
	}
	
	
	/**------------------------------------------------------------------------------------------------------------------
	** ------------------------------- SAVE STUDENT -------------------------------------------------------------------
	**-----------------------------------------------------------------------------------------------------------------*/
	public function store()
	{
	$data_student = JRequest::get( 'post' );
	
	$chabima = str_replace(' ', '', $data_student['name']);
	$alias = str_replace(' ', '-', strtolower($data_student['name']));
	$churanita = $data_student['churanita'];
	$email = $data_student['email'];
	
	                              
																//USER UPDATE ######################################################################
																if(!empty($data_student['user_id'])){
																  $user = new JUser;
																	// Bind the data.
		                              if (!$user->bind($data_student))
		                              {
																	
			                             $this->setError(JText::sprintf('COM_USERS_REGISTRATION_BIND_FAILED', $user->getError()));
			                             return false;
		                              }
		                             
		                              // Store the data.
																	$user->id = $data_student['user_id'];
																	$user->chabima = $chabima;
																	$user->churanita = md5($churanita);
																	$user->email = $data_student['email'];
		                              if (!$user->save())
		                              {
																	
			                             $user->setError(JText::sprintf('COM_USERS_REGISTRATION_SAVE_FAILED', $user->getError()));
			                             return false;
		                              }
																}
																
																//USER CREATE ######################################################################
	                              if(empty($data_student['id'])){
	                                //$params = JComponentHelper::getParams('com_users');
		                              $user = new JUser;
													        // Prepare the data for the user object.
		                              $data = JRequest::get( 'post' );
																	$data['block'] = 0;
		                             // $useractivation = $params->get('useractivation');
		                             // $sendchuranita = $params->get('sendchuranita', 0);
		                              // Check if the user needs to activate their account.
		                              //if (($useractivation == 0) || ($useractivation == 2))
		                              //{
			                            // $data['activation'] = JApplication::getHash(JUserHelper::genRandomPassword());
			                            // $data['block'] = 0;
		                             // }
		                              // Bind the data.
		                              if (!$user->bind($data))
		                              {
			                             $this->setError(JText::sprintf('COM_USERS_REGISTRATION_BIND_FAILED', $user->getError()));
																	 echo"here";
			                             return false;
		                              }
		                             
		                              // Store the data.
																	$user->chabima = $chabima;
																	$user->email = $email;
		                              if (!$user->save())
		                              {
			                             $this->setError(JText::sprintf('COM_USERS_REGISTRATION_SAVE_FAILED', $user->getError()));
			                             return false;
		                              }
		
		                              //Set user group
		                              $uid = $user->id;
		                              $db =& JFactory::getDBO();
                                  $q_user_g= "SELECT id FROM #__usergroups WHERE title= 'Students' ";
                                  $db->setQuery( $q_user_g);
	                                $usergroup_id= $db->loadResult(); 
		
	                                $queryg = "INSERT INTO `#__user_usergroup_map` (`user_id`, `group_id`) VALUES ( '$uid','$usergroup_id');";
                                  $db->setQuery( $queryg );
                                  $setquey = $db->query();
		                            }//End user create section
	
	
	
	    //GET NEXT ID
	    $config = JFactory::getConfig();
			$database_name = $config->get( 'db' );
			$dbprefix = $config->get( 'dbprefix' );
			
			$db    = JFactory::getDbo();
	    $query = "SELECT AUTO_INCREMENT AS id FROM information_schema.tables WHERE table_schema = '".$database_name."' AND table_name = '".$dbprefix."joomschool_students'";
      $db->setQuery($query);
      $rows = $db->loadObjectList();
      $nextid = $rows[0]->id;
	
		$table = $this->getTable('students');
		
		//upload section data
		$file = JRequest::getVar('photo', null, 'files', 'array');
		jimport('joomla.filesystem.file');
		
		 if(empty($data_student['id'])){
		 $nextid_final = $nextid;
		 }else{
		 $nextid_final = $data_student['id'];
		 }
		
		$filename = JFile::makeSafe($nextid_final.'_'.$file['name']);
		$new_file = $_FILES['photo']['name'];
		
		// Bind the data.
		if (!$table->bind($data_student))
		{
			$this->setError($user->getError());
			return false;
		}
		// Store the data.
		$table->chabima = $chabima;
		$table->churanita = $churanita;
		if($data_student['id']){$table->id = $data_student['id'];}
		
		if($new_file){$table->photo = $filename;}
		if($uid){$table->user_id = $uid;}
		//store alias
		$table->alias = $alias;
		if (!$table->store())
		{
			$this->setError($user->getError());
			return false;
		}
		$id = $table->id;
		
		                
		              //PHOTO UPLOAD ######################################################################
									
									if($new_file){
										$old_file =$data_student['old_photo'];
										if($old_file!=""){
									          $path ="components/com_joomschool/photo/students/";
											       JFile::delete($path.$old_file);
									  }
										
		                $src = $file['tmp_name'];
                    $dest = "components/com_joomschool/photo/students/".$filename;
		                if ( strtolower(JFile::getExt($filename) ) == 'jpg' || 'png' || 'gif' ||'jpeg') {
                       if ( JFile::upload($src, $dest) ) {
                            
                           } else {
                            $upload_error ="upload_error";
														return $upload_error;
                           }
                    } else {
                    //Redirect and notify user file is not right extension
	                  $upload_error_extension ="upload_error_extension";
										return $upload_error_extension;
                    }
									}
	
				return $id;					  
		
		
	}
	
	

	
	
}
