<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');


$user    = JFactory::getUser();

JHtml::_('behavior.caption');
$image = empty($this->item->image) ? 'media/com_joomschool/images/default_announcement.jpg' : 'media/com_joomschool/attachments/pannounce/'.$this->item->image;
$info = JoomschoolHelper::getStudentInfoUserID($user->id);
?>

<div id="jb-template" class="item-page" itemscope itemtype="https://schema.org/Article">

    <?php
        echo JLayoutHelper::render('common.menu');
    ?>

    <?php echo JLayoutHelper::render('common.header',['params' => $this->params,'title' => $this->item->title]) ?>

    <div class="card mb-4">
        <div class="card-body form-row">
            <div class="col-xl-2 col-lg-2 col-md-4 col-sm-4 col-12 mb-3 mb-md-0">

                <img src="<?php echo JUri::root().$image ?>">
            </div>
            <div class="col-xl-10 col-lg-10 col-md-8 col-sm-8 col-12">

                <div class="description">
                    <?php echo $this->item->introtext . ' ' . $this->item->fulltext; ?>
                </div>
               <?php echo JoomschoolHelperAttachment::getItemAttachment('announce',$this->item->id) ?>
            </div>
        </div>
        <div class="card-footer text-muted">
            <ul class="list-inline mx-0 my-0">
                <li class="list-inline-item">
                   <i class="fas fa-chalkboard-teacher
"></i>
                    <?php
                       if(JoomschoolHelperFrontend::checkGroup($user->id) == "Students"){
                           echo JoomschoolHelper::getClassname($info->class_id);

                       }
                    elseif(JoomschoolHelperFrontend::checkGroup($user->id) == "Teachers") {
                        $classes = explode(',', $this->item->class_id);
                        foreach ($classes as $class) {
                            echo JoomschoolHelper::getClassname($class);
                        }
                    }
                        ?>

                </li>
                <li class="list-inline-item">
                    <small><i class="far fa-user"></i> <?php echo $this->item->author_name; ?>
                    </small>
                </li>
                <li class="list-inline-item float-right">
                    <small><i class="far fa-calendar"></i> <?php echo  JHtml::_('date', $this->item->created, JText::_('DATE_FORMAT_LC4')); ?>
                    </small>
                </li>
            </ul>
        </div>
    </div>

</div>