<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

/**
 * HTML Article View class for the Content component
 *
 * @since  1.5
 */
class JoomschoolViewAnnounce extends JViewLegacy
{
	protected $item;

	protected $params;

	protected $print;

	protected $state;

	protected $user;

	/**
	 * Execute and display a template script.
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  mixed  A string if successful, otherwise an Error object.
	 */
	public function display($tpl = null)
	{
		$app        = JFactory::getApplication();
		$user       = JFactory::getUser();

        $authorized = ['Students','Teachers'];


       if(!in_array(JoomschoolHelperFrontend::checkGroup($user->id),$authorized)) {
           $app->enqueueMessage(JText::_('COM_JOOMSCHOOL_NOT_AUTHORIZED_VIEW'),'warning');
           $app->redirect(JRoute::_(JoomSchoolHelperRoute::getDashboardRoute()));

       }

		$this->item  = $this->get('Item');
		$this->print = $app->input->getBool('print');
		$this->state = $this->get('State');
		$this->user  = $user;


		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseWarning(500, implode("\n", $errors));

			return false;
		}

        if ($this->user->get('guest'))
        {
            $return = base64_encode(JUri::getInstance());
            $login_url_with_return = JRoute::_('index.php?option=com_users&view=login&return=' . $return);
            $app->enqueueMessage(JText::_('JERROR_ALERTNOAUTHOR'), 'notice');
            $app->redirect($login_url_with_return, 403);
        }


		parent::display($tpl);
	}

}
