<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_content
 *
 * @copyright   (C) 2009 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\Registry\Registry;

// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', '#jform_catid', null, array('disable_search_threshold' => 0 ));
JHtml::_('formbehavior.chosen', '#jform_tags', null, array('placeholder_text_multiple' => JText::_('JGLOBAL_TYPE_OR_SELECT_SOME_TAGS')));
JHtml::_('formbehavior.chosen', 'select');

$this->configFieldsets  = array('editorConfig');
$this->hiddenFieldsets  = array('basic-limited');
$this->ignore_fieldsets = array('jmetadata', 'item_associations');

// Create shortcut to parameters.
$params = clone $this->state->get('params');

$app = JFactory::getApplication();
$input = $app->input;

$assoc = JLanguageAssociations::isEnabled();



JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "announcementform.cancel" || document.formvalidator.isValid(document.getElementById("announcement-form")))
		{
	
			Joomla.submitform(task, document.getElementById("announcement-form"));

			// @deprecated 4.0  The following js is not needed since 3.7.0.
			if (task !== "announcementform.apply")
			{
				window.parent.jQuery("#announcementEdit' . (int) $this->item->id . 'Modal").modal("hide");
			}
		}
	};
');

// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout  = $isModal ? 'modal' : 'edit';
$tmpl    = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';
JFactory::getDocument()->addStyleDeclaration('
 
    #jb-template .btn-primary{
      color:#ffffff !important;
    }'
);

?>
<div id="jb-template">
    <?php echo JLayoutHelper::render('common.menu') ?>
    <form action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="announcement-form" class="form-validate" enctype="multipart/form-data">
        <div class="btn-toolbar bg-light rounded p-3 mb-4 shadow-sm border my-4">
            <button type="button" class="btn btn-primary mr-3" onclick="Joomla.submitbutton('announcementform.save')">
                <i class="fas fa-check"></i> <?php echo JText::_('JSAVE') ?>
            </button>
            <button type="button" class="btn btn-danger" onclick="Joomla.submitbutton('announcementform.cancel')">
                <i class="fas fa-times"></i> <?php echo JText::_('JCANCEL') ?>
            </button>
        </div>
        <div class="my-3">
            <?php echo JLayoutHelper::render('joomla.edit.title_alias', $this); ?>
        </div>


        <div class="form-horizontal">
            <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general')); ?>

            <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', JText::_('COM_JOOMSCHOOL_GENERAL')); ?>
            <div class="row">
                <div class="col-md-9">
                    <fieldset class="adminform">
                        <?php echo $this->form->renderField('class_id'); ?>
                        <?php echo $this->form->renderField('image'); ?>
                        <?php echo $this->form->renderField('articletext'); ?>
                        <?php echo $this->form->renderField('attachment'); ?>
                        <?php echo JoomschoolHelperAttachment::getItemAttachment('announce',$this->item->id,true) ?>
                    </fieldset>
                </div>
                <div class="col-md-3">
                    <?php echo JLayoutHelper::render('joomla.edit.global', $this); ?>
                </div>
            </div>
            <?php echo JHtml::_('bootstrap.endTab'); ?>

            <?php $this->show_options = $params->get('show_announcement_options', 1); ?>
            <?php echo JLayoutHelper::render('joomla.edit.params', $this); ?>

            <?php // Do not show the publishing options if the edit form is configured not to. ?>


            <?php echo JHtml::_('bootstrap.endTabSet'); ?>

            <input type="hidden" name="task" value="" />
            <input type="hidden" name="return" value="<?php echo $this->return_page ?>" />
            <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>" />
            <?php echo JHtml::_('form.token'); ?>
        </div>
    </form>

</div>
