<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
class JoomschoolViewAnnouncementform extends JViewLegacy
{

    /*
* The JForm object
*
* @var  JForm
   */
    protected $form;

    /**
     * The active item
     *
     * @var  object
     */
    protected $item;

    /**
     * The model state
     *
     * @var  object
     */
    protected $state;

    /**
     * The actions the user is authorised to perform
     *
     * @var  JObject
     */
    protected $canDo;

    /**
     * Execute and display a template script.
     *
     * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
     *
     * @return  mixed  A string if successful, otherwise an Error object.
     *
     * @since   1.6
     */
    public function display($tpl = null)
    {

        $app = JFactory::getApplication();
        $user_id = JFactory::getUser()->id;
        $group  =JoomschoolHelperFrontend::checkGroup($user_id);


        if(!$user_id){
            $mge = JText::_('COM_JOOMSCHOOL_NOT_AUTHORIZED_VIEW');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_('index.php?option=com_users&amp;view=login');
            $app->redirect($redirect_link);
        }

        if($group != 'Teachers') {
            $mge = JText::_('COM_JOOMSCHOOL_NOT_AUTHORIZED_VIEW');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = \JRoute::_(JoomSchoolHelperRoute::getDashboardRoute());
            $app->redirect($redirect_link);
        }

        $this->form  = $this->get('Form');

        $this->item  = $this->get('Item');

        if(
            $this->item->id > 0 && // not new item
            $this->item->teacher_id != JoomschoolHelper::getTeacherIDbyUserid($user_id) // not same teacher
        ) {
            $mge = JText::_('COM_JOOMSCHOOL_NOT_AUTHORIZED_VIEW');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = \JRoute::_(JoomSchoolHelperRoute::getDashboardRoute());
            $app->redirect($redirect_link);
        }

        $this->state = $this->get('State');
        $this->canDo = JHelperContent::getActions('com_joomschool', 'announcement', $this->item->id);

        $this->return_page = $this->get('ReturnPage');
// Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            throw new Exception(implode("\n", $errors), 500);
        }




        $this->setLayout('edit');

        $this->addToolbar();

        return parent::display($tpl);

    }

    protected function addToolbar()
    {

        $user       = JFactory::getUser();
        $userId     = $user->id;
        $isNew      = ($this->item->id == 0);
        $checkedOut = !($this->item->checked_out == 0 || $this->item->checked_out == $userId);


        ToolbarHelper::title(
            JText::_('COM_JOOMSCHOOL_ANNOUNCEMENT_' . ($isNew ? 'NEW' : 'EDIT')),
            'paragraph-center'
        );

// For new records, check the create permission.
        if ($isNew)
        {
            ToolbarHelper::apply('announcement.apply');
            ToolbarHelper::save('announcement.save');
            ToolbarHelper::save2new('announcement.save2new');
            ToolbarHelper::cancel('announcement.cancel');
        }
        else
        {
            // Since it's an existing record, check the edit permission, or fall back to edit own if the owner.
            $itemEditable = $this->item->created_by == $userId;

            // Can't save the record if it's checked out and editable
            if (!$checkedOut && $itemEditable)
            {
                ToolbarHelper::apply('announcement.apply');
                ToolbarHelper::save('announcement.save');

                // We can save this record, but check the create permission to see if we can return to make a new one.
                ToolbarHelper::save2new('announcement.save2new');
            }

            // If checked out, we can still save
            ToolbarHelper::save2copy('announcement.save2copy');
            
       
            ToolbarHelper::cancel('announcement.cancel', 'JTOOLBAR_CLOSE');
        }



        ToolbarHelper::divider();
    }




}
