<?php

/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');
$app = JFactory::getApplication();
$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$saveOrder = $listOrder == 'a.ordering';
$columns = 10;

if (strpos($listOrder, 'modified') !== false) {
    $orderingColumn = 'modified';
} else {
    $orderingColumn = 'created';
}

Text::script('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST');

$role = strtolower(rtrim(JoomschoolHelperFrontend::checkGroup(JFactory::getUser()->id),'s'));

?>
<div id="jb-template">

    <?php
    if ($this->params->get('show_menu', 1)) {
        echo JLayoutHelper::render('common.menu');
    }
    ?>

    <?php echo JLayoutHelper::render('common.header',['params' => $this->params,'title' => 'COM_JOOMSHOOL_ANNOUNCEMENTS']) ?>

    <form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=announcements'); ?>" method="post"
          name="adminForm" id="adminForm">

        <?php echo JLayoutHelper::render($role.'.announcements', ['current' => $this]); ?>


        <input type="hidden" name="task" value=""/>
        <input type="hidden" name="boxchecked" value="0"/>
        <?php echo JHtml::_('form.token'); ?>
    </form>
</div>