<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');
$app = JFactory::getApplication();
$input = $app->input;
$user = JFactory::getUser();

// In case of modal
$model = $this->getModel();

$id = JFactory::getApplication()->input->get('id', 0, 'int');

?>
<div id="jb-template">

    <?php
    // main internal navigation
    if ($this->params->get('show_menu', 1)) {
        echo JLayoutHelper::render('common.menu');
    }
    ?>

    <?php
    // header of view (contain title and add attendance button)
    echo JLayoutHelper::render(
        'common.header',
        [
            'params' => $this->params,
            'title' => 'COM_JOOMSCHOOL_TAKE_VIEW_ATTENDANCE',
            'rightLayout' => 'attendance.buttons'
        ]
    );
    ?>


    <form
            action="<?php echo JRoute::_('index.php?option=com_joomschool&view=attendanceform&layout=edit&id=' . (int)$id); ?>"
            method="post"
            class="form-horizontal form-validate"

    >
        <fieldset>
            <div class="bg-light rounded p-3 mb-4 shadow-sm border" id="jv-toolbar">
                <div class="row">
                    <div class="col-md-3">
                        <?php echo $this->form->renderField('attendance_date'); ?>
                    </div>
                    <div class="col-md-3">
                        <?php echo $this->form->renderField('class'); ?>
                    </div>
                    <div class="col-md-3">
                        <?php echo $this->form->renderField('section'); ?>
                    </div>
                    <div class="col-md-3">
                        <?php echo $this->form->renderField('class_subjects'); ?>
                    </div>
                    <div class="col-md-3 d-flex align-items-center">
                        <button type="submit" class="btn btn-sm button-apply btn-success">
                            <span class="icon-apply icon-white" aria-hidden="true"></span>
                            <?php echo JText::_('COM_JOOMSCHOOL_TAKE_VIEW_ATTENDANCE'); ?>

                        </button>
                    </div>
                </div>
                <small class="text-muted m-2 d-block">
                    <?php echo JText::_('COM_JOOMSCHOOL_TAKE_ATTENDANCE_NOTE') ?>
                </small>
            </div>

        </fieldset>
        <input type="hidden" name="task" value="attendanceform.apply"/>
        <?php echo JHtml::_('form.token'); ?>
    </form>


    <?php if (count($this->item->students)) {

        // Script for save mark
        $attentdance_display = '<script type="text/javascript">';
        $attentdance_display .= 'jQuery(document).ready(function () {';

        //function make
        $attentdance_display .= 'function attentSaving(aid,sid,status,order){';
        $url = JUri::base() . "index.php?option=com_joomschool&task=attendanceform.savestatus";
        $attentdance_display .= 'jQuery("#saving_"+ order).html("' . JText::_('COM_JOOMSCHOOL_SAVING') . '");';
        $attentdance_display .= '
        jQuery.post( 
            "' . $url . '",
            {aid:aid,sid:sid,status:status},
             function(data){
               jQuery("#saving_"+ order).html(data);
             }
        );
    }';

        //function call
        $s = 0;
        foreach ($this->item->students as $row_s) {
            $s++;
            $attentdance_display .= 'jQuery( "#button_' . $s . '" ).change(function() {';
            $attentdance_display .= 'attentSaving(jQuery("#aid_' . $s . '").val(),jQuery("#sid_' . $s . '").val(),jQuery("#button_' . $s . ' option:selected").val(),' . $s . ')';
            $attentdance_display .= '});';
        }

        $attentdance_display .= '});';
        $attentdance_display .= '</script>';

        $attentdance_display .= '<table class="admin-table table table-striped" id="admin-table" style="width: 100%;margin-top: 10px;" align="center">';
        $attentdance_display .= '<thead>';
        $attentdance_display .= '<tr>';
        $attentdance_display .= '<th>' . JText::_('LABEL_ATTENDANCE_ROLL') . '</th>';
        $attentdance_display .= '<th>' . JText::_('LABEL_ATTENDANCE_STUDENT_NAME') . '</th>';
        $attentdance_display .= '<th>' . JText::_('LABEL_ATTENDANCE_PRESENT_STATUS') . '</th>';
        $attentdance_display .= '<th>' . JText::_('LABEL_ATTENDANCE_ENTRY_BY') . '</th>';
        $attentdance_display .= '<th>' . JText::_('LABEL_ATTENDANCE_CRATE') . '</th>';
        $attentdance_display .= '<th>' . JText::_('LABEL_ATTENDANCE_LAST_UPDATE') . '</th>';
        $attentdance_display .= '</tr>';
        $attentdance_display .= '</thead>';
        $attentdance_display .= '<tbody>';
        $i = 0;

        foreach ($this->item->students as $row) {
            $i++;
            $entry_by_uid = $model->getOldatt($this->item->id, $row->id, 'entry_by');
            $entry_by = $model->getTeachername($entry_by_uid);

            $entry_date = $model->getOldatt($this->item->id, $row->id, 'create_date');

            $create_date = HTMLHelper::date($entry_date, Text::_('DATE_FORMAT_FILTER_DATETIME'));

            $entry_update_date = $model->getOldatt($this->item->id, $row->id, 'update_date');

            if (!empty($entry_update_date)) {
                $update_date = HTMLHelper::date($entry_update_date, Text::_('DATE_FORMAT_FILTER_DATETIME'));
            } else {
                $update_date = '';
            }

            //Check old data
            $check_value = $model->getOldatt($this->item->id, $row->id, 'attend');

            $attentdance_display .= '<tr>';
            $attentdance_display .= '<td>' . $row->roll . '</td>';
            $attentdance_display .= '<td style="text-align: left;" >' . JFactory::getUser($row->user_id)->name . '</td>';
            $attentdance_display .= '<td align="center">';


            $attentdance_display .= '<div id="saving_' . $i . '"></div>';

            $attentdance_display .= '
            <select name="status" style="max-width: 150px" id="button_' . $i . '">
                <option value="2" ' . ($check_value == 2 || is_null($check_value) ? 'selected="selected"' : '') . '>' . JText::_('COM_JOOMSCHOOL_SELECT_STATUS') . '</option>
                <option value="1" ' . ($check_value == 1 ? 'selected="selected"' : '') . '>' . JText::_('COM_JOOMSCHOOL_LABEL_ATTENDANCE') . '</option>
                <option value="0" ' . ($check_value == 0 ? 'selected="selected"' : '') . '>' . JText::_('COM_JOOMSCHOOL_LABEL_ABSENT') . '</option>
            </select>
             
            ';
            $attentdance_display .= '<input id="aid_' . $i . '" type="hidden" name="aid"  value="' . $this->item->id . '" />';
            $attentdance_display .= '<input id="sid_' . $i . '" type="hidden" name="sid" value="' . $row->id . '" /></td>';

            $attentdance_display .= '<td style="text-align: center;" >' . $entry_by . '</td>';
            $attentdance_display .= '<td style="text-align: center;" >' . $create_date . '</td>';
            $attentdance_display .= '<td style="text-align: center;" >' . $update_date . '</td>';
            $attentdance_display .= '</tr>';
        }
        $attentdance_display .= '</tbody>';
        $attentdance_display .= '</table>';

        echo $attentdance_display;
    } ?>

</div>



