<?php

/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JoomschoolViewAttendanceform extends JViewLegacy
{
    /*
* The JForm object
*
* @var  JForm
*/
    protected $form;

    /**
     * The active item
     *
     * @var  object
     */
    protected $item;

    /**
     * The model state
     *
     * @var  object
     */
    protected $state;

    /**
     * The actions the user is authorised to perform
     *
     * @var  JObject
     */
    protected $canDo;

    /**
     * Execute and display a template script.
     *
     * @param string $tpl The name of the template file to parse; automatically searches through the template paths.
     *
     * @return  mixed  A string if successful, otherwise an Error object.
     *
     * @since   1.6
     */
    public function display($tpl = null)
    {
        $app = JFactory::getApplication();
        $user = JFactory::getUser();
        $globalParams = $app->getParams();
        $menu = $app->getMenu();
        $active = $menu->getActive();
        $itemId = $active->id;
        $menuParams = $menu->getParams($itemId);


        if (JoomschoolHelperFrontend::checkGroup($user->id) != "Teachers") {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_TEACHER_LOGIN_REQUIRED');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_(JoomSchoolHelperRoute::getDashboardRoute());
            $app->redirect($redirect_link);
        }


        $model = $this->getModel();
        $this->form = $this->get('Form');
        $this->item = $this->get('Item');
        $this->state = $this->get('State');
        $this->return_page = $this->get('ReturnPage');
        $this->canDo = JHelperContent::getActions('com_joomschool', 'attendance', $this->item->id);
        $this->params = $this->state->get('params');

        $globalParams->merge($menuParams);

        $globalParams->merge($this->params);
        $this->params = $globalParams;
        $this->item->students = $model->getStudentList($this->item->class, $this->item->section);

        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors), 500);
        }


        $this->addToolbar();

        return parent::display($tpl);

    }

    protected function addToolbar()
    {
        JFactory::getApplication()->input->set('hidemainmenu', true);
        $user = JFactory::getUser();
        $userId = $user->id;
        $isNew = ($this->item->id == 0);

        // Built the actions for new and existing records.
        $canDo = $this->canDo;
        // $attendance		=$model->getAttendance($id);
        JToolbarHelper::title(
            JText::_('LABEL_ATTENDANCE_' . ($isNew ? 'NEW' : 'EDIT')),
            'pencil'
        );


        // Can't save the record if it's checked out and editable


        if ($canDo->get('core.create')) {
            JToolbarHelper::apply('attendance.apply', JText::_('COM_JOOMSCHOOL_TAKE_VIEW_ATTENDANCE'));

        }

        JToolbarHelper::cancel('attendance.cancel', 'JTOOLBAR_CLOSE');

        JToolbarHelper::divider();
    }
    /*
        public function display($tpl = null)
        {

            $task = JRequest::getWord('task');
        switch ($task) {

        case'newattend':
        case'editattend':
            $model = $this->getModel();
                JRequest::setVar('hidemainmenu', 1);
              $array = JRequest::getVar('cid',  0, '', 'array');
          $id =(int)$array[0];
                if(!empty($id)){

                $this->assignRef('attendance',		$attendance);
                $title ="EDIT";

                $student_class_id =$attendance->class;
                $student_section_id =$attendance->section;
                }else{
                $title ="NEW";
                $student_class_id ="";
                $student_section_id ="";
                }

                $class_list = JoomschoolHelper::getclassList($student_class_id);
                $this->assignRef('class', $class_list);

                $section_list = JoomschoolHelper::getsectionList($student_section_id);
                $this->assignRef('section', $section_list);

              JToolbarHelper::title(JText::_('LABEL_ATTENDANCE_'.$title.''), 'pencil');
            JToolbarHelper::custom('saveattend', 'new.png', 'list.png','Take/View Attendance ', false);
              JToolbarHelper::cancel('cancel');
                $this->setLayout('form');
            break;
            default:

                   $model = $this->getModel();
               $this->items		= $this->get('Items');
                   $this->pagination	= $this->get('Pagination');
                         $this->filterForm    = $this->get('FilterForm');
                       $this->activeFilters = $this->get('ActiveFilters');
                       JoomschoolHelper::addSubmenu('attendance');
                         JToolbarHelper::title(JText::_('LABEL_ATTENDANCE_LIST'), 'pencil');
                         JToolbarHelper::custom('newattend', 'new.png', 'new.png',JText::_('BTN_ATTENDANCE_NEW'), false);
                         JToolbarHelper::editList('editattend');
                       $this->setLayout('default');
            break;

        }

            $this->sidebar = JHtmlSidebar::render();
            parent::display($tpl);
        }
    */


}
