<?php
/**
 * @package    JoomSchool
 * @author    joomboost.com
 * @copyright    (C) 2016-2019 JoomBoost. All rights reserved.
 */

defined('_JEXEC') or die;
JHtml::_('behavior.framework');
$model = $this->getModel();

$user = JFactory::getUser();
$uid = $user->get('id');
$group_title = JoomschoolHelperFrontend::checkGroup($uid);

$cy = intVal(date('Y'));
$cm = intVal(date('m'));

if (!empty($this->parent_id)) {
    $student = $model->getStudentList($this->parent_id);
    $student_list = JoomschoolHelperFrontend::buildField(JText::_('LABEL_PARENT_SELECT_STUDENT'), 'select', 'student', $student, '', '', 'required form-control');
} else {

    $display_report = $model->DisplayAttendance($this->student->year, $cm, $this->student->id) . '</br>';
}

$year_id = JoomschoolHelperFrontend::selectSingleData('id', 'joomschool_academic_year', 'year', $cy);
$year_field = JoomschoolHelperFrontend::getyearList($year_id);
$year_list = JoomschoolHelperFrontend::buildField(JText::_('LABEL_STUDENT_YEAR'), 'select', 'year', $year_field, '', '', 'form-control required ');


// Month Select Field
// Month Select Field
$months = array('', JText::_('COM_JOOMSCHOOL_MONTH_JANUARY'), JText::_('COM_JOOMSCHOOL_MONTH_FEBRUARY'), JText::_('COM_JOOMSCHOOL_MONTH_MARCH'), JText::_('COM_JOOMSCHOOL_MONTH_APRIL'), JText::_('COM_JOOMSCHOOL_MONTH_MAY'), JText::_('COM_JOOMSCHOOL_MONTH_JUNE'), JText::_('COM_JOOMSCHOOL_MONTH_JULY'), JText::_('COM_JOOMSCHOOL_MONTH_AUGUST'), JText::_('COM_JOOMSCHOOL_MONTH_SEPTEMBER'), JText::_('COM_JOOMSCHOOL_MONTH_OCTOBER'), JText::_('COM_JOOMSCHOOL_MONTH_NOVEMBER'), JText::_('COM_JOOMSCHOOL_MONTH_DECEMBER'),);
$month_field = '<select id="month" name="month" class="form-control" required="required">';
for ($i = 1; $i <= 12; $i++) {
    $isCurrentMonth = ($i == intVal(date("m"))) ? 'true' : 'false';
    $monthName = $months[$i];
    if ($isCurrentMonth == "true") {
        $selected_month = 'selected="selected"';
    } else {
        $selected_month = '';
    }
    $month_field .= '<option value="' . $i . '" ' . $selected_month . ' >' . $monthName . '</option>';
}
$month_field .= '</select>';
$month_list = JoomschoolHelperFrontend::buildField(JText::_('LABEL_SELECT_MONTH'), 'select', 'payment_month', $month_field, '', '', 'required form-control');

$loader_html = '<div class=\"loader\"></div>';




?>

<script type="text/javascript">
    function printDiv(divName) {
        var printContents = document.getElementById(divName).innerHTML;
        var originalContents = document.body.innerHTML;
        document.body.innerHTML = printContents;
        document.getElementById("print").style.visibility = "hidden";
        window.print();
        document.body.innerHTML = originalContents;
        document.location.reload();
    }
</script>


<div id="jb-template">
    <?php
    if($this->params->get('show_menu',1)){
        echo JLayoutHelper::render('common.menu');
    }
    ?>
    <?php echo JLayoutHelper::render('common.header',['params' => $this->params,'title' => 'MENU_ATTENDANCE_REPORT']) ?>
    <div class="border p-3 bg-light mb-4 shadow-sm border rounded">
        <form action="" class="form-horizontal">

            <div class="row">
                <?php if (!empty($this->parent_id)): ?>
                    <div class="col-md-3">
                        <?php echo $student_list; ?>
                    </div>
                <?php endif; ?>
                <div class="col-md-3">
                    <?php echo $month_list; ?>
                </div>
                <div class="col-md-3">
                    <?php echo $year_list; ?>
                </div>
            </div>

            <input type="hidden" name="task" value=""/>
            <input type="hidden" name="boxchecked" value="0"/>
            <?php echo JHtml::_('form.token'); ?>
        </form>
    </div>


    <div id="printableArea">
        <?php
        if (empty($this->parent_id)) {
            echo '<input type="hidden" id="student" name="student" value="' . $this->student->id . '">';
        }
        ?>
        <div id="result" class="border rounded overflow-hidden">
            <?php
            if (empty($this->parent_id)) {
                echo $display_report;
            }
            ?>
        </div>
    </div>
</div>
    <script type="text/javascript">
        jQuery(document).ready(function () {

            function desplyresult() {
                var sid = jQuery("#student").val();
                var year = jQuery("#year").val();
                var month = jQuery("#month").val();
                jQuery("#result").html("<?php echo $loader_html; ?>");
                jQuery.post(Joomla.getOptions('system.paths').root+'/index.php?option=com_joomschool&task=attendancereport.getattendancereport', {
                    sid: sid,
                    year: year,
                    month: month
                }, function (data) {
                    if (data) {
                        jQuery("#result").html(data);
                    }
                });
            }

            jQuery("#student").change(function () {
                desplyresult()
            });
            jQuery("#year").change(function () {
                desplyresult()
            });
            jQuery("#month").change(function () {
                desplyresult()
            });


        });//End doc
    </script>