<?php

/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

$model = $this->getModel();

$user = JFactory::getUser();

?>
<div id="jb-template">
    <?php
    if($this->params->get('show_menu',1)){
        echo JLayoutHelper::render('common.menu');
    }
    ?>

    <?php
    echo JLayoutHelper::render(
        'common.header',
        [
            'params' => $this->params,
            'title' => 'MENU_ATTENDANCE',
            'rightLayout' => 'attendances.buttons'
        ]
    );
    ?>


    <form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=attendances'); ?>" method="post"

          name="adminForm" id="adminForm">
        <div class="bg-light rounded p-3 mb-4 shadow-sm border" id="jv-toolbar">
        <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
        </div>

        <?php if (empty($this->items)) : ?>
            <div class="alert alert-warning">
                <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
            </div>
        <?php else : ?>
            <div class="border rounded shadow-sm">
                <table class="table m-0">
                    <thead class="thead-light">
                    <tr>
                        <th class=" left"><?php echo JText::_('LABEL_ATTENDANCE_DATE'); ?></th>
                        <th class=" center"><?php echo JText::_('DEFAULT_CLASS'); ?></th>
                        <th class=" center"><?php echo JText::_('DEFAULT_DIVISION'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_ATTENDANCE_TOTAL_STUDENTS'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_ATTENDANCE_TOTAL_PRESENT'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_ATTENDANCE_TOTAL_ABSENT'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_ATTENDANCE_DATE_TIME'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_ATTENDANCE_UPDATE'); ?></th>
                        <th></th>
                    </tr>
                    </thead>
                    <tfoot>
                    <tr>
                        <td colspan="11">
                            <?php echo JLayoutHelper::render(
                                'common.pagination',
                                ['current' => $this],
                                '',
                                ['client' => 'site']
                            );
                            ?>
                        </td>
                    </tr>
                    </tfoot>
                    <tbody>
                    <?php foreach ($this->items as $i => $item) :
                        $checked = JHTML::_('grid.id', $i, $item->id);
                        $link = JRoute::_('index.php?option=com_joomschool&view=attendanceform&layout=edit&id=' . $item->id);
                        $teacher_id = JoomschoolHelper::getTeacherIDbyUserid($item->teacher);
                        ?>
                        <tr class="row<?php echo $i % 2; ?>">

                            <td class="left">
                                <?php if (JoomschoolHelperFrontend::checkGroup($user->id) == 'Teachers') : ?>
                                <a href="<?php echo $link; ?>">
                                    <?php endif; ?>
                                    <?php echo $item->attendance_date; ?>
                                    <?php if (JoomschoolHelperFrontend::checkGroup($user->id) == 'Teachers') : ?>
                                </a>
                            <?php endif; ?>
                            </td>
                            <td class="center"><?php echo JoomschoolHelper::getClassname($item->class); ?></td>
                            <td class="center"><?php echo JoomschoolHelper::getSectionname($item->section); ?></td>
                            <td class="center"><small class="badge badge-dark"><?php echo $item->total_student; ?></small></td>
                            <?php $totalPresent = count($model->totalPresent($item->id)); ?>
                            <td class="center"><small class="badge badge-<?php echo $totalPresent > 0 ? 'success' : 'light border' ?>"><?php echo $totalPresent ?></small></td>
                            <td class="center">
                                <?php $totalAbsent = count($model->totalAbsent($item->id)) ?>
                                <small class="badge badge-<?php echo $totalAbsent > 0 ? 'warning' : 'light border' ?>"><?php echo $totalAbsent ?></small
                            </td>
                            <td class="center"><?php echo date('Y-m-d g:i A', strtotime($item->create_date)); ?></td>
                            <td class="center"><?php echo date('Y-m-d g:i A', strtotime($item->update_date)); ?></td>
                            <td>
                                <a class="btn btn-sm btn-light border" href="<?php echo $link; ?>">
                                    <i class="fas fa-edit"></i> <?php echo JText::_('JGLOBAL_EDIT') ?>
                                </a>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                    </tbody>


                </table>
            </div>

        <?php endif; ?>


        <input type="hidden" name="task" value=""/>
        <input type="hidden" name="boxchecked" value="0"/>
        <?php echo JHtml::_('form.token'); ?>
    </form>
</div>