<?php

/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JoomschoolViewAttendances extends JViewLegacy
{

    protected $state;

    protected $users;

    public $params;

    public $pagination;

    public function display($tpl = null)
    {

        $user = JFactory::getUser();
        $app = JFactory::getApplication();
        $globalParams = $app->getParams();
        $menu = $app->getMenu();
        $active = $menu->getActive();
        $itemId = $active->id;
        $menuParams = $menu->getParams($itemId);

        // check if teacher is logged
        if (JoomschoolHelperFrontend::checkGroup($user->id) != "Teachers") {

            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_TEACHER_LOGIN_REQUIRED');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_(JoomSchoolHelperRoute::getDashboardRoute());
            $app->redirect($redirect_link);
        }

        $this->items = $this->get('Items');
        $this->pagination = $this->get('Pagination');
        $this->state = $this->get('State');
        $this->filterForm = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');

        $this->canDo = JHelperContent::getActions('com_joomschool');
        $this->params = $this->state->get('params');

        $globalParams->merge($menuParams);

        $globalParams->merge($this->params);
        $this->params = $globalParams;
        $this->db = JFactory::getDbo();
        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors), 500);
        }

        parent::display($tpl);
    }


}
