<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');


// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');

$user = JFactory::getUser();
$user_id = $user->id;
JHtml::_('behavior.framework');
$model = JModelLegacy::getInstance(JoomschoolHelperFrontend::checkGroup($user->id), 'JoomschoolModel', array('ignore_request' => true));

// load layout dynamically based on user profile type (teacher or student or parent)
$layoutType = rtrim(strtolower(JoomschoolHelperFrontend::checkGroup($user->id)),'s');


//$params->merge(new Registry($this->item->attribs));

$app = JFactory::getApplication();
$input = $app->input;


//Collect Student Data
$layout = substr(strtolower(JoomschoolHelperFrontend::checkGroup(JFactory::getUser()->id)), 0, -1);

?>
<style>
    /* override styles when printing */
    @media print {

        #isisJsData, nav, #system-debug, header {
            display: none;
        }


    }
</style>
<div id="jb-template">

    <?php
    if($this->params->get('show_menu',1))
        echo JLayoutHelper::render('common.menu');

    ?>

    <?php echo JLayoutHelper::render('common.header',['params' => $this->params,'title' => 'MENU_DASHBOARD']) ?>

    <div class="page-header border-bottom mb-4">
        <h1 class="mb-0">
            <?php echo JText::_('DEFAULT_WELCOME_BACK'); ?> <span class="text-success"><?php echo $user->name; ?></span>
        </h1>
    </div>

    <?php echo JLayoutHelper::render('dashboard.'.$layoutType,['current' => $this]) ?>



</div>
