<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
JModelLegacy::addIncludePath(JPATH_SITE . '/components/com_joomschool/models', 'JoomSchoolModel');

class JoomschoolViewDashboard extends JViewLegacy
{

    protected $item;
    protected $name;

    /**
     * Display the view
     */
    public function display($tpl = null)
    {
        $user = JFactory::getUser();
        $app = JFactory::getApplication();

        $globalParams =  $app->getParams();
        $menu = $app->getMenu();
        $active = $menu->getActive();
        $itemId = $active->id;
        $menuParams         = $menu->getParams($itemId);

        if (!in_array(JoomschoolHelperFrontend::checkGroup($user->id), ['Parents', 'Students', 'Teachers'])) {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_AREA_NOT_ALOW');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_('index.php?option=com_users&amp;view=login');
            $app->redirect($redirect_link);
        }

        $layout = substr(strtolower(JoomschoolHelperFrontend::checkGroup($user->id)), 0, -1);
        $model = JModelLegacy::getInstance(JoomschoolHelperFrontend::checkGroup($user->id), 'JoomschoolModel', array('ignore_request' => true));


        switch (JoomschoolHelperFrontend::checkGroup($user->id)) {
            case "Parents":
                $parent_id = $model->getParentID($user->id);
                $parent = $model->getParent($parent_id);
                $this->parent = $parent;
                break;
            case "Students":
                $student = $model->getStudent(JoomschoolHelper::getStudentInfoUserID($user->id)->id);
                $this->students = $student;
                break;
            case "Teachers":
                $teacher_id = $model->getTeacherID($user->id);
                $teacher = $model->getTeacher($teacher_id);
                $this->teacher = $teacher;
                break;

        }
        //LATEST MESSAGE
        $latest_message = $model->getLatestMessage($user->id);
        $this->message = $latest_message;

        $this->state         = $model->getState();
        $this->params =    $this->state->get('params');

        $globalParams->merge($menuParams);

        $globalParams->merge($this->params);
        $this->params = $globalParams;
        parent::display($tpl);

    }


}
