<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
$model = $this->getModel();
$user = JFactory::getUser();
$userid = $user->get('id');

$field_exam = JoomschoolHelperFrontend::buildField(JText::_('LABEL_MARK_SELECT_EXAM'), 'select', 'exam', $this->exam, '', '', 'required');

$class_data = JoomschoolHelperFrontend::selectSingleData('class', 'joomschool_teachers', 'user_id', $userid);
$class_select = JoomschoolHelperFrontend::getclassList($class_data, '', '1');
$field_class = JoomschoolHelperFrontend::buildField(JText::_('LABEL_MARK_SELECT_CLASS'), 'select', 'class', $class_select, '', '', 'required');

$section_data = JoomschoolHelperFrontend::selectSingleData('section', 'joomschool_teachers', 'user_id', $userid);
$section_select = JoomschoolHelperFrontend::getsectionList($section_data, '', '1');
$field_section = JoomschoolHelperFrontend::buildField(JText::_('LABEL_MARK_SELECT_SECTION'), 'select', 'section', $section_select, '', '', 'required');

$subject_data = JoomschoolHelperFrontend::selectSingleData('subject', 'joomschool_teachers', 'user_id', $userid);
$subject_select = JoomschoolHelperFrontend::getsubjectList($subject_data, '', '1');
$field_subject = JoomschoolHelperFrontend::buildField(JText::_('LABEL_MARK_SELECT_SUBJECT'), 'select', 'subject', $subject_select, '', '', 'required');

$loader_html = '<div class=\"loader\"></div>';

?>

<script type="text/javascript">
    jQuery(document).ready(function () {

        function desplyStudentList() {
            var classid = jQuery("#class").val();
            var section = jQuery("#section").val();
            var exam = jQuery("#exam").val();
            var subject = jQuery("#subject").val();
            jQuery("#result").html("<?php echo $loader_html; ?>");
            jQuery.post('index.php?option=com_joomschool&task=marks.getstudentlist', {
                classid: classid,
                section: section,
                exam: exam,
                subject: subject
            }, function (data) {
                if (data) {
                    jQuery("#result").html(data);
                }
            });
        }

        function markSaving(exam_id, class_id, subject_id, roll, sid) {
            jQuery("#saving_").html("Saving ...");
            jQuery.post('index.php?option=com_joomschool&task=marks.savemark', {
                exam_id: exam_id,
                class_id: class_id,
                subject_id: subject_id,
                roll: roll,
                sid: sid
            }, function (data) {
                if (data) {
                    jQuery("#saving_").html(data);
                }
            });
        }

        jQuery("#exam").change(function () {
            desplyStudentList()
        });
        jQuery("#section").change(function () {
            desplyStudentList()
        });
        jQuery("#subject").change(function () {
            desplyStudentList()
        });
        jQuery("#class").change(function () {
            desplyStudentList()
        });


    });//End doc
</script>

<div id="jb-template">
    <?php
    if($this->params->get('show_menu',1)){
        echo JLayoutHelper::render('common.menu');
    }
    ?>
    <?php echo JLayoutHelper::render('common.header',['params' => $this->params,'title' => 'MENU_MARKSHEET']) ?>
    <form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=marks');?>" method="post" name="adminForm" class="form-vertical" id="adminForm">
        <div class="bg-light rounded p-3 mb-4 shadow-sm border" id="jv-toolbar">
            <div class="row">
                <div class="col-md-3">
                    <?php echo $field_exam; ?>
                </div>
                <div class="col-md-3">
                    <?php echo $field_class; ?>
                </div>
                <div class="col-md-3">
                    <?php echo $field_section; ?>
                </div>
                <div class="col-md-3">
                    <?php echo $field_subject; ?>
                </div>
            </div>
        </div>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="controller" value="marks" />
        <?php echo JHtml::_('form.token'); ?>
    </form>


    <!-- result box -->

    <div id="printableArea">
        <div id="result">
            <div class="alert alert-warning"><?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>, <?php echo JText::_('LABEL_PLEASE_SELECT_EXAM'); ?></div>
        </div>

    </div>
</div>
	
	
