<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');
//JHtml::_('behavior.formvalidator');

$model = $this->getModel();
$user = JFactory::getUser();

$message_id = $this->message->id;
$message_recever_id = $this->message->recever_id;
$message_sender_id = $this->message->sender_id;
$message_recever_name = $this->message->recever_name;
$message_subject = $this->message->subject;
$message_message = $this->message->message;
$message_date_time = $this->message->date_time;


//Message list
$messages = $model->getMessageList($message_id);
$avator_message = $model->avator($message_sender_id);


$conversationWithId = JFactory::getUser()->id == $message_sender_id ? $message_recever_id : $message_sender_id;

?>

<div id="jb-template">
    <div id="com_joomschool" class="joomschool-pms">
        <?php

        if ($this->params->get('show_menu', 1)) {
            echo JLayoutHelper::render('common.menu');
        }

        echo JLayoutHelper::render(
            'common.header',
            [
                'params' => $this->params,
                'title' => 'COM_JOOMSCHOOL_CONVERSATION',
                'titleAppend' => JText::_('COM_JOOMSCHOOL_WITH').' '.JFactory::getUser($conversationWithId)->name
            ]
        )

        ?>


        <div class="mb-3">
            <h4>
                <span class="text-muted"><?php echo JText::_('LABEL_MESSAGE_SUBJECT'); ?>:</span>
                <strong><?php echo $message_subject; ?></strong>
                <div class="float-right">

                    <?php

                    if(!empty($this->message->class_subjects) && count($this->message->class_subjects) > 0){

                        foreach ($this->message->class_subjects as $subject){
                            echo '<span class="shadow-sm  badge bg-light border text-dark">'.$subject.'</span> ';
                        }

                    }

                    ?>
                </div>


            </h4>
        </div>

            <div class="position-relative">
                <div class="position-absolute" style="top:-15px;right:10px;transform: rotate(13deg);">
                    <i class="fas fa-2x text-muted fa-thumbtack"></i>
                </div>
                <div class="d-flex shadow-sm border rounded p-3 mb-3">
                    <div class="mr-3" style="min-width: 52px">
                        <img src="<?php echo $avator_message; ?>" class="img-thumbnail" style="width: 50px;height: 50px;"/>

                    </div>

                    <div class="w-100">

                        <div class="float-right">
                            <?php echo JLayoutHelper::render('joomla.form.field.assignedstatus', ['item' => $this->message]) ?>
                        </div>

                        <span><?php echo $message_message; ?></span>
                        <div class="text-muted">
                            <small class="mr-3">
                                <i class="far fa-calendar"></i>
                                <?php echo date('g:i A', strtotime($message_date_time)); ?>
                                <?php echo date('d M y', strtotime($message_date_time)); ?>
                            </small>

                        </div>

                        <?php echo JoomschoolHelperAttachment::getItemAttachment('m',$message_id); ?>





                    </div>
                </div>
            </div>


            <?php
            $count = count($messages);
            if (!empty($count)) {
                foreach ($messages as $message) {
                    $reply_id = $message->id;
                    $reply_sender_id = $message->sender_id;
                    $reply_recever_id = $message->recever_id;
                    $reply_message = $message->message;
                    $reply_date_time = $message->date_time;
                    $avator = $model->avator($reply_sender_id);

                    if ($message_sender_id == $reply_sender_id) {
                        $add_class = 'sender';
                    } else {
                        $add_class = 'receiver';
                    }


                    ?>

                    <div class="d-flex <?php echo $add_class == 'sender' ? 'bg-light' : '' ?> shadow-sm border rounded p-3 mb-3">
                        <div style="min-width: 52px" class="<?php echo $add_class == 'sender' ? 'order-3' : 'mr-3' ?>">
                            <img src="<?php echo $avator; ?>" class="img-thumbnail" style="width: 50px;height: 50px;"/>
                        </div>

                        <div class="<?php echo $add_class == 'sender' ? 'w-100 text-right mr-3' : '' ?>">
                            <span><?php echo $reply_message; ?></span>
                            <div class="text-muted">
                                <small><?php echo date('g:i A', strtotime($reply_date_time)); ?>
                                    <?php echo date('d M y', strtotime($reply_date_time)); ?>
                                </small>

                            </div>

                            <?php echo JoomschoolHelperAttachment::getItemAttachment('mreply',$message->id); ?>

                        </div>




                    </div>



                    <?php

                }
            }
            ?>


            <form
                    action="<?php echo JRoute::_('index.php?option=com_joomschool&view=message&task=messagedetails&mid=' . $message_id . ''); ?>"
                    method="post"
                    class="m-0"
                    enctype="multipart/form-data"
            >

                <div class="card">
                    <div class="card-header">
                        <h5 class="m-0">
                            <i class="fas fa-plus"></i> <?php echo JText::_('COM_JOOMSCHOOL_SEND_NEW_REPLY') ?>
                        </h5>
                    </div>
                    <div class="card-body">

                        <div class="form-group">
                            <?php echo $this->replyform->getInput('message') ?>
                        </div>

                        <div class="form-group">
                            <?php echo $this->replyform->getLabel('attachment') ?>
                            <?php echo $this->replyform->getInput('attachment') ?>
                        </div>

                    </div>
                    <div class="card-footer d-flex justify-content-between">
                        <button class="btn btn-sm btn-success" type="submit">
                            <i class="fas fa-paper-plane"></i> <?php echo JText::_('BTN_REPLY'); ?>
                        </button>

                        <a href="<?php echo JRoute::_('index.php?option=com_joomschool&view=message'); ?>"
                           class="btn btn-sm btn-light border ">
                            <i class="fas fa-arrow-left"></i> <?php echo JText::_('COM_JOOMSCHOOL_BACK_TO_MESSAGES') ?>
                        </a>

                    </div>
                </div>


                <input type="hidden" name="message_id" value="<?php echo $message_id; ?>"/>
                <input type="hidden" name="sender_id" value="<?php echo $user->id; ?>"/>
                <input type="hidden" name="recever_id" value="<?php echo $message_sender_id; ?>" id="recever_id"/>
                <input type="hidden" name="controller" value="message"/>
                <input type="hidden" name="status" value="0"/>
                <input type="hidden" name="task" value="message_reply"/>
                <?php echo JHtml::_('form.token'); ?>
            </form>
    </div>
</div>