<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.formvalidator');

$user = JFactory::getUser();
$uid = $user->get('id');
$group_title = JoomschoolHelperFrontend::checkGroup($uid);

JHtml::_('formbehavior.chosen', 'select');

$loader_html = '<div class=\"loader\"></div>';
?>


<style>
    #jb-template .chzn-container-multi .chzn-choices{margin: 0px}
</style>


<script type="text/javascript">
    jQuery(document).ready(function ($) {

        jQuery("#to_selector").change(function () {
            var val = jQuery("#to_selector").val();
            if (val == "student") {
                jQuery("#searchbox").html("<?php echo $loader_html; ?>");
                jQuery.post('index.php?option=com_joomschool&task=message.studentbox', {val: val}, function (data) {
                    jQuery("#searchbox").html(data);
                });

            } else if (val == "parent") {
                jQuery("#searchbox").html("<?php echo $loader_html; ?>");
                jQuery.post('index.php?option=com_joomschool&task=message.parentbox', {val: val}, function (data) {
                    jQuery("#searchbox").html(data);
                });
            } else {
                jQuery("#searchbox").html("<?php echo $loader_html; ?>");
                jQuery.post('index.php?option=com_joomschool&task=message.teacherbox', {val: val}, function (data) {
                    jQuery("#searchbox").html(data);
                });
            }

            $('#studentClassSubjects').empty();

        });

        $("#sendMessage").click(function(event) {

            event.preventDefault();

            if($('#recever_id').val() == '') {
                alert('Invalid receiver id');
                return false;

            }
            
            $('#submitMessage').submit();

        });


    });//End doc
</script>


<div id="com_joomschool">
    <div id="jb-template">
        <?php
        if($this->params->get('show_menu',1)){
            echo JLayoutHelper::render('common.menu');
        }
        ?>


        <?php echo JLayoutHelper::render(
            'common.header',
            [
                'params' => $this->params,
                'title' => 'COM_JOOMSCHOOL_NEW_MESSAGE'
            ]
        ) ?>

        <form
                id="submitMessage"
                action="<?php echo JRoute::_('index.php?option=com_joomschool&view=message'); ?>"
                method="post"
                enctype="multipart/form-data"
        >
            <div class="card">
                <div class="card-header d-flex p-3 align-content-center">
                    <div class="pr-3">
                        <?php echo JText::_('LABEL_MESSAGE_TO') ?>
                    </div>
                    <div>
                        <select class="form-control form-control-sm" name="" id="to_selector">
                            <option value="teacher"><?php echo JText::_('LABEL_TEACHER') ?></option>
                            <?php if (in_array(JComponentHelper::getParams('com_joomschool')->get('students_group', 140001), JAccess::getGroupsByUser($uid)) || in_array(JComponentHelper::getParams('com_joomschool')->get('teachers_group', 140002), JAccess::getGroupsByUser($uid))) { ?>
                                <option value="student"><?php echo JText::_('COM_JOOMSCHOOL_STUDENT_LABEL') ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="card-body">
                    <div class="form-group">
                        <span id="searchbox">
		              <input type="text" id="teacher" class="form-control required" required="required"
                             onkeyup="findteacher()"
                             onblur="blure()" name="recever_name"
                             placeholder="<?php echo JText::_('LABEL_TYPE_TEACHER_NAME'); ?> "/>
		              </span>
                    </div>
                    <div class="form-group">
                        <div id="message_suggestions"></div>
                    </div>
                    <div class="form-group">
                        <input type="text" id="subject" class="form-control required" required="required" name="subject"
                               placeholder="<?php echo JText::_('LABEL_TYPE_SUBJECT'); ?>"/>
                    </div>

                    <div id="studentClassSubjects">

                    </div>

                    <div class="form-group">
                        <textarea placeholder="<?php echo JText::_('COM_JOOMSCHOOL_YOUR_MESSAGE_HERE') ?>" name="message" class="form-control required" required="required" id="messagearea"></textarea>
                    </div>

                    <div class="form-group">
                        <?php echo $this->replyform->getLabel('attachment') ?>
                        <?php echo $this->replyform->getInput('attachment') ?>
                    </div>

                    <input type="hidden" name="sender_id" value="<?php echo $user->id; ?>"/>
                    <input type="hidden" name="recever_id" value="" id="recever_id"/>
                    <input type="hidden" name="controller" value="message"/>
                    <input type="hidden" name="task" value="message_save"/>
                    <?php echo JHtml::_('form.token'); ?>


                </div>

                <div class="card-footer d-flex justify-content-between">
                    <button id="sendMessage" class="btn btn-sm btn-success">
                        <i class="fas fa-paper-plane"></i> <?php echo JText::_('BTN_SEND'); ?>
                    </button>

                    <a href="<?php echo JRoute::_('index.php?option=com_joomschool&view=message'); ?>"
                       class="btn btn-sm btn-light border ">
                        <i class="fas fa-arrow-left"></i> <?php echo JText::_('COM_JOOMSCHOOL_BACK_TO_MESSAGES') ?>
                    </a>
                </div>
            </div>
        </form>

    </div>
</div>

<script type="text/javascript">

    // Get Teacher
    function lookteacher(oname, ovalue) {
        jQuery("#recever_id").val(ovalue);
        jQuery("#teacher").val(oname);

        <?php if($group_title == 'Students'): ?>
        jQuery.post('index.php?option=com_joomschool&task=message.getStudentClassSubjects', {studentId: <?php echo JFactory::getUser()->id ?>,showClassName:  0}, function (data) {
            jQuery("#studentClassSubjects").empty().html(data);
            jQuery("#studentClassSubjects select").chosen();
        });
        <?php endif; ?>


        blure();
    }

    // Get Student
    function lookstudent(oname, ovalue) {
        jQuery("#recever_id").val(ovalue);
        jQuery("#student").val(oname);


        jQuery.post('index.php?option=com_joomschool&task=message.getStudentClassSubjects', {studentId: ovalue}, function (data) {
            jQuery("#studentClassSubjects").empty().html(data);
            jQuery("#studentClassSubjects select").chosen();
        });


        blure();

    }

    // Get Parent
    function lookparent(oname, ovalue) {
        jQuery("#recever_id").val(ovalue);
        jQuery("#parent").val(oname);
    }

    // Find Teacher
    function findteacher() {
        var val = jQuery("#teacher").val();
        if (val) {
            jQuery("#message_suggestions").html("Loading ...");
            jQuery.post('index.php?option=com_joomschool&task=message.findteacher', {val: val}, function (data) {
                jQuery('#message_suggestions').fadeIn();
                jQuery("#message_suggestions").html(data);
            });
        } else {
            jQuery('#message_suggestions').fadeOut();
        }
    }

    // Find Student
    function findstudent() {

        jQuery("#studentClassSubjects").empty()
        var val = jQuery("#student").val();
        if (val) {
            jQuery("#message_suggestions").html("Loading ...");
            jQuery.post(Joomla.getOptions('system.paths').root+'/index.php?option=com_joomschool&task=message.findstudent', {val: val}, function (data) {
                jQuery('#message_suggestions').fadeIn();
                jQuery("#message_suggestions").html(data);

            });
        } else {
            jQuery('#message_suggestions').fadeOut();
        }
    }

    // Find Parent
    function findparent() {
        var val = jQuery("#parent").val();
        if (val) {
            jQuery("#message_suggestions").html("Loading ...");
            jQuery.post('index.php?option=com_joomschool&task=message.findparent', {val: val}, function (data) {
                jQuery('#message_suggestions').fadeIn();
                jQuery("#message_suggestions").html(data);
            });
        } else {
            jQuery('#message_suggestions').fadeOut();
        }
    }

    function blure() {
        jQuery('#message_suggestions').fadeOut();
    }
</script>
	
	



