<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');


// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');

$this->configFieldsets = array('editorConfig');
$this->hiddenFieldsets = array('basic-limited');
$this->ignore_fieldsets = array('jmetadata', 'item_associations');

// Create shortcut to parameters.
$params = clone $this->state->get('params');
//$params->merge(new Registry($this->item->attribs));

$app = JFactory::getApplication();
$input = $app->input;

$assoc = JLanguageAssociations::isEnabled();

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "teacher.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
		
			Joomla.submitform(task, document.getElementById("item-form"));

			// @deprecated 4.0  The following js is not needed since 3.7.0.
			if (task !== "teacher.apply")
			{
				window.parent.jQuery("#parentEdit' . (int)$this->item->id . 'Modal").modal("hide");
			}
		}
	};
');
// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout = $isModal ? 'modal' : 'edit';
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';

//Collect Student Data
$title = (isset(JFactory::getApplication()->getMenu()->getActive()->title) ? JFactory::getApplication()->getMenu()->getActive()->title :JText::_('COM_JOOMSCHOOL_VIEW_PROFILE'))

?>
<style>
    /* override styles when printing */
    @media print {

        #isisJsData, nav, #system-debug, header {
            display: none;
        }


    }
</style>
<div id="jb-template">
    <?php
    if($this->params->get('show_menu',1)){
        echo JLayoutHelper::render('common.menu');
    }
    ?>
    <?php if ($this->params->get('show_page_heading')) : ?>
        <div class="page-header border-bottom my-4">
            <h1 class="mb-0">
                <?php echo !empty($this->escape($this->params->get('page_heading'))) ? $this->escape($this->params->get('page_heading')) : $title ?>
            </h1>
        </div>
    <?php else :?>
        <div class="page-header border-bottom my-4">
            <h1 class="mb-0">
                <?php echo JText::_('COM_JOOMSCHOOL_VIEW_PROFILE') ?>
            </h1>
        </div>
    <?php endif;?>
    <form action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int)$this->item->id); ?>"
          method="post" name="adminForm" id="item-form" class="form-validate jb-template">

        <div id="DivIdToPrint">

            <?php echo JLayoutHelper::render('info.header', ['item' => $this->item], JPATH_COMPONENT_ADMINISTRATOR . '/layouts') ?>
            <?php echo JLayoutHelper::render('info.parent', ['item' => $this->item], JPATH_COMPONENT_ADMINISTRATOR . '/layouts') ?>
            <?php echo JLayoutHelper::render('info.footer', ['item' => $this->item], JPATH_COMPONENT_ADMINISTRATOR . '/layouts') ?>

        </div>

        <input type="hidden" name="task" value=""/>
        <input type="hidden" name="return" value="<?php echo $input->get('return', null, 'BASE64'); ?>"/>
        <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>"/>
        <?php echo JHtml::_('form.token'); ?>
    </form>
</div>
