<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

use Joomla\CMS\Form\Form;
use Joomla\CMS\Factory;

class JoomschoolViewParentedit extends JViewLegacy
{
    /*
* The JForm object
*
* @var  JForm
	 */
    protected $form;

    /**
     * The active item
     *
     * @var  object
     */
    protected $item;

    /**
     * The model state
     *
     * @var  object
     */
    protected $state;

    /**
     * The actions the user is authorised to perform
     *
     * @var  JObject
     */
    protected $canDo;

    /**
     * Execute and display a template script.
     *
     * @param string $tpl The name of the template file to parse; automatically searches through the template paths.
     *
     * @return  mixed  A string if successful, otherwise an Error object.
     *
     * @since   1.6
     */
    public function display($tpl = null)
    {
        $app = JFactory::getApplication();

        $app        = JFactory::getApplication();
        $user       = JFactory::getUser();
        $globalParams =  $app->getParams();
        $menu = $app->getMenu();
        $active = $menu->getActive();
        $itemId = $active->id;
        $menuParams         = $menu->getParams($itemId);
        $groups = ['Parents'];

        if(!$user->id) {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_AREA_NOT_ALOW');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_('index.php?option=com_users&amp;view=login');
            $app->redirect($redirect_link);
        }
        if(!in_array(JoomschoolHelperFrontend::checkGroup($user->id),$groups)) {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_PARENT_LOGIN_REQUIRED');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_(JoomSchoolHelperRoute::getDashboardRoute());
            $app->redirect($redirect_link);
        }


            $this->form = $this->get('Form');
            $this->item = $this->get('Item');
            $this->state = $this->get('State');

        $this->params =    $this->state->get('params');

        $globalParams->merge($menuParams);

        $globalParams->merge($this->params);
        $this->params = $globalParams;

        $this->canDo = JHelperContent::getActions('com_joomschool', 'parent', $this->item->id);
        // for pdf mode
        JoomschoolHelperDownload::getPDF('info.container', $this->item, [
            'type' => 'parent',
            'id' => $this->item->id,
            'name' => JFactory::getUser($this->item->user_id)->name
        ]);


        return parent::display($tpl);

    }


}
