<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');
$app = JFactory::getApplication();
$input = $app->input;

$this->configFieldsets = array('editorConfig');
$this->hiddenFieldsets = array('basic-limited');

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "paymentedit.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
		
			Joomla.submitform(task, document.getElementById("item-form"));

			// @deprecated 4.0  The following js is not needed since 3.7.0.
			if (task !== "paymentedit.apply")
			{
				window.parent.jQuery("#paymentEdit' . (int)$this->item->id . 'Modal").modal("hide");
			}
		}
	};
');
// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout = $isModal ? 'modal' : 'edit';
$tmpl = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';

?>
<div id="jb-template">
    <?php
    if($this->params->get('show_menu',1)){
        echo JLayoutHelper::render('common.menu');
    }
    ?>
<form action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int)$this->item->id); ?>"
      method="post" name="adminForm" id="item-form" class="form-horizontal form-validate" enctype="multipart/form-data">
    <div class="bg-light rounded p-3 mb-4 shadow-sm border" id="jv-toolbar">
        <?php if ($this->canDo->get('core.create')) { ?>
            <button class="btn btn-success" onclick="Joomla.submitbutton('paymentedit.save')"><span class="fas fa-edit"></span> <?php echo JText::_('JSAVE'); ?></button>
            <button class="btn btn-danger float-right" onclick="Joomla.submitbutton('paymentedit.cancel')"><span class="fas fa-times"></span> <?php echo JText::_('JCANCEL'); ?></button>
        <?php } ?>
    </div>

    <div class="row">
        <div class="col-md-6">
    <fieldset>

        <?php echo $this->form->renderField('id'); ?>
        <?php if(JoomschoolHelperFrontend::checkGroup(JFactory::getUser()->id) != "Teachers"): ?>
        <?php echo $this->form->renderField('student_class'); ?>
         <?php echo $this->form->renderField('student_section'); ?>
        <?php endif; ?>
        <?php if(JoomschoolHelperFrontend::checkGroup(JFactory::getUser()->id) != "Students"): ?>
        <?php echo $this->form->renderField('student_roll'); ?>

        <div class="form-group form-inline">
            <label>
                <div id="roll_checking" style="margin-top: 10px;">
                    <input type="hidden" id="student_id" name="student_id" class="invalid" value="<?php echo $this->item->student_id; ?>"/>
                </div>
            </label>
        </div>
        <?php endif; ?>
        <?php echo $this->form->renderField('payment_method'); ?>
        <?php echo $this->form->renderField('month'); ?>
        <?php echo $this->form->renderField('year'); ?>

    </fieldset>
        </div>
        <div class="col-md-6">
            <fieldset>
            <?php echo $this->form->renderField('pay_for_id'); ?>
                <div class="form-group form-inline">
                    <label class="mr-2">
                        <?php echo $this->form->getLabel('total_bill'); ?>
                    </label>

                        <div id="bill" class="mt-2">
                            <p class="ml-2 mb-0 text-success font-weight-bold"  id="total_bill">
                                <?php echo $this->item->total_bill; ?>
                            </p>

                            <input type="hidden" name="jform[total_bill]" value="<?php echo $this->item->total_bill; ?>" />
                        </div>
                </div>
            <?php echo $this->form->renderField('paid_ammount'); ?>
                <div class="form-group form-inline">
                    <label class="mr-2">
                        <?php echo $this->form->getLabel('due_ammount'); ?>
                    </label>

                        <div id="due" class="mt-2">
                            <p class="ml-2 mb-0 text-danger font-weight-bold" id="due_bill">  <?php echo $this->item->due_ammount; ?></p>

                            <input type="hidden" name="jform[due_ammount]" value="<?php echo $this->item->due_ammount; ?>" />
                        </div>

                </div>

            <?php echo $this->form->renderField('status'); ?>
            <?php echo $this->form->renderField('comment'); ?>
            </fieldset>
        </div>
    </div>
    <input type="hidden" name="return" value="<?php echo $input->get('return', null, 'BASE64'); ?>"/>
    <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>"/>
    <input type="hidden" name="task" value=""/>
    <?php echo JHtml::_('form.token'); ?>
</form>
</div>

<script type="text/javascript">
    jQuery(document).ready(function () {

        //###################################### GET SECTION
        jQuery( "#jform_student_class" ).change(function() {
            var val = jQuery("#jform_student_class").val();
            jQuery("#jform_student_section").html("Loading ...");
            jQuery.post( 'index.php?option=com_joomschool&task=paymentedit.getsection',{val:val}, function(data){
                if(data){
                    jQuery("#jform_student_section").html(data);
                    jQuery("#jform_student_section").trigger("liszt:updated");
                    jQuery("#jform_student_section").trigger("chosen:updated");
                }
            });
        });

        jQuery( "#jform_pay_for_id" ).change(function() {
            var val = jQuery("#jform_pay_for_id").val();
            jQuery("#bill").html("Loading ...");
            jQuery.post( 'index.php?option=com_joomschool&task=paymentedit.bill',{val:val}, function(data){
                if(data){ jQuery("#bill").html(data); }
            });

            jQuery.post( 'index.php?option=com_joomschool&task=paymentedit.due',{val:val}, function(data){
                if(data){ jQuery("#due").html(data); }
            });



        });

        jQuery( "#jform_paid_ammount" ).keyup(function() {
            var totalbill = jQuery("#total_bill").text();
            var paid = jQuery("#jform_paid_ammount").val();
            var due =Number( Number(totalbill) - Number(paid)).toFixed(2);

            var due_html ='<p style="color: red;font-size: 150%;" id="total_bill"> ' + due + '</p><input type="hidden" name="due_ammount" value="' + due + '" />'
            jQuery("#due").html("Loading ...");
            jQuery("#due").html(due_html);

        });

        //###################################### ROLL CHECKING
        jQuery( "#jform_student_roll" ).keyup(function() {
            var val = jQuery("#jform_student_roll").val();
            var student_class = jQuery("#jform_student_class").val();
            var student_section = jQuery("#jform_student_section").val();
            jQuery("#roll_checking").html("Loading ...");
            jQuery.post( 'index.php?option=com_joomschool&task=paymentedit.checkroll',{val:val,student_class:student_class,student_section:student_section}, function(data){
                if(data){ jQuery("#roll_checking").html(data); }
            });
        });


    });//End doc
</script>