<?php
/**
 * @package	JoomSchool !
 * @version	1.0.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2019 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class JoomschoolViewPaymentedit extends JViewLegacy
{

    /*
* The JForm object
*
* @var  JForm
   */
    protected $form;

    /**
     * The active item
     *
     * @var  object
     */
    protected $item;

    /**
     * The model state
     *
     * @var  object
     */
    protected $state;

    /**
     * The actions the user is authorised to perform
     *
     * @var  JObject
     */
    protected $canDo;

    /**
     * Execute and display a template script.
     *
     * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
     *
     * @return  mixed  A string if successful, otherwise an Error object.
     *
     * @since   1.6
     */
    public function display($tpl = null)
    {

        $app        = JFactory::getApplication();
        $user       = JFactory::getUser();
        $globalParams =  $app->getParams();
        $menu = $app->getMenu();
        $active = $menu->getActive();
        $itemId = $active->id;
        $menuParams         = $menu->getParams($itemId);
        $groups = ['Parents','Teachers','Students'];

        if(!$user->id) {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_AREA_NOT_ALOW');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_('index.php?option=com_users&amp;view=login');
            $app->redirect($redirect_link);
        }
        if(!in_array(JoomschoolHelperFrontend::checkGroup($user->id),$groups)) {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_AREA_NOT_ALOW');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_(JoomSchoolHelperRoute::getDashboardRoute());
            $app->redirect($redirect_link);
        }

        $input = JFactory::getApplication()->input;
        $this->form  = $this->get('Form');

        $this->item  = $this->get('Item');

        $this->state = $this->get('State');

        $this->params =    $this->state->get('params');

        $globalParams->merge($menuParams);

        $globalParams->merge($this->params);
        $this->params = $globalParams;
        $this->canDo = JHelperContent::getActions('com_joomschool', 'payment', $this->item->id);


        if ($this->getLayout() == 'invoice'){
            $model = $this->getModel('paymentedit');
            $id = $input->getInt('id',  0);
            if(!empty($id)){
                //student name
                $this->item->student_name = JFactory::getUser(JoomschoolHelper::getStudentNameByID($this->item->student_id)->user_id)->name;

                //pay type
                foreach ($this->item->pay_for_id as  $pay_for_id){

                    $this->item->pay_type[$pay_for_id] =  $model->getPayammount($pay_for_id,'name');
                }

                //pay type
                foreach ($this->item->pay_for_id as  $pay_for_id){

                    $this->item->pay_ammount[$pay_for_id] =  $model->getPayammount($pay_for_id,'fee');
                }

                if($input->get('pdf',0,'int')){


                    JModelLegacy::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_joomschool/models', 'Model');
                    $paymentsModel = JModelLegacy::getInstance('Payments', 'JoomschoolModel', array('ignore_request' => true));

                    $payment = $paymentsModel->getPayments($this->item->id);
                    $student_name = $this->item->student_name;
                    $data = [
                        'payment' => $payment,
                        'student_name' => $student_name
                    ];



                    // for pdf mode
                    JoomschoolHelperDownload::getPDF('payment.invoice_pdf',$data,[
                        'type' => 'invoice',
                        'id' => $this->item->id,
                        'name' => $this->item->student_name
                    ]);
                }


            }

        }



        if ($this->getLayout() == 'details'){
            $model = $this->getModel();
            JRequest::setVar('hidemainmenu', 1);

            $current_year = date("Y");
            $this->item->display_history = '';

            $id = $this->item->id;

            if(!empty($id)){
                $student		= $model->getStudent($this->item->student_id);

                $sid = $student->id;
                $details		=$model->getPaymentDetails($this->item->student_id,$current_year);
                $this->item->display_history		= $model->history($details,$student,$current_year);
                
                $this->item->sid =	$sid;
            }

            JToolbarHelper::title(JText::_('LABEL_PAYMENT_HISTORY'), 'credit');
            JToolbarHelper::custom('getback', 'undo.png', 'new.png',JText::_('DEFAULT_BACK'), false);
         

        }


        return parent::display($tpl);

    }





}
