<?php
/**
 * @package    JoomSchool
 * @author    joomboost.com
 * @copyright    (C) 2016-2020 JoomBoost. All rights reserved.
 */

defined('_JEXEC') or die;
JHtml::_('formbehavior.chosen', 'select');

$model = $this->getModel();
$app = JFactory::getApplication();
$params = JComponentHelper::getParams('com_joomschool');
$schools_name = $params->get('schools_name');
$schools_currency = $params->get('currency_sign');
$user = JFactory::getUser();

?>
<div id="jb-template">

    <?php
    if ($this->params->get('show_menu', 1)) {
        echo JLayoutHelper::render('common.menu');
    }
    ?>

    <?php
    echo JLayoutHelper::render(
        'common.header',
        [
            'params' => $this->params,
            'title' => 'MENU_PAYMENTS',
            // 'rightLayout' => 'payments.buttons' // make payment button disabled cuz we don't think parent should create a new payment
            // parent should only pay the invoice
        ]
    );
    ?>

    <form action="<?php echo JRoute::_('index.php?option=com_joomschool&view=payments'); ?>" method="post"
          name="adminForm"
          id="adminForm">

        <div class="bg-light rounded p-3 mb-4 shadow-sm border">
            <?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
        </div>

        <?php if (empty($this->items)) : ?>
            <div class="alert alert-warning">
                <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
            </div>
        <?php else : ?>

            <div class="border rounded">
                <table class="table table-striped m-0">
                    <thead class="thead-light">
                    <tr>

                        <th class=" left"><?php echo JText::_('LABEL_STUDENT_NAME'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_STUDENT_ROLL'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_TOTAL_BILL'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_PAID_AMMOUNT'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_DUE_AMMOUNT'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_PAY_BY'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_PAY_MONTH_YEAR'); ?></th>
                        <th class=" center"><?php echo JText::_('LABEL_PAYMENT_STATUS'); ?></th>
                        <th class=" left">&nbsp;</th>
                        <th class=" left">&nbsp;</th>
                        <th class=" center"><?php echo JText::_('JGRID_HEADING_ID'); ?></th>

                    </tr>
                    </thead>
                    <tfoot>
                    <tr>
                        <td colspan="11">
                            <?php echo JLayoutHelper::render(
                                'common.pagination',
                                ['current' => $this],
                                '',
                                ['client' => 'site']
                            );
                            ?>
                        </td>
                    </tr>
                    </tfoot>
                    <tbody>
                    <?php foreach ($this->items as $i => $item) :
                        $checked = JHTML::_('grid.id', $i, $item->id);

                    //todo: pdf,invoice buttons broken will be fixed in next update
                        $link_PDF 	= JRoute::_( 'index.php?option=com_joomschool&view=paymentedit&layout=invoice&id='.$item->id.'&pdf=1');

                        $link_details = JRoute::_('index.php?option=com_joomschool&view=paymentedit&layout=details&id=' . $item->id);
                        $link_invoice = JRoute::_('index.php?option=com_joomschool&view=paymentedit&layout=invoice&id=' . $item->id);
                        $link_new = JRoute::_('index.php?option=com_joomschool&view=paymentedit&layout=edit&id=' . $item->id);

                        $monthName = date("F", mktime(null, null, null, $item->month));
                        $year = $item->year;
                        $status = $item->status;
                        $student_id = $item->student_id;
                        $student_name = $item->name;

                        $ammount = JoomschoolHelper::getCurrency($item->total_bill);

                        $paidby = $item->payment_method;

                        $link_payment = JRoute::_( 'index.php?option=com_joomschool&view=payments&task=process&cid='. $item->id );
                        $edit_payment = JRoute::_( 'index.php?option=com_joomschool&view=payments&task=editpayment&cid='. $item->id );


                        if($paidby != 'offline' && in_array($status,[0,2,3,4]))  {
                            $paid_button = '<a href="'.$link_payment.'" class="btn btn-sm btn-primary" >Pay Now</a>';
                            $edit_button = '';
                        }else{
                            $paid_button = '';
                        }

                        $st = JoomschoolHelperPayment::getStatusText($status);


                        ?>
                        <tr class="row<?php echo $i % 2; ?>">
                            <td class="left">
                                <?php if ($user->authorise('core.admin', 'com_joomschool')) : ?>
                                <a href="<?php echo $link_new; ?>">
                                    <?php endif; ?>
                                    <?php echo $student_name; ?>
                                    <?php if ($user->authorise('core.admin', 'com_joomschool')) : ?>
                                </a>
                            <?php endif; ?>
                            </td>

                            <td class="center"><?php echo $item->student_roll; ?></td>
                            <td class="center"><?php echo $ammount; ?></td>
                            <td class="center"><?php echo JoomschoolHelper::getCurrency($item->paid_ammount) ?></td>
                            <td class="center"><?php echo JoomschoolHelper::getCurrency($item->due_ammount) ?></td>
                            <td class="center"><?php echo $item->payment_method; ?></td>
                            <td class="center"><?php echo $monthName . ' - ' . $year; ?></td>
                            <td class="center">
                                <?php echo $st; ?>
                            </td>
                            <td class="left">
                                <?php echo $paid_button ?>
                            </td>
                            <td class="left">

                                <a href="<?php echo $link_PDF; ?>" class="btn btn-sm btn-info" title="PDF">
                                    <i class="fas fa-file-pdf"></i>
                                </a>
                                <a href="<?php echo $link_invoice; ?>" class="btn btn-sm btn-primary" title="Invoice">
                                    <i class="fas fa-file-alt"></i>
                                </a>
                            </td>
                            <td class="center"><?php echo $item->id; ?></td>


                        </tr>
                    <?php endforeach; ?>
                    </tbody>

                </table>
            </div>

        <?php endif; ?>

        <input type="hidden" name="task" value=""/>
        <input type="hidden" name="boxchecked" value="0"/>
        <?php echo JHtml::_('form.token'); ?>
    </form>
</div>