<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

/**
 * HTML Article View class for the Content component
 *
 * @since  1.5
 */
class JoomschoolViewPayments extends JViewLegacy
{
    protected $item;

    public $params;

    protected $print;

    protected $state;

    protected $user;

    public $pagination = null;

    /**
     * Execute and display a template script.
     *
     * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
     *
     * @return  mixed  A string if successful, otherwise an Error object.
     */
    public function display($tpl = null)
    {

        $app        = JFactory::getApplication();
        $user       = JFactory::getUser();
        $globalParams =  $app->getParams();
        $menu = $app->getMenu();
        $active = $menu->getActive();
        $itemId = $active->id;
        $menuParams         = $menu->getParams($itemId);

        $groups = ['Parents','Teachers','Students'];

        if(!$user->id) {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_AREA_NOT_ALOW');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_('index.php?option=com_users&amp;view=login');
            $app->redirect($redirect_link);
        }
        if(!in_array(JoomschoolHelperFrontend::checkGroup($user->id),$groups)) {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_AREA_NOT_ALOW');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_(JoomSchoolHelperRoute::getDashboardRoute());
            $app->redirect($redirect_link);
        }


        if($this->getLayout() == 'process'){ // payment processing layout

            // check if no payment plugin is enabled
            JoomschoolHelperPayment::isEnabledPlugins();


        }else{ // other layouts
            $this->items         = $this->get('Items');

            $this->pagination    = $this->get('Pagination');



            $this->filterForm    = $this->get('FilterForm');
            $this->activeFilters = $this->get('ActiveFilters');
            $this->canDo         = JHelperContent::getActions('com_joomschool');


            $this->db            = JFactory::getDbo();
        }

        // get state
        $this->state         = $this->get('State');

        // get params
        $this->params = $this->state->get('params');
        $globalParams->merge($menuParams);
        $globalParams->merge($this->params);
        $this->params = $globalParams;


        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            JError::raiseWarning(500, implode("\n", $errors));

            return false;
        }
        $this->_prepareDocument();

        parent::display($tpl);
    }

    /**
     * Prepares the document.
     *
     * @return  void
     */
    protected function _prepareDocument()
    {
        $app     = JFactory::getApplication();
        $menus   = $app->getMenu();
        $pathway = $app->getPathway();
        $title   = null;


    }

}
