<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
JHtml::_('behavior.framework');
$model = $this->getModel();
$user = JFactory::getUser();
$uid = $user->get('id');
$group_title = JoomschoolHelperFrontend::checkGroup($uid);

if (!empty($this->parent_id)) {
    $student = $model->getStudentList($this->parent_id);

    $student_list = JoomschoolHelperFrontend::buildField(JText::_('LABEL_PARENT_SELECT_STUDENT'), 'select', 'student', $student, '', '', 'required');
}

$field_roll = JoomschoolHelperFrontend::buildField(JText::_('LABEL_STUDENT_ROLL'), 'input', 'roll', '', '', '', 'required form-control');
$field_exam = JoomschoolHelperFrontend::buildField(JText::_('LABEL_MARK_SELECT_EXAM'), 'select', 'exam', $this->exam, '', '', 'required form-control');

$class_data = JoomschoolHelperFrontend::selectSingleData('class', 'joomschool_teachers', 'user_id', $uid);

$class_select = JoomschoolHelperFrontend::getclassList($class_data, '', '1');
$field_class = JoomschoolHelperFrontend::buildField(JText::_('LABEL_MARK_SELECT_CLASS'), 'select', 'class', $class_select, '', '', 'required ');
$loader_html = '<div class=\"loader\"></div>';

?>

<script type="text/javascript">
    function printDiv(divName) {
        var printContents = document.getElementById(divName).innerHTML;
        var originalContents = document.body.innerHTML;
        document.body.innerHTML = printContents;
        document.getElementById("print").style.visibility = "hidden";
        window.print();
        document.body.innerHTML = originalContents;
        document.location.reload();
    }
</script>

<div id="jb-template">
    <?php
    if($this->params->get('show_menu',1)){
        echo JLayoutHelper::render('common.menu');
    }
    ?>
    <?php echo JLayoutHelper::render('common.header',['params' => $this->params,'title' => 'MENU_RESULTS']) ?>
    <form action="" class="form-horizontal">
        <div class="bg-light rounded p-3 mb-4 shadow-sm border" id="jv-toolbar">
            <div class="row">
                <div class="col-md-3">
                    <?php echo $field_exam; ?>
                </div>
                <?php if (in_array($this->globalParams->get('teachers_group', 140002), JAccess::getGroupsByUser($uid))) :  ?>
                <div class="col-md-3">
                    <?php echo $field_class; ?>
                </div>
                <div class="col-md-3">
                    <?php echo $field_roll; ?>
                </div>
                <?php endif;  ?>
               <?php if (in_array($this->globalParams->get('parents_group', 140003), JAccess::getGroupsByUser($uid)) || in_array($this->globalParams->get('students_group', 140001), JAccess::getGroupsByUser($uid))) : ?>
                <?php if (!empty($this->parent_id)) : ?>
                <div class="col-md-3">
                    <?php echo $student_list; ?>
                </div>
                <?php  else : ?>
                    <input type="hidden" name="roll" id="jform_roll"  value="<?php echo $this->student->roll ?>"/>
                       <input type="hidden" name="roll" id="jform_student_id"  value="<?php echo $this->student->id ?>"/>
                    <input type="hidden" name="class" id="class"  value="<?php echo  $this->student->class_id ?>"/>
                <?php endif; ?>
               <?php endif; ?>
            </div>
        </div>


        <input type="hidden" id="group_title" name="g" value="<?php echo $group_title; ?>"/>
    </form>

    <div id="printableArea">
        <div id="result">
            <div class="alert alert-warning"><?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>, <?php echo JText::_('LABEL_PLEASE_SELECT_EXAM'); ?>
            </div>
        </div>
    </div>
</div>


<script type="text/javascript">
    jQuery(document).ready(function ($) {

        function desplyresult() {

            var group_title = jQuery("#group_title").val();
            var classid = jQuery("#class").val();
            var roll = jQuery("#jform_roll").val();
            var student_id = jQuery("#jform_student_id").val();
            var exam = jQuery("#exam").val();
            jQuery("#result").html("<?php echo $loader_html; ?>");

            let request = $.ajax({
                url: Joomla.getOptions('system.paths').root+'/index.php?option=com_joomschool&task=result.getresult',
                method: "POST",
                data: {
                    group_title: group_title,
                    classid: classid,
                    roll: roll,
                    student_id: student_id,
                    exam: exam
                },
                dataType: "html"
            });

            request.done(function( data ) {
                jQuery("#result").html(data)
            });

        }

        jQuery("#exam").change(function () {
            desplyresult()
        });

        <?php  if(in_array($this->globalParams->get('parents_group', 140003), JAccess::getGroupsByUser($uid))){ ?>
        jQuery("#jform_roll").change(function () {
            desplyresult();
        });
        <?php } ?>

        <?php  if(in_array($this->globalParams->get('teachers_group', 140002), JAccess::getGroupsByUser($uid))){ ?>
        jQuery("#class").change(function () {
            desplyresult()
        });
        jQuery("#jform_roll").keyup(function () {
            desplyresult();
        });
        <?php } ?>

    });//End doc
</script>