<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

use Joomla\CMS\Access\Access;

class JoomschoolViewResult extends JViewLegacy
{

    /**
     * Display the view
     */
    public $globalParams;
    public function display($tpl = null)
    {
        $app = JFactory::getApplication();
        $user = JFactory::getUser();
        $uid = $user->get('id');
        $globalParams =  $app->getParams();
        $menu = $app->getMenu();
        $active = $menu->getActive();
        $itemId = $active->id;
        $menuParams         = $menu->getParams($itemId);
        $this->globalParams = JComponentHelper::getParams('com_joomschool');
        $group_title = JoomschoolHelperFrontend::checkGroup($uid);
        if(!$user->id && !in_array(JoomschoolHelperFrontend::checkGroup($user->id),['Parents','Students','Teachers']) ) {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_AREA_NOT_ALOW');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_(JoomSchoolHelperRoute::getDashboardRoute());
            $app->redirect($redirect_link);
        }


        if ($group_title == 'Students' || $group_title == 'Teachers' || $group_title == 'Parents') {


                 $model = $this->getModel();
                    $parent_id = $model->getParentID($uid);
                    $parent = $model->getParent($parent_id);

                    if (!empty($parent_id)) {
                        $this->parent_id = $parent_id;
                        $student_id = $parent;
                    } else {
                        $student_id = $model->getStudentID($uid);
                    }

                    $this->student = is_null($student_id) ? '' : $model->getStudent($student_id);
                    $exam_list = $model->getexamList();
                    $this->exam =  $exam_list;
                    $this->setLayout('default');

    } else {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_STUDENT_LOGIN_REQUIRED');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_(JoomSchoolHelperRoute::getDashboardRoute());
            $app->redirect($redirect_link);
        }

        $this->state         = $model->getState();
        $this->params =    $this->state->get('params');

        $globalParams->merge($menuParams);

        $globalParams->merge($this->params);
        $this->params = $globalParams;
        parent::display($tpl);
    }


}
