<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die('Restricted access');



// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('behavior.formvalidator');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');

$this->configFieldsets  = array('editorConfig');
$this->hiddenFieldsets  = array('basic-limited');
$this->ignore_fieldsets = array('jmetadata', 'item_associations');

$display_profile="";

// Create shortcut to parameters.
$params = clone $this->state->get('params');
//$params->merge(new Registry($this->item->attribs));

$app = JFactory::getApplication();
$input = $app->input;

$assoc = JLanguageAssociations::isEnabled();

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "studentedit.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			jQuery("#permissions-sliders select").attr("disabled", "disabled");
		
			Joomla.submitform(task, document.getElementById("item-form"));

			// @deprecated 4.0  The following js is not needed since 3.7.0.
			if (task !== "studentedit.apply")
			{
				window.parent.jQuery("#studentEdit' . (int) $this->item->id . 'Modal").modal("hide");
			}
		}
	};
');
// In case of modal
$isModal = $input->get('layout') == 'modal' ? true : false;
$layout  = $isModal ? 'modal' : 'edit';
$tmpl    = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';

//Collect Student Data

$pdf = $input->get('pdf', 0, 'int');
$title = (isset(JFactory::getApplication()->getMenu()->getActive()->title) ? JFactory::getApplication()->getMenu()->getActive()->title :JText::_('COM_JOOMSCHOOL_VIEW_PROFILE'))
?>
<style>
    /* override styles when printing */
    @media print {

        #isisJsData,nav,#system-debug,header {
          display: none;
        }
    }
</style>
    <div id="jb-template">
        <?php
        if($this->params->get('show_menu',1)){
            echo JLayoutHelper::render('common.menu');
        }
        ?>

        <div class="d-flex">
            <div class="mr-3">
                <img style="width: 70px" src="<?php echo $this->item->photo ?>" class="img-thumbnail" />
            </div>
            <div class="w-100">
                <?php echo JLayoutHelper::render('common.header',['params' => $this->params,'title' => 'COM_JOOMSCHOOL_VIEW_PROFILE']) ?>
            </div>
        </div>

<form action="<?php echo JRoute::_('index.php?option=com_joomschool&layout=' . $layout . $tmpl . '&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-validate">

    <div id="DivIdToPrint">

        <div class="row">
            <div class="col-md-6">
                <div class="card mb-4">
                    <div class="card-header">
                        <h3 class="m-0">
                            <?php echo JText::_('LABEL_STUDENT_ACADEMIC_INFO') ?>
                        </h3>
                    </div>
                    <div class="card-body p-0">
                        <table  class="table m-0">
                            <tr>
                                <td width="30%"> <?php echo JText::_('LABEL_STUDENT_NAME') ?> :</td>
                                <td> <?php echo $this->item->student_name ?></td>
                            </tr>
                            <tr>
                                <td width="30%"> <?php echo JText::_('LABEL_STUDENT_ROLL') ?> :</td>
                                <td> <?php echo $this->item->roll ?></td>
                            </tr>
                            <tr>
                                <td><?php echo JText::_('LABEL_STUDENT_CLASS') ?>:</td>
                                <td> <?php echo $this->item->class_name ?></td>
                            </tr>
                            <tr>
                                <td> <?php echo JText::_('LABEL_STUDENT_SECTION') ?>:</td>
                                <td> <?php echo $this->item->section_name ?></td>
                            </tr>
                            <tr>
                                <td> <?php echo JText::_('LABEL_STUDENT_DIVISION') ?>:</td>
                                <td> <?php echo $this->item->division_name ?></td>
                            </tr>
                            <tr>
                                <td> <?php echo JText::_('LABEL_STUDENT_YEAR') ?>:</td>
                                <td>  <?php echo JoomschoolHelper::getYearById($this->item->year) ?></td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card mb-4">
                    <div class="card-header">
                        <h3 class="m-0">
                            <?php echo JText::_('LABEL_STUDENT_INFORMATION') ?>
                        </h3>
                    </div>
                    <div class="card-body p-0">
                        <table  class="table m-0">
                            <?php
                            //Field Builder

                            $group = strtolower(substr(JoomschoolHelper::checkGroup($this->item->user_id), 0, -1));

                            $sid = JoomschoolHelper::getFieldSectionID($group);
                            $fields = JoomschoolHelper::getFieldList($sid);
                            $total_field = count($fields);

                            $f=0;
                            foreach($fields as $field){
                                $f++;
                                $fid = $field->id;
                                $sid = $sid;
                                $panel_id = $this->item->id;
                                $display_profile .= JoomschoolHelper::fieldBiodata($fid, $sid, $panel_id, $field->field_name,$field->type,$field->biodata);
                            }
                            // End Foreach
                            echo $display_profile;

                            ?>

                        </table>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <?php echo JLayoutHelper::render('school.infocard') ?>
            </div>
            <div class="col-md-6"></div>

        </div>
    </div>

    <input type="hidden" name="task" value="" />
    <input type="hidden" name="return" value="<?php echo $input->get('return', null, 'BASE64'); ?>" />
    <input type="hidden" name="forcedLanguage" value="<?php echo $input->get('forcedLanguage', '', 'cmd'); ?>" />
    <?php echo JHtml::_('form.token'); ?>
</form>

</div>

