<?php
/**
 * @package    JoomSchool !
 * @version    1.0.0
 * @author    joomboost.com
 * @copyright    (C) 2013-2019 JoomBoost. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

use Joomla\CMS\Form\Form;
use Joomla\CMS\Factory;

class JoomschoolViewStudentedit extends JViewLegacy
{
    /*
* The JForm object
*
* @var  JForm
	 */
    protected $form;

    /**
     * The active item
     *
     * @var  object
     */
    protected $item;

    /**
     * The model state
     *
     * @var  object
     */
    protected $state;

    /**
     * The actions the user is authorised to perform
     *
     * @var  JObject
     */
    protected $canDo;

    /**
     * Execute and display a template script.
     *
     * @param string $tpl The name of the template file to parse; automatically searches through the template paths.
     *
     * @return  mixed  A string if successful, otherwise an Error object.
     *
     * @since   1.6
     */
    public function display($tpl = null)
    {


        $app        = JFactory::getApplication();
        $user       = JFactory::getUser();
        $globalParams =  $app->getParams();
        $menu = $app->getMenu();
        $active = $menu->getActive();
        $itemId = $active->id;
        $menuParams         = $menu->getParams($itemId);
        $groups = ['Students'];


        if(!$user->id) {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_AREA_NOT_ALOW');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_('index.php?option=com_users&amp;view=login');
            $app->redirect($redirect_link);
        }
        if(!in_array(JoomschoolHelperFrontend::checkGroup($user->id),$groups)) {
            $mge = JText::_('COM_JOOMSCHOOL_MESSAGE_STUDENT_LOGIN_REQUIRED');
            $app->enqueueMessage($mge, 'warning');
            $redirect_link = JRoute::_(JoomSchoolHelperRoute::getDashboardRoute());
            $app->redirect($redirect_link);
        }

        $this->form = $this->get('Form');
        $this->item = $this->get('Item');
        $this->state         = $this->get('State');

        $this->params = $this->state->get('params');

        $globalParams->merge($menuParams);

        $globalParams->merge($this->params);
        $this->params = $globalParams;
        if(JoomschoolHelperFrontend::checkGroup($user->id) != 'Students') {
            JFactory::getApplication()->enqueueMessage(JText::_('COM_JOOOMSCHOOL_MESSAGE_USER_NOT_AUTHORIZE'));
            return false;

        }
        $this->state = $this->get('State');
        $model = $this->getModel();
        if ($this->getLayout() == 'result') {

            $this->item->exam_id = $model->getExamId($this->item->id);

            if ($app->input->get('jform', '', 'array')) {
                $this->item->exam_id = $app->input->get('jform', '', 'array')['exam'];
                $this->state->set('filter.exam', $this->item->exam_id);
            }
            $this->item->exam_name = JoomschoolHelper::getExamNameByID($this->item->exam_id);
            $this->item->student_total_marks = $model->getTotalMarksGpa($this->item->id)->student_total_marks;
            $this->item->student_gpa = $model->getGradeName((int)$model->getTotalMarksGpa($this->item->id)->gpa)['grade_point'];
            $this->item->studentExams = $model->getResultStudentExams($this->item->id);
            foreach ($this->item->studentExams as $i => $studentExams) {
                $this->item->studentExams[$i]->exams_grade = $model->getGradeName($studentExams->marks)['name'];
            }

        }
        $this->item->student_name = JFactory::getUser($this->item->user_id)->name;

        if ($this->item->id > 0 && $this->getLayout() != "edit") {
            $this->item->teacher_id = $model->getTeacher($this->item->class_id)->user_id;

            $this->item->section_name = JoomschoolHelper::getSectionsNameByID($this->item->section_id)->section_name;
            $this->item->division_name = JoomschoolHelper::getDivisionNameByID($this->item->division_id)->division_name;
            $this->item->class_name = JoomschoolHelper::getClassNameByID($this->item->class_id)->class_name;

        }
        // for pdf mode
        JoomschoolHelperDownload::getPDF('info.container',$this->item,[
            'type' => 'student',
            'id' => $this->item->id,
            'name' => $this->item->student_name
        ]);

        $this->canDo = JHelperContent::getActions('com_joomschool', 'student', $this->item->id);



        return parent::display($tpl);

    }



}
