<?php
/**
 * @package		JoomSchool
 * @copyright	2013-2019 JoomBoost, https://www.joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

# No Permission
defined('_JEXEC') or die();

class plgSystemJoomschool extends JPlugin {

    public function onInstallerBeforePackageDownload(&$url, &$headers) {
		
		$uri = JUri::getInstance($url);
		
		// I don't care about download URLs not coming from our site
		$host = $uri->getHost();
		
		if ($host != 'www.joomboost.com') {
			return true;
		}
		
		// Get the download ID
		$params = JComponentHelper::getParams('com_joomschool');
		$dlid = $params->get('downloadid', '');
		
		// If the download ID is invalid, return without any further action
		if (!preg_match('/^([0-9]{1,}:)?[0-9a-f]{32}$/i', $dlid)) {
			return true;
		}
		
		// Append the Download ID to the download URL
		if (!empty($dlid)) {
			$uri->setVar('dlid', $dlid);
			$url = $uri->toString();
		}
		
		return true;
	}

}
