<?php
/**
 * @copyright	Copyright (c) 2013-2018 JoomBoost (http://www.joomboost.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


class pkg_joomschoolInstallerScript
{

    public function preflight($type, $parent)
    {
        // Do not run on uninstall.
        if ($type === 'uninstall')
        {
            return true;
        }

        return true;
    }

    /**
     * Runs right after any installation action is performed on the component.
     *
     * @param string $type - Type of PostFlight action. Possible values are:
     *                           - * install
     *                           - * update
     *                           - * discover_install
     * @param \stdClass $parent - Parent object calling object.
     *
     * @return void
     */
    public function postflight($type, $parent)
    {
        $app = JFactory::getApplication();

        // don't enable plugins if action type is update
        if ($type == 'update') return;

        $db = JFactory::getDBO();

        $manifest = $parent->getManifest();

        // Enable Plugins and set Default plugin
        $plugins = array();

        foreach ($manifest->files->folder as $file) {
            $attributes = $file->attributes();

            if ($attributes['enable'] && $attributes['type'] == 'plugin' && $attributes['enable'] == '1') {
                $plugins[] = $db->quote($attributes['id']);
            }
        }

        $query = 'UPDATE #__extensions'
            . ' SET enabled = 1'
            . ' WHERE element IN (' . implode(', ', $plugins) . ') AND type =' . $db->q("plugin");


        $db->setQuery($query);

        if (!$db->execute()) {
            $application = JFactory::getApplication();
            $application->enqueueMessage('Failed to Enable plugins ' . $db->getError(), 'error');
        }

    }
}
